Table of Contents

Next Page

Introducing AutoCAD 2008
Introducing AutoCAD 2008
byGeorge Omura
Sybex 2007 (400 pages)
ISBN:9780470121504

Offering clear explanations, a task-based approach, and real-world examples and exercises, this practical guide helps users of all skill levels learn the basics of AutoCAD 2008 and AutoCAD LT 2008 easily and efficiently.

Table of Contents
 | Introducing AutoCAD 2008
 | Introduction
 | Chapter 1 | - | Getting Familiar with AutoCAD
 | Chapter 2 | - | Understanding the Drafting Tools
 | Chapter 3 | - | Drawing 2D Objects
 | Chapter 4 | - | Editing AutoCAD Objects
 | Chapter 5 | - | Editing with the 2D Draw Control Panel Tools
 | Chapter 6 | - | Creating 3D Drawings
 | Chapter 7 | - | Getting Organized with Layers
 | Chapter 8 | - | Using Blocks, Groups, Xrefs, and DesignCenter
 | Chapter 9 | - | Creating Text
 | Chapter 10 | - | Using Dimensions
 | Chapter 11 | - | Gathering Information
 | Chapter 12 | - | Laying Out and Printing Your Drawing
 | Index
 | List of Figures
 | List of Tables
 | List of Sidebars

Next Page


Back Cover

Previous Page
Next Page

Back Cover

Quickly Master AutoCAD 2008 Essentials

This practical guide helps users of all skill levels learn the basics of AutoCAD 2008 and AutoCAD LT 2008 easily and efficiently. In this fresh new take on the popular Just Enough AutoCAD, bestselling AutoCAD author and expert George Omura offers clear explanations, a task-based approach, and pages of real-world examples and exercises to make this thorough book more valuable and useful than ever.

Whether you're new to AutoCAD or just looking for a quick refresher, you'll find the fast, focused introduction to AutoCAD what you need to get quickly up to speed.

  • Discover what's new in AutoCAD 2008 and AutoCAD LT 2008
  • Master the basics of drawing and editing
  • Add and edit notes and dimensions
  • Learn the fundamentals of 2D drawings and 3D models
  • Understand layers, blocks, groups, and external references
  • Find areas and distances quickly
  • Extract hidden data

About the Author

George Omura is a licensed architect, Autodesk Authorized Author, and CAD specialist with more than 20 years of experience in AutoCAD and over 30 years of experience in architecture. He has worked on design projects ranging from resort hotels to metropolitan transit systems to the San Francisco Library project. George has written numerous other AutoCAD books for Sybex, including Mastering AutoCAD 2007 and AutoCAD LT 2007, Just Enough AutoCAD 2007, and Mastering Autodesk VIZ 2007.

Previous Page


Introducing AutoCAD 2008

GEORGE OMURA
Image from book
WILEY PUBLISHING, INC.

Acquisitions Editor: Willem Knibbe

Development Editor: Kari Gulbrandsen

Technical Editor: Paul Richardson

Production Editor: Martine Dardignac

Copy Editor: Kim Wimpsett

Production Manager: Tim Tate

Vice President and Executive Group Publisher: Richard Swadley

Vice President and Executive Publisher: Joseph B. Wikert

Vice President and Publisher: Neil Edde

Book Designer: Caryl Gorska

Compositor: Kate Kaminski, Happenstance Type-O-Rama

Proofreader: Ian Golder

Indexer: Ted Laux

Anniversary Logo Design: Richard Pacifico

Cover Designer: Ryan Sneed

Large cover image: © Heinz Wohner, LOOK, Getty Images

Other cover images: © Digital Stock

Copyright © 2007 by Wiley Publishing, Inc., Indianapolis, Indiana

Published simultaneously in Canada

ISBN: 978-0-470-12150-4

No part of this publication may be reproduced, stored in a retrieval system, or transmitted in any form or by any means, electronic, mechanical, photocopying, recording, scanning, or otherwise, except as permitted under Sections 107 or 108 of the 1976 United States Copyright Act, without either the prior written permission of the Publisher, or authorization through payment of the appropriate per-copy fee to the Copyright Clearance Center, 222 Rosewood Drive, Danvers, MA 01923, (978) 750-8400, fax (978) 646-8600. Requests to the Publisher for permission should be addressed to the Legal Department, Wiley Publishing, Inc., 10475 Crosspoint Blvd., Indianapolis, IN 46256, (317) 572-3447, fax (317) 572-4355, or online at http://www.wiley.com/go/permissions.

Limit of Liability/Disclaimer of Warranty: The publisher and the author make no representations or warranties with respect to the accuracy or completeness of the contents of this work and specifically disclaim all warranties, including without limitation warranties of fitness for a particular purpose. No warranty may be created or extended by sales or promotional materials. The advice and strategies contained herein may not be suitable for every situation. This work is sold with the understanding that the publisher is not engaged in rendering legal, accounting, or other professional services. If professional assistance is required, the services of a competent professional person should be sought. Neither the publisher nor the author shall be liable for damages arising herefrom. The fact that an organization or Website is referred to in this work as a citation and/or a potential source of further information does not mean that the author or the publisher endorses the information the organization or Website may provide or recommendations it may make. Further, readers should be aware that Internet Websites listed in this work may have changed or disappeared between when this work was written and when it is read.

For general information on our other products and services or to obtain technical support, please contact our Customer Care Department within the U.S. at (800) 762-2974, outside the U.S. at (317) 572-3993, or fax (317) 572-4002.

Wiley also publishes its books in a variety of electronic formats. Some content that appears in print may not be available in electronic books.

Library of Congress Cataloging-in-Publication Data

Omura, George.
 Introducing AutoCAD 2008 / George Omura.
    p. cm.
 Includes index.

ISBN 978-0-470-12150-4 (pbk.)

1. Mechanical drawing. 2. Computer graphics. 3. AutoCAD. 4. Three-dimensional display systems. I. Title.

T353.O67 2007

620'.00420285536-dc22

2007009244

TRADEMARKS: Wiley, the Wiley logo, and the Sybex logo are trademarks or registered trademarks of John Wiley & Sons, Inc. and/or its affiliates, in the United States and other countries, and may not be used without written permission. AutoCAD is a registered trademark of Autodesk, Inc. in the United States and/or other countries. All other trademarks are the property of their respective owners. Wiley Publishing, Inc., is not associated with any product or vendor mentioned in this book.

10 9 8 7 6 5 4 3 2 1

Dear Reader,

Thank you for choosing Introducing AutoCAD 2008. This book is part of a family of premium quality Sybex books, all written by outstanding authors who combine practical experience with a gift for teaching.

Sybex was founded in 1976. More than thirty years later, we're still committed to producing consistently exceptional books. With each of our titles we're working hard to set a new standard for the industry. From the authors we work with to the paper we print on, our goal is to bring you the best books available.

I hope you see all that reflected in these pages. I'd be very interested to hear your comments and get your feedback on how we're doing. Feel free to let me know what you think about this or any other Sybex book by sending me an email at nedde@wiley.com, or if you think you've found an error in this book, please visit http://wiley.custhelp.com. Customer feedback is critical to our efforts at Sybex.

Best regards,

Image from book

Neil Edde
Vice President and Publisher
Sybex, an Imprint of Wiley

To my mother, who always seems amazed that I write for a living

Acknowledgments

I'd like to thank Willem Knibbe for giving me the opportunity to work with Sybex, an imprint of John Wiley & Sons, Inc., on this project. I'd also like to thank Kari Gulbrandsen for keeping the project moving along. Thanks to Martine Dardignac for coordinating the project. Paul Richardson offered his AutoCAD expertise while checking all the details. A big thanks to my copy editor, Kim Wimpsett, for her dedicated work on each chapter and to the proofreader, Ian Golder, for his careful attention to detail. ∎ At Autodesk, Jim Quanci once again gave his full support for our work and cheerfully answered all our questions. Thanks to Shaan Hurley for graciously opening the doors to the AutoCAD beta program. And thanks to Denis Cadu, who is always more than willing to help us in our times of need. ∎ Thank you all for making this book possible.


Introduction

Overview

If you're involved in any way with the design and manufacturing industry, you've probably had to work with AutoCAD drawings. Autodesk AutoCAD has become the standard program for producing technical drawings of all types. It has the depth and range of features that lets the expert user create nearly any type of technical drawing.

But not everyone needs to be an expert at AutoCAD. Many AutoCAD users really need to know only a few of its vast array of tools. Still others use AutoCAD only from time to time to review existing drawings and make minor changes. If you're someone who doesn't need or want to be an AutoCAD power user but wants to be able use AutoCAD proficiently, this book is for you. You may have taken an AutoCAD course and have forgotten most of what you've learned, or you might be a project manager who has to work with AutoCAD drawings only occasionally. Or perhaps you have had a job that has taken you away from AutoCAD and you want to get back into using the latest version. You want a resource that gets to the point and lets you find what you need fast without wading through volumes of information. If this sounds like you, you've come to the right place. Introducing AutoCAD 2008 is designed with you in mind.


How to Use This Book

Introducing AutoCAD 2008 covers the basic drawing and editing tools that most users will need to produce quality AutoCAD drawings. You won't find information about every last feature. Instead, this book presents AutoCAD's essential features through a combination of tutorials and reference material to give you a concise, easy-to-use companion for your work with AutoCAD. It's designed so that you can quickly learn the tools you need when you need them.

Most chapters start with tutorials covering basic concepts on a particular topic so you can understand how AutoCAD works in a general way. Later parts of the chapter provide reference material to help you with specific tasks. For example, in Chapter 9, a tutorial at the beginning gives you the basic steps for creating and formatting text. After that, the chapter goes into more depth to show you how to use other features, such as how to import text, how to size and scale text, and how to create tables. Once you've learned the basics from the beginning tutorial, you can pick and choose from those topics later in the chapter as the need arises.

The book assumes you have a working knowledge of the Microsoft Windows operating system. You should also know how to locate files on your computer and how menus and toolbars work in a general way. Experience with other graphics programs also helps but is not essential.

If you are wondering whether your computer has the capacity to run AutoCAD 2008, here is a rundown of the minimum system requirements:

  • Windows 2000, XP Home or Professional, or Windows Vista

  • 1.2GB free disk space

  • 51MB RAM (1GB if you are using Windows Vista)

  • Pentium V or equivalent processor


What You'll Find

To help you get the most from AutoCAD, the chapters in Introducing AutoCAD 2008 are organized into general topics such as "Drawing 2D Objects" or "Laying Out and Printing Your Drawing." Within each chapter, I discuss in detail specific tasks such as drawing circles or choosing a printer paper size.

The first three chapters serve as an introduction to the AutoCAD way of doing things. If you're new to AutoCAD, you'll want to pay special attention to these chapters. In Chapter 1 , " Getting Familiar with AutoCAD ," you'll be introduced to AutoCAD and how it's organized. You'll learn where to find features and the purpose of the various parts of the AutoCAD screen. Chapter 2 , " Understanding the Drafting Tools ," gets into more detail regarding the way AutoCAD works. You'll learn how to set up a drawing and how to use AutoCAD's basic drafting tools, such as the grid and the coordinate system. Chapter 3, " Drawing 2D Objects ," discusses the most common AutoCAD drawing and editing tools. Here you'll find out how to draw lines, arcs, and circles, as well as how to add hatch patterns and how to lay out a drawing.

The next two chapters are concerned with editing in AutoCAD. Chapter 4 , " Editing AutoCAD Objects ," describes the general methods for editing drawings in AutoCAD. This is another good chapter to review if you are new to AutoCAD. Chapter 5 , " Editing with the 2D Draw Control Panel Tools ," shows you how to use specific tools to make changes to your drawing. Here, you learn how to join, move, scale, and stretch objects, as well as how to perform many other operations.

Chapter 6 , " Creating 3D Drawings ," introduces 3D modeling in AutoCAD. You'll learn about the basic concepts for creating and viewing 3D models in AutoCAD.

Chapter 7 , " Getting Organized with Layers ," shows you how you can use a feature called layers to organize your drawing. You'll learn how to create and use layers and how to manage large lists of layers. You'll also learn how to employ AutoCAD object properties such as color and line weights to help visually organize your drawings. Chapter 8 , " Using Blocks, Groups, Xrefs, and DesignCenter ," shows you how to work more efficiently by grouping objects into assemblies. Here, you'll also learn how to use existing files as backgrounds for new projects.

Textual notation plays a major role in technical drawing, and AutoCAD provides some excellent tools to help you with your notation tasks. Chapter 9 , " Creating Text ," shows you how to create and edit text. You'll learn how to scale text properly for your particular drawing and how you can use AutoCAD's table feature, which works just like a spreadsheet. Chapter 10 , " Using Dimensions ," shows you the dimensioning tools needed to add and display crucial dimensions of your drawing.

One of the greatest features of AutoCAD drawings is the amount of information they hold. Chapter 11 , " Gathering Information ," shows you how to extract the types of information available from an AutoCAD drawing. You'll learn how to find basic types of information, such as distances and areas, plus you'll learn how to search for text and other named components.

Eventually, you'll need to print your drawings, but the nature of technical drawings means that AutoCAD's printing and plotting feature is a bit more complex than your word processor's. Chapter 12 , " Laying Out and Printing Your Drawing ," guides you through the process of getting the output you want on the medium you need. Chapter 12 also shows you how to use AutoCAD's layout feature to lay out and organize the components of your drawing on a printed sheet.


How to Contact the Author

The idea for this book came from the growing number of casual users of AutoCAD I've observed over the years. Instead of wanting to become experts, they want to know how to perform certain tasks with the least amount of fuss. I've tried to incorporate the essential information needed for most users, but if you have ideas about how I can improve the book or if you think I've omitted an essential feature while covering nonessentials, you can email me at the following address. If you think you need more information than this book provides, you should consider Sybex's Mastering AutoCAD 2008 and AutoCAD LT 2008.

You can also contact this book's publisher, Sybex, an imprint of John Wiley & Sons, Inc., regarding general questions about this and other AutoCAD publications at www.sybex.com. Thanks for choosing Introducing AutoCAD 2008.

- George Omura
gomura@yahoo.com


Chapter 1: Getting Familiar with AutoCAD

Overview

If you are totally new to AutoCAD, you'll want to read this chapter. It provides an overview of AutoCAD's layout and shows you what to expect when you start to use it. Even if you've had an AutoCAD class or have used an older version of AutoCAD, you'll find this chapter useful.

You'll start by taking a tour of the AutoCAD window to get familiar with the menus, toolbars, and other components. You'll then get a chance to try your hand at drawing, and in doing so, you'll be introduced to the way AutoCAD's commands work. You'll also learn how to use the Zoom and Pan tools to help you get around in a drawing. And you'll look at the ways you can view your drawing using the layout tabs. Finally, you'll be introduced to the Help system for those times when you forget to have this book on hand.


Understanding the AutoCAD Window

Autodesk has completely redesigned AutoCAD 2008's 2D drafting interface, and to show it off, AutoCAD's default opening window prominently displays these new features. If you've used AutoCAD before, it will appear as though AutoCAD has completely changed.

Don't worry; it hasn't. Through AutoCAD's workspace feature, you can easily change AutoCAD's interface to display the old, familiar toolbars. You'll get a chance to look at workspaces later in this chapter. In this section, you'll look at AutoCAD's interface options, and then you'll switch to the AutoCAD "classic" window.

The ↲ symbol in this book denotes the Enter key. Whenever you see it, press the Enter key, also known as the Return key.

Although Autodesk has made it much easier to work in 3D, as a new or returning user, you'll want to start with the basic 2D operations.

If you're feeling adventurous, you can go to Chapter 6 to find out more about AutoCAD's new 3D tools. LT users will not have the 3D functions.

AutoCAD works like most other Windows-based graphics programs, but it also has a few quirks. This section gives you an overview of AutoCAD's layout. Although many elements will be familiar, a few will be new to you.

To start, you'll see the two ways that AutoCAD displays a drawing. Then for the rest of this chapter, you'll focus on the 2D drawing environment. After installing AutoCAD, take the following steps to get to the 2D workspace:

  1. Choose Start è All Programs è Autodesk è AutoCAD 2008 è AutoCAD 2008. (LT users will click AutoCAD LT 2008 in place of AutoCAD 2008 in the previous menu selection.) You can also double-click the AutoCAD 2008 icon on your Windows Desktop. If you have Windows XP set to the Classic Start menu, you will see Start è Programs, instead of Start è All Programs.

    Image from book
    AUTOCAD 2008 VERSUS AUTOCAD 2008 LT

    AutoCAD 2008 and AutoCAD 2008 LT are essentially the same programs with some differences-both large and small. The LT version has limited 3D capability, and you won't have the 3D workspace. Customization features are also limited in the LT version. With the exception of the 3D features, you should be able to use the features discussed in this book when using AutoCAD 2008 LT.

    Image from book

    The opening greeting, called a splash screen, appears momentarily; then if this is a new installation, AutoCAD will display the Workspaces message box. This message box offers an option to select 2D Drafting & Annotation, 3D Modeling, or AutoCAD Classic.

  2. Click 2D Drafting & Annotation. You'll see the AutoCAD window with a blank default document named Drawing1.dwg, as shown at the top of Figure 1.1. If this is a new installation, you will also see the New Features Workshop window. If this happens, select Maybe Later, and then click OK.

    In some installations, you might see a Startup dialog box. If this happens to you, click Cancel, and AutoCAD will display the blank default document.

  3. The default document appears to be an empty 2D space. You'll also see a special tool palette, called the Dashboard, to the right of this space. This is a set of 2D drafting and annotation tools that gives you ready access to the most common drafting functions.

Image from book
Figure 1.1: AutoCAD when opened into a 2D Drafting & Annotation workspace

If this is a completely new installation, you may see the Autodesk Impressions toolbar in the middle of the AutoCAD window. Autodesk Impressions is an adjunct program to AutoCAD which lets you edit your drawings in a way similar to Adobe Illustrator. You can close this toolbar as I will not discuss this Autodesk product in this book.

If you are using AutoCAD 2008, try the following exercise to see how to get to the 3D Modeling workspace (this workspace is not available in AutoCAD 2008 LT):

  1. In the upper-left corner of the AutoCAD window, you'll see a drop-down list that shows 2D Drafting & Annotation. Click this drop-down list, and select 3D Modeling. (Notice that this drop-down list contains the same three options found in the Workspaces message box that appears in step 1 of the previous procedure.)

    Image from book

    The current default file, Drawing1.dwg, is set up for 2D drafting, but you can open a new file using a file template already set up for 3D modeling.

    Image from book
    CHANGING 3D VIEWS TO 2D VIEWS AND BACK

    Even though the default 2D file looks completely different from the new 3D file you created using the acad3D.dwt template, they really are basically the same. They just have different display settings turned on.

    You can change the Drawing2.dwg 3D view to a 2D view by doing the following:

    1. Choose View è Visual Styles è 2D Wireframe.

    2. Choose View è 3D Views è Plan View è World UCS.

    Your 3D view changes to look like a typical 2D drawing. Likewise, you can convert a 2D view into a 3D one:

    1. Choose View è Visual Styles è Realistic.

    2. Choose View è 3D Views è SE Isometric.

    3. Enter Perspective↲ 1↲ to turn on the Perspective view.

    4. Click the Grid button in the status bar at the bottom of the AutoCAD window.

    The file that started out with a 3D view now shows your drawing in 2D.

    Image from book

  2. Choose File è New. The Select Template dialog box appears.

    Image from book

  3. Select acad3D.dwt from the list, and click Open. A new file, called Drawing2.dwg, appears. Notice that this drawing is in a 3D space. You'll learn more about 3D modeling in Chapter 6.

    Image from book

  4. Select 2D Drafting & Annotation from the Workspaces toolbar. You'll be working in this workspace for most of this book.

  5. Exit the 3D Drawing2.dwg file by choosing File è Close.

You have AutoCAD set up for 2D drawing, so you'll now take a more detailed look at the AutoCAD window. You'll find that, for the most part, it is a typical Windows-style graphics program window with a few twists.

Getting to Know the Window Components

The AutoCAD window consists of several parts that are common to most Windows graphics programs:

  • Menu bar

  • Toolbars

  • Drawing area

  • Status bar

  • Dashboard

  • Tool palettes

  • Properties palette

Your AutoCAD window should look like Figure 1.1, which shows the default configuration for a new AutoCAD installation. Since AutoCAD is so easily customizable, you might not see exactly the same layout, but the basic components should be there.

As with typical Windows programs, AutoCAD has a menu bar along the top that contains most of the common functions you'll need to use (see Figure 1.2). Below that are toolbars for quick access to settings and the more common Windows functions such as Save, Undo, Redo, and Print. You also have the Dashboard to the right of the window that offers the most common 2D drafting tools.

Image from book
Figure 1.2: The components on the top of the Auto-CAD window

Just as you can do in other Windows programs, you can move toolbars and reshape them to your liking. The default location of the toolbars is in their docked position, which just means they are merged with the outer edge of the window to save space. You can drag them into the drawing area and reshape them if you want, and you can reposition them anywhere on the screen. When toolbars are away from the edge of the window and appear "free floating," they are said to be floating toolbars, as opposed to docked. Many other toolbars are available but are not displayed in the AutoCAD window. Later in this chapter, you'll learn how to find and retrieve these hidden toolbars.

In the middle is the drawing area where you'll do your actual drawing. One difference between Figure 1.1 and what you see on your screen is the background color in the default AutoCAD drawing area. The color you see on your screen is black, because that helps with the visibility of lines on the computer screen. In this book, you'll see the drawing area background in white because drawings with a white background are easier to see in print.

At the bottom of the screen is the status bar, which provides information regarding many of the settings you'll use in AutoCAD. Just above the status bar is the command line, which is somewhat unique to AutoCAD.

The command line is a text window that displays commands as you use them as well as your keyboard input. Messages often appear here that prompt you to perform a step in a command. You'll learn more about the command line a bit later in this chapter; see the "Using the Command Line" section.

Another unique item in AutoCAD's window is the set of tool palettes shown in Figure 1.3. These palettes let you keep your favorite tools and drawing components in one convenient place for quick access. The AutoCAD tool palettes and Properties palette might not appear in the AutoCAD window, but you can open these palettes by choosing Tools è Palettes è Tool Palettes and by choosing Tools è Palettes è Properties.

Image from book
Figure 1.3: The tool palettes and the Properties palette

You can also easily retrieve these palettes by clicking buttons on the Standard Annotation toolbar at the top of the AutoCAD window.

Image from book

Now let's look at some important parts of the AutoCAD window. The drawing area, the status bar, and the command line work together to give you feedback while you create and edit your drawing. As you move your cursor over the drawing area, you'll see the cursor appear as a crosshair cursor. If you click the drawing area, a pair of numbers and a selection window appear. Click again, and the selection window disappears.

Image from book

The crosshair cursor lets you point to portions of the drawing area, and the numeric display, known as the Dynamic Input display, tells you your XY coordinate within the drawing area. The selection window lets you select objects in the drawing area. You'll learn more about coordinates in AutoCAD in Chapter 2, and you'll look at selection windows a bit later in this chapter.

If you don't see the Dynamic Input display, go to the bottom of the AutoCAD window to the status bar, and click the DYN button. This is the Dynamic Input setting.

Image from book

Along with the Dynamic Input display, the command line and status bar just below the drawing area provide feedback as you work with AutoCAD commands (see Figure 1.4). You can also see the XY coordinate in the far left of the status bar in the lower-left corner of the AutoCAD window.

Image from book
Figure 1.4: The status bar and the command line work with the drawing area to give you feedback as you draw.

Getting Familiar with the Drawing Area

As you might imagine, the drawing area in the middle of the AutoCAD window is the space where you'll be spending a lot of time. It pays to get a feel for how it behaves early on. As your introduction to the drawing area, try the following exercise:

  1. Move the cursor around in the drawing area. As you move the cursor, notice that the coordinate readout in the status bar gives the X and Y coordinates and adds the Z coordinate.

    Image from book
    CONTROLLING THE STATUS BAR DISPLAY

    To the far right of the status bar, you'll see a downward-pointing triangle, or arrow; click this arrow to open a menu that controls the display of the status bar. You use this menu to turn the items in the status bar on or off. A check mark by an item indicates it is currently on.

    If for some reason you do not see all the buttons mentioned in the previous discussion, check this menu to make sure that all the status bar options are turned on. Note that the LT version does not have an Otrack option in the status bar.

    Image from book

  2. Click in the middle of the drawing area. You have just selected a point. Move the cursor, and a rectangle follows. This is a selection window; if any objects appear in the drawing area, this window allows you to select them for editing. A coordinate display appears at the cursor showing your coordinates in an X, Y format. Also notice the words Specify opposite corner in the Dynamic Input display. This tells you that you have started a selection window and you need to select the opposite corner for the window.

  3. Move the cursor a bit in any direction; then click again. Notice that the selection window disappears. Had there been objects within the selection window, they would be selected. This is similar to the way the cursor behaves on the Windows Desktop; however, in Windows, you have to drag the cursor to create a selection window.

  4. Try selecting several more points in the drawing area. Notice that as you click, you alternately start and end a selection window.

As you click the drawing area, you might notice that, depending on whether you click to the right or to the left of the previous point, the selection window displays a different color. If you click from left to right, the selection window appears blue. From right to left, it's green. These colors indicate a different mode of selection, which you'll learn about in chapter 4.

If you right-click, a shortcut menu appears. Just as with most other Windows applications, a right-click frequently opens a menu that contains options that are context sensitive. This means the contents of the shortcut menu depend on where you right-click as well as the command that is active at the time of your right-click. If no options are applicable at the time of the right-click, AutoCAD treats the right-click as ↲. You'll learn more about these options as you progress through the book. For now, if you happen to open this menu by accident, press the Esc key to close it.

Finally, as with any window, you can expand the drawing area or contract it into a smaller window by clicking the Restore Down icon in the upper-right corner of the drawing area.

Image from book

When the drawing area is in the Restore Down position, it appears as a separate window within the AutoCAD window. You can then resize the window to any rectangular shape you need. This is helpful when you have multiple AutoCAD drawing files open.

Clicking the UCS Icon

The UCS icon is the L-shaped icon you see at the lower-left corner of the drawing area (shown earlier in Figure 1.4). It helps you see your orientation at a glance by pointing to the positive X and Y directions. UCS stands for user coordinate system. That name is a hint that you can create and use other coordinates besides the default one that exists in new drawings. The default X direction is from left to right, and the Y direction is from bottom to top, but AutoCAD lets you alter your view orientation as well as include additional coordinate systems that can be oriented in different directions. The UCS icon is especially helpful when you start to use these other coordinate systems and display modes, but right now, just be aware that it is there to help you get your bearings.

You might notice a small square at the base of the UCS icon. This square tells you that you are in the world coordinate system, which is the base coordinate on which other coordinate systems can be built. You'll learn more about the UCS in Chapter 5.

Using the Command Line

The horizontal window at the bottom of the AutoCAD window is called the command line. Besides the drawing area, this is where you can get feedback from AutoCAD. As you work in AutoCAD, the command activity appears in the bottom line of the command line and scrolls upward.

When AutoCAD is waiting for input, you'll see the word Command: at the bottom of the Command line. This is the command prompt. As you click a point in the drawing area, you'll see the message Specify opposite corner in the command line. Simultaneously, a selection window appears in the drawing area. Click another point without selecting anything, and the selection window disappears, and the command prompt returns.

You'll want to pay close attention to the command line as you start using AutoCAD because it tells you what AutoCAD expects you to do. It also lists information when you query AutoCAD for certain types of information, which you'll learn about in later chapters.

In addition to getting feedback from the command line, you'll also see the command prompt at the cursor whenever you have Dynamic Input display turned on.

The command line is a little like a chat window when you're online. You "chat" with AutoCAD by responding to messages that appear in the command line. When AutoCAD asks for specific data, the command line allows you to enter data using the keyboard. It is also an area that provides information about your drawing when you request it.

Image from book
"CHATTING" WITH AUTOCAD

AutoCAD communicates its needs to you through messages in the command line. These messages often tell you what to do next or offer options, usually shown in square brackets. Commands often display a series of messages, which you answer to complete the command. If you aren't sure what to do, check the command line for clues.

Image from book

As an additional aid, you can right-click to display a context-sensitive shortcut menu. If you are in the middle of a command, this menu provides a list of options specifically related to that command. For example, if you right-click before selecting the first point for the Rectangle command, a menu appears, offering the same options that are listed at the command prompt, plus some additional options.

Image from book

Using the Menu Bar

The command line is a little unusual for a Windows program, so the AutoCAD menu bar provides a familiar means to finding commands. You'll see many of the standard Windows commands such as Open and Save as well as AutoCAD's version of the Print command, which is called Plot.

You'll also find other commands and options that are pure AutoCAD, but the basic operation of the menu bar is the same as that of other Windows programs. The menu bar lets you issue commands and open dialog boxes to change settings.

The icons shown to the left of many menu options are a helpful feature of the menu bar. These icons help you connect the option names with their equivalent toolbar options. For example, if you open the Modify menu, you'll see that the options there have the same icons that appear in the 2D Draw control panel of the Dashboard, located along the right side of the AutoCAD window.

Image from book

Another menu bar feature is the command description in the status bar. As you open a menu from the menu bar and point to options, you'll see a brief description of the option in the status bar. Try the following exercise to get a feel for how the menu bar works:

  1. Click Modify in the menu bar. The list of items that appears includes the commands and settings that let you control the way AutoCAD displays your drawings.

  2. Move the cursor slowly down the list of menu items. As you highlight each item, notice that a description of the item appears in the status bar at the bottom of the AutoCAD window. These descriptions help you choose the menu option you need. At the end of the description, you'll see a single word in capital letters. This is the keyboard command equivalent to the highlighted option in the menu or toolbar. You can actually enter these keyboard commands to start the tool or menu item to which you are pointing. You don't have to memorize these command names, but knowing them will help you later if you want to customize AutoCAD.

  3. Some of the menu items won't show anything in the status bar but will have arrows to their right. This means the menu option has additional choices. For instance, highlight the Object item, and you'll see another set of options appear to the right of the menu. This second set of options is called a cascading menu. Whenever you see a menu item with the arrows, you know that it opens a cascading menu with a more detailed set of options.

Opening Dialog Boxes

You might have noticed that other drop-down menu options are followed by an ellipsis (…). This indicates that the option displays a dialog box, as the following exercise demonstrates:

  1. Image from book Click the Tools option in the menu bar.

  2. Click the Options item at the bottom of the menu to open the dialog box.

    Image from book

The Options dialog box is like the Preferences dialog box in other programs. In it, you can find most of the general settings that affect AutoCAD's behavior. Numerous settings are divided into tabs across the top of the dialog box. The Options dialog box is one of many dialog boxes available through the menu bar.

Starting Commands

Another type of item you'll find in a menu is a command that directly executes an AutoCAD operation. Try this exercise to explore a typical command:

  1. First, turn off the Dynamic Input display by clicking the DYN button in the status bar. It should look like it is in the off position, or that it is not pressed down. You'll start your exploration of commands with this feature turned off, because it can be somewhat confusing to first-time users. You'll get a chance to try the Dynamic Input feature in later chapters, starting with Chapter 2.

    Image from book

  2. If the tool palettes are open, click the X in the upper-right or upper-left corner to close them. This will give you a larger drawing area.

  3. Click the Draw option in the menu bar, and then click the Rectangle command.

    Notice that the command line now shows the following prompt:

    Specify first corner point or
[Chamfer/Elevation/Fillet/Thickness/Width]:

    AutoCAD is asking you to select the first corner for the rectangle, and in brackets, it is offering a few options that you can take advantage of at this point in the command. Don't worry about those options right now. You'll have an opportunity to learn about command options in Chapter 2.

  4. Click a point roughly in the lower-left corner of the drawing area, as shown in Figure 1.5. Now as you move your cursor, you'll see a rectangle follow the cursor with one corner fixed at the position you just selected. You'll also see the following prompt in the command line:

    Specify other corner point or [Area/Dimensions/Rotation]:

  5. Click another point anywhere in the upper-right region of the drawing area. A rectangle appears (see Figure 1.6). You'll learn more about the different cursor shapes and what they mean later in this chapter.

Image from book
Figure 1.5: Selecting the first point of a rectangle
Image from book
Figure 1.6: Once you've selected the first point of the rectangle, you'll see a rectangle follow the motion of your mouse.

Next try deleting the rectangle you just drew:

  1. Place the cursor on top of the rectangle, but don't do anything yet. Notice that as you pass the cursor over the rectangle, it is highlighted. In a crowded drawing, this highlighting can help you determine exactly what will be selected should you click an object.

  2. With the cursor on the rectangle and the rectangle highlighted, click the rectangle. The rectangle is selected.

  3. Press the Delete key. The rectangle is removed from the drawing.

In step 1, AutoCAD shows you exactly what the cursor is pointing to by highlighting objects that will be selected with the next click.

In drawing and erasing the rectangle, you were exposed to the most common processes you need to know about to work in AutoCAD: you selected a command from the menu bar, and then you selected points in the drawing area while following the messages in the command line. Commands from the toolbars work in the same way, as you'll see next.

Using the Dashboard

The menu bar provides most of the commands you'll need in a format that most Windows users will find easy to understand, and many users are more comfortable using the menu bar. If you prefer using toolbars with their graphic icons, you can start to use the Dashboard. The Dashboard offers many of the same commands as the menu bar but in a more compact format that is quicker to access.

Specifically, the Dashboard is a collection of lists, buttons, and tools that invoke commands. These tools are grouped into eight control panels, each with an icon that shows its function (see Figure 1.7). In typical Windows fashion, each tool offers a ToolTip that provides a short description, which helps you understand what the icons represent.

Image from book
Figure 1.7: The control panels of the Dashboard

If the Dashboard does not appear on the screen, you can choose Tools è Palettes è Dashboard to restore it to the window.

If you move the arrow cursor onto one of the Control Panel tools and leave it there for a moment, you'll see a ToolTip appear just below the cursor. As a new user, you'll find these ToolTips helpful because they show you the name of the tool. In addition, when I ask you to select a tool, I'll use the name shown in the ToolTip. For example, if you hover over the icon in the upper-left corner of the Dashboard, you'll see a ToolTip appear with the name of the control panel, 2D Draw.

Image from book

In the next section, you'll start to work in the drawing area by drawing some lines. Before you do that, take a moment to examine the top portion of the Dashboard where the 2D Draw control panel resides. You will be instructed to use the tools in this control panel frequently throughout this book, so it will be helpful for you to get a feel for their arrangement and what they contain.

Besides the visible tools, a few tools are hidden from view. You can expand the list of tools to select more tools. Click and hold the downward-pointing arrow to the far right of the row of tools (see Figure 1.8). The set of tools expands into a fly-out toolbar. While continuing to hold down the mouse button, you can point to the tool you want in the fly-out toolbar and then release the mouse.

Image from book
Figure 1.8: Click and hold the downward-pointing arrow to open the fly-out toolbar.
Image from book

You'll also have an opportunity to use the 2D Navigate control panel, which offers the tools you'll need to get around in your drawing.

In most cases, you'll be able to guess what each tool does by looking at its icon. The icon with an arc in the 2D Draw control panel, for instance, indicates that the tool draws arcs; the one with the circle shows that the tool draws circles; and so on. For further clarification, the ToolTip gives you the name of the tool.

Image from book
UNDERSTANDING THE COMMAND, TOOL, AND OPTION RELATIONSHIP

One of AutoCAD's greatest assets is its ability to adjust to your way of performing tasks. If you prefer using toolbars, you can gain access to nearly all the AutoCAD functions through toolbars. If you prefer using options from the menu bar, again, you can perform most of what you need through them. And the Dashboard offers the most commonly used functions in AutoCAD. Hard-core users know how to use the command line and know nearly all the commands by heart.

The AutoCAD commands are really at the heart of its operations. Menu bar options, the Dashboard, and toolbar buttons are really just different ways to invoke AutoCAD commands. When you click a toolbar button or a menu option, you are really initiating a command through AutoCAD's menu system, sometimes with predetermined options already selected. In fact, if you watch the command line as you click a menu option or toolbar button, you'll see that the messages in the command line are the same regardless of where you invoked the command.

For this reason, I'll often intermix the terms tool, option, and command, because at a practical level, they are really all the same. Just be aware that menu options and toolbar buttons invoke commands.

Image from book

Using Other Toolbars

I mentioned earlier that not all the AutoCAD toolbars are open and visible. If they were, you wouldn't have any room for a drawing area. Table 1.1 provides a brief description of the toolbars that are available in AutoCAD.

Image from book
Table 1.1: AutoCAD Toolbars Open table as spreadsheet
COMMAND | DESCRIPTION
3D Navigation | Tools for controlling 3D views (not available in LT).
CAD Standards | Tools for checking the layer, dimension, and text styles against standards you have created (not available in LT).
Camera Adjustment | Tools for controlling camera objects.
Dimension | Commands for helping you dimension your drawings. Many of these commands are duplicated in the Dimension drop-down menu. See Chapter 10.
Draw | Commands for creating common objects, including lines, arcs, circles, curves, ellipses, and text. This toolbar appears in the AutoCAD window by default. Many of these commands are duplicated in the Draw drop-down menu.
Draw Order | Commands for arranging the order of overlapping objects. If an object covers another object that you need visible, you can use the Draw Order toolbar to "move" an object behind another or to the back of a set of objects (not available in LT).
Inquiry | Commands for finding distances, point coordinates, object properties, mass properties, and areas.
Insert | Commands for importing other drawings, raster images, and OLE objects.
Layers | Drop-down list and tools for controlling layer properties located just below the Standard toolbar.
Layers II | Additional tools for managing layers (formerly Express Layer tools).
Layouts | Tools for setting up drawing layouts for viewing, printing, and plotting.
Lights | Tools for adding and controlling lights in 3D models.
Mapping | Tools for adding texture maps in 3D models.
Modeling | Tools for creating and editing 3D objects.
Modify | Commands for editing existing objects. You can move, copy, rotate, erase, trim, extend, and so on. Many of these commands are duplicated in the Modify drop-down menu.
Modify II | Commands for editing special complex objects such as polylines, multilines, 3D solids, and hatches.
Multileader | Tools for adding leader notes to your drawing.
Object Snap | Tools for selecting specific points on objects, such as endpoints and midpoints. See Chapter 3.
Orbit | Tools for controlling 3D views.
Properties | Commands for a set of drop-down lists and tools for manipulating the properties of objects. This toolbar is ordinarily docked to the right of the Layer toolbar, just below the Standard toolbar.
Refedit | Tools for making changes to symbols or background drawings that are imported as external reference drawings (not available in LT).
Reference | Commands for controlling the cross-referencing of drawings. See Chapter 8.
Render | Commands for operating AutoCAD's rendering feature (not available in LT).
Solids Editing | Command for editing 3D solids (not available in LT). See Chapter 6.
Standard | The most frequently used commands for view control, file management, and editing. This toolbar is ordinarily docked below the menu bar.
Standard Annotation | An abbreviated version of the Standard toolbar.
Styles | Tools for controlling style options such as text styles and dimension styles.
Text | Tools for creating and editing text. See Chapter 9.
UCS | Tools for setting up a plane on which to work. This is most useful for 3D modeling, but it can be helpful in 2D drafting as well. See Chapter 6.
UCS II | Tools for selecting from a set of predefined user coordinate systems.
View | Tools for controlling the way you view 3D models. See Chapter 6 for more on 3D views.
Viewports | Tools for creating and editing multiple views of your drawing. See Chapter 6 for more about viewports.
Visual Styles | Tools for controlling the way 3D models are displayed.
Walk and Fly | Tools for controlling motion through a 3D model.
Web | Tools for accessing the World Wide Web.
Workspaces | Tools for managing workspaces.
Zoom | Commands for navigating your drawing.
Image from book

Besides the standard toolbars you see at the top of the AutoCAD window, you can also open any of the other toolbars that are focused on a particular function. For example, the Draw toolbar contains the same tools as those found in the Draw portion of the Dashboard. As you saw in Table 1.1, AutoCAD also has toolbars for editing 3D object or for working with views.

Opening a toolbar is fairly simple, but unless you know where to look, you might never find them. The following steps show you how to open the Draw toolbar:

  1. To open the Draw toolbar, right-click any toolbar near the top of the AutoCAD window. A shortcut menu of toolbars appears.

  2. Click Draw in the shortcut menu. The Draw toolbar appears in its docked position at the left side of the AutoCAD window. (Again, docked just means that the toolbar is merged with the border of the AutoCAD window to keep it out of the drawing area.)

  3. You can "undock" a toolbar by clicking and dragging the toolbar's grab bar. The grab bar is the pair of lines you see at the top or left end of the toolbar. (Again, the toolbar then is called a floating toolbar and shows its title bar.) In its floating position, you can click the X in the upper-right corner of the Draw toolbar to close it.

    Image from book

You can dock toolbars to the top, bottom, or sides of the AutoCAD window to keep them out of the drawing area.

If you do not want the toolbar to dock but instead want it to appear "floating" near the border of the AutoCAD window, you can press the Ctrl key before you click and drag the toolbar into position. This prevents toolbars from automatically falling into a docked position.

AutoCAD remembers your toolbar arrangement between sessions. When you exit and then reopen AutoCAD later, the AutoCAD window appears just as you left it.


Starting a Drawing

Starting a new drawing in AutoCAD is a little different from other programs, so let's create a new file to see how it's done:

  1. Choose File è Close to close the current file. When the message box appears asking you to save changes, click No. Notice that the toolbars disappear and that the AutoCAD drawing window appears blank when no drawings are open.

  2. Choose File è New to open the Select Template dialog box.

  3. Select the acad.dwt template file, and then click Open to open a blank drawing window.

  4. To give your new file a unique name, choose File è Save As to open the Save Drawing As dialog box.

  5. Enter My First Drawing. As you type, the name appears in the File Name text box. Notice that the file will be saved in the My Documents folder by default.

  6. Click Save. You now have a file called My First Drawing.dwg, located in the My Documents folder. Of course, your drawing doesn't contain anything yet. You'll take care of that next.

The acad.dwt template file you selected in step 3 is really just an AutoCAD drawing file that has been set up with standard settings. AutoCAD uses those settings to create a new file. As you saw in the Select Template dialog box, you can choose from several such templates.

The new file you just created shows a drawing area roughly 75 units wide by 45 units high. The units can be inches, meters, or millimeters. You determine what the units are equivalent to through the Drawing Units dialog box, which you will learn about in Chapter 2.

The drawing area you're presented with initially is your workspace, although you're not limited to the 75-by-45-unit area in any way. No visual clues indicate the size of the area, so to check the area size for yourself, move the crosshair cursor to the upper-right corner of the screen, and observe the value in the coordinate readout in the lower-left corner of the AutoCAD window. This is the standard AutoCAD default drawing area for new drawings using the acad.dwt drawing template.

Image from book

The coordinate readout won't show exactly 75 units by 45 units, because the proportions of your drawing area are not likely to be exactly 7.5 by 4.5. Factors such as the size and resolution of your display and the shape of the AutoCAD window affect the dimensions of the drawing area.

Next, try drawing a couple of objects just to get comfortable with drawing in AutoCAD. In the following exercise, you'll draw a rectangle; then you'll add a circle:

  1. Click the Rectangle tool in the 2D Draw control panel. Remember that you can use the ToolTips to help you locate a tool. You can also choose Draw è Rectangle from the menu bar.

    Image from book

  2. Click a point in the lower left of the drawing area, as shown in Figure 1.9. Don't worry about the exact location. You're just practicing right now. After clicking, notice that one corner of the rectangle follows the cursor.

  3. Click a point in the upper right of the drawing area, as shown in Figure 1.9. Again, it's not important if you don't pick the exact location. The rectangle is now in place.

Image from book
Figure 1.9: Drawing a circle

Now add a circle to the drawing:

  1. Click the Circle tool in the 2D Draw control panel.

  2. Click the location shown in Figure 1.9 to place the center of the circle. Now as you move the cursor, a circle appears whose radius follows the location of the cursor.

    Image from book

  3. Click another point as shown in Figure 1.9 to "fix" the circle's radius in place. If you prefer, you can enter an exact radius value for a circle instead of clicking another point to "fix" the circle radius.

You now have a circle and a rectangle. As you can see, you create objects by placing key points of their geometry within the drawing area. For the rectangle, it was two corners; for the circle, it was the center and a location on the perimeter.

Once you've placed objects in the drawing, you can edit them using a variety of tools. In later chapters, you'll learn more about those editing tools. In the following section, you'll learn how to get around in your drawing.

Image from book
WHEN YOU NEED TO UNDO

Recently AutoCAD User Group International (AUGI) conducted a survey to identify the most commonly used features in AutoCAD. The group found that the Undo feature and the Esc key were at the top of the list. Everyone makes mistakes, and it would be impossible to get any work done if it weren't for these two features. But Undo and the Esc key are just two of a set of features you can use to reverse something you have done. If you find you've done something unintentionally, you can use the following options to get out of trouble:

  • Backspace If you make a typing error, press the Backspace key to back up to your error, and then reenter your command or response.

  • Esc When you need to quickly exit a command or a dialog box without making changes, just press the Esc key in the upper-left corner of your keyboard.

  • U↲ If you accidentally change something in the drawing and want to reverse that change, click the Undo tool (the left-pointing curved arrow) in the Standard toolbar. You can also enter U↲ at the command prompt. Each time you do this, AutoCAD undoes one operation at a time, in reverse order. The last command performed is undone first, then the next-to-last command, and so on. The prompt displays the name of the command being undone, and the drawing reverts to its state prior to that command. If you need to, you can undo everything back to the beginning of an editing session.

  • Undo If you decide that you want to back up a few steps of an operation you just performed, you can use the Undo tool (the left-pointing curved arrow) on the Standard toolbar. Each click of the Undo tool steps you back one operation. In AutoCAD 2008, you can also select the exact command to undo by using the Undo drop-down list. You can open the Undo drop-down list by clicking the downward-pointing arrow to the right of the Undo tool.

    Image from book

  • Redo If you accidentally undo one too many commands, you can redo the last undone command by clicking the Redo tool (the right-pointing curved arrow) on the Standard toolbar. Or enter R↲. In AutoCAD 2008, Redo allows you to redo several operations that you might have undone with the Undo command. You can also select the exact command to redo by using the Redo drop-down list. To open the Redo drop-down list, click the downward-pointing arrow to the right of the Redo tool.

    Image from book
Image from book


Panning and Zooming to Adjust Your View

One of the greatest features of AutoCAD is its ability to draw accurately through a wide range of scales. For example, you can draw a football field, zoom into a blade of grass, and draw its cell structure. With such a broad range of views to work with, you need to be familiar with AutoCAD's view features. The Zoom and Pan commands are the most frequently used view features, so you'll want to become familiar with them right away.

Try the following exercise to see how Zoom works:

  1. Choose View è Zoom è Window, or select Zoom, Window from the 2D Navigate control panel. The 2D Navigate control panel is the one at the bottom of the Dashboard.

    Image from book

  2. Click the first point indicated in Figure 1.10. You don't have to be too accurate.

  3. Click the second point indicated in Figure 1.10. The area you selected expands to fill the drawing area. Notice that the transition to the zoomed view is smooth. This helps you keep track of exactly where in the drawing the zoom occurs.

  4. Choose View è Pan è Realtime, or click the Pan Realtime tool in the 2D Navigate control panel. Notice that the cursor changes to a hand icon.

    Image from book

  5. Click and drag the cursor in the drawing area. Notice how the view moves as you drag the cursor.

  6. Press Esc to exit the Pan command. You can also right-click and choose Exit from the shortcut menu.

  7. Finally, to get your original view of the overall drawing, choose View è Zoom è Previous, or click the Previous View tool in the 2D Navigate control panel.

    Image from book
Image from book
Figure 1.10: Selecting a Zoom window

If you have a mouse with a scroll wheel, you can use the wheel to zoom in and out of your drawing view. You can also use it to pan across your drawing. To zoom, scroll the wheel. To pan, click and drag the scroll wheel.

If you have a mouse that uses special drivers, you might not be able to use the wheel to control pans and zooms.

Several other Zoom- and Pan-related commands exist, but those you've just tried are the ones you'll use 90 percent of the time. You can try the other Zoom and Pan options, which are displayed when you choose View è Zoom. You'll also find options in the Zoom command-line options list:

[All/Center/Dynamic/Extents/Previous/Scale/Window/Object] <real time>:

Here is a list of the options and how you can use them:

  • Realtime Is the default Zoom option. It displays a magnifying glass cursor. With this option, you can click and drag up or down to change your magnification in real time. You can right-click to access the other Zoom options, including Exit and Cancel.

  • Previous Displays the previous view like Undo does for the Zoom command.

  • Dynamic Changes the display to an overall view. A rectangle also appears, which lets you select an area to which to zoom in. To change the size of the rectangle, click the rectangle. This allows you to adjust the size of the rectangle and thus change the size of the zoom area. Click again to fix the rectangle size. Right-click, and choose Enter to zoom in to the selected area.

  • Scale Lets you zoom in or out by a specific value. It allows you to enter a specific view scale.

  • Center Allows you to center a location on the screen.

  • Object Lets you select a view area based on the area occupied by an object. For example, if you want to zoom in so that a particular object fills the display area, use this option.

  • In Is the same as using the Scale option and entering 2x to magnify your view two times.

  • Out Is the same as using the Scale option and entering 0.5x to view twice the current view area.

  • All Displays the area of your drawing defined by the drawing limits plus any part of your drawing that falls outside the limits.

  • Extents Displays a view that encompasses all the objects in your drawing. This option ignores the limits of your drawing.

You've just about completed your first look at AutoCAD. You'll want to know about just a couple of other features. In the next section, I'll introduce a display feature in AutoCAD that helps you set up your drawing for printing.


Understanding the Layout View

Aside from the command prompt, you've probably noticed that AutoCAD behaves like most other Windows programs. But one element in AutoCAD's window is a little different from other Windows graphics programs. Specifically, at the bottom of the AutoCAD window, you'll see a set of tabs labeled Model, Layout1, and Layout2.

Image from book

If you have followed the exercises in this chapter or if you've just opened a new drawing, the Model tab is currently selected. This tells you that the drawing area you are currently viewing is the model space of AutoCAD. Model space is the display you'll use to do most of your drawing. It's like your main workspace.

The layout tabs are like page previews with the added advantage of allowing you to draw within them. The layout tabs also give you control over the printed scale of your drawing.

Another way to look at the layout tabs is to think of them as a drawing mock-up area. Using a layout tab, you can set up multiple views of the drawing you create in model space. You can also add a title to your drawing and include borders or other graphic design features.

Try the following exercise to see firsthand how the layout tabs work:

  1. Click the Layout1 tab at the bottom of the drawing area.

    Image from book

    The drawing area changes to show your drawing, plus some additional display elements, as shown in Figure 1.11. The Layout tab shows you how your drawing will look when it is printed.

  2. Move the cursor over the rectangle that immediately surrounds the rectangle and circle drawing that you created earlier in the chapter.

    Image from book
    TURNING ON THE TABS

    If you don't see the tabs, don't worry. AutoCAD can be set up to hide the tabs but they can be easily restored to view. To turn them on, locate the Model tool in the Status bar at the bottom of the AutoCAD Window.

    Image from book

    Right-click the Model or Layout1 tool located at the bottom of the AutoCAD window, and then select Display Layout and Model Tabs. The tabs will appear just below the drawing area. To hide the tabs, right-click on any tab and select Hide Layout and Model Tabs. If you want to leave the tabs off, you can still switch from model space to a layout by clicking on the model or layout1 tools. If you have multiple layouts, you can use tool just to the right of the Layout1 tool to select a layout.

    Image from book

  3. Click the highlighted rectangle, and then press the Delete key. Your drawing disappears.

  4. Click the Model tab to return to model space. You'll see that the objects you drew are still there.

  5. Click the Undo tool in the Standard toolbar twice to return to the Layout1 tab and undo your deletion of the outer rectangle. The view of the rectangle and circle returns.

  6. Click the Model tab to return to the original drawing area.

    Image from book
Image from book
Figure 1.11: Your drawing as it appears in one of the layout tabs
Image from book
ACCURATE PANNING

Realtime Pan is a great tool for quickly getting around in a drawing, but sometimes you need to pan in an exact distance and direction. A version of the Pan command lets you do just that.

Choose View è Pan è Point, and you'll see the following prompt:

Specify base point or displacement:

This is the prompt you'll see for the Move or Copy commands, though in this case you're not affecting the objects in your drawing. When you select a point at this prompt, you'll see a rubber-banding line in conjunction with the next prompt:

Specify second point:

The rubber-banding line indicates the direction and distance of your pan. As with any other command that displays a rubber-banding line, you can select points to indicate distance and direction, or you can enter coordinates. This allows you to specify exact distances and directions to pan your view.

Image from book

In step 3, your entire drawing disappeared when you deleted the outer rectangle. This is because that rectangle is really a viewport into the drawing you created in the Model tab. When you are on a layout tab, a viewport acts like a window into your drawing. By default, AutoCAD creates a single viewport to show your drawing, but you can have multiple viewports of various sizes, each displaying different parts of your drawing. When you deleted that viewport, you essentially closed your view into your drawing in the Model tab, so your rectangle and circle disappeared from view. They didn't really go anywhere. It's just that your view of them was deleted.

You might have also noticed that a layout tab displays a white area over a gray background. This white area represents the area of the paper onto which your drawing will be printed.

The white area also shows a dashed line close to its edge. This dashed line represents the printable area of your paper. The current default printer connected to your computer determines both the paper area and the dashed line.

If you have a printer that accepts paper of different sizes, you can select a different sheet size, and the new sheet size will be reflected in the white area shown in the layout tab. You'll learn how to control sheet sizes in Chapter 12.

As you might guess, you use the layout tabs to lay out your drawing for printing. You can print from the Model tab if you like, but you have much more control over your printer output from a layout tab.


Understanding How Command Options Work

Nearly every AutoCAD command offers a set of options that are shown at the command-line prompt. These options let you alter the behavior of a command to suit your current drawing. To see how command options work and to get a feel for the drawing process in general, in this exercise you'll draw an arc and then place it exactly in the inside corner of the rectangle:

  1. Click the Arc tool in the 2D Draw control panel.

    The prompt Specify start point of arc or [Center]: appears, and the cursor changes to a crosshair cursor.

    Image from book

  2. If you examine this Specify start point of arc or [Center]: prompt, you'll see the start point contains two options. The default option is stated in the main part of the prompt: Specify start point. If other options are available, they appear within brackets, as in the [Center] option that appears in the Arc Command prompt. This [Center] option tells you that you can also start your arc by selecting a center point instead of a start point. If multiple options are available, they appear within the brackets and are separated by slashes (/). The default is the option AutoCAD assumes you intend to use unless you tell it otherwise.

  3. Enter C↲ to select the Center option. The prompt Specify center point of arc: appears. Notice that you had to enter only the C and not the entire word Center.

    When you see a set of options in the command line, note their capitalization. If you choose to respond to prompts using the keyboard, these capitalized letters are all you need to enter to select that option. In some cases, the first two letters are capitalized to differentiate two options that begin with the same letter, such as LAyer and LType.

  4. Now select a point for the center of the arc, as shown in Figure 1.12. The prompt Specify start point of arc: appears. You'll also see a rubber-banding line from the center point you just selected to your cursor.

    If you point directly to the right, you'll see that the rubber-banding line snaps to an exact horizontal orientation, and you'll see a ToolTip appear at the cursor. This is a feature called polar tracking vector, and it helps you to draw in exact horizontal and vertical directions much like a T square and a triangle. The ToolTip shows your cursor's location relative to the center point you just selected. It displays this information in what is known as a polar coordinate. You can learn more about polar coordinates in Chapter 2.

  5. With the rubber-banding line pointing to the right, click to select a point, as shown in Figure 1.12. The prompt Specify end point of arc or [Angle/chord Length]: appears.

  6. Move the mouse, and a temporary arc appears, originating from the start point of the arc that you just selected and rotating about the center of the arc.

    As the prompt indicates, you now have three options. You can enter an angle, a chord length, or the endpoint of the arc. The prompt default, to specify the endpoint of the arc, lets you select the arc's endpoint. The cursor is in Point Selection mode, telling you it is waiting for point input. To select this default option, you need only select a point on the screen indicating where you want the endpoint.

  7. Move the cursor so it points vertically from the center of the arc. You'll see the polar tracking vector snap to a vertical position, as shown in Figure 1.12.

  8. Click any location with the polar tracking vector in the vertical position. The arc is now fixed in place.

Image from book
Figure 1.12: Using the Arc command

As you can see, AutoCAD has a distinct structure in its prompt messages. You first issue a command, which in turn presents options in the form of a prompt. Depending on the option you select, you get another set of options or you are prompted to take some action, such as selecting a point, selecting objects, or entering a value. The prompts offer a great deal of help "prompting" you to take an action.


Getting Help

AutoCAD provides a good set of help options that can answer most of the questions you might have while working on a drawing. If you're stuck with an AutoCAD problem, give the AutoCAD help options a try.

To get more familiar with the AutoCAD Help window, try the following:

  1. Choose Help è Help from the menu, or press F1 to open the AutoCAD 2008 Help window.

  2. Click the Contents tab, which contains a table of contents. The other two tabs-Index and Search-provide assistance in finding specific topics.

    Image from book

  3. Scan down the screen until you see the topic Command Reference, and double-click it. Both panels of the Help window change to show more topics.

  4. In the panel on the right, click the item labeled C just to the right of the command listing. The panel expands to display a list of command names that start with the letter C.

  5. Look down the list, and click Copy. A description of the Copy command appears in the panel to the right.

You also have the Concepts, Procedures, and Commands tabs along the top of the panel on the right. These options provide more detailed information about how to use the selected item. If you want to back up through the steps you have just taken, click the Back button on the toolbar.

Using the Search Tab

If you're a beginning AutoCAD user looking for help, the Help window's table of contents might not be as useful as it could be. To use it, you have to know a little about what you want to find. Sometimes it's quicker to use the Search feature of the Help window:

  1. Click the Search tab in the left panel. If this is the first time you've selected the Search tab, you might see a message telling you that AutoCAD is setting up an index for searches.

  2. Enter Change in the text box at the top of the Search tab, and then click Ask or press ↲. The list box displays all the items in the Help system that contain the word Change.

In this example, the list that is returned is quite large. You can use Boolean AND, OR, NEAR, and NOT in conjunction with other keywords to help filter your searches. Once you've found the topic you're looking for, select it from the Select Topic list, and then click the Display button to display the topic information.

The Index tab lets you locate specific topics in the AutoCAD Help system by entering a word in a list box.

Using Context-Sensitive Help

AutoCAD also provides context-sensitive help to give you information related to the command you are currently using. To see how this works, try the following:

  1. Close or minimize the Help window to return to the AutoCAD window.

  2. Click the Move tool in the 2D Draw control panel to start the Move command.

    Image from book

  3. Press F1 or choose Help from the menu bar to open the Help window. A description of the Move command appears in the panel on the right.

    Image from book

  4. Click the Close button, or press the Esc key.

  5. Press the Esc key to exit the Move command.

If you gain some confidence with AutoCAD's Help window, you can go far in helping yourself learn basic AutoCAD commands. But if you really get stuck, this book should help you get past your barriers.

Finding Additional Sources of Help

The Help window is the main source for reference material, but you can also find answers to your questions through the other options in the Help menu. Here is a brief description of the other Help menu options:

  • Info Palette (AutoCAD 2008 LT only) A pop-up window that offers immediate help with the command you are using. It's helpful for first-time users. When you issue a command with the Info palette open, you will see an option or a list of options in the palette. These options offer a brief tutorial or other information regarding the current command.

  • Additional Resources è Developer Help Information specifically for developers. This includes anyone interested in customizing AutoCAD.

  • New Features Workshop Descriptions and tutorials focused on the new features found in AutoCAD 2008. You can update this unique support tool through the Autodesk website.

  • Additional Resources è Online Training Resources offers additional options that start your default web browser and open pages in the Autodesk website. You can find the most up-to-date information regarding AutoCAD support and training by using these options.

  • About Information about the version of AutoCAD you are using.

Staying Informed with the InfoCenter

Nearly every major Windows program is somehow linked to the Internet to offer the latest news and updates for software. AutoCAD provides the InfoCenter, which appears as a bar in the upper-right corner of the AutoCAD window.

Image from book

Click the magnifying glass icon to the left of the InfoCenter bar to open the InfoCenter search list.

Image from book

The InfoCenter provides a way to stay informed about the latest software updates and support issues for AutoCAD. Click the Settings button to open the InfoCenter Settings dialog box.

Image from book

The InfoCenter works best if you use an "always-on" Internet connection such as a DSL connection or high-speed cable connection. If you don't have such a connection, you can set the Check For New Online Content option to On Demand. You can then check for updates when you connect to the Internet.

Once you've set up the InfoCenter, you can begin to use a wide range of resources on the Internet aimed at the AutoCAD user. If you click the InfoCenter's Communication Center tool, the one that looks like a satellite dish, you'll open a list of topics available.

The list is divided into main topics shown as gray title bars. You can click the arrow to the right of a title bar to close or open a topic.

Image from book


Summary

AutoCAD is a rare example of a program that has successfully made the transition from a text-based DOS program to a fully Windows-compliant one. As with most of today's drawing programs, you can use toolbars and menu options to access AutoCAD's features. The trick to using AutoCAD is in learning how to use it to input exact distances and directions. Once you've mastered the input methods AutoCAD offers, you're well on your way to producing accurate drawings. If you find you have questions along the way, this book will provide the right amount of help, but don't forget the AutoCAD Help system. It is full of great information and can be a real lifesaver.

That does it for your introduction to AutoCAD. You might want to practice what you've learned thus far. When you're ready to get down to some serious drawing, check out the next chapter. There you'll be introduced to the drawing tools you'll need to produce accurate drawings.


Chapter 2: Understanding the Drafting Tools

Overview

A lot of programs let you draw lines, circles, and arcs, but AutoCAD lets you draw with a level of precision that goes way beyond most other drawing programs. To take advantage of that precision, however, you need to know how to use the Drafting tools.

This chapter covers the tools that allow you to place objects exactly where you want them. You'll start by learning about the AutoCAD coordinate system, which is fundamental to your understanding of precision in AutoCAD. You'll then learn how to set up a drawing and how AutoCAD uses units of measure. The last half of this chapter covers the tools that let you select points in your drawing accurately. You'll learn how to select exact endpoints or midpoints of lines, for example, and how to align one object with another.


Understanding the AutoCAD Coordinate System

Before you get too far into your use of AutoCAD, you'll want to know a little about its coordinate system. Coordinates are important because they allow you to specify exact locations in your drawing. You'll use coordinates frequently to set the size and location of objects, to move and copy objects, and to align objects relative to each other.

AutoCAD uses a standard XY Cartesian coordinate notation with a horizontal x-axis and a vertical y-axis, as shown in Figure 2.1.

Image from book
Figure 2.1: AutoCAD's coordinate system

In a new drawing, AutoCAD shows the positive X and Y range of coordinates with the 0,0 coordinate, or origin, placed in the lower-left corner of the drawing area. The origin is an important coordinate location because you can use it as a reference for multiple drawings. For example, you can use the origin in a set of house plans to coordinate locations among a site plan drawing, a landscape drawing, and a floor plan.

Many AutoCAD commands ask you to choose a location by entering a point. For example, if you start the Line command, you'll see the following prompt:

Specify first point:

You can specify exact coordinates by entering the X and Y coordinates separated by a comma. You give the X coordinate first and then the Y coordinate. For example, you enter a location that is 5 units in the X direction and 4 units in the Y direction as 5,4 (see Figure 2.1). If you want to include the Z coordinate for a 3D location, you include it at the end of the list with a comma, as in 5,4,2; in this case, 2 is the Z coordinate. When you enter coordinates in this way, you are said to be using absolute coordinates, since these are exact locations in the overall coordinate system.

But for the most part, you won't be entering absolute coordinates to specify locations in a drawing. Usually, you'll want to specify locations that are relative to a point you select in the drawing area. You can specify a distance and direction from a selected point using relative coordinates.

You specify relative coordinates in the same way you specify absolute coordinates, with one major exception-you must precede the coordinate with the @ sign. The @ sign means "from the last point selected." For example, suppose you want to draw a horizontal line 3 units long in a random location in the drawing. You can start the Line command and then at this prompt

Specify first point:

you can select a point anywhere on the screen by clicking the drawing area. The next prompt asks for the next point of the line:

Specify next point or [Undo]:

At this point, you enter @3,0. This tells AutoCAD to draw a line that is 3 units in the X coordinate and 0 units in the Y coordinate from the last point selected.

Another way to specify distance and direction is to use polar coordinates. With polar coordinates, you specify a distance and an angle. For example, if you want to specify a point that is 40 units from another point and at a 45° angle, you enter @40<45. Here, the @ sign tells AutoCAD that you want to select a point relative to the last point selected, the 40 is the distance, and the <45 is the angle, as shown in Figure 2.2.

Image from book
Figure 2.2: Drawing a line at a 45° angle

You won't have to use coordinates for everything you draw. You can accurately select locations on objects using object snaps, or osnaps for short. Osnaps are a way of selecting exact locations on existing objects in a drawing, such as the endpoint or midpoint of a line or the intersection of a line and a circle. See "Setting Up Osnap Locations" later in this chapter for more about osnaps.

Experimenting with Coordinates Using Lines

The preceding explanation of AutoCAD's coordinate system, though brief, can serve as a reference as you work with AutoCAD. If you need some additional practice, try the following to see firsthand how to use the coordinate methods. You'll use the Line command as a practice tool. These exercises will also help you become more familiar with the way AutoCAD works in general; so if you are totally new to AutoCAD, it is a good idea to do the exercises in this section.

Throughout the rest of the book, I'll be asking you to select tools from the control panels of the Dashboard. Instead of showing you the entire control panel, I'll show the tool as a margin icon next to the step that uses the tool, as shown in step 3 of the following exercise. If you need to refresh your memory of the locations of the control panels, see Figure 1.7 in the previous chapter.

To begin a line, follow these steps:

  1. Start AutoCAD, choose File è New, and select the acad.dwt template. Make sure you are in the 2D Drafting & Annotation workspace.

  2. Make sure the Dynamic Input option is off by clicking the DYN button in the status bar. It should appear in the off, or "up," position. You'll get a chance to use this feature later.

    Image from book

  3. Image from book Click the Line tool on the 2D Draw control panel, or enter L↲ to start the Line command. AutoCAD responds in two ways. First, in the command line, you'll see this message asking you to select a point to begin your line:

    Specify first point:

    The cursor has also changed its appearance; it no longer has a square in the crosshairs. This is a clue telling you to select a point to start a line (see Figure 2.3).

  4. Click to select a point on the screen a little to the left of center. As you select the point, AutoCAD changes the prompt to the following:

    Specify next point or [Undo]:

    Now as you move the cursor, notice a line with one end fixed on the point you just selected and the other end following the cursor (see the top image in Figure 2.3). This action is called rubber-banding.

    If you move the cursor to a location directly to the left or right of the point you clicked, you'll see a dotted horizontal line, along with a message at the cursor. This action also occurs when you point directly up or down. In fact, your cursor will seem to jump to a horizontal or a vertical position.

    Image from book

    This feature is called polar tracking. It helps restrict your line to an exact horizontal or vertical direction as a T square and triangle would. You can turn polar tracking on or off by clicking the Polar button in the status bar. If you don't see it, it's likely that it's turned off.

    Now continue with the Line command.

  5. Click a point below and to the right of the center of the drawing area. The first rubber-banding line is now fixed between the two points you selected, and a second rubber-banding line appears. (See the bottom image in Figure 2.3.)

  6. Image from book If the line you drew isn't the exact length you want, you can back up during the Line command and change it. To do this, click Undo (the left-pointing curved arrow) in the Standard toolbar, or enter U↲.

Image from book
Figure 2.3: A rubber-banding line

The Undo tool in the Standard toolbar contains an Undo drop-down list from which you can undo to a specific command. See Chapter 1 for more information.

Now the line you drew previously will rubber-band as if you hadn't selected the second point to fix its length. You've just drawn, and then undrawn, a line of an arbitrary length. The Line command is still active. Two items tell you that you are in the middle of a command. If you don't see the word Command at the bottom line of the command window, a command is still active. Also, the cursor will be the plain crosshairs without the box at its intersection.

From now on, I will refer to the crosshair cursor without the small box as the Point Selection mode of the cursor. If you look ahead to the sidebar titled "Interpreting the Cursor Modes and Understanding Prompts," you'll see all the modes of the drawing cursor.

Specifying Exact Distances

Next, you will draw a simple rectangle 10 units wide by 2 units high. By drawing a rectangle to a specific dimension, you'll get a chance to specify exact distances. You can use either relative polar coordinates or Cartesian coordinates to draw in AutoCAD. You'll start by using relative polar coordinates, which is the most common method for distance input.

Specifying Polar Coordinates

To enter the exact distance of 10 units to the right of the last point you selected using polar coordinates, do the following:

  1. Enter @10<0. As you type, the characters appear at the command prompt.

  2. Press ↲. A line appears, starting from the first point you selected and ending 10 units to the right of it (see Figure 2.4). You have just entered a relative polar coordinate.

Image from book
Figure 2.4: Notice that the rubber-banding line now starts from the last point selected. This tells you that you can continue to add more line segments.

Remember, you specify polar coordinates by starting with the @ sign followed by the distance, a less-than symbol (<), and finally the angle.

If you are accustomed to a different method for describing directions, you can set AutoCAD to use a vertical direction or downward direction by pressing 0↲. See Chapter 3 for details.

Angles are given based on the system shown in Figure 2.5, in which 0↲ is a horizontal direction from left to right, 90° is straight up, 180° is horizontal from right to left, and so on. You can specify degrees, minutes, and seconds of arc if you want to be that exact. I'll discuss angle formats in more detail in Chapter 3.

Image from book
Figure 2.5: AutoCAD's default system for specifying angles

Specifying Relative Cartesian Coordinates

For the second line segment, let's try the Cartesian method for specifying exact distances. Follow these steps:

  1. Enter @0,2↲. A line appears above the endpoint of the last line.

    As in the polar coordinate method, @ tells AutoCAD that the distance you specify is from the last point selected. But, in this step, you're giving the distance in X and Y values. You give the X distance, 0, first, followed by a comma, and then the Y distance, 2. This is how to specify distances in relative Cartesian coordinates.

  2. Enter @-10,0↲.The result is a drawing that looks like Figure 2.6.

    The distance you entered in this step was also in X,Y values, but here you used a negative value to specify the X distance. Positive values in the Cartesian coordinate system are from left to right and from bottom to top (see Figure 2.7). (You might remember this from your high-school geometry class!) If you want to draw a line from right to left, you must designate a negative value.

  3. Enter C↲. This C stands for the Close option of the Line command. It closes a sequence of line segments. AutoCAD draws a line connecting the first and last points of a sequence of lines (see Figure 2.8), and the Line command terminates.

Image from book
Figure 2.6: These three sides of the rectangle were drawn using the Line tool. You can specify points using either relative Cartesian or polar coordinates.
Image from book
Figure 2.7: Positive and negative Cartesian coordinate directions
Image from book
Figure 2.8: The finished rectangle

To finish drawing a series of lines without closing them, you can press Esc, ↲, or the spacebar.

You can also use these methods when you need to specify distances when moving or copying objects or any time you need to specify a distance and direction.

Using the Direct Distance Method for Quick Relative Coordinates

A third way to enter distances is to simply point in a direction with a rubber-banding line and then enter the distance using the keyboard. For example, to draw a line 5 units long from left to right, click the Line tool on the 2D Draw control panel, click a start point, and then move the cursor so that the rubber-banding line points to the right at some arbitrary distance. While holding the cursor in the direction you want, enter 5↲. The rubber-banding line becomes a fixed line 5 units long.

Using this method, called the direct distance method, along with polar tracking, can be a fast way to draw objects of specific lengths. Use the standard Cartesian or polar coordinate methods when you need to enter exact distances at angles other than those that are exactly horizontal or vertical.

A slight variation on the direct distance method is to first enter an angle, such as <30↲, and then point in the direction you want and enter the distance.

Using the Dynamic Input Option

Many users find it bothersome to have to look at the command window while drawing and entering data. AutoCAD provides the Dynamic Input option that offers a kind of "heads-up" display for the command window. Dynamic Input displays the command window prompts at the cursor so you don't have to look down to see them. It also offers yet another method for entering distances and directions. Try the following exercise to see how Dynamic Input works:

  1. Click the DYN button in the status bar to turn on Dynamic Input. The button should look like it is in the on, or "down" position. Also turn off the Polar option.

    Image from book

  2. Click the Line tool in the 2D Draw control panel. Now as you move the cursor, you'll see the Specify first point: prompt at the cursor. You'll also see the coordinate readout.

    Image from book

  3. Click a point below the left corner of the rectangle you just drew. Now as you move the cursor, you'll see the actual dimension of the rubber-banding line as well as its angle near the cursor. You'll also see the Specify next point or prompt at the cursor, and the length dimension is highlighted.

    Image from book

  4. The length dimension being highlighted tells you that you can enter a value for that dimension. Enter 10, and then press the Tab key. As you enter 10, it appears in the horizontal dimension. Once you press the Tab key, the line remains fixed at a length of 10 units while the angle continues to follow the cursor.

    Image from book

  5. Notice that the angle value is now highlighted. Enter 0↲ to fix the angle at 0°. The line is now fixed in place, and the next line segment is ready to be entered.

For the next line segment, try entering the angle first:

  1. Press the Tab key. Notice that the angle value is now highlighted without affecting the length dimension.

  2. Make sure the cursor is somewhere above the previous line, then enter 90, and press the Tab key. The angle is fixed at 90°, but the length is still variable. After you press the Tab key, the length dimension is highlighted.

    Image from book

  3. Enter 2↲ for the length. Now you have a vertical line segment 2 units long. Now try entering a Cartesian coordinate.

  4. The length value is now highlighted again ready for another line segment. Enter -10,0↲. A line segment is drawn from right to left. Notice that you didn't have to include the @ sign. With Dynamic Input turned on, AutoCAD automatically assumes you want to specify the object's dimension rather than a coordinate in the overall coordinate system. This applies only to points you enter after the initial point you select to start the object. If you prefer, for consistency, you can still use the @ sign while entering relative coordinates with the Dynamic Input display.

  5. Enter C↲ to close the set of lines.

  6. Turn off the Dynamic Input option by clicking the DYN button in the status bar.

As you worked through the exercise, you might have noticed a little downward-pointing arrow in the command line at the cursor. This tells you that you can press the down arrow key to access command options. The options are the same as those inside the square brackets in the command line.

Image from book

The Dynamic Input option offers yet another method for drawing and editing objects. As you can see from this example, you can enter a value for an object's dimension and then use the Tab key to move to the next value displayed by the cursor. If you prefer, you can use the Tab key to move to a different value from the current highlighted value without entering anything, or you can just enter distances in the usual way, using Cartesian or polar coordinates.

Other commands, such as Rectangle and Circle, offer different dimension values that are more appropriate to the object being drawn, but the process is still the same: enter a value for the highlighted dimension by the cursor, and then use the Tab key to move to the next dimension value. If you want to enter relative Cartesian or polar coordinates, you don't have to include the @ sign, though you can if you want to for consistency. You can also use the direct distance method mentioned earlier, with the added benefit of using the angle readout of the Dynamic Input display. Use the Dynamic Input display's angle readout to point the rubber-banding line at the desired angle, and then enter the length you want followed by ↲. AutoCAD will draw the line at the length you specify and at the indicated angle.

If you want to enter an absolute coordinate from the Dynamic Input display, use a number sign (#) in place of the @ sign.

Now that you have some general practice, you're ready to set up an actual drawing.

For the rest of the book, unless I'm specifically discussing the Dynamic Input option, I will assume that it is turned off. Although it is a great tool, it can create some confusion for new users and can create some visual clutter in some of the exercises and examples. You might also be receiving help from others who are not familiar with the Dynamic Input option, which would create further confusion for you as a new user. As you become more accustomed to using AutoCAD, you might want to turn it on and experiment with it on your own. I'll also explain other features of the Dynamic Input option in later chapters.


Setting Up a Drawing

When you first open AutoCAD, you are presented with a default drawing called Drawing1. You can start drawing right away in Drawing1 without having to set up a drawing area or determine the drawing units you want to use. And even if you do set up a drawing for a particular area and type of drawing unit, you can always change them at any time. So as you learn how to set up a drawing, keep in mind that you can alter, expand, and modify the setup at any time.

Selecting the Drawing Units

Though not absolutely essential, it is helpful to set up the drawing units in AutoCAD before you start your drawing. And eventually, you'll want to set up the drawing units, so you might as well make a habit of setting them up first.

You'll most likely use either imperial or metric measurement systems, although you are not limited to those two systems. You can regard the base AutoCAD unit as anything you want as long as you are consistent in your use of that unit.

The most commonly used system in the United States is the imperial system of inches and feet. Since the imperial system has some special requirements, AutoCAD provides additional options when you're using it.

To select a drawing unit, you use the Drawing Units dialog box.

If you want to just start drawing right away without setting up the drawing units, you can assume that the basic unit is the inch. Metric users can decide to use millimeters, centimeters, decameters, or meters, but whichever you choose to be the basic unit, make sure you stick with it throughout the drawing. You can tell AutoCAD what you want that unit to represent later by using the Drawing Units dialog box.

  1. Choose Format è Units to open the Drawing Units dialog box (see Figure 2.9).

  2. In the Length group, click the Type drop-down list, and then select the option that best represents the unit of length you will be using in your drawing. (See Table 2.1 for a description of these options.) If you are creating an architectural drawing using imperial units, select the Architectural option. This will let you specify distances in feet and inches.

    As you select an option in the Type drop-down list, you'll see a sample of the type in the Sample Output box at the bottom of the dialog box.

  3. In the Angle group, click the Type drop-down list, and then select the option that best represents the type of angle you plan to use. (See Table 2.2 for a description of these options.) The Decimal Degrees option is the most commonly used angle option for most drawings, but if you are drawing a site plan, you can select Surveyor's Units to use a "metes and bounds" style of distance measurement.

  4. Click OK.

    Once you've set up the drawing units, you can use that unit as you specify distances in AutoCAD. For example, if you select Architectural, you can specify distances in feet and inches. The Engineering option lets you specify distance in feet and decimal feet. If you are using a metric system, stick with the default Decimal option.

Image from book
Figure 2.9: The Drawing Units dialog box
Image from book
Table 2.1: The Length Options Open table as spreadsheet
TYPE | DESCRIPTION
Architectural | Feet, inches, and fractional inches, as in 12'6½". You would enter this as 12'6 1/2" with a space between the 6 and the 1/2.
Engineering | Feet and decimal inches, as in 12.5' or 12'6.5". You would enter this as 12'6.5".
Decimal | Whole and decimal units that can be anything (metric distances, decimal inches, decimal feet, or decimal miles, for example).
Fractional | Whole and fractional units that can be anything (fractional metric distances, fractional inches, feet, or miles, for example).
Scientific | Scientific notation for distances. Units can be anything (meters, angstroms, miles, astronomic units, parsecs, or light years, for example).
Image from book
Image from book
Table 2.2: The Angle Options Open table as spreadsheet
TYPE | DESCRIPTION
Decimal Degrees | Whole and decimal degrees of angle.
Deg/Min/Sec | Degrees, minutes, and seconds of angle.
Grads | Angles specified in grads. For example, you would specify 45° of angle by entering 50g.
Radians | Angles specified in radians. For example, you would specify 45° by entering 0.785r.
Surveyor's Units | Angles specified in degrees from north or south to east or west, as in N45dE.
Image from book

Using Other Drawing Unit Options

You might want to know about a few other options in the Drawing Units dialog box. The following options are not as important as the type of length and angle you want to use, but they might play an important role in your work at some point:

  • Precision The Precision option lets you control how AutoCAD reports length and angle values. This option does not actually affect the precision of the objects in the drawing. For example, if you select Decimal as the length type and 0.0 for the precision, AutoCAD displays a distance of 1.2 for a distance of 1.167. If you choose 0.000 for the Precision option, you will see the full distance of 1.167 whenever AutoCAD displays a distance.

  • Direction By default, AutoCAD assumes that 0° is a horizontal direction from left to right. For example, 90° is directly vertical, and 180° is a horizontal direction from right to left. Angle values increase from 0° in a counterclockwise fashion. Figure 2.5 (earlier in this chapter) shows the cardinal directions and their degree values in a default AutoCAD setup.

    If your drawing requires a different direction for 0°, you can use the Direction option to choose an angle. When you click the Direction button, the Direction Control dialog box opens. Click one of four radio buttons to select the 0° direction from the four cardinal directions. If your desired 0° direction does not conform to the cardinal directions, you can specify an angle numerically or graphically by selecting the Other option.

  • Clockwise By default, angle values increase counterclockwise, but you can change this to clockwise by turning on the Clockwise option in the Angle group of the Drawing Units dialog box.

  • Insertion Scale AutoCAD can automatically scale a drawn object using the DesignCenter feature (see Chapter 8 for more about the DesignCenter).

    If you draw an object in inches but you later need to import that object into a drawing created using millimeters, AutoCAD can automatically scale your object so it is the correct size in the metric drawing. To take advantage of this feature, you must specify the type of unit you are using for the current drawing in the Insertion Scale drop-down list. For example, if the current drawing uses feet and inches, select inches from the list.

  • Lighting When creating 3D models, you can add light sources and control their intensity. This option determines the standard used for measuring light intensity.

Determining the Drawing Area

One important concept you need to know is that AutoCAD's drawing area is virtually limitless. Although your view of a new drawing might show you an area that is only 60 units by 30 units, you are not confined to that area. If you like, you can include the entire Western hemisphere of the world in your drawing area, even if you are only drawing a plan of your backyard.

With such a limitless area to work with, you need to set boundaries. To set up your drawing area, think of a reasonable area for the drawing you are about to start. You don't have to be too precise because you can always change it.

Drawing a Reference Rectangle

The first step is to determine what the drawing unit represents and then think of the area you want in real-world terms. You can go about this in a number of ways. This example uses a rectangle to help you see the drawing area more easily.

Suppose you are starting a drawing of a house plan. You know that the lot size is 100' by 50'. First, set up your drawing units to be Architectural, and then do the following:

  1. Choose Format è Units to open the Drawing Units dialog box, select Architectural from the Type drop-down list, and click OK.

  2. Image from book Choose Rectangle from the 2D Draw control panel. In the command window, you'll see the following prompt:

    Specify first corner point or
[Chamfer/Elevation/Fillet/Thickness/Width]:

  3. Enter 0,0. This tells AutoCAD you want the first corner of the rectangle at the origin of the drawing, which is the lower-left corner of a new drawing. If you remember your high-school geometry, 0,0 is the coordinate for the origin of an XY graph. You'll see the next prompt:

    Specify other corner point or [Area/Dimensions/Rotation]:

  4. Enter 100', 50' to draw a 100' by 50' rectangle. The value you entered, 100', 50' is an absolute coordinate that is 100' in the X direction and 50' in the Y direction.

  5. The rectangle is larger than the display of a new drawing, so to view the entire rectangle, choose View è Zoom è Extents.

You've now set up your view to include the entire area enclosed by the rectangle. This is a quick way to set up your drawing area, and it gives you the visual reference of the 100' by 50' rectangle.

Using Limits to Set Up the Drawing Area

In the previous section, you saw how to use a rectangle to set up a drawing area. Another tool for setting up the area is the Limits command. Unlike drawing a rectangle, the Limits command just defines an area. No visual clues show you what that area looks like, but you can choose View è Zoom è All to display the area set by Limits.

Here's how to set up the limits of a drawing:

  1. If you did the previous exercise, delete the rectangle from the drawing. To do this, select the rectangle, and press the Delete key or click the Erase tool in the 2D Draw control panel.

  2. Choose Format è Drawing Limits. You'll see the following prompt:

    Reset Model space limits:
Specify lower left corner or [ON/OFF] <0'-0",0'-0">:

  3. Press ↲ to accept the default location for the lower-left corner, which is the origin of the drawing. You'll then see the following prompt:

    Specify upper right corner <1'-0",0'-9">:

  4. Enter a coordinate value representing what you want to use for your drawing. It should be the actual area at full scale. To use the example of the site plan from the previous section, enter 100', 50'. Once you've entered a value, it will appear as though nothing has happened.

  5. Choose View è Zoom è All. Again, nothing apparently has happened. However, now as you move your cursor to the upper-right corner of the drawing area, you'll see that the coordinate readout in the lower left of the AutoCAD window shows a coordinate of about 100' by 50'.

The drawback to the Limits command is that it does not give you any visual feedback. So why use it? It provides the following features that can be quite useful:

  • You can choose View è Zoom è All to quickly display the area set by the Limits command.

  • You can use the On/Off option of the Limits command to force your drawing to stay within the boundary set by the Limits command.

  • The Grid feature, which displays a grid of dots, displays only within the boundary set by the Limits command. (This is important if you plan to use the Grid feature.)

If you find that you use the same drawing setup repeatedly, you can create template files that are already set up to your own, customized way of working. I discuss templates in Chapter 5.


Using a Digital T Square and Triangle

Before CAD became so prevalent in drafting rooms, most people used T squares and triangles to draw horizontal and vertical lines. AutoCAD provides two features that perform the same function as these hand-drafting tools: Ortho mode and polar tracking.

Using a Quick T Square Function with Ortho

Ortho mode is the simpler of the two-it forces the cursor to point in either a vertical direction or a horizontal direction. You can use Ortho mode in two ways. If you just need to temporarily restrain a rubber-banding line to a vertical or horizontal orientation, hold down the Shift key while selecting points. This is a common method found in many drawing programs. You can also click the Ortho button in the AutoCAD status bar to lock Ortho mode on.

Image from book

Once you've turned Ortho mode on in the status bar, your cursor will be continually constrained to a vertical or horizontal orientation as you draw objects or move, rotate, or copy objects.

Using an Adjustable Triangle with Polar Tracking

Another T square-like tool is polar tracking, which also helps restrain the cursor to horizontal or vertical motion. Polar tracking is much more flexible than Ortho mode because it doesn't force you to point in strictly a horizontal or vertical direction. Instead, it causes the cursor to "snap" to a horizontal or vertical orientation as your cursor approaches such an orientation.

Try the following exercise to see how polar tracking works:

  1. Click the Line tool in the 2D Draw control panel.

  2. Click the Polar button in the AutoCAD status bar to turn it on. Notice that the Ortho button turns off since their functions overlap.

    Image from book

  3. Click a point on the screen to start the line.

  4. Point the cursor so that the rubber-banding line is at a 45° angle, and then slowly rotate the rubber-banding line to a horizontal orientation. Notice that as the rubber-banding line comes close to being horizontal, it "snaps" to a horizontal orientation. You'll also see a ToolTip that displays the length and direction of the line.

    Image from book

  5. Try pointing the rubber-banding line vertically. It "snaps" into a vertical orientation.

  6. Press the Esc key to exit the Line command without drawing anything.

Modifying Polar Tracking's Behavior

Polar tracking is not limited to vertical and horizontal orientations. You can set it to allow for other angles as well, much like an adjustable triangle in hand drafting. You can change the behavior of polar tracking through the Drafting Settings dialog box. To open the Drafting Settings dialog box, do one of the following:

  • Right-click the Polar button in the status bar to open the shortcut menu, and then choose Settings.

  • Choose Tools è Drafting Settings, and then select the Polar Tracking tab.

  • Enter DS↲ at the Command prompt, and then select the Polar Tracking tab (see Figure 2.10).

Image from book
Figure 2.10: The Polar Tracking tab of the Drafting Settings dialog box

With the Drafting Settings dialog box open at the Polar Tracking tab, you can set polar tracking to "snap" to any angle you need. First, select the Track Using All Polar Angle Settings option from the Object Snap Tracking Settings group. Then select an angle from the Increment Angle drop-down list, which is in the Polar Angle Settings group.

Image from book
INTERPRETING THE CURSOR MODES AND UNDERSTANDING PROMPTS

The key to working with AutoCAD successfully is understanding the way it interacts with you. You need to become familiar with some of the ways AutoCAD prompts you for input. Understanding the format of the messages in the command window and recognizing other events on the screen will help you learn the program more easily.

The command window aids you with messages, and the cursor also gives you clues about what to do.

Image from book

The standard cursor tells you that AutoCAD is waiting for the initiation of a command through a toolbar click, a menu selection, or a keyboard entry of a command name. You can also edit objects using grips when you see this cursor. Grips are squares that appear at endpoints and midpoints of objects when they are selected. (You might know them as workpoints from other graphics programs.)

The Point Selection cursor appears whenever AutoCAD expects point input. It can also appear in conjunction with a rubber-banding line. You can either click a point or enter a coordinate using the keyboard.

The Object Selection cursor tells you that you must select objects-either by clicking them or by using any of the object selection options available. The osnap marker appears with the Point Selection cursor when you invoke an osnap and the cursor nears an osnap location. The polar tracking vector appears when you use the polar tracking or osnap tracking feature. Polar tracking aids you in drawing orthogonal lines, and osnap tracking helps you align points in space relative to the geometry of existing objects. Osnap tracking works in conjunction with an osnap.

Image from book

If you don't see the angle you want in the drop-down list, you can enter the value in the list. You can also include an exact, fixed angle that is not incremental by turning on the Additional Angles option. Click New, and then enter an angle in the list box. Table 2.3 shows the polar tracking options and their functions.

Image from book
Table 2.3: Options on the Polar Tracking Tab of the Drafting Settings Dialog Box Open table as spreadsheet
SETTING | PURPOSE
Increment Angle drop-down list | These are angles that a rubber-banding line will snap to in increments. For example, an incremental angle of 10° will cause the rubber-banding line to snap to the angles of 10, 20, 30, and so on, degrees. You can use the existing angles shown in the list or enter a custom angle in the list.
Polar Angle Settings | You can set a fixed, absolute angle to which polar tracking will snap these settings.
Object Snap Tracking Settings | Use the settings you choose in the Polar Angle Settings group by selecting the Track Using All Polar Angle Settings option.
Polar Angle Measurement | Set polar angles relative to the base coordinate system in AutoCAD or the angle of the last line segment created.
Image from book


Getting a Visual Reference with the Grid Mode

If you're a CAD user, chances are you've used grid paper to help sketch an idea for one design or another. Grids can help you get an idea of proportion or approximate distances when you don't have a scale.

AutoCAD's Grid mode displays an array of nonprinting dots within the drawing area. These dots can give you a reference for distance or location. You can set the spacing of the dots and easily turn them on or off using one of the following methods:

  • Click the Grid button in the status bar.

  • Press F7 or Ctrl+G.

You can also enter Grid↲ on↲. An array of dots appears in the drawing area, as shown in Figure 2.11.

Image from book
Figure 2.11: An AutoCAD grid

You can turn off the grid by repeating the operation you used to turn the grid on, or you can enter Grid↲ off↲ at the command prompt.

You might also see a grid that appears only in a small area, as shown in Figure 2.12. This happens when the Display Grid Beyond Limits grid setting is turned off. You'll learn about the grid settings in the next section.

Image from book
Figure 2.12: The grid as it appears when the limits of the drawing are smaller than the current display

As described in "Using Limits to Set Up the Drawing Area," you can choose View è Zoom è All to adjust the display so that the limit of the drawing roughly equals the display area. If parts of the drawing are outside the limits of the drawing, choosing View è Zoom è All displays the limits of the drawing and any parts of the drawing that fall outside the limits.

You can make a wide range of settings for the way grids display. See "Changing the Grid and Snap Settings" later in this chapter for more information.


Snapping to the Grid or Other Regular Intervals

Depending on the type of drawing you are doing, it can be helpful to have the cursor "snap" to the grid. Snap mode in AutoCAD forces the cursor to "snap" to regular intervals. For example, if you are drawing an object whose dimensions fall exactly within 1-unit increments, you can turn on Snap mode and set it to 1 unit. When you then start to draw, the cursor jumps to 1-unit increments.

Units can be inches, metric measurements, or any unit of measure you choose.

To control Snap mode, do one of the following:

  • Click the Snap button in the status bar.

  • Press F9 or Ctrl+B.

You can also turn on Snap mode by entering Snap↲ on↲ at the command prompt.

To turn off the Snap mode, repeat the operation you used to turn it on. You can also enter Snap↲ off↲ at the command prompt.

By default, the grid and snap spacing are the same; so if you turn on the grid and snap at the same time, the cursor appears to snap to the grid points. It is possible to set the grid and snap spacing to different values. For example, you might want the grid to show at a 12-inch interval while the snap spacing is set to 1 inch.

If Snap mode does not seem to have an effect, the snap spacing might be set to a value too small to be noticeable in relation to your current view. For example, if your view encompasses an area the size of a football field and your snap spacing is set to ½ inch, you won't notice the effects of the Snap mode.

In a new drawing, the snap interval is set to 0.5 units. (This is 0.5 inches if you are using the Architectural or Engineering unit type in the Drawing Units dialog box.) The snap spacing can be anything you want, plus you can rotate the snap interval orientation, have a different X and Y snap spacing, or set the snap intervals to align with a specific location such as the corner of a box or the center of a circle. You'll learn how to make these adjustments in the next section.


Changing the Grid and Snap Settings

Grid mode and Snap mode have a wide range of settings. You can modify their spacing and rotation and even set up a grid for 2D isometric drawing. To edit these settings, you use the Drafting Settings dialog box, which you can open by doing one of the following:

  • Right-click the Grid or Snap button in the status bar, and choose Settings from the shortcut menu.

  • Choose Tools è Drafting Settings to open the Drafting Settings dialog box, and then select the Snap and Grid tab.

  • Enter DS↲ at the command prompt to open the Drafting Settings dialog box, and then select the Snap and Grid tab (see Figure 2.13).

Image from book
Figure 2.13: The Snap and Grid tab

From here, you can adjust both the grid and snap settings. The following sections describe the settings in this dialog box.

Adjusting the X and Y Spacing

You can set the X or Y grid spacing for either the grid interval or the snap interval using the Snap X Spacing and Snap Y Spacing text boxes in the Grid and Snap Spacing groups. The Y-spacing value automatically adjusts to match the X-spacing value for both Snap and Grid settings. For example, if you enter 4 for the Grid X Spacing value, the Grid Y Spacing value automatically changes to 4. To set the X and Y spacing to different values, first set the X-spacing value and then set the Y-spacing value. If you have the Isometric Snap setting turned on, X-spacing and Y-spacing values are always the same.

The grid spacing automatically follows the snap spacing if you set both Grid X Spacing and Grid Y Spacing to zero.

Setting Up for Isometric 2D Drawing

Using isometric drawings is a common drafting method for drawing a 3D view of an object. Lines are drawn at 30° increments to simulate a 3D look. If you want to use the grid or snap to help you draw an isometric drawing, select the Isometric Snap option (see Figure 2.14) in the Snap Type group of the Drafting Settings dialog box.

Image from book
Figure 2.14: The Isometric Snap option

With the Isometric Snap option turned on, the grid changes to an isometric pattern, and the cursor changes to conform to the grid. To further aid in drawing an isometric view, you can toggle the cursor orientation between the left, right, or top Isoplane mode by pressing F5 or Ctrl+E. Figure 2.15 shows the cursor orientation for each Isoplane mode.

Image from book
Figure 2.15: The isoplane cursors

Since this is still a 2D drawing, the cursor's Isoplane mode is only an aid to help you visualize your 3D surface and does not affect the objects you draw.

Rotating the Grid, Snap, and Cursor

At times, it's helpful to temporarily rotate your grid to draw objects at an angle. For example, you might need to draw an assembly of rectangular-shaped objects at a 30° angle to the screen orientation, as shown in Figure 2.16. AutoCAD lets you rotate not only the grid but the cursor and snap points as well, facilitating the construction of such a drawing.

Image from book
Figure 2.16: A rotated grid and lines

You can rotate the grid using the user coordinate system (UCS). Here's how it works:

  1. Choose Tools è New UCS è Z.

  2. At the Specify rotation angle about Z axis <90>: prompt, enter the angle you want for your snap and grid.

    The grid displays at the angle you indicated in step 2.

You can also indicate an angle visually in step 2 by clicking two points. For example, to align the grid to a line you've drawn at an angle, use Endpoint object snaps (discussed in "Selecting Exact Locations on Objects" later in this chapter), and select the two endpoints of the line, as shown in Figure 2.17.

Image from book
Figure 2.17: Using osnaps in conjunction with the UCS to align the grid to an object

To return to the standard grid orientation, choose Tools è New UCS è World. You will learn more about the UCS in Chapter 6.

Aligning the Grid to an Object

In addition to rotating the grid, you can also align the grid's origin, or base, to an object. This is useful when you want to use the grid to propagate from a specific location in a drawing, such as the corner of a room or the center of a hole (see Figure 2.18).

Image from book
Figure 2.18: The grid at the left is not aligned, but the grid on the right was aligned with the center of the circle using Snapbase.

To align the grid or snap to an object, do the following:

  1. At the command prompt, enter Snapbase↲.

  2. At the Enter new value for SNAPBASE <0.0000,0.0000>: prompt, select a location that you want to use as the base of the grid or snap, or enter a coordinate for the base.

  3. Choose View è Regen to reset the grid location.

As the command's name indicates, Snapbase sets the base for the snap. It also sets the base for the grid, even if the grid is set to a different X and Y interval from the Snap setting.


Selecting Exact Locations on Objects

One of the main reasons for using AutoCAD is to create accurate representations of your designs. And one of the most important tools you'll use to draw accurately is the object snap, or osnap. Osnaps allow you to select specific locations in your drawing as you draw or edit objects. For example, you can draw a new line from the exact endpoint of another using object snaps. Or you can quickly start or end a line from the exact center of an arc or circle.

These examples might sound trivial, but they reflect some of the most common activities you'll do in AutoCAD. Therefore, understanding osnaps is vital to using AutoCAD successfully.

Setting Up Osnap Locations

You can set up AutoCAD to automatically snap to endpoints, midpoints, and a variety of other locations on objects in your drawing. This exercise shows how this works:

  1. Open a new AutoCAD drawing.

  2. Choose Tools è Drafting Settings to open the Drafting Settings dialog box, and then select the Object Snap tab.

  3. Click the Clear All button at the right of the dialog box to turn off any options that might be selected.

  4. Click the Endpoint, Midpoint, and Intersection check boxes so that they contain a checkmark (see Figure 2.19).

Image from book
Figure 2.19: Checking Endpoint, Midpoint, and Inter-section check boxes

Automatically Snapping to Locations

After setting up osnaps as in the previous example, you are ready to use them. You can turn on Osnap mode so that AutoCAD automatically selects the nearest osnap on an object as you approach the osnap location. This is called a running osnap. The following exercise shows how a running osnap works:

  1. First turn on Osnap mode by clicking the Osnap button in the status bar.

    Image from book

  2. Click the Rectangle tool in the 2D Draw control panel, and then draw a rectangle in the drawing area about the size and location shown in Figure 2.20. You'll use this rectangle to test the osnap settings.

  3. Start the Line command, and place the cursor at the lower-left corner of the rectangle, but don't click yet. Notice that the cursor snaps to the corner and that a square appears. Also, a ToolTip appears after a moment, showing you the name of the osnap that is active, Endpoint.

  4. Click the mouse while the Endpoint osnap is displayed. The line is now fixed to the corner of the rectangle.

  5. Move the cursor to the middle of the right side of the rectangle, as shown in Figure 2.21. The Midpoint osnap appears. This time you'll see a triangle that gives you immediate feedback as to which osnap is active. Leave the cursor there for a moment, and you'll see the Midpoint ToolTip.

  6. Click the mouse while the Midpoint osnap is displayed. The line is now fixed between the lower-left corner and the midpoint of the right side.

  7. Move the cursor to the upper-left corner, click when you see the Endpoint osnap marker, and then press ↲ to exit the Line command.

Image from book
Figure 2.20: Draw this rectangle to practice using osnaps.
Image from book
Figure 2.21: Using the Midpoint osnap

As you can see, osnaps let you quickly select a location on an object without too much intervention on your part.

When you see an Osnap marker on an object, press Tab to move to the next osnap point on the object. If you have several Running Osnap modes on (Endpoint, Midpoint, and Intersection, for example), pressing Tab cycles through those osnap points on the object. This feature can be especially useful in a crowded area of a drawing.

Selecting Osnaps on the Fly

As helpful as osnaps are, they can get in the way. In a crowded drawing, osnaps can cause you to accidentally select a point you don't want. In these situations, you can turn off Osnap mode. When you then need to select an osnap, you can do so from a Shift+right-click menu. This lets you be more selective in the osnap you choose. The following exercise shows how this method works:

  1. If you don't already have a rectangle in the drawing, start a new drawing, and place a rectangle roughly in the middle of the drawing area.

  2. Make sure the Osnap button in the status bar is in the off, or "up," position. If it isn't, click the Osnap button, or press F3.

  3. Click the Line tool, hold down the Shift key, and right-click. A menu appears at the cursor, displaying a list of osnap options (see Figure 2.22).

  4. Select Midpoint, and then place the cursor near the midpoint of the line at the bottom of the rectangle. The Midpoint osnap marker appears.

  5. Shift+right-click again, and select Endpoint from the shortcut menu.

  6. Move the cursor to the upper-right endpoint of the rectangle. This time the Endpoint osnap marker appears.

  7. Click the corner while the Endpoint osnap marker is still visible.

  8. Press ↲ to exit the Line command.

Image from book
Figure 2.22: Osnap options

If you accidentally select too many objects, you can remove them from your selection by holding down the Shift key and clicking the objects.

Understanding the Osnap Options

In the previous exercise, you made several of the osnap settings automatic so that they were available without having to select them from the Osnap shortcut menu. Another way to display the osnap options is to press their keyboard equivalents while selecting points or to Shift+right-click while selecting points to open the Osnap shortcut menu.

The following is a summary of all the Osnap options, including their keyboard shortcuts. You've already used many of these options in this chapter and in the previous chapter. Pay special attention to the options you haven't yet used in the exercises but might find useful to your style of work. The full name of each option is followed by its keyboard shortcut in brackets. To use these options, you can enter either the full name or the abbreviation at any point prompt. You can also select these options from the shortcut menu that is displayed when you Shift+right-click.

Sometimes you'll want one or more of these options available as the default selection. Remember that you can set running osnaps to be on at all times. Choose Tools è Drafting Settings to open the Drafting Settings dialog box, and then click the Object Snap tab. You can also right-click the Osnap button in the status bar and choose Settings from the shortcut menu.

Apparent Intersection [app] Selects the apparent intersection of two objects. This is useful when you want to select the intersection of two objects that do not actually intersect. You will be prompted to select the two objects.

Center [cen] Selects the center of an arc or a circle. You must click the arc or circle itself, not its apparent center.

Endpoint [end] Selects the endpoints of lines, polylines, arcs, curves, and 3D face vertices.

Extension [ext] Selects a point that is aligned with an imagined extension of a line. For example, you can select a point in space that is aligned with an existing line but is not actually on that line. To use that point, enter ext↲ during point selection or select Extension from the Osnap shortcut menu; then move the cursor to the line whose extension you want to use, and hold it there until you see a small, cross-shaped marker on the line. The cursor also displays a ToolTip with the word extension, letting you know that the Extension osnap is active.

From [fro] Selects a point relative to a selected point. For example, you can select a point that is 2 units to the left and 4 units above a circle's center. This option is usually used in conjunction with another osnap option, such as From Endpoint or From Midpoint.

Insertion [ins] Selects the insertion point of text, blocks, xrefs, and overlays.

Intersection [int] Selects the intersection of objects.

Midpoint [mid] Selects the midpoint of a line or an arc. In the case of a polyline, it selects the midpoint of the polyline segment.

Mid Between 2 Points [m2p] Selects a point midway between two points.

Nearest [nea] Selects a point on an object nearest the pick point.

Node [nod] Selects a point object.

None [non] Temporarily turns off running osnaps.

Osnap Settings [os] Opens the Object Snap tab of the Drafting Settings dialog box to allow you to make osnap setting changes.

Parallel [par] Lets you draw a line segment that is parallel to another existing line segment. To use this option, enter par↲ during point selection, or select Parallel from the Osnap shortcut menu; then move the cursor to the line that you want to be parallel to, and hold it there until you see the cross-shaped osnap marker on the line (you might have to move the cursor a bit to see the marker). The cursor also displays a ToolTip with the word Parallel, letting you know that the Parallel osnap is active.

Perpendicular [per] Lets you specify that an object should be perpendicular to another object. You can use this osnap for the start point of a line. The line will then be constrained to a perpendicular direction to the selected object.

Point Filters [.x, .y, .z, .xy, .xz, .yz] Opens an additional set of options that let you select just the X, Y, or Z coordinate of a point or a combination of any pair of these coordinates, such as X and Z or Y and Z. This feature is most useful when creating 3D models.

Quadrant [qua] Selects the nearest cardinal (north, south, east, or west) point on an arc or a circle.

Tangent [tan] Selects a point on an arc or a circle that represents the tangent from the last point selected.

Temporary Track Point [tt] Allows you to use the osnap tracking feature "on the fly." See "Using the Temporary Tracking Point Feature" later in this chapter.

Fine-Tuning the AutoSnap Feature

When you click the Options button on the Object Snap tab of the Drafting Settings dialog box, you'll see the Drafting tab of the Options dialog box. This tab provides options pertaining to the AutoSnap feature (see Table 2.4). AutoSnap looks at the location of your cursor during osnap selections and locates the osnap point nearest your cursor. AutoSnap then displays a graphic called a marker showing you the osnap point it has found. If it is the one you want, simply click to select it.

Image from book
Table 2.4: The AutoSnap Settings on the Drafting Tab of the Options Dialog Box Open table as spreadsheet
OPTION | USE
Marker | Turns the graphic markers on or off
Magnet | Causes the Osnap cursor to "snap to" inferred osnap points
Display AutoSnap Tooltip | Turns the Osnap ToolTip on or off
Display AutoSnap Aperture Box | Turns the old-style osnap cursor box on or off
AutoSnap Marker Size | Controls the size of the graphic marker
Image from book

You can also get to this tab by choosing Tools è Options and then selecting the Drafting tab.


Aligning Objects Using Object Snap Tracking and Tracking Points

Osnaps are great for selecting exact locations directly on existing objects, but what if you want to find a point that is aligned with an object but not necessarily on the object? Object snap tracking, or osnap tracking, is like an extension of object snaps that allows you to align a point to the geometry of an object instead of just selecting a point on an object. This alignment point is referred to as a tracking point since the cursor "tracks" from the selected osnap point.

With osnap tracking you can select a point that is exactly at the center of a rectangle. In the following exercise, you'll place a circle in a rectangle to see how osnap tracking works firsthand.

The osnap tracking feature is not available in AutoCAD LT 2008. If you are using LT, you can use the temporary tracking feature described later in this chapter.

First, make sure running osnaps are turned on and that they are set to the Midpoint option. Then make sure osnap tracking is turned on. The following steps describe how to do this:

  1. Right-click the Otrack button in the status bar, and choose Settings from the shortcut menu to open the Drafting Settings dialog box (see Figure 2.23) at the Object Snap tab.

  2. Make sure the Midpoint option in the Object Snap Modes group is checked. Other osnap modes might also be checked. You can leave them on.

  3. Also make sure that Object Snap On and Object Snap Tracking On are both checked. Click OK.

Image from book
Figure 2.23: The Drafting Settings dialog box

Now you're ready to draw:

  1. Draw a rectangle large enough to fill most of the drawing area with some margin around the outside, as shown in Figure 2.24.

  2. Image from book Click the Circle tool in the 2D Draw control panel, or enter C↲.

  3. At the Specify center point for circle or [3P/2P/Ttr (tan tan radius)]: prompt, enter C, or right-click and choose Center from the shortcut menu.

  4. Move your cursor to the top, horizontal edge of the rectangle, until you see the Midpoint ToolTip.

  5. Move the cursor directly over the Midpoint osnap marker. Without clicking, hold the cursor there for a second until you see a small cross appear. Look carefully because the cross is quite small. This is the osnap tracking marker.

    Image from book

    You can alternately insert and remove the osnap tracking marker by passing the cursor over it.

    Now as you move the cursor downward, a dotted line appears, emanating from the midpoint of the horizontal line. The cursor also shows a small x following the dotted line as you move it.

    Image from book

  6. Move the cursor to the midpoint of the left vertical side of the rectangle. Don't click, but hold it there for a second until you see the small cross. Now as you move the cursor away, a horizontal dotted line appears with an x following the cursor.

    Image from book

  7. Move the cursor to the center of the rectangle. The two dotted lines appear simultaneously, and a small x appears at their intersection.

    Image from book

  8. With the two dotted lines crossing and the x at their intersection, click to select the exact center of the rectangle.

  9. At the Specify radius of circle or [Diameter]: prompt, click a point anywhere to finish the circle. The radius doesn't really matter here. The circle appears in the exact center of the rectangle, as shown in Figure 2.25.

Image from book
Figure 2.24: Draw this rectangle to practice using osnap tracking.
Image from book
Figure 2.25: The completed circle centered on the rectangle

Although you used the Midpoint osnap setting in this exercise, you are not limited to only one osnap setting. You can use as many as you need to in order to select the appropriate geometry. You can also use as many alignment points as you need, although in this exercise, you used only two. If you want, erase the circle, and repeat this exercise until you get the hang of using the osnap tracking feature.

As with all the other buttons in the status bar, you can turn osnap tracking on or off by clicking the Otrack button. You can also press F11.


Using the Temporary Tracking Point Feature

The osnap tracking feature described in the previous section automatically selects tracking points for you when you momentarily hold the cursor on a location. Osnaps must be turned on for this feature to work. But what if you want to use osnap tracking "on the fly" when osnaps are turned off?

The temporary tracking point feature lets you specify tracking points even if osnaps are turned off or if your current osnap settings do not include an osnap that you want to use as a tracking point. For example, what if you want to use the Endpoint osnap for a tracking point but you have only Midpoint turned on for your running osnaps?

The following exercise demonstrates how you can use temporary tracking points to use any osnap option you need "on the fly":

  1. If you haven't done so already, draw a rectangle large enough to fill most of the drawing area with some margin around the outside, as shown in Figure 2.20 earlier in this chapter.

  2. If you did the exercise in the previous section, erase the circle you drew in the center of the rectangle by clicking it and pressing Delete.

  3. Turn off Osnap mode by clicking the Osnap button in the status bar. It should be in the off, or "up," position.

Image from book
USING OSNAP TRACKING AND POLAR TRACKING TOGETHER

In addition to selecting as many tracking points as you need, you can also use angles other than the basic orthogonal angles of 0°, 90°, 180°, and 270°. For example, you can locate a point that is aligned vertically to the top edge of the rectangle and at a 45° angle from a corner.

Image from book

To do so, use the settings on the Polar Tracking tab of the Drafting Settings dialog box. (See the "Modifying Polar Tracking's Behavior" section earlier in this chapter.) If you set the increment angle to 45° and turn on the Track Using All Polar Angle Settings option, you will be able to use 45° in addition to the orthogonal directions.

Image from book

Now you're ready to try the temporary tracking point feature:

  1. Click the Circle tool in the 2D Draw control panel, or enter C↲.

  2. At the Specify center point for circle or [3P/2P/Ttr (tan tan radius)]: prompt, Shift+right-click, and choose Temporary Track Point.

  3. Shift+right-click again, and choose Midpoint.

  4. Move your cursor to the top, horizontal edge of the rectangle, until you see the Midpoint ToolTip, and click that point.

  5. Shift+right-click, and choose Temporary Track Point again.

  6. Shift+right-click, and choose Midpoint.

  7. Move the cursor to the midpoint of the left vertical side of the rectangle, and click that point.

  8. Move the cursor to the center of the rectangle. The two dotted lines or tracking vectors appear simultaneously, and a small x appears at their intersection.

    Image from book

  9. With the two dotted lines crossing and the x at their intersection, click to select the exact center of the rectangle.

  10. At the Specify radius of circle or [Diameter]: prompt, click a point anywhere to finish the circle. The radius doesn't really matter here.

When a drawing gets crowded, running osnaps might get in the way of your work. The temporary tracking point feature lets you access the osnap tracking vector without having to turn on running osnaps.

The temporary tracking point feature and the other tools that use tracking vectors take a little practice to use, but once you understand how they work, they are indispensable in your drawing.


Summary

The drawing area and drawing units are often the most mystifying aspects of AutoCAD, if only because they have few limits. Once you understand how to set up drawings for area and units, you can start to draw with more confidence.

Next, you'll want to brush up on your high-school geometry so you can understand the way AutoCAD determines the location of objects.

Since AutoCAD is all about drawing accurately, you'll want to become intimately familiar with the tools that help you maintain accuracy, such as osnaps and osnap tracking. This chapter covers all the osnap methods, but if you focus on just knowing how to get to them through the shortcut menus, you'll have all you need to make good use of osnaps.


Chapter 3: Drawing 2D Objects

Overview

Drawing 2D objects is one of the basic topics covered in this book, and many users will jump in and start to draw without needing to consult this chapter. Still, some tools and tool characteristics might not be obvious or might trip you up as you begin to draw. If you find you need a little extra help when you draw something, you should review this chapter.

When you draw in AutoCAD, you are creating AutoCAD objects: lines, circles, arcs, ellipses, and hatch patterns. And each and every object has a set of properties. Geometric properties include the endpoints of a line or the center and radius of a circle. Also, some properties are not directly related to the geometry of an object, such as its color or its layer assignment. (See Chapter 7 to find out what layers do.)

When you draw objects, you are really specifying their geometric properties. The other properties are assigned by whatever defaults are currently in place, such as the current color and layer assignments. You can set these defaults in the Properties toolbar. You can always change the properties of an object (see Chapter 4), so don't think you need to be too careful when you're drawing.


Working with the 2D Draw Control Panel

You'll be using the 2D Draw control panel frequently in this chapter, so you should keep a couple of facts in mind. The 2D Draw control panel consists of two rows of tools. The top row of tools consists of tools that let you add different types of objects to your drawing, such as arcs, lines, and circles. This top row corresponds to the Draw menu in the menu bar. The second row consists of tools that let you edit or modify existing objects in your drawing. This second row corresponds to the Modify menu in the menu bar.

Image from book

You'll also want to be aware of the fly-out toolbars in the 2D Draw control panel. You might recall from Chapter 1 that the fly-out toolbars are the ones that appear when you click and drag the downward-pointing arrow to the far right end of the row of tools (see Figure 1.8). In this chapter, you'll use several tools in those fly-out toolbars.


Drawing Straight Lines

The basic object in AutoCAD is the line. If you worked through the exercises in earlier chapters, you've already used lines. Drawing lines consists of four basic steps:

  1. Image from book Click the Line tool in the 2D Draw control panel, or enter L↲ at the command prompt.

  2. Click a start point, or enter a coordinate.

  3. Continue to select points, either by clicking them or by entering coordinates, to place a series of contiguous line segments.

  4. Press ↲ to exit the Line command, or enter C↲ to join the last line endpoint with the first.

When you draw a series of contiguous line segments using the Line command, each line segment behaves like an individual object. You can move the segments separately or change their individual properties.

You typically don't just draw a line and leave it alone. Lines tend to get edited a lot. Some of the most commonly used editing commands for lines are Trim, Extend, Fillet, and Offset. Trim and Extend either trim lines to intersecting lines or extend lines to other objects. Fillet joins two lines exactly end to end or adds an arc between them. And Offset makes a parallel copy of a line at a specific distance.

As useful as lines are, you might find that you need your contiguous line segments to behave as a single object instead of as a series of individual lines. Another type of object called a polyline is just such an object. Using the Polyline command, you can draw a series of line segments, and they will behave as a single object. In fact, the rectangle is really a polyline that is closed. So are regular polygons created by the Polygon command, described later.

Image from book To draw lines with the Polyline command, click the Polyline tool in the 2D Draw control panel, or choose Draw è Polyline. Then start selecting points, just as you would with the Line command. Press ↲ when you finish drawing your lines.

When you click a polyline, instead of just selecting a line segment, you select the entire polyline. You can "break down" a polyline into its constituent parts by using the Explode command. (See Chapter 4 for more about Explode.)

Polylines can help you construct some types of objects quickly. Figure 3.1 shows some examples of polylines that have been created from standard AutoCAD commands or edited to form complex shapes.

Image from book
Figure 3.1: Although different commands were used to create them, these objects are all polylines and can be edited as such.


Drawing Circles and Arcs

Next to lines, circles and arcs are the easiest objects to draw. But like everything else in AutoCAD, they offer a wide range of options to allow you to draw them in nearly any situation.

Using the Circle Options

Click the Circle tool in the 2D Draw control panel, click the location for the center, and then click a point to indicate a radius or enter a radius value. You can use osnaps to select points on objects to determine the center and radius. You can also specify the diameter instead of the radius by typing D↲ after selecting a center point.

Using the 2P Option to Indicate Diameter

If you want to draw a circle based on two points, you can do so by using the 2P option. Here's how it works:

  1. Image from book Click the Circle tool in the 2D Draw control panel, or enter C↲ at the command prompt.

  2. Enter 2P↲. You can also right-click and select 2P from the shortcut menu.

  3. At the Specify first end point of circle's diameter: prompt, click the first point.

  4. At the Specify second end point of circle's diameter: prompt, click the second point. A circle appears using the two selected points to determine the circle's diameter.

You can also choose Draw è Circle è 2 Points, which automatically issues the 2P option in step 2. Use osnaps to select points on objects in steps 3 and 4.

Using the 3P Option to Specify Three Points on the Circle

If you know you want a circle to pass through three points but you don't know the center point or radius, you can use the 3P option. This lets you select three points to indicate the location of the circle.

  1. Click the Circle tool in the 2D Draw control panel.

  2. Enter 3P↲, or right-click and select 3P from the shortcut menu.

  3. Select three points through which you want the circle to pass.

You can also choose Draw è Circle è 3 Points, which automatically issues the 3P option in step 2. Use osnaps to select points on objects in step 3. One use of the 3P option in conjunction with osnaps is to draw a circle tangent to three other circles or arcs. Choose Draw è Circle è 3 Points, and then use the Tan osnap to select a circle. Repeat using the Tan osnap to select two more circles (see Figure 3.2). AutoCAD draws the new circle tangent to the selected circles. This is how the Draw è Circle è Tan, Tan, Tan option works.

Image from book
Figure 3.2: Drawing a circle tangent to three other circles

Using the Tan Tan Radius Option to Select Tangent Objects and a Radius

You can also draw a circle tangent to two objects. You must also specify a radius:

  1. Click the Circle tool in the 2D Draw control panel.

  2. Enter ttr↲, or right-click and select Ttr (tan tan radius) from the shortcut menu.

  3. Select two objects to which the circle is to be tangent, and then enter a radius value (see Figure 3.3).

    Optionally, you can choose Draw è Circle è Tan, Tan, Radius.

Image from book
Figure 3.3: Drawing a circle tangent to two objects

AutoCAD does its best to draw a circle to your specifications, but if it's impossible, don't expect miracles.

Using the Arc Options

The default method for drawing an arc is the following:

  1. Image from book Click the Arc tool in the 2D Draw control panel, or enter A↲.

  2. Select the start point.

  3. Select a second point through which the arc is to pass.

  4. Select the endpoint.

If this default method for drawing arcs does not fill your needs, you can use several other AutoCAD methods. Choose Draw è Arc to display a list of 11 ways to draw an arc. The first option, 3 Points, is the default just described. Figure 3.4 shows you how the other options work.

Image from book
Figure 3.4: The methods for drawing an arc. The numbers indicate the order of point selection.

The Continue option, shown at the bottom of the menu, lets you continue an arc from the last line or arc drawn. You might notice that there isn't a Continue option in the Arc command prompt. To continue an arc, choose Draw è Arc è Continue or start the Arc command, and then press ↲ instead of selecting a point or entering an option. The arc begins from the last line or arc that was drawn.

You can draw an arc by first drawing a circle and then crossing the circle with two lines or other objects. Use the Trim command to trim the arc back to the crossing objects. This method is useful for constructing an arc that is connected to another object. See Chapter 4 for more about the Trim command.


Drawing Curves

Not everything you draw will consist of straight lines and perfect circles. For those more complex curves, AutoCAD offers some additional objects. Ellipses and elliptical arcs are two objects that are self-explanatory. Splines are specially designed to draw smooth curves that are mathematically accurate.

Polylines are the all-purpose lines that let you draw anything from a closed irregular polygon to contour lines on a topographical map. If you think you'll need to draw any of these types of objects, check out the following sections.

Drawing Ellipses

When drawing an ellipse, remember that it has a major axis and a minor axis, as shown in Figure 3.5. You'll see prompts that ask you to select an axis. It doesn't matter which axis you select first; it can be either the major axis or the minor axis.

Image from book
Figure 3.5: Drawing an ellipse

The default method for drawing an ellipse is to select two points defining one axis and then select a third point defining the other axis. Here are the steps:

  1. Image from book Click the Ellipse tool in the 2D Draw control panel, or enter el↲. You can also choose Draw è Ellipse è Axis, End.

  2. At the Specify axis endpoint of ellipse or [Arc/Center]: prompt, click the first point defining one end of an axis of the ellipse, as shown in Figure 3.5.

  3. At the Specify other endpoint of axis: prompt, click another point for the axis, as shown earlier in Figure 3.5. You'll see an ellipse that is "fixed" at the two points you've selected. As you move the cursor, the ellipse changes shape to follow the cursor.

  4. At the Specify distance to other axis or [Rotation]: prompt, click another point to complete the ellipse.

You might notice the Rotation option in the prompt in step 4. Selecting this option lets you simulate the way a circle looks on the side of an isometric or other 3D view. If you enter R↲ in step 4 instead of clicking a point, you can enter a value indicating the angle from which you are viewing the circle.

You might use osnaps to determine the location of the points on the ellipse.

If you need to place the center of an ellipse at a specific location, you can use the Center option of the Ellipse command:

  1. Click the Ellipse tool in the 2D Draw control panel, or enter el↲.

  2. Enter C↲ (or right-click, and choose Center from the shortcut menu), and then select a point for the center of the ellipse (see Figure 3.6). A rubber-banding line emanates from the point you select.

  3. At the Specify endpoint of axis: prompt, select a point to define one axis of the ellipse.

  4. At the Specify distance to other axis or [Rotation]: prompt, select a point to define the other axis of the ellipse.

Image from book
Figure 3.6: Drawing an ellipse from a center point

Drawing Elliptical Arcs

You draw elliptical arcs using the Ellipse command. In the menu bar options and 2D Draw control panel, you'll find an Ellipse Arc tool. Drawing an elliptical arc is the same as drawing an ellipse with the addition of prompts that ask you for beginning and end angles defining the arc. Here's how it works:

  1. Image from book Click the Ellipse Arc tool in the 2D Draw control panel, or choose Draw è Ellipse è Arc.

  2. At the Specify axis endpoint of elliptical arc or [Arc]: prompt, click the first point defining one end of an axis of the ellipse, as shown in Figure 3.7.

  3. At the Specify other endpoint of axis: prompt, click another point for the axis. Once this is done, you'll see an ellipse that is "fixed" at the two points you've selected. As you move the cursor, the ellipse changes shape to follow the cursor.

  4. At the Specify distance to other axis or [Rotation]: prompt, click another point to indicate the overall ellipse shape that defines the arc.

  5. At the Specify start angle or [Parameter]: prompt, notice that a rubber-banding line emanates from the center of the ellipse. This helps you visualize the beginning of the arc. Click a point to determine its beginning.

  6. At the Specify end angle or [Parameter/Included angle]: prompt, notice that an elliptical arc now appears from the location you selected in the previous step. As you move the cursor, the arc expands or contracts depending on the cursor location. Click a point to fix the arc in position.

Image from book
Figure 3.7: Drawing an elliptical arc

Drawing Smooth Curves

Whether you're a naval architect drawing a ship's hull or a civil engineer drawing map contours, you'll eventually need some way to draw smooth curves. AutoCAD provides two commands that do just that. Splines let you draw curves that conform to NURBS. Polylines are a general-purpose linetype that can simulate a smooth curve.

If you need accurate curves, use the Spline command to generate NURBS curves (see Figure 3.8).

Image from book
Figure 3.8: Drawing a spline curve

To draw a spline, do the following:

  1. Image from book Click the Spline tool in the 2D Draw control panel. To find the Spline tool, click and drag the fly-out arrow to the far, upper right of the 2D Draw control panel to open the fly-out toolbar, and then select the Spline tool. You can also choose Draw è Spline from the menu bar.

  2. At the Specify first point or [Object]: prompt, select a point to start the spline.

  3. At the Specify next: prompt, select another point.

  4. At the Specify next point or [Close/Fit tolerance] <start tangent>: prompt, continue to select points. As you select points, a curve appears that passes through each point. When you complete your curve, press ↲.

  5. At the Specify start tangent: prompt, you'll see a rubber-banding line emanating from the spline's starting point. This lets you adjust the tangent angle of the beginning of the spline. Press ↲ to accept the default angle, or indicate a direction with the rubber-banding line and click. You can always change it later if you want.

  6. At the Specify end tangent: prompt, you'll see a rubber-banding line emanating from the spline's endpoint. Here, you can adjust the tangent angle of the end of the spline. Press ↲ to accept the default angle, or indicate a direction with the rubber-banding line and click. You can always change the tangent angle later if you want.

By default, AutoCAD draws the spline through the points you select. You can change the Fit Tolerance option as you draw so that the points you select indicate a direction for the curve rather than a point along the curve. In step 4 of the previous exercise, you'll see two options in the command prompt Close And Fit Tolerance. If you enter F↲, you can enter a value to indicate the amount of "pull" the selected points have on the curve. A value of 0 "pulls" the curve through the point, and a value greater than 0 draws the curve toward the point but not through it, as shown in Figure 3.9.

Image from book
Figure 3.9: The effect of the Fit Tolerance option on a spline

The Fit Tolerance value affects all the points along the spline, not just the currently selected point. You can modify the fit tolerance of individual points using the Splinedit command described in Chapter 5.

Drawing Curves with Polylines

If you don't need the most accurate spline curves, you might want to draw your curves using the Polyline command. Polylines are the most versatile object type in AutoCAD because they can be shaped and duplicated quickly. You can quickly find the area enclosed by a polyline, and you can "explode" a polyline to smaller components when the need arises, which is something you cannot do to a spline.

To use a polyline to draw a curve, do the following:

  1. Image from book Click the Polyline tool in the 2D Draw control panel, choose Draw è Polyline, or enter pl↲ at the command prompt.

  2. At the Specify start point: prompt, select a point.

  3. At the Specify next point or [Arc/Halfwidth/Length/Undo/Width]: prompt, continue to select points. A line appears between each point you select.

  4. Press ↲ when you finish selecting points, or right-click and choose Enter.

Your polyline doesn't look like much of a curve, but you can alter the way it's drawn using the Pedit command:

  1. Choose Modify è Object è Polyline, or enter pe↲.

  2. At the PEDIT Select polyline or [Multiple]: prompt, select the polyline you just drew.

  3. At the Enter an option [Close/Join/Width/Edit vertex/Fit/Spline/Decurve/Ltype gen/Undo]: prompt, enter S↲ to select the Spline option. The straight lines of the polyline change to form a curve, as shown in Figure 3.10.

Image from book
Figure 3.10: The effect of the Pedit command's Spline option on a straight-line polyline

Notice that the spline version of the polyline does not pass through the points selected to generate the polyline. Instead, the curve is "pulled" toward the points without passing through them. This is similar to the behavior of a spline drawn with the Fit Tolerance option set to 1.

Another way to turn a straight-line polyline into a curve is to use the Fit option in the Pedit command. Instead of using the Spline option in step 3 of the previous exercise, enter F↲ to use the Fit option, which changes the straight-line polyline into a set of arcs, as shown in Figure 3.11.

Image from book
Figure 3.11: The Fit option applied to a straight-line polyline

Since arcs are used, the curve is not as smooth, but the polyline passes through each point that defined the corners of the original straight-line polyline.

If you've created a spline curve using the Polyline command but you decide you'd rather have a true spline, you can convert it using the Spline command. This lets you apply some of the spline-editing options to a curve generated using polylines.

To convert a polyline spline curve into a true spline curve, use the Object option in the Spline command:

  1. Click the Spline tool in the 2D Draw control panel, or choose Draw è Spline.

  2. At the Specify first point or [Object]: prompt, enter O↲, or right-click and choose Object.

  3. At the Select objects: prompt, select the spline-fitted polyline curves you want to convert.

  4. Press ↲ to finish your selection. You can also right-click and choose Enter. The polylines are converted to splines.

These steps will work only on spline-fitted polylines. You will get an error message if you try to do this on other types of polylines.

Image from book
WHAT ARE MULTILINES?

Multilines are double lines that you can use to represent anything that needs parallel lines, such as walls or borders. You can also customize multilines to display solid fills, center lines, and additional linetypes. You can save your custom multilines as multiline styles, which are in turn saved in special files for easy access from other drawings.

Multilines are not flexible and are difficult to work with, so you might not encounter them often. If you do encounter multilines and find you need to edit them, you can explode and edit them using the standard AutoCAD editing tools. When a multiline is exploded using the Explode command, it is reduced to its component lines. Linetype assignments and layers are maintained for each component. If you are working as part of a team, you will want to consult with your team members before you explode multilines in an AutoCAD drawing. (See Chapter 4 for more about the Explode command.)

Image from book


Drawing Parallel Lines

Another common CAD function is to draw parallel lines. You frequently want parallel lines when drawing the walls of a floor plan or when drawing a cross section of a flat metal assembly, for example. In AutoCAD, you can do this in two ways. You can use the Multiline command, which draws parallel lines and arcs, and you can use the Offset command to copy objects to a set distance. The overall effect of the Offset command is to draw a line parallel to an existing one.

The Offset command makes parallel copies of objects and is the most flexible way to draw parallel lines. It works with lines, arcs, circles, splines, and polylines, so you can produce just about any parallel line you might need (see Figure 3.12). Since it works with splines and polylines, you can easily draw complex parallel curves.

Image from book
Figure 3.12: Examples of parallel lines created using Offset

No matter what type of object you're trying to make parallel copies of, the operation is the same. Here are the steps to use the Offset command:

  1. Image from book Click the Offset tool in the second row of tools in the 2D Draw control panel, choose Modify è Offset, or enter O↲ at the command prompt.

  2. At the Specify offset distance or [Through/Erase/Layer] <Through>: prompt, indicate a distance by either entering a distance through the keyboard or selecting two points in the drawing area. You can use osnaps to indicate distances based on existing objects in the drawing.

  3. At the Select object to offset or [Exit/Undo] <Exit>: prompt, select the object you want to copy.

  4. At the Specify point on side to offset or [Exit,Multiple/Undo] <Exit>: prompt, select the side of the object where you want the copy to appear. AutoCAD creates a parallel copy at the distance you specified in step 2.

  5. Repeat steps 3 and 4 for more parallel copies, or press ↲ to exit the Offset command.

You might notice the Through option in step 2. If you enter T↲ at the prompt in step 2 to invoke the Through option, AutoCAD prompts you with Specify through point: at step 4. You can then select a point through which the parallel copy is to pass. This option is useful when you know where the parallel line is to pass but you do not know the distance.


Drawing Revision Clouds

Revision clouds are common in all types of technical documents. They draw attention to areas of a drawing that have been modified or updated since the last official version of a drawing, as shown in Figure 3.13.

Image from book
Figure 3.13: An example of a revision cloud in an architectural drawing

AutoCAD lets you use two types of revision clouds: normal and calligraphy style, as shown in Figure 3.14. The normal style uses lines of uniform thickness, and the calligraphy style varies the line weight to simulate a hand-drawn appearance.

Image from book
Figure 3.14: The normal (left) and calligraphy cloud

Drawing Freehand Revision Clouds

The following describes the default "freehand" method for drawing revision clouds:

  1. Image from book Click the Revision Cloud tool in the fly-out toolbar of the 2D Draw control panel, or choose Draw è Revision Cloud. You can also enter revcloud↲ at the command prompt. In the command window, you'll see the following message:

    Minimum arc length: 0.5000
Maximum arc length: 0.5000
Style: Calligraphy

  2. At the Specify start point or [Arc length/Object/Style] <Object>: prompt, click a point in the drawing area to start the revision cloud. You'll see the following message:

    Guide crosshairs along cloud path...

  3. Start to move the cursor to encircle the revision area in your drawing. As you move the mouse, the revision cloud appears.

  4. As you come full circle to the starting point of the revision cloud, the cloud automatically closes, and you'll see the following message:

    Revision cloud finished.

Drawing Revision Clouds Based on the Shape of an Object

If you want to place your revision cloud more carefully, you can draw a closed polyline or a circle around the area you want to cloud and then use the Object option of the Revcloud command:

  1. Click the Revision Cloud tool in the fly-out toolbar of the 2D Draw control panel, or choose Draw è Revision Cloud. You can also enter revcloud↲ at the command prompt.

  2. At the Specify start point or [Arc length/Object/Style] <Object>: prompt, press ↲ to select the default Object option, or right-click and select Object.

  3. Click the object that defines the path of the cloud, such as a closed polyline, spline, or circle. A revision cloud replaces the object you select. You'll also see the following prompt:

    Reverse direction [Yes/No] <No>:

  4. You can reverse the direction of the revision cloud by entering Y↲, or you can press ↲ to accept the cloud as it is. You can also right-click and select Yes or No from the shortcut menu.

As you draw the revision cloud, you might find that the individual arcs that make up the cloud are too small or too big. You can adjust the size of the revision cloud arc by using the Arc length option:

  1. Start the Revcloud command, and then at the Specify start point or [Arc length/Object/Style] <Object>: prompt, enter A↲, or right-click and choose Arc Length.

  2. At the Specify minimum length of arc <2.5722>: prompt, enter a size for the arc.

  3. At the Specify maximum length of arc <1.0000>: prompt, you can press ↲ to accept the default maximum arc length, which is equal to the minimum, or you can enter a larger value to vary the arc size.

  4. Draw the revision cloud, or press Esc to exit the Revcloud command.

You might find that the revision cloud does not stand out enough in your drawing. You can change the way the arcs are drawn by changing the revision cloud style:

  1. Start the Revcloud command, and then at the Specify start point or [Arc length/Object/Style] <Object>: prompt, enter S↲, or right-click and choose Style.

  2. At the Select arc style [Normal/Calligraphy] <Normal>: prompt, enter C↲. You'll see the following message:

    Arc style = Calligraphy

  3. Draw the revision cloud, or press Esc to exit the Revcloud command.

You can change back to the regular style by taking the same steps, but instead of entering C↲ in step 2, enter N↲.

Revclouds are really polylines, so you can edit them just as you edit any polyline. If you use the regular revcloud style, you can use the Pedit command to adjust the thickness of the Revcloud arcs. See Chapter 5 for more about editing polylines.


Working with Hatch Patterns and Solid Fills

Just about every drawing program has a Paint Bucket tool that lets you fill a closed area with a color or a pattern. AutoCAD has a tool that performs a similar function, though it is considerably more complex than a simple Paint Bucket tool.

The Boundary Hatch command lets you add patterns, solid fills, and gradient colors to any closed polygon (see Figure 3.15). The closed polygon can consist of any combination of objects. The only requirement is that the area to be hatched must not have large gaps.

Image from book
Figure 3.15: Examples of hatch patterns within random shapes formed by a spline, a circle, an arc, and a rectangle

Placing Hatch Patterns: The Basics

A Paint Bucket tool usually just requires you to select a pattern and then click inside an area to be filled. AutoCAD requires you to work through a dialog box to select patterns and areas to fill. This section describes the basic methods for adding hatches and fills.

You can select a hatch pattern from a set of predefined patterns, or if you need just a simple hatch pattern, you can use a user-defined pattern, which is really just the standard crosshatch lines. This first example describes how to use a user-defined hatch pattern.

  1. Image from book To open the Hatch and Gradient dialog box, as shown here, click the Hatch tool on the fly-out toolbar of the 2D Draw control panel, or enter H↲. Hatch is also located in the Draw drop-down menu.

    Image from book

  2. In the Type drop-down list in the Type and Pattern section, select User Defined. The User Defined option lets you define a simple crosshatch pattern by specifying the line spacing of the hatch and whether it is a single- or double-hatch pattern. The Angle and Spacing input boxes become available so that you can enter values.

  3. Enter the spacing between the cross-hatching in the Spacing input box.

  4. Enter the angle for the cross-hatching in the Angle input box.

  5. Turn on the Double option (just below the Angle input box) if you want a crosshatch hatch pattern. Also notice that the Swatch sample box in the Type and Pattern group displays a sample of your hatch pattern.

  6. Image from book In the Boundaries section, click the Add Pick Points button. The dialog box momentarily closes, allowing you to select a point inside the area you want hatched.

  7. Click a point anywhere inside the area you want hatched. Notice that a highlighted outline appears in the area. This is the boundary AutoCAD has selected to enclose the hatch pattern. You can select additional closed areas at this time.

    If you have text in the hatch boundary, AutoCAD avoids hatching over it, unless the Ignore option is selected in the Island Display Style options. You can find the Island Display Style options in the expanded view of the Hatch and Gradient dialog box. See "Controlling the Behavior of Hatch Patterns and Fills" later in this chapter.

  8. Press ↲ to return to the Hatch and Gradient dialog box.

  9. Click the Preview button in the lower-left corner of the dialog box. The hatch pattern appears in the area you indicated in step 6. You'll also see the following prompt:

      Pick or press Esc to return to dialog or <Right-click to accept hatch>:

  10. Press Esc or the spacebar to return to the dialog box to make further changes, or right-click to apply the hatch pattern. You can also press ↲ to apply the hatch pattern.

In this example, you selected only one area to fill. You can select multiple areas, as indicated in step 6. If after you have previewed the hatch pattern in step 8 you decide you need to select more areas, you can do so by clicking the Add Pick Points button again and selecting more areas.

In step 6, AutoCAD finds the actual boundary for you. Many options give you control over how a hatch boundary is selected. For details, see the section "Understanding the Boundary Hatch Options" later in this chapter.

Say you want to add a hatch pattern that you previously inserted in another part of the drawing. You might think you have to guess at its scale and rotation angle. But with the Inherit Properties option in the Hatch and Gradient dialog box, you can select a previously inserted hatch pattern as a prototype for the current hatch pattern. However, this feature does not work with exploded hatch patterns.

Using Predefined Patterns

The user-defined hatch pattern is just one type of hatch you can apply to a drawing. AutoCAD also provides sets of predefined patterns. Figure 3.16 shows you all the patterns available. You can also create your own custom patterns, though that process is beyond the scope of this book.

Image from book
Figure 3.16: The predefined hatch patterns available in AutoCAD

To use any of these patterns, select the Predefined option from the Type drop-down list in the Hatch and Gradient dialog box.

Image from book

You can then select a predefined hatch pattern by clicking the Browse button to the right of the Pattern drop-down list to open the Hatch Pattern Palette dialog box. The Browse button in AutoCAD is indicated by an ellipsis.

Image from book

From here you can select a pattern from one of four tabs: ANSI, ISO, Other Predefined, and Custom. The ANSI and ISO patterns are standard patterns used with the ANSI and ISO standards. The Other Predefined patterns are architectural and other patterns you might find useful. The Custom patterns are ones that users have created on their own and placed in a special file.

Within the Other Predefined tab, patterns with the AR prefix are architectural patterns that are drawn to full scale. In general, you will want to leave their scale settings at 1. You can adjust the scale after you place the hatch pattern using the Properties palette, as described later in this chapter.

Adding Solid Fills

To add solid fills, you use the same process as adding a predefined hatch pattern, but you use a specific predefined pattern called a solid. You can see the solid pattern at the top left of the Other Predefined tab of the Hatch Pattern Palette dialog box.

Image from book

When you use this pattern, a solid color, initially black, fills the area you select for hatching. You can change the color by altering the Color property of the solid hatch pattern. See Chapter 4 for more about editing the properties of objects.

Image from book
ANNOTATIVE HATCH PATTERNS

AutoCAD 2008 offers a feature called annotation scale. With this feature, you can assign several scales to certain types of objects, and AutoCAD will display the object to the proper scale of the drawing. Hatches can take advantage of this feature to allow hatch patterns to adjust their spacing or pattern size to the scale of your drawing. The Annotative option in the Options group of the Hatch and Gradient dialog box turns on the annotation scale feature for hatch patterns. You'll learn how to use annotation scale in Chapter 8.

Image from book

Positioning Hatch Patterns Accurately

In the previous example, you placed the hatch pattern without regard for the location of the lines that make up the pattern. In most cases, however, you will want accurate control over where the lines of the pattern are placed. For example, you might want to place a floor tile pattern in a specific location in a floor plan. Or you might want to find the most efficient location for ceiling tiles in a ceiling plan. In the top image in Figure 3.17, a floor tile pattern is placed without regard for the snap origin. The hatch pattern around the perimeter is not evenly spaced. With some careful planning, the hatch pattern's origin is moved to the location shown in the lower image in Figure 3.17. This results in a more evenly spaced tile pattern around the perimeter of the room.

Image from book
Figure 3.17: Placing a floor tile pattern where you want it using Hatch Origin

You can also click the Swatch button to browse through a graphical representation of the predefined hatch patterns.

Hatch patterns use the same origin as the snap origin. (See Chapter 2 for more information about the snap origin.) By default, this origin is the same as the drawing origin, 0,0. You can change the snap origin (and thus the hatch pattern origin) by using the Snapbase command. The hatch pattern then uses the new snap base as its origin.

The Hatch and Gradient dialog box also contains a set of options that let you select an origin for the pattern you are currently placing in the drawing. You can use the Hatch Origin option group in the lower-left corner to determine a point in the drawing to be the hatch origin.

Image from book

To set a hatch origin, select the Specified Origin option. You can then determine the origin in two ways. You can click the Click to Set New Origin button. The dialog box temporarily closes to let you select an origin in the drawing. The Hatch and Gradient dialog box then returns so that you can apply more options to your hatch pattern.

The other way to set the hatch origin is to use the Default to Boundary Extents option. This option lets you set the origin based on the extents of the hatch boundary rather than on a point you select. The hatch boundary extents is an imaginary rectangle that represents the outermost boundary of the pattern. If you are hatching a rectangular area, the hatch boundary extents is the same as your selected boundary, but if the area is an irregular shape, an imaginary rectangular area defines the outermost boundary of the pattern, as shown in Figure 3.18. In this figure, the pattern outside the irregular shape shows you the relationship between the visible pattern and the boundary extents. In reality, only the dark pattern within the irregular shape is drawn.

Image from book
Figure 3.18: Boundary extents are shown in gray. The hatch pattern appears only within the irregular shape.

When you select this option, you can select options from the drop-down list: Bottom Right, Bottom Left, Top Right, Top Left, and Center. You can select one of these five options to position the hatch origin in relation to the boundary extents. A graphic appears to the right of the list to show the location of the hatch origin. A red cross appears on the graphic telling you where the origin will be when you add the pattern.

The Store as Default Origin option maintains the origin you select as the default hatch origin for later hatch pattern insertions.

Editing the Hatch Area

The Hatch command has an option, Associative, that automatically adjusts the shape of a pattern to any changes in the boundary of the hatch pattern. (The Associative option is in the Options section on the Hatch tab in the Hatch and Gradient dialog box.)

Image from book

When the Associative option is turned on, the hatch pattern "flows" into any changes you make to the boundary of the pattern. In the right image in Figure 3.19, the diagonal hatch pattern in the center of the rectangle changes when the arc is moved. (The original pattern appears in the left image.)

Image from book
Figure 3.19: The Associative hatch option causes hatch patterns to automatically adjust to changes in the pattern's boundary.

The Associative option can save time when you need to modify your drawing, but you need to be aware of its limitations. A hatch pattern can lose its associativity when you do any of the following:

  • Erase or explode a hatch boundary

  • Erase or explode a block that forms part of the boundary

  • Move a hatch pattern away from its boundary

These situations frequently arise when you edit an unfamiliar drawing. Often, boundary objects are placed on a layer that is off or frozen, so the boundary objects are not visible. Or the hatch pattern might be on a layer that is turned off, and you proceed to edit the file, not knowing that a hatch pattern exists. When you encounter such a file, take a moment to check for hatch boundaries so you can deal with them properly. You might need to turn on or thaw all the layers in the drawing so you can make all of the hatch patterns visible and selectable (see chapter 7, "Getting Organized with Layers," for more on layers).

Modifying a Hatch Pattern

Like everything else in a project, a hatch pattern might eventually need changing in some way. Hatch patterns are like blocks in that they act like single objects. You can explode a hatch pattern to edit its individual lines. The Properties palette contains most of the settings you'll need to make changes to your hatch patterns:

  1. Double-click the hatch pattern you want to edit. The Hatch Edit dialog box looks the same as the Hatch and Gradient dialog box.

    Image from book

    When you double-click a hatch pattern, you don't display the typical Properties palette. Double-clicking complex objects such as text, blocks, attributes, and hatch patterns opens a dialog box in which you can edit the object in a more direct way. You can still access the Properties palette for any object by selecting the object, right-clicking, and choosing Properties from the shortcut menu.

  2. Click the Browse button to the right of the Pattern drop-down list to open the Hatch Pattern Palette dialog box. If the Browse button is not available, make sure that Predefined is selected in the Type drop-down list.

    Image from book

  3. Double-click the pattern you want to use.

  4. Click OK to accept the change to the hatch pattern. The selected pattern appears in place of the original pattern.

In this example, I used a predefined pattern. You can also replace a pattern with a user-defined pattern if you prefer. Select User Defined from the Type drop-down list, and then specify spacing and angle values.

The other items in the Hatch Edit dialog box duplicate some of the options in the Hatch and Gradient dialog box. They let you modify the individual properties of the selected hatch pattern. The section "Understanding the Boundary Hatch Options" describes these other properties in detail.

Image from book

If you create and edit hatch patterns frequently, you will find the Modify II toolbar useful. It contains an Edit Hatch tool that gives you ready access to the Hatch Edit dialog box. To open the Modify II toolbar, right-click an empty area on any toolbar, and then click Modify II in the shortcut menu that opens.

If you prefer, you can make modifications to a hatch pattern through the Properties palette. To open the Properties palette, right-click a pattern, and choose Properties from the shortcut menu. The Properties palette displays a Pattern category, which offers a Pattern Name option.

When you click this option, a Browse button appears. Click it to open the Hatch Pattern Palette dialog box. You can then select a new pattern from the dialog box. The Type option in the Properties palette lets you change the type of hatch pattern from Predefined to User Defined or Custom.

Understanding the Boundary Hatch Options

The Hatch and Gradient dialog box contains many other options that you didn't explore in the previous exercises. For example, instead of selecting the area to be hatched by clicking a point, you can select the actual objects that bound the area you want to hatch using the Add: Select Objects button. Clicking the Swatch sample box in the Type and Pattern group opens the Hatch Pattern Palette dialog box, which lets you select a predefined hatch pattern from a graphic window.

Other options in the right column of the Hatch and Gradient dialog box include the following:

  • Remove Boundaries Lets you remove objects that you do not want to include as part of the boundary. Examples of this are furniture outlines in a floor pattern or some objects that you might have accidentally selected as part of a boundary set.

  • Recreate Boundary Allows you to re-create a boundary after you've added a polyline or region to an existing hatch pattern boundary.

  • View Selections Temporarily closes the dialog box and then highlights the objects that have been selected as the hatch boundary by AutoCAD. Press ↲ to return to the dialog box.

  • Create Separate Hatches You can hatch several separate areas at once in AutoCAD, but by default, even though the hatches are in separate areas, they behave as one object. You can force separate hatch areas to behave as separate hatch objects by turning on this option.

  • Draw Order Lets you control whether your hatch pattern is drawn over existing objects or whether they are to be placed "underneath" existing objects. Hatch patterns can cover or draw over existing graphics. This is especially true of solid fill or gradient hatch patterns.

  • Inherit Properties Lets you select a hatch pattern from an existing one in the drawing. This is helpful when you want to apply a hatch pattern that is already used but you do not know its name or its scale, rotation, or other properties.

At the top of the column of options in the Options group is the Associative option. This option lets you determine whether the hatch pattern being inserted is associative or nonassociative. As discussed earlier, an associative hatch pattern automatically changes to fill its boundary whenever that boundary is stretched or edited.

Controlling the Behavior of Hatch Patterns and Fills

AutoCAD's Boundary Hatch command has a fair amount of intelligence. It can detect the shape of an area and fill the area accordingly. Boundary Hatch can also detect objects within a closed area, such as an island, and hatch around it, as shown in Figure 3.20.

Image from book
Figure 3.20: A hatch pattern can fill a complex shape and detect islands within the shape.
Image from book

If you prefer, you can control how AutoCAD treats these island conditions and other situations by expanding the Hatch and Gradient dialog box. To do this, click the More Options button in the lower-right corner of the dialog box.

The dialog box expands to the right, showing several more options.

Image from book

In addition to controlling the island detection feature of hatch patterns, the additional Hatch and Gradient options let you fine-tune other aspects of hatch pattern creation.

ISLANDS

The options in the Islands section control how nested boundaries affect the hatch pattern. The graphics show the effect of the selected option. The Islands options include the following:

  • Island Detection Detects an island within a boundary.

  • Normal Causes the hatch pattern to alternate between nested boundaries. The outer boundary is hatched; if a closed object is within the boundary, it is not hatched. If another closed object is inside the first closed object, that object is hatched. This is the default setting.

  • Outer Applies the hatch pattern to an area defined by the outermost boundary and by any boundaries nested within the outermost boundary. Any boundaries nested within the nested boundaries are ignored.

  • Ignore Supplies the hatch pattern to the entire area within the outermost boundary, ignoring any nested boundaries.

BOUNDARY RETENTION

The Boundary Hatch command can also create an outline of the hatch area using one of two objects: 2D regions, which are like 2D planes, or polyline outlines. Boundary Hatch actually creates such a polyline boundary temporarily to establish the hatch area. These boundaries are automatically removed after the hatch pattern is inserted. If you want to retain the boundaries in the drawing, make sure the Retain Boundaries check box is selected. Retaining the boundary can be useful if you know you will be hatching the area more than once or if you are hatching a fairly complex area.

BOUNDARY SET

If the current view contains a lot of graphic data, AutoCAD can have difficulty or be slow in finding a boundary. If you run into this problem or if you want to single out a specific object for a point selection boundary, you can further limit the area that AutoCAD uses to locate hatch boundaries by using the Boundary Set options:

  • New Lets you select the objects from which you want AutoCAD to determine the hatch boundary, instead of searching the entire view. The screen clears and lets you select objects. This option discards previous boundary sets. It is useful for hatching areas in a drawing that contain many objects that you do not want to include in the hatch boundary.

  • Current Viewport Tells you that AutoCAD will use the current view to determine the hatch boundary. Once you select a set of objects using the New button, you'll also see Existing Set as an option in this drop-down list. You can then use this drop-down list to choose the entire view or the objects you select for the hatch boundary.

The Boundary Set options are designed to give you more control over the way a point selection boundary is created. These options have no effect when you use the Add: Select Objects button to select specific objects for the hatch boundary.

GAP TOLERANCE

This option lets you hatch an area that is not completely enclosed. The Tolerance value sets the maximum gap size in an area that you want to hatch. You can use a value from 0 to 5000.

INHERIT OPTIONS

If you use the Inherit Properties hatch option to duplicate an existing hatch pattern, the Inherit Options group lets you determine the pattern's origin.

Choosing Colors and Patterns for Gradient Fill Shading

Image from book You might have noticed that one of the hatch patterns offered is a solid. The solid hatch pattern lets you apply a solid color to a bounded area instead of a pattern. AutoCAD also offers a set of gradient patterns that let you apply a color gradient to an area.

You can apply a gradient to an area in the same way that you apply a hatch pattern, but instead of using the Hatch tab of the Hatch and Gradient dialog box, you use the Gradient tab to select a gradient pattern.

Image from book

Instead of hatch patterns, the Gradient tab presents a variety of gradient patterns. It also lets you control the color of the gradient. For example, if you want to set shades of blue, you can click the One Color button and then double-click the blue color swatch.

Image from book

When you double-click the color swatch, the Select Color dialog box opens, displaying a palette of true color options.

Image from book

You can then select the color you want for the gradient. The Shade/Tint slider just to the right of the color swatch on the Gradient tab lets you control the shade of the single-color gradient.

If you want the gradient to transition between two colors, click the Two Color radio button. When you click Two Color, the slider below the Two Color option changes to a color swatch. You can double-click the swatch or click the Browse button to the right of the swatch to open the Select Color dialog box.

Just below the One Color and Two Color options are the gradient pattern options. You can choose from nine patterns, and you can select an angle for the pattern from the Angle drop-down list. The Centered option places the center of the gradient at the center of the area selected for the pattern.

To place a gradient pattern, select a set of objects or a point within a bounded area, just as you would for a hatch pattern. You can then click the Preview button to preview your hatch pattern, or you can click OK to apply the gradient to the drawing.

Image from book
HOW TO QUICKLY MATCH A HATCH PATTERN AND OTHER PROPERTIES

Another tool to help you edit hatch patterns is Match Properties, which is similar to Format Painter in the Microsoft Office suite. This tool lets you change an existing hatch pattern to match another existing hatch pattern. Here's how to use it:

  1. Click the Match Properties tool in the Standard toolbar.

  2. Click the source hatch pattern you want to copy.

  3. Click the target hatch pattern you want to change.

The target pattern changes to match the source pattern. The Match Properties tool transfers other properties as well, such as layer, color, and linetype settings. You can select the properties that are transferred by opening the Property Settings dialog box.

Image from book

To open this dialog box, enter S↲ after selecting the object in step 2, or right-click and choose Settings from the shortcut menu. You can then select the properties you want to transfer from the options shown. All the properties are selected by default. Note that you can also transfer text and dimension style settings. You'll learn more about text and dimension styles in Chapters 9 and 10.

Image from book
Image from book
TIPS FOR USING THE BOUNDARY HATCH

Here are a few tips for using the Boundary Hatch feature:

  • Watch out for boundary areas that are part of a large block. AutoCAD examines the entire block when defining boundaries. This can take time if the block is quite large. Use the Boundary Set option to "focus in" on the set of objects you want AutoCAD to use for your hatch boundary.

  • If the area to be hatched is large yet will require fine detail, first outline the hatch area using a polyline. Then use the Add: Select Objects tool in the Hatch And Gradient dialog box to select the polyline boundary manually, instead of depending on Boundary Hatch to find the boundary for you.

  • Consider turning off layers that might interfere with AutoCAD's ability to find a boundary. Boundary Hatch works on nested blocks as long as the nested block entities are parallel to the current UCS.

Image from book


Drawing Regular Polygons

If you need to draw a regular polygon, such as a hexagon or a pentagon, you can use the Polygon tool in the 2D Draw control panel. This tool creates a polyline in the shape of a regular polygon.

The default method for drawing regular polygons is as follows:

  1. Image from book Click the Polygon tool in the 2D Draw control panel, choose Draw è Polygon, or enter pol↲ at the command prompt.

  2. At the Enter number of sides <4>: prompt, enter the number of sides you want for your polygon.

  3. At the Specify center of polygon or [Edge]: prompt, select the center point for the polygon.

  4. At the Enter an option [Inscribed in circle/Circumscribed about circle] <I>: prompt, press ↲ to specify the distance from the center to a vertex of the polygon. You can also enter C↲ if you want to specify the distance from the center to a point tangent to one side of the polygon (see Figure 3.21).

  5. At the Specify radius of circle: prompt, enter a radius value. This value, in conjunction with the option you select in step 4, determines the size of the polygon. Once you enter a radius, the polygon appears in the drawing.

Image from book
Figure 3.21: The polygon on the left uses the Inscribed in circle option in step 4, and the polygon on the right uses the Circumscribed about circle option. The radius is the same for both images.

You also have the option to specify the size of the polygon based on the length of one side of the polygon. To do this, enter E↲ at the prompt in step 3. You will see the following prompt:

Specify first endpoint of edge:

Select a point. You'll then see the following prompt:

Specify second endpoint of edge:

You'll also see the polygon follow the cursor with one vertex on the point you selected at the first endpoint prompt.

Image from book

Select a point to place the polygon in the drawing. Remember that you can specify a relative coordinate to specify an exact length for the side of the polygon.


Using Objects to Lay Out Your Drawing

Often when you are sketching with pencil and paper, you draw some lines to help lay out your sketch. You can do the same in AutoCAD using any object. But AutoCAD also provides a few tools specifically designed to help you lay out your drawing.

You can use Divide and Measure to mark off an object at regular intervals. If you are familiar with manual drafting tools, you can think of Measure as analogous to a divider. Measure marks off exact distances along an object. The Divide command is similar to Measure, but instead of marking off a known distance you specify, it marks divisions of an object to exact, equal segments. For example, if you want to mark off a line of unknown length into 12 equal divisions, you use the Divide command.

You can use point objects to mark exact points in a drawing. In fact, the Divide and Measure commands use points as markers. Point objects can be helpful in surveying to mark off datum locations or waypoints, for example.

Ray and Xline are two commands that create lines with special characteristics. Ray creates a line that starts at a selected point and extends into an infinite distance much like the rays of light from the sun. Xline creates a line that has an infinite length in both directions. Unlike rays, xlines do not have a beginning point. You specify a point through which the xline passes and a direction.

Marking Points in a Drawing

Point objects are AutoCAD objects that are commonly used to mark an exact point in a drawing. Point objects are used as markers by commands that mark off equal divisions on objects. You can also create point objects by using the Point command. To place a point in a drawing, choose Draw è Point è Single Point, or choose Draw è Point è Multiple Points.

Point objects can be difficult to see. Fortunately, you can alter their appearance to make them more visible. To see point objects more clearly, follow these steps:

  1. Choose Format è Point Style to open the Point Style dialog box.

    Image from book

  2. Click the x point style in the upper-right of the dialog box, click the Set Size Relative To Screen button, and then click OK.

  3. If you have already used the Divide or Measure command or have placed points in your drawing, choose View è Regen, or enter Re↲. The point objects in the drawing change into x's, as shown in Figure 3.22.

    You can change the point style any time, and all the points in a drawing will change to the new style.

Image from book
Figure 3.22: An example of point objects, appearing as X's, used to mark divisions on a polyline

If you are using point objects as visual markers only and do not want them to print, you can put them on a layer you create specifically for point objects and then set that layer as a nonprinting layer. See Chapter 7 for more about layers.

Marking Off Equal Divisions

You can use the Divide command to divide an object into a specific number of equal segments. The Divide command places a set of point objects on a line, an arc, a circle, a spline, or a polyline, marking off exact divisions. This exercise shows how it works:

  1. Choose Draw è Point è Divide, or enter Div↲.

  2. At the Select object to divide: prompt, select the object you want to mark off.

  3. The Enter number of segments or [Block]: prompt that appears next asks you for the number of divisions you want on the selected object. Enter the number of divisions you want.

The command prompt now returns, and it might appear that nothing has happened. AutoCAD has placed several point objects on the selected object. These point objects indicate the locations of the divisions you requested. They do not actually cut the object. They just mark the object. You can use the Node osnap to select a point exactly at the point objects' locations.

Dividing Objects into Specified Lengths

The Measure command acts just like Divide; however, instead of dividing an object into equal-length segments, the Measure command marks intervals of a specified distance along an object. For example, suppose you need to mark off segments exactly 4 units long along a curve (see Figure 3.23).

Image from book
Figure 3.23: Marking off 4-unit segments on a curve

The following steps describe how you use the Measure command to accomplish this task:

  1. Choose Draw è Point è Measure, or enter Me↲.

  2. At the Select object to measure: prompt, click the object closest to the end from which you want the measured divisions to start.

  3. At the Specify length of segment or [Block]: prompt, enter the length you want. The point objects appear at the specified distance.

Using Construction Lines

Many graphics programs include an alignment guide, which is usually a nonprinting line that can be dragged into the work area. AutoCAD offers a similar function in the construction line, otherwise known as the Xline command.

Unlike the alignment guide of other programs, AutoCAD's construction line prints. You can also edit construction lines so that they become a standard line in the AutoCAD drawing, place them with accuracy, and rotate them to any angle you like.

Image from book
MARKING OFF INTERVALS USING DRAWING ASSEMBLIES INSTEAD OF POINT OBJECTS

Marking off regular distances isn't the only use for the Divide and Measure commands. You can also place drawing assemblies, such as symbols or parts, at regular intervals along an object. For example, you can use the Block option of Divide or Measure to place a row of sinks equally spaced along a wall or place a row of parking spaces along a curb.

To replace the point objects with assemblies, you use the Block option in the Divide or Measure command. Blocks are an assembly of objects that form an image that can be readily copied, like a rubber stamp. (See Chapter 8 for more about blocks.) The blocks take the place of the point objects as markers.

Here's how to use blocks as markers:

  1. Be sure the block you want to use is part of the current drawing file.

  2. Start either the Divide command or the Measure command.

  3. At the Specify length of segment or [Block]: prompt (or Specify number of segments or [Block]: prompt for the Divide command), enter B↲.

  4. At the Enter name of block to insert: prompt, enter the name of a block.

  5. At the Align block with object? [Yes/No] <Y>: prompt, press ↲ if you want the blocks to follow the alignment of the selected object. (Entering N↲ inserts each block at a 0° angle.)

  6. At the Enter the number of Segments: prompt, enter the number of segments. The blocks appear at regular intervals on the selected object.

The block's insertion point is placed on the divided or measured object in the location where the point object would usually be placed.

Image from book

Drawing Multiple Construction Lines through a Point

To draw multiple construction lines through a point, follow these steps:

  1. Image from book Click the Construction Line tool in the 2D Draw control panel, choose Draw è Construction Line, or enter Xline↲ at the command prompt.

  2. At the Specify a point or [Hor/Ver/Ang/Bisect/Offset]: prompt, select a point through which the construction line is to pass. If you don't have an exact location, you can always move the construction line later.

  3. At the Specify through point: prompt, you'll see a temporary construction line that passes through the point you selected in step 2 and follows the cursor. Select another point to indicate the angle for the construction line.

  4. You can continue to select points to draw several construction lines through the first point you selected in step 2.

  5. Press ↲ to exit the Construction Line tool.

Once you have a construction line in the drawing, you can move, copy, and edit the line as you would other lines.

Drawing Multiple Horizontal, Vertical, or Angled Construction Lines

Using the default method shown in the previous exercise, you can draw multiple construction lines passing through the same point. But what if you want to draw multiple lines that are all vertical or horizontal or all even at an angle? The Construction Line tool offers several options that allow you to add multiple horizontal or vertical lines as well as lines at a specified angle. Here's how these options work:

  1. Click the Construction Line tool in the 2D Draw control panel, choose Draw è Construction Line, or enter Xline↲ at the command prompt.

  2. At the Specify a point or [Hor/Ver/Ang/Bisect/Offset]: prompt, enter H↲ for multiple horizontal lines or V↲ for multiple vertical lines.

  3. Select points in the drawing to place your construction lines.

  4. Press ↲ to exit the Construction Line tool.

For multiple construction lines at the same angle, do the following:

  1. Click the Construction Line tool in the 2D Draw control panel, choose Draw è Construction Line, or enter Xline↲ at the command prompt.

  2. At the Specify a point or [Hor/Ver/Ang/Bisect/Offset]: prompt, enter A↲, and then enter the angle for the lines you want to place in the drawing.

  3. Select points in the drawing to place your construction lines.

  4. Press ↲ to exit the Construction Line tool.

Optionally, in step 2, you can enter A↲ R↲ and then select an existing line whose angle you want to match.

Drawing Bisecting Construction Lines

If you need to draw a line that bisects the angle between two other lines, you can do so with the Bisect option of the Construction Line tool. Here's how the Bisect option works:

  1. Click the Construction Line tool in the 2D Draw control panel, choose Draw è Construction Line, or enter Xline↲ at the command prompt.

  2. At the Specify a point or [Hor/Ver/Ang/Bisect/Offset]: prompt, enter B↲.

  3. At the Specify angle vertex point: prompt, use the Intersection osnap, and select the intersection of the two lines you want to bisect (see Figure 3.24). See "Selecting Exact Locations on Objects" in Chapter 2 if you need a little refresher on using osnaps.

  4. At the Specify angle start point: prompt, use the Nearest osnap, and select one of the pair of lines you want to bisect.

  5. At the Specify angle end point: prompt, use the Nearest osnap, and select the other line. A construction line appears that bisects the pair you selected.

  6. You can continue placing bisecting construction lines, or you can press ↲ to exit the command.

Image from book
Figure 3.24: Bisecting a pair of lines with a construction line

Creating Construction Lines Parallel to Existing Lines

The last option of the Construction Line tool lets you create a construction line that is parallel to an existing line. This option works just like the Offset command described earlier in this chapter, but instead of creating a copy of an object, the Offset option creates a straight construction line. Here's how:

  1. Click the Construction Line tool in the 2D Draw control panel, choose Draw è Construction Line, or enter Xline↲ at the command prompt.

  2. At the Specify a point or [Hor/Ver/Ang/Bisect/Offset]: prompt, enter O↲.

  3. At the Specify offset distance or [Through] <Through>: prompt, indicate a distance by either entering a distance through the keyboard or selecting two points in the drawing area. You can use osnaps to indicate distances based on existing objects in the drawing.

  4. At the Select a line object: prompt, select the object to which you want to create the construction line parallel.

  5. At the Specify side to offset: prompt, select the side of the object where you want the copy to appear. AutoCAD creates a parallel construction line at the distance you specified in step 2.

  6. Repeat step 4 for more parallel construction lines, or press ↲ to exit the Offset command.

Placing Ray Construction Lines

The construction line is unusual in that it has no endpoint. It extends into a virtual infinity in two directions. If you want a construction line that has a starting point, you can use a ray. A ray can be useful when editing circular objects because they can be easily rotated about an origin point. Here's how to place a ray in a drawing:

  1. Choose Draw è Ray from the menu bar, or enter ray↲ at the command prompt.

  2. At the Specify start point: prompt, select a point for the beginning of the ray.

  3. At the Specify through point: prompt, select another point to indicate the direction of the ray.

  4. Continue to place more rays by selecting points, or press ↲ to exit the command.

Image from book
OTHER DRAWING METHODS

You create most 2D drawings in AutoCAD using the commands presented in this chapter, but you can use two other methods: the region and freehand sketching.

The region object acts more like a paper cutout shape. Regions are always closed outlines of shapes, and you can even convert a closed polyline into a region. You can add and subtract regions to build 2D shapes using what are called Boolean operations. (See Chapter 5 for information about Boolean operations.)

To create a region, first create a closed polyline. You can use the Polyline, Rectangle, or Polygon tool to do this. Next, issue the Region command by choosing Draw è Region or by clicking the Region tool in the 2D Draw control panel. Select the closed polylines you want to convert, and then press ↲. You can add and subtract regions using the Boolean operations described in Chapter 5.

The Sketch command lets you draw freehand, though this method of drawing really doesn't make sense unless you are using a drawing tablet. Even then, the Sketch command is rarely used.

If you'd like to find out more about regions and the Sketch command, check the AutoCAD Help system. You'll also find information about these features in Mastering AutoCAD 2008 and AutoCAD LT 2008, published by Sybex.

Image from book


Summary

If you like to experiment, you've probably tried to create a few objects on your own before even reading this chapter. And if you've read the first two chapters of this book and have understood the basic way in which AutoCAD operates, drawing objects should be easy to understand.

Things do get tricky, however, when you start to use hatch patterns and gradient shading. If you find you need to draw hatch patterns and gradient fills, you'll want to study the sections that cover those topics more carefully. Also, curved lines can be difficult to master without some practice, so try using spline-fit polylines and splines before you use them in a "serious" drawing.

The layout tools also take a little practice, and you might find that you don't use them that frequently. But when you need them, they are indispensable, so it's a good idea to at least be aware of them and remember where they are in this book for a quick reference.


Chapter 4: Editing AutoCAD Objects

Overview

This chapter is about editing AutoCAD objects. By editing, I mean performing the operations to change existing objects in your drawing. If you want to know how to move, copy, or rotate an object, this chapter is the place to look. Of course, AutoCAD can do much more.

If you're in a hurry, you might want to skim this chapter to get an idea of what you can do in AutoCAD in terms of editing objects. Or if you are looking for some instruction right now, check the list of chapter topics to see whether the information you need is here.

If you're completely new to AutoCAD, you might want to read the first half of this chapter as a primer, especially since editing in AutoCAD is an integral part of creating new drawings.

The beginning of this chapter covers some basic information that is crucial to just about all the AutoCAD editing commands. Selecting objects, for example, is something you'll be doing a lot, so I explain it in detail. I also explain grip editing, a method of editing that is fairly common in most graphics programs. You'll learn how Dynamic Input provides a way to edit the properties of individual objects. Finally, I'll introduce the Properties palette, an important tool for editing in AutoCAD.


Selecting Objects

Like most of today's graphics programs, AutoCAD lets you select objects in a drawing in a variety of ways. Unfortunately, these methods aren't always consistent throughout AutoCAD's set of commands. In the following sections, you'll learn about the most common methods for selecting objects.

Using the Standard AutoCAD Selection Method

Many AutoCAD commands prompt you to select objects with the Select objects: prompt. Along with this prompt, the cursor changes from a crosshair cursor to a small square.

Image from book

Whenever you see the Select objects: prompt and the square cursor, called the Object Selection cursor, you have a couple of options while making your selection. You can click objects individually or select groups of objects using a rectangular selection area. AutoCAD also provides options to select areas using an irregular polygon boundary.

AutoCAD's behavior when you are selecting an object is a little different from that of other graphics programs. If you see the Select objects: prompt, you are actually in a selection mode, and every action you take is inferred by AutoCAD to be a selection operation. You can continue to add or subtract selections, but AutoCAD won't know you're finished selecting objects until you press ↲.

As already mentioned, you can click objects to select them. Each time you click an object, it is added to the selection set, which is the set of objects to be edited by the current command. You can also select objects using a window, commonly called a marquee in other programs. To remove a selection, Shift+click the object. This is the reverse in most other graphics programs, which require a Shift+click to add objects to a selection.

Practicing Using Selection Options

In this section, you'll learn about the most common selection options in AutoCAD and see what to do when you make the wrong selection.

Before you continue, you'll turn off running osnaps and osnap tracking. Although extremely useful, these features can be confusing to new users.

  1. Look at the Osnap and Otrack buttons in the status bar at the bottom of the AutoCAD window. If they are turned on, they look like they are pressed down. Click them to turn them off.

    Image from book

  2. You'll want to draw something so you can practice on it. Click the Line tool in the 2D Draw control panel, and then draw the four sides of a rectangle roughly like the one shown in Figure 4.1. Remember that you can draw the first three sides and then enter C↲ to "close" the rectangle.

  3. Image from book Click the Arc tool in the 2D Draw control panel, and select three points to draw an arc roughly where one appears in Figure 4.1. The arc does not have to be exact, but you should place it above the rectangle.

Image from book
Figure 4.1: A rectangle, drawn using the Line tool, and an arc

Now you'll see how to select an object in AutoCAD. In the following exercise, you'll practice using a single click to select objects one at a time:

  1. Place the cursor over any object, but do not click just yet. As the cursor hovers over an object, notice that the object highlights. This shows you the object AutoCAD will select if you click, and it shows you the extent and shape of the object you are about to select.

  2. Click each of the two horizontal lines of the rectangle. As you select an object, it is highlighted, as shown in Figure 4.2.

    Once you've made a selection, you can deselect objects that you selected accidentally.

  3. Hold down the Shift key, and click one of the highlighted lines. It reverts to a solid line, showing you that it is no longer selected for editing.

  4. Shift+click the remaining selected line. Now you're back to having nothing selected.

Image from book
Figure 4.2: Selecting the lines of the rectangle and seeing them highlighted

Clicking objects is perhaps the most intuitive and easiest way to select objects. The additional highlighting helps you determine whether you are about to select the right object.

Clicking works fine when you need to be precise about selecting individual objects, but you'll also need a way to select multiple objects efficiently. Next you'll look at the selection window, which lets you quickly select groups of objects.

Selecting Objects with Windows

When you click a blank portion of the drawing area, AutoCAD automatically starts a selection window. A selection window lets you enclose a set of objects to select them. The following exercise demonstrates how it works:

  1. Select a point above and to the left of the rectangle shown in the left image of Figure 4.3. Be sure not to select the rectangle itself. Now a window appears that you can drag across the screen as you move the cursor. If you move the cursor to the left, the window appears dotted (see the left image in Figure 4.3) and has a green tint. If you move the cursor to the right, it appears solid with a blue tint (see the right image in Figure 4.3).

  2. Select a point below and to the right of the rectangle so that the rectangle is completely enclosed by the window, as shown in the right image in Figure 4.3. The rectangle is highlighted. Notice that the arc is not selected, even though you might have partially included it in the window.

  3. Press Esc to clear the entire selection at once.

Image from book
Figure 4.3: The dotted window (left image) indicates a crossing selection; the solid window (right image) indicates a standard selection window.

The two windows you have just seen, the solid, blue tinted one and the dotted, green one represent a standard window and a crossing window. If you use a standard window, anything that is completely contained within the window is selected. If you use a crossing window, anything that is contained within or crosses through the window is selected. These two types of windows start automatically when you click any blank portion of the drawing area with either the standard cursor or the Point Selection cursor.

Next, you will select objects with an automatic crossing window:

  1. Select a point below and to the right of the rectangle, as shown in Figure 4.4. As you move the cursor left, the crossing (dotted) window appears, and the window area is tinted green if you are using a white background.

  2. Place the window so it encloses the rectangle and part of the arc (see Figure 4.4), and then click to confirm your selection area. Both the rectangle and arc are highlighted.

Image from book
Figure 4.4: The rectangle enclosed by a crossing window

Using the selection window and clicking is all you need to do to select objects in AutoCAD. Often you can select a group of objects with either the standard window or the crossing window and then Shift+click to remove anything from the selection set that you don't want to include in the selection. If you are working in a crowded drawing, you can use the scroll wheel of your mouse to zoom in and out while you are selecting objects. It also helps to turn off the Snap mode while making your selections.


Editing the Windows Way

You might have noticed that when you click an object, AutoCAD displays the object's grips, which are special square points on the object. These grips most commonly appear on the endpoints of objects, though they can also appear at the midpoint of lines and arcs and at other geometric features of objects. You can use grips to make direct changes to the shape of objects or to quickly move, copy, rotate, or scale the object. The exercise in the following section gives you a feel for how grip editing works.

In the unlikely event that you do not see grips when you click objects, your version of AutoCAD might have the grips feature turned off. To turn it on, right-click a blank area of the drawing, and choose Options from the shortcut menu. In the Options dialog box, select the Selection tab. Turn on the Enable Grips option in the Grips section.

Stretching Lines Using Grips

In this exercise, you'll stretch one corner of the rectangle by grabbing the grip points of two lines. First, you'll work with the Dynamic Input option turned off. Later, you'll see how to use Dynamic Input to make detailed changes to objects.

  1. Press Esc to make sure you're not in the middle of a command, and then make sure the DYN button in the status bar is in the off, or "up," position.

    Image from book

  2. Click a point below and to the right of the rectangle to start a selection window.

  3. Click above and to the left of the rectangle to select the rectangle, placing a crossing window around it. Notice that the lines of the rectangle are selected and that the grips appear.

  4. Place the cursor on the lower-left corner grip of the rectangle, but don't click yet. Notice that the cursor jumps to the grip point and the grip changes color.

  5. Move the cursor to another grip point. Notice again how the cursor jumps to it. When placed on a grip, the cursor moves to the exact center of the grip point. This means, for example, that if the cursor is placed on an endpoint grip, it is on the exact endpoint of the object.

  6. Move the cursor to the upper-left corner grip of the rectangle, and click. The grip becomes a different color and is now a hot grip. The prompt displays the following message:

    ** STRETCH **
Specify stretch point or [Base point/Copy/Undo/eXit]:

    This prompt tells you that Stretch mode is active. Notice the options in the prompt. As you move the cursor, the corner follows, and the lines of the rectangle stretch (see Figure 4.5).

    When you select a grip by clicking it, it turns a solid color (typically red) and is a hot grip. If you want to select more than one grip, you can Shift+click each grip that you want to include in your grip selection.

    Shift+click a hot grip again to remove it from the selection.

  7. Make sure the osnap mode is turned on, then move the cursor upward toward the top end of the arc, and finally click that point. The rectangle deforms, with the corner placed at your selection point (as shown in Figure 4.5).

Image from book
Figure 4.5: Stretching lines using hot grips. The left image shows the rectangle's corner being stretched upward. The right image shows the new location of the corner at the top of the arc using the Endpoint osnap.

When you click the corner grip point, AutoCAD selects the overlapping grips of two lines. When you stretch the corner away from its original location, the endpoints of both lines follow.

Here you saw that you can issue an option called STRETCH simply by clicking a grip point. A handful of other hot grip options are also available. You'll explore them in the following exercise:

  1. Notice that the objects are still selected and the grips are still available. Click the grip point you moved earlier to make it a hot grip again.

  2. Right-click to open a shortcut menu that contains a list of grip edit options. Now try moving and copying the selected objects.

    Image from book

  3. Choose Move from the shortcut menu, and then click a point directly to the left of the hot grip, as shown in Figure 4.6. The entire set of objects moves.

  4. Click the grip you selected before, right-click, and choose Move again.

  5. Right-click again, and choose Copy. You can also enter C↲.

  6. Select a point below the hot grip. A copy appears.

  7. Press ↲, or enter X↲ to exit the grip edit. You can also right-click again and choose Exit from the shortcut menu.

Image from book
Figure 4.6: Click the location shown to copy the grip.

In this last set of exercises, you saw how to select a grip and then select grip edit options from the shortcut menu. You also saw how to stretch grips, move objects, and make a copy.

You can also specify distances and directions using relative Cartesian or polar coordinates. For example, instead of just moving the hot grip and clicking a new location, you can enter a polar coordinate in steps 5 and 6 of the previous exercise. (See Chapter 2 for more about Cartesian and polar coordinates.) The grip will then move or be copied to the exact distance you specify. A third option is to turn on the Dynamic Input feature and use it to specify an exact distance and direction. You'll learn more about the Dynamic Input feature later in this chapter; see the "Changing Objects with Grips and Dynamic Input" section.

Copying, Mirroring, Rotating, Scaling, and Stretching with Grips

The shortcut menu presents options other than Move. When you select a grip and right-click, you can choose from Mirror, Rotate, Scale, and Stretch. Stretch is the default option, and you've seen how that works with the Move options in the previous exercise. The other options are self-explanatory. You can use the Copy option to make mirrored, rotated, scaled, or stretched copies. Just remember to select the main option first and choose Copy next, since the Copy option affects the current editing mode.

You can also "cycle" through the Move, Rotate, Scale, and Stretch options by pressing the spacebar while a hot grip is selected.

Another option, Base Point, lets you change the location of the cursor in relation to the current hot grip. By default, the cursor and the hot grip are in the same location and move together. You can right-click, select Base Point, and then select another point to change the location of the cursor in relation to the hot grip.

Image from book

Since you can move the base point, you aren't limited to the actual grip location. This is handy if you want to use other objects as references for your grip edits. For example, you can use the Base Point option to rotate your selection around a point other than a grip point.

You can use the osnaps while grip editing by Shift+right-clicking to open the Osnap menu.

Using Other Grips Features

Grips let you perform the most common editing tasks you'll encounter as you work with AutoCAD. Along with what you've been shown so far, you'll want to be aware of the following grip features:

  • You can click endpoint grips to reposition those endpoints.

  • Clicking midpoint grips of lines lets you move the entire line. If multiple objects are selected, all the objects also move.

  • If two objects meet end to end and you click their overlapping grips, you'll select both grips simultaneously.

  • You can select multiple grips by holding down the Shift key and clicking the desired grips. You must hold the Shift key down when you select the first grip.

  • When a hot grip is selected, the Stretch, Move, Rotate, Scale, and Mirror options are available from the shortcut menu.

  • You can cycle through the Stretch, Move, Rotate, Scale, and Mirror options by pressing ↲ or the spacebar while a hot grip is selected. Watch the command window to see which option is currently active.

  • All the hot grip options let you copy the selected objects by either using the Copy option or holding down the Ctrl key while selecting points.

  • All the hot grip options let you select a base point other than the originally selected hot grip. Choose Base Point from the shortcut menu.


Changing Objects with Grips and Dynamic Input

So far, you've looked at grip editing with the Dynamic Input feature turned off. This gives you a direct view of the basic grip-editing features that let you perform the more common editing tasks. But once you turn on Dynamic Input, you can begin to edit the actual geometry of the selected objects in a more accurate way. You can alter the length and angle of lines to exact measurements or adjust the radius or length of an arc.

In the following exercise, you'll start with a simple editing task of changing the length of a line. This will show you the basic operation of grip editing with Dynamic Input.

  1. Erase all the objects in your drawing, and then draw a line similar to the one in Figure 4.7.

  2. Click the DYN button in the status bar to turn on the Dynamic Input display. The button should be in the on, or "down," position.

  3. Click the line you just drew.

  4. Place the cursor over the grip at the right end of the line, but don't click yet. You'll see the length dimension and angle of the line displayed. Make a mental note of the length and angle.

    Image from book

  5. Place the cursor over the grip at the left end of the line. Now you'll see the length and angle from a different orientation.

    Image from book
Image from book
Figure 4.7: A diagonal line to test grips and Dynamic Input

As you can see from this example, you can get immediate information regarding an object just by placing the cursor over its grip points. Next you'll edit the line's length:

  1. Click the grip at the right end of the line. You'll now see a highlighted text box near the cursor. If you don't move the cursor, the text box displays the value of 0.000. This value represents the change in the length of the line.

  2. Move the cursor around. As the line follows the cursor, the highlighted dimension shows you the change in the length of the line. You'll also see the overall dimension change.

  3. Now enter 10↲. The value in the highlighted text box changes to 10 as you type, and then when you press ↲, the length of the line increases by exactly 10 units. The angle does not change.

In this example, you used the Dimension Input box to increase the length of the line 10 units. You can also enter negative values to reduce the length of the line. But suppose you want to change the line based on the overall length. Here's how you do that:

  1. Click the grip on the right end of the line again. Once again you'll see the Dimension Input text box highlighted.

  2. Press the Tab key, and move the cursor a bit. Now the overall dimension is highlighted.

  3. Enter 22↲. The line becomes exactly 22 units long.

Finally, you can change the angle of a line without affecting the length:

  1. Click the grip on the right end of the line again.

  2. Press the Tab key twice until you see the Angle text box highlighted. You might have to move the cursor around to see it.

    Image from book

  3. Enter 45↲ for a 45° angle. The line is reoriented to a 45° angle.

Finally, you can use Dynamic Input as a kind of "heads-up" display while editing. For example, as you enter Cartesian or polar coordinates to move an object, you'll see your input appear at the cursor, so you don't have to look at the command window to make sure you're entering the right values. Try the following exercise to see how this works firsthand:

  1. Select the line you've been working on in the previous exercises.

  2. Click the right end grip.

  3. Right-click, and choose Move. Notice that the cursor changes to show the Specify move point or prompt. You'll also see the displacement value highlighted followed by an angle sign (<) and the angle.

    Image from book

  4. Enter 10, and then press the Tab key. Now as you move the cursor, it remains at a fixed distance of 10 units from the endpoint no matter where the cursor is placed, but as you move the cursor, the line "circles" the original grip point, allowing you to specify an angle. Also notice that the angle value is highlighted, showing that you can enter an angle value. If you turn on the Polar mode, the cursor will lock on to the cardinal directions of 0°, 90°, 180°, and 270°.

    Image from book

  5. Enter 0↲. The line is moved a distance of 10 units directly to the right of its original location.

In this example, you used a polar coordinate to indicate a distance and an angle for the direction of the move. You can also enter a Cartesian coordinate of 10,0 in step 4 to achieve the same result.

In these examples, you edited only a single line, but the general method is the same for editing all objects: select the object, click a grip, press Tab to move to the property value you want to change, and enter a new value. For circles and arcs, you will see radius and arc lengths. If you select a grip that includes multiple line endpoints, you can press the Tab key repeatedly until you get to the property value of the particular line you want to edit.


Controlling Objects Using the Properties Palette

Besides editing objects directly on the screen, you can also edit them by changing their properties in the Properties palette. The properties of an object include many of the object's geometric values such as the radius of a circle or the coordinates of the endpoints of a line. Properties also include colors, linetypes, and layer assignments. Many users find the Properties palette so useful that they keep it open all the time. You can gather information at a glance by clicking an object and viewing its properties in the Properties palette. For example, you can find the area of a polyline or region by selecting the object and looking at the area listing in the Properties palette.

Image from book You can open the Properties palette (see Figure 4.8) in two ways: by clicking the Properties tool in the Standard toolbar or by right-clicking an object and choosing Properties.

Image from book
Figure 4.8: AutoCAD's Properties palette showing the properties of a line

The Properties palette's title bar can appear on the left or right, depending on which side of the AutoCAD window it is placed.

The information displayed in the Properties palette depends on the object you've selected. Two categories, General and Geometry, appear for nearly every type of object. Table 4.1 describes the General properties.

Image from book
Table 4.1: Some of the General Properties Displayed in the Properties Palette Open table as spreadsheet
PROPERTY | MEANING
Color | Specifies the object's color assignment. The default ByLayer means the object inherits the color of the layer to which the object is assigned.
Layer | Specifies the object's layer assignment. All objects have a layer assignment. (See Chapter 7 for more about layers.)
Linetype | Specifies the object's linetype assignment. By default, objects use the ByLayer linetype, which is set according to the object's layer assignment. Typically, this is a continuous linetype. AutoCAD offers a variety of linetypes through the Linetype tools. (See Chapter 7 for more about linetypes.)
Linetype Scale | Controls the appearance of noncontinuous linetypes. This setting lets you set the frequency of line intervals. For example, if you have a dashed line, the Linetype Scale property can set how often the dashes appear within a certain length of the drawing. A global linetype scale is also available that sets scale for all linetypes.
Plot Style | Determines how lines are drawn in the final output of your drawing. You can set up a style to control the color, shading, and corner condition of lines to fine-tune the appearance of your drawing. (See Chapter 12 for more about plot styles.)
Lineweight | Sets the plotted line weight of an object.
Hyperlink | Sets up or locates a hyperlink from an object to another drawing or file.
Thickness | Specifies the object's extension into the Z coordinate. By giving an object a thickness value greater than or less than 0, it will appear as a 3D object. You can convert objects with thickness to solids and surfaces. (See Chapter 6 for more information about 3D.)
Image from book

The information in the Geometry section (see Figure 4.9) of the Properties palette depends on the object. A line shows its endpoint coordinates as well as a read-only display of its length and angle. A circle shows its center coordinates and radius as well as circumference and area. A polyline shows its segment widths, areas, and vertex coordinates.

Image from book
Figure 4.9: The Geometry section (bottom) of the Properties palette

You can edit almost all the options listed in the Properties palette. To edit an item, click its name in the left column. The value to the right of the item either turns into a drop-down list from which you can choose an option or turns into a text box that you can edit. Some text boxes also include a Browse button (a series of periods), as you can see in Figure 4.10.

Image from book
Figure 4.10: Some boxes in the Properties palette include a Browse button.

If an option is not available for editing, it appears in gray. Some items, such as the angle listing for lines, cannot be edited but can be selected for cutting and pasting elsewhere.

You might also see a calculator icon to the right of an option that has been selected. If you click this calculator icon, the QuiCalc calculator appears, allowing you to calculate values.

If you aren't certain of the function of an option, you can click it to select it and view the description at the bottom of the palette. If you don't see a description there, click the Properties button at the bottom of the Properties palette's title bar, and select Description from the menu that appears.

You can control the display of the Properties palette through a set of options at the bottom of the title bar. If you click the Auto-hide button at the bottom of the title bar, the palette is minimized to its title bar.

Image from book

When the palette is "hidden," you can quickly display its contents by placing the cursor on the title bar. This option lets you maximize your drawing area without completely closing the Properties palette.


Summary

When you're in a hurry and you are working with an unfamiliar program, you might be tempted to try methods you've used in other programs. You can do that in AutoCAD, and if you're lucky, you might get the results you want. But you might also be a bit confused about some of the behaviors AutoCAD presents.

This chapter has given you a bit more information about what to expect when you start to click objects in an AutoCAD drawing. Once you've mastered the features presented here, you'll be on your way to gaining control over those mysterious objects in AutoCAD.


Chapter 5: Editing with the 2D Draw Control Panel Tools

Overview

The previous chapter contained information about how to perform the basic editing tasks by clicking objects. In addition to those editing features, you can use editing tools and commands that are unique to CAD drawing.

This chapter provides information about the editing tools in the 2D Draw control panel and in the Modify menu. These tools do everything including joining line endpoints, extending objects to meet other objects, and breaking objects in two. In this chapter, you'll also learn how to edit blocks and external references (xrefs), which are collections of objects that act like a single object. And since polylines are fairly complex, they have their own editing tools, which you'll learn about toward the end of this chapter.


Selecting Objects

If you read the previous chapter, you know that you can select objects by clicking them or by clicking a blank area to start a selection window. Once you have objects selected in this way, you can use grips to make changes to your selection.

But you can also select objects in another way. Most of the tools in the 2D Draw control panel or Modify menu present the Select objects: prompt. When you see this prompt, you can use the methods shown in Chapter 4 plus some additional options that give you more flexibility in selecting objects.

When you see the Select objects: prompt, you can use any of the options in the following list to refine your selection. For example, if you enter all↲ at the Select objects: prompt, the entire contents of a drawing are selected. Or if you enter p↲, the previous set of objects you edited is reselected. After you make a selection, the Select objects: prompt returns, allowing you to continue to select objects. To indicate that you've finished selecting objects, press ↲.

When single clicks or selection windows aren't powerful enough, you can use these section options. Some tools in the 2D Draw control panel require only that you select a single object, so these options do not apply to them.

All [all↲] Selects all the objects in a drawing except those in frozen or locked layers. (See Chapter 7 for information about layers.)

Crossing [c↲] Similar to the Window option (see the "Window" entry later in this list) but also selects anything that crosses through the window you define.

Crossing Polygon [cp↲] Lets you select an area by enclosing it with an irregularly shaped polygon boundary. Acts exactly like Window Polygon (see the "Window Polygon" entry later in this list) but, like the Select Crossing option, selects anything that crosses through a polygon boundary.

Fence [f↲] Selects objects that are crossed over by a temporary line called a fence. This operation is like crossing out the objects you want to select with a line. When you invoke this option, you can then select points as if you are drawing a series of line segments. When you finish drawing the fence, press ↲ to continue to select more objects using other selection options, or press ↲ twice to finish your selection.

Last [l↲] Selects the last object you entered.

Multiple [m↲] Lets you select several objects before AutoCAD highlights them. In a large file, selecting objects individually can cause AutoCAD to pause after each selection while it locates and highlights each object. The Multiple option can speed things up by letting you first select all the objects quickly and then highlight them all by pressing ↲. This option has no menu equivalent.

Previous [p↲] Selects the last object or set of objects that were selected in a previous operation.

Window [w↲] Forces a standard selection window. Once you enter w↲, you select two points to define a selection window. This option is useful when your drawing area is too crowded to use the autoselect feature to place a window around a set of objects. It prevents you from accidentally selecting an object with a single click when you are placing your window.

Window Polygon [wp↲] Lets you select objects by enclosing them in an irregularly shaped polygon boundary. When you use this option, you'll see the First polygon point: prompt. You can then select points to define the polygon boundary. As you select points, the Specify endpoint of line or [Undo]: prompt appears. Select as many points as you need in order to define the boundary. You can undo boundary-line segments as you go by pressing the U key. With the boundary defined, press ↲. The bounded objects are highlighted, and the Select object: prompt returns, allowing you to use more selection options.


Erasing Objects

In AutoCAD, you can erase objects in different ways. You can select an object or a set of objects and press Delete. This works for nearly every type of AutoCAD object, with the exception of OLE objects. Or you can use the Erase tool in the 2D Draw control panel or choose Modify è Erase. Erase works with all AutoCAD objects; so if for some reason you encounter an object you cannot erase by pressing Delete, try the Erase tool. To use Erase, click the Erase tool, select the objects you want to erase, and then press ↲.

Some objects will persist either in the current file or as external files, even after being erased. You can reinsert blocks if they are erased from a drawing. Xrefs also remain as external files and are not deleted when erased from a drawing. Image files behave in a way similar to xrefs and are not deleted from your hard drive when you delete them from your AutoCAD drawing.

To delete bitmap images that have been inserted using the Image or Imageattach command, use the Delete key, but you must select the image frame, not the image itself.

Finally, if you happen to erase an object by accident, you can usually retrieve it by clicking the Undo tool in the Standard toolbar. AutoCAD lets you undo several steps. (See Chapter 2 for more about Undo.) To restore the last set of deleted objects, use the Oops command. Just enter oops↲ at the command prompt. The Oops command is useful if you want to restore objects you deleted several steps back and do not want to undo your work to the point of deletion.


Joining Objects

The whole idea of using AutoCAD is to draw precisely. Not surprisingly, you end up joining objects in exacting ways. One of the most common tasks is joining the endpoints of objects so that they meet exactly end to end.

AutoCAD provides several tools that join the endpoints of objects, particularly arcs, lines, and polylines. In this instance, joining means shortening or extending a line, an arc, or a polyline to meet another object, without disturbing the object's orientation.

Joining End to End with Intermediate Arcs

The Fillet command is one of the more frequently used commands because it is great at doing one thing: it joins lines end to end no matter where the endpoints of those lines are. Optionally, Fillet adds an intermediate arc between the joined lines to form a bullnose, or rounded corner, as shown in Figure 5.1.

Image from book
Figure 5.1: Fillet will join the two lines at the left from end to end (center) or join them with an intermediate arc (right).

Fillet also joins two parallel lines with an arc. The following steps describe Fillet's default behavior:

  1. Image from book From the 2D Draw control panel fly-out toolbar, choose Fillet.

  2. At the following prompt, click one line:

    Current settings: Mode = TRIM, Radius = 0.0000
Select first object or [Polyline/Radius/Trim/Multiple]:

  3. At the Select second object or shift-select to apply corner: prompt, select the other line. The lines will join end to end without disturbing their orientation.

Fillet joins lines, arcs, and polylines. If you join a polyline with a line or an arc, the line or arc becomes part of the polyline.

Rounding Corners

Fillet also lets you round corners by adding an intermediate arc. You might notice several options in step 2, including a Radius option. If you enter R↲ in step 2, you will see the following prompt:

Specify fillet radius <0.0000>:

You can enter a radius value and then proceed to select two objects. Instead of joining the objects end to end, AutoCAD adds an arc between the objects.

The Fillet command continues to add arcs until you change the Radius option back to 0.

If you use Fillet to join two parallel lines, AutoCAD automatically uses an arc to join the two lines.

You can also round the corners of a polyline, as shown in Figure 5.2, by using the Radius option in conjunction with the Polyline option.

Image from book
Figure 5.2: The polyline on the right is the result of using the Fillet command on the polyline on the left.

Start the Fillet command, enter R↲ and a radius, enter P↲, and select the polyline. The vertices of the polyline change into arcs of the specified radius. If you indicate a radius that is too large for the line segments, AutoCAD will report that the radius is too large and will cancel the operation. This happens when the line segments are shorter than the radius.

Rounding without Trimming

If you want to add an arc that is tangent to two objects but you don't want the objects trimmed to join the arc, you can change the Trim setting of the Fillet command. Figure 5.3 shows the effect of Fillet's No Trim option. (Note that the Chamfer command has a similar option that works the same way. See the section "Joining with a Chamfer" later in this chapter.)

Image from book
Figure 5.3: Fillet with the No Trim setting turned on

To change the way Fillet trims objects, start the Fillet command, and then enter T↲. You'll see the following prompt:

Enter Trim mode option [Trim/No trim] <Trim>:

Enter N↲.

The No Trim option becomes the default method that Fillet uses to join lines until you set the option back to Trim.

Controlling Fillet's Behavior

Some additional options are available with the Fillet command that control how Fillet behaves. The following list describes them:

  • Polyline Applies the Fillet command to all the corners of a polyline composed of straight-line segments. (See Figure 5.2 earlier in this chapter.)

  • Radius Lets you set the radius of the fillet.

  • Trim Lets you specify whether lines are trimmed when they are filleted. By default, lines are trimmed. You can specify No Trim to leave the lines as they are. Once Trim/No Trim is set, it becomes the default until it is changed.

  • Multiple Lets you select multiple sets of lines to fillet.

Joining with a Chamfer

Another common editing operation is joining two lines with another intermediate line to form a chamfer, as shown in Figure 5.4. The Chamfer command works much like the Fillet command, with some different options.

Image from book
Figure 5.4: Chamfer joins the two lines at the left to form the chamfered corner shown at the right.

To join lines with a chamfer, do the following:

  1. Image from book In the 2D Draw control panel's Modify fly-out toolbar, click the Chamfer tool, choose Modify è Chamfer, or enter cha↲ at the command prompt. You will see the following message:

    (TRIM mode) Current chamfer Dist1 = 0.0000, Dist2 = 0.0000

    This tells you the current settings for the chamfer distances.

  2. At the Select first line or [Undo/Polyline/Distance/Angle/Trim/Method/Multiple]: prompt, enter d↲ to specify a Chamfer distance.

  3. At the Specify first chamfer distance <1.0000>: prompt, enter a distance value. The value you enter determines the distance from the intersection of the two lines being chamfered to the beginning of the chamfer, as shown in Figure 5.5.

  4. At the Specify second chamfer distance <2.0000>: prompt, enter a value for the other chamfer distance. Press ↲ if you want the first and second chamfer distances to be equal.

  5. At the Select first line or [Polyline/Distance/Angle/Trim/mEthod/Multiple]: prompt, select one line.

  6. At the Select second line: prompt, select the other line. The two lines are joined with a chamfer, as shown in Figure 5.6.

Image from book
Figure 5.5: The Chamfer distance shown by arrows. The first Chamfer distance is determined by the line that is selected first (at the Select first line: prompt).
Image from book
Figure 5.6: The polyline on the right is the result of using the Chamfer command on the polyline on the left.

Once you've set the distances in steps 3 and 4, AutoCAD remembers them for the current drawing. The next time you use chamfer, you won't have to set the distances. You can immediately select two lines as soon as you invoke the Chamfer command, skipping steps 2, 3, and 4.

Chamfer works on lines and polylines with straight-line segments only. You cannot use the Chamfer command on an arc to a line, for example.

You might notice other options in the previous steps. The following list describes what they do. Remember that to use an option, enter its capitalized letter at the prompt. For example, to use the Trim option in step 5 of the previous example, enter T↲. For the mEthod option, enter E↲.

Polyline Applies the chamfer to all the corners of a polyline composed of straight-line segments (shown earlier in Figure 5.6).

Distance Lets you specify the distance of the chamfer from the intersection of two lines. The distance can be equal for each line, or lines can have different values. (Also see "mEthod" later in this list.)

Angle Lets you specify an angle for the chamfer. You are first asked for a distance value and then asked for the angle (see Figure 5.7). (Also see "mEthod" later in this list.)

Image from book
Figure 5.7: Chamfer's Angle option lets you specify the chamfer based on a distance and an angle. The angle is relative to the first line selected at the Select first line: prompt.

Trim Lets you specify whether lines are trimmed when they are chamfered. By default, lines are trimmed. You can specify No Trim to leave the lines as they are (see Figure 5.8). Once you have set Trim/No Trim, it becomes the default until it is changed. This option affects both Chamfer and Fillet.

Image from book
Figure 5.8: A chamfer with the default Trim option appears on the left, and the No Trim option appears with the fillet on the right.

mEthod Lets you choose whether the Chamfer command uses the Distance or Angle setting by default. (See the "Distance" and "Angle" entries in this list.)

Multiple Lets you select multiple sets of lines to chamfer.

Extending or Trimming Lines to Other Objects

One fairly common operation in AutoCAD is to extend a line to meet another object or to trim a line or other object back to meet another object. For example, you can quickly trim two rectangles with a circle to form a wrench shape, as shown in Figure 5.9. Or you can extend a pair of lines to meet another line to form a wall extension, as shown in Figure 5.10.

Image from book
Figure 5.9: Use the Trim command and select the locations indicated by the dots at left to quickly draw a new shape at right.
Image from book
Figure 5.10: Extending the vertical lines shown at left to form an extension to a wall at right

Trim and Extend work on most AutoCAD objects with the exception of hatch patterns, text, splines, and regions. You can explode hatches and regions to their constituent parts to be trimmed or extended. You can use Trim or Extend on blocks and xrefs by first using the Refedit command. (See Chapter 8 for more about blocks and xrefs.)

Trimming Objects

You can use the Trim command to both trim and extend objects. The following steps show how you might use Trim to truncate a circle, as shown in Figure 5.11.

  1. Image from book In the 2D Draw control panel's Modify fly-out toolbar, click the Trim tool, choose Modify è Trim from the menu bar, or enter tr↲ at the Command prompt. You'll see the following message:

    Current settings: Projection=UCS, Edge=None

  2. At the following prompt, select the object or set of objects you want to trim to, and then press ↲:

    Select cutting edges ...
Select objects or <select all>:

    In this example, select the circle and line shown in Figure 5.11.

  3. At the Select object to trim or shift-select to extend or [Fence/Crossing/Project/Edge/eRase/Undo]: prompt, select the portion of the object you want to trim. In the circle example, select the locations indicated by the dots in the left image in Figure 5.11.

  4. When you are finished, press ↲.

Image from book
Figure 5.11: Trimming a circle and line at the left to form a truncated circle at the right

Extending Objects

To extend an object, start the Trim command as in the first two steps of the previous example, but instead of clicking the ends you want to trim, Shift+click to select the objects you want to extend, as shown in Figure 5.12.

Image from book
Figure 5.12: Shift+click to select the lines shown on the left to get the results on the right.

To extend a series of lines to another object, as shown in Figure 5.13, use the Fence Selection option.

Image from book
Figure 5.13: Extending a set of lines to a curve using the Fence option. Hold down the Shift key while placing the fence.

Another option is to use the Extend tool in the Modify menu or the 2D Draw control panel. Extend works just like Trim, but by default it assumes you want to extend an object to another object rather than trim objects.

Using Trim and Extend Options

You can control the way the Trim and Extend commands work through their options. Six options are available in both commands: Fence, Crossing, Project, Edge, eRase, and Undo. The following list describes their functions:

  • Fence This allows you to select objects using the Fence selection option (see "Selecting Objects" earlier in this chapter).

  • Crossing This allows you to select objects using a crossing window (see "Selecting Objects" earlier in this chapter).

  • Project If you are working in 3D, the effects of the Trim or Extend command depend on your viewpoint. Project lets you control whether Trim or Extend are determined by the UCS or the current view. (See Chapter 6 for more about the UCS.)

  • Edge You might want to extend or trim to an object that does not actually cross the object's path, as shown in Figure 5.14. You can use the Edge option to allow the Trim command to work whether or not objects actually cross.

  • eRase This lets you erase an object while in the middle of a trim or extend operation.

  • Undo This lets you undo a trim or extend operation.

Image from book
Figure 5.14: Even though the lines do not cross, as shown in the left image, you can turn on the Edge option to trim to the edge defined by the dotted line in the middle image.


Moving and Copying

Chapter 4 described how to use grips to move and copy objects. So why have specific commands for moving and copying when you can use grips? Part of the reason is that grip editing is a feature that was added later in AutoCAD's history, and the Move and Copy commands are the original methods for performing those functions. If you are building macros, you can use the Move and Copy commands but not the grip-editing options. Finally, the Move and Copy commands described in this chapter, along with Rotate, Stretch, and Scale, can take advantage of the selection options described earlier in this chapter. Grip editing cannot. If you have to move or copy a set of objects that cannot be selected easily with single clicks or selection windows, use the Move or Copy commands in the 2D Draw control panel or Modify menu.

Moving with Accuracy

The Move command is deceptively simple. It's easy enough to move objects in a general way. It gets a little more complicated when you want to move objects with any accuracy. Here are the basic steps for using the Move command:

  1. Image from book In the 2D Draw control panel, click the Move tool, choose Modify è Move, or enter m↲ at the command prompt.

  2. At the Select objects: prompt, select the objects you want to move.

  3. At the Specify base point or [Displacement] <Displacement>: prompt, select a base point. If you want to enter a relative coordinate, you can select any point on the screen, or you can enter @↲. The @ means "from the last point selected."

  4. At the Specify second point or <use first point as displacement>: prompt, you'll see the selected objects move with the cursor. You can select the second point with the cursor or enter an absolute or relative coordinate. (See Chapter 2 for more about coordinates in AutoCAD.)

Using Some Tips for New Users

The trickiest part of the Move command is understanding the base point and the second point in steps 3 and 4 in the previous exercise. The base point can be anywhere on the drawing. It does not have to be on the object or objects you are trying to move. Once you select a base point, its position stays fixed in relation to the selected objects. This is most obvious when you select a random point for a base point. As you move the cursor, the selected objects move in unison with the cursor, even if the cursor is nowhere near the objects.

Another function that can trip up a new user is the selection process. It is a good idea to become intimately familiar with the many ways you can select objects in AutoCAD. Study the section "Selecting Objects" earlier in this chapter.

Aligning Objects with Osnaps

Finally, you can use osnaps to accurately place the objects you are moving. For example, if you want to move an object so that its corner meets the corner of a second object, do the following. Start the Move command as in step 1 of the previous exercise; select your object as in step 2; then in step 3, use the Endpoint osnap to select the corner of the selected object. In step 4, use the Endpoint osnap again to select the corner of the second object. (See the middle image in Figure 5.15.) This is just one example of using osnaps with the Move command. You can use osnaps to join any part of one object to any part of another. For example, you can move the midpoint of a line to the center of a circle using osnaps in steps 3 and 4.

Image from book
Figure 5.15: Use the Endpoint osnap to select the corner of the object you want to move (left image), and then use it again to select the corner you want to move the object to (center image).

Copying Objects with the Copy Command

The Copy command is virtually identical to the Move command with the obvious difference that Copy makes copies instead of moving objects. Another difference is that you can place multiple copies in the drawing by repeatedly clicking locations or entering coordinates.

To practice using the Copy command, follow the steps shown in the previous section. The main difference is that after step 4, AutoCAD continues to prompt you with Specify second point or <use first point as displacement>:. You can then continue to make copies by clicking your drawing, or you can press ↲ to exit the Copy command. After the first copy is made, the prompt changes to Specify second point or [Exit/Undo] <Exit>.

To make parallel copies of objects, use the Offset command, as described in Chapter 3.

Making Circular Copies

To make copies in a circular pattern, you use the Array dialog box. You can create patterns such as the tick marks on a clock or the teeth in a gear. You can also set up your circular copies to remain in a fixed orientation, like the numbers on a clock.

Here are the basic steps for using the Array dialog box:

  1. Image from book In the 2D Draw control panel, click Array or enter ar↲ to open the Array dialog box (see Figure 5.16).

    Image from book
    PROVIDING BASE POINTS

    When you use the Move or Copy command, AutoCAD prompts you for a base point, which can be a difficult concept to grasp. You must tell AutoCAD specifically from where and to where the move occurs. The base point is the exact location from which you determine the distance and direction of the move. Once the base point is determined, you can tell AutoCAD where to move the object in relation to that point.

    The base point can come in handy when you want to move or copy an object using a geometric feature of the object. For example, if you want to move the upper-right corner of a rectangle so that it connects exactly to the endpoint of a line, select the exact corner of the rectangle as the base point for the move. The following steps describe how to do this:

    1. Start the Move command, select the rectangle, and press ↲.

    2. At the Specify base point or [Displacement] <Displacement>: prompt, Shift+right-click, and select the Endpoint osnap from the shortcut menu.

    3. Click the corner of the rectangle you want to connect to the line.

    4. At the Specify second point or <use first point as displacement>: prompt, Shift+right-click again, and select Endpoint.

    5. Click the endpoint of the line. The corner of the rectangle moves to meet the endpoint of the line.

    Image from book

  2. Click the Select Objects button. The dialog box temporarily closes, allowing you to select objects.

  3. Select the objects you want to copy, and then press ↲. The Array dialog box reopens.

  4. Click the Polar Array radio button at the top of the dialog box to tell AutoCAD you want a circular array. The Array dialog box displays the polar array options, as shown in Figure 5.17.

  5. Image from book Click the Pick Center Point button (see Figure 5.17). The Array dialog box temporarily closes to allow you to select a center point about which the copies will be made.

  6. Select the point that represents the center of the circular array. If you have an object representing the center of the array, you can use an osnap to select the object. Once you've indicated a point, the Array dialog box reopens.

Image from book
Figure 5.16: The Array dialog box
Image from book
Figure 5.17: The Polar Array dialog box

At this point, you've selected an object to array and you've indicated the center location of the array. If you've selected the wrong object or the wrong center point, you can go back and specify these options again.

Now, to complete the process, tell AutoCAD the number of copies in the array and the extent of the array through the circle:

  1. In the Array dialog box, enter the number of copies you want in the Total Number of Items text box. The number you enter should include the original object.

  2. In the Angle to Fill text box, enter the angle in degrees that you want your circular copies to fill. For example, if you enter 360, AutoCAD spreads the copies evenly over the full 360° of the circle. If you enter 180, the array fills half a circle. You can also click the Pick Angle to Fill button to the right of the Angle to Fill box to graphically select an angle in the drawing.

  3. If you want the object to rotate about the array center, turn on the Rotate Items as Copied check box in the lower-left corner of the dialog box. If you turn this option off, the copies are all oriented in the same direction as the original object.

  4. Click the Preview button to display the results of your array settings, plus a dialog box that offers Accept, Modify, and Cancel options.

  5. Click Accept if you are satisfied with the array and the circular array appears in the drawing.

  6. Or click Modify if you need to make further adjustments. When you are finished, click OK in the Array dialog box. The circular array appears in the drawing.

Copying Rows and Columns

You can use the Array dialog box to copy rows and columns. Here are the steps:

  1. Image from book In the 2D Draw control panel, click the Array tool or enter ar↲ to open the Array dialog box.

  2. Click the Select Objects tool to temporarily close the Array dialog box.

  3. Select the objects you want to copy, and then press ↲ to confirm your selection.

  4. In the Array dialog box, click the Rectangular Array radio button.

  5. Change the value in the Rows text box to the number of rows you want.

  6. Change the value in the Columns text box to the number of columns you want.

  7. To set the distance between rows, enter a distance in the Row Offset text box.

  8. To set the distance between columns, enter a distance in the Column Offset text box (see Figure 5.18).

  9. When you are satisfied with the Array settings, click OK.

Image from book
Figure 5.18: Copying rows and columns

AutoCAD usually draws a rectangular array from bottom to top and from left to right. You can reverse the direction of the array by entering negative values for the distance between columns and rows in steps 7 and 8.

At times, you might want a rectangular array at an angle. To accomplish this, enter the angle in the Angle of Array input box. You can also select the angle graphically by clicking the Pick Angle of Array button just to the right of the Angle of Array input box.

If you prefer, you can graphically indicate an array cell using the options in the Offset Distance and Direction section of the Array dialog box (see the bottom image in Figure 5.19). An array cell is a rectangle defining the distance between rows and columns (see the top image in Figure 5.19). You might want to use this option when objects are available to use as references from which to determine column and row distances. For example, you might have drawn a crosshatch pattern, as on a calendar, within which you want to array an object. You use the intersections of the hatch lines as references to define the array cell, which is one square in the hatch pattern.

Image from book
Figure 5.19: An array cell and the Array dialog box options that let you graphically indicate array cells

You can also indicate row or column distances individually using the Pick Row Offset or Pick Column Offset buttons to the right of the Pick Both Offsets button.


Scaling, Stretching, and Rotating

You can scale, stretch, and rotate as well as move and copy objects with grips. But as described for the Move and Copy commands, you can also use specific commands for each of these operations. Like the Move and Copy commands, the Scale, Stretch, and Rotate commands give you more flexibility in your selection of objects.

Scaling to a Specific Scale Factor

To use the Scale command to change the size of an object or a set of objects, do the following:

  1. Image from book From the 2D Draw control panel's Modify fly-out toolbar, choose Scale, choose Modify è Scale, or enter sc↲ at the command prompt.

  2. At the Select objects: prompt, select the objects you want to scale, and press ↲.

  3. At the Specify base point: prompt, select a point around which to scale. If you select a corner of a rectangle, for example, the corner remains in place while the rest of the rectangle expands or contracts around the corner.

  4. At the Specify scale factor or [Copy/Reference]: prompt, enter a scale value. The selected objects change to the specified scale.

Scaling an Object to Fit Another

A useful feature of the Scale command is the Reference option, which lets you scale an object to match the size of another. The following example shows how to use the Reference option to change the size of a door in a floor plan to fit an enlarged opening:

  1. From the 2D Draw control panel, choose Scale, choose Modify è Scale, or enter sc↲ at the command prompt.

  2. At the Select objects: prompt, select an object or objects.

  3. At the Specify base point: prompt, use the Endpoint osnap to select the corner of the door, as shown in the left image in Figure 5.20.

  4. At the Specify scale factor or [Copy/Reference]: prompt, enter r↲.

  5. At the Specify reference length <1>: prompt, use the Endpoint osnap, and select the same corner of the door you selected in step 3. You can also enter @↲ since the last point you selected was the point you selected in step 3.

  6. At the Specify second point: prompt, select the endpoint of the arc that represents the door swing, as shown in the middle image in Figure 5.20.

  7. At the Specify new length or [Points]: prompt, notice that the door swing endpoint follows the cursor while the corner of the door stays fixed in its corner location. Use the Endpoint osnap again, and select the other corner of the door opening, as shown in the right image in Figure 5.20.

Image from book
Figure 5.20: Scaling a door to fit an opening

In this example, a door is scaled to fit an opening. This door already had one corner at the same location as one side of the opening. To scale an object to fit another, you need to first align the location you will use as a base point to one end of the object or area to which you want to scale.

Stretching Objects

To move the endpoint of a line or a vertex of a polyline, you can use the Stretch command. Stretch lets you select a single vertex or several vertices and move them to reshape a drawing.

The basic method for using Stretch is as follows:

  1. Image from book In the 2D Draw control panel's Modify fly-out menu, click the Stretch tool, choose Modify è Stretch, or enter s↲ at the command prompt.

  2. At the Select objects: prompt, enter c↲. This invokes the crossing selection window.

  3. Enclose the vertices you want to stretch with the crossing selection window, as shown in the left image in Figure 5.21, and then press ↲. You cannot use a standard window for this operation.

  4. At the Specify base point or [Displacement] <Displacement>: prompt, select a base point.

  5. At the Specify second point or <use first point as displacement>: prompt, you'll see the vertices move as you move the cursor. Select a new location for the vertices, or enter a coordinate.

Image from book
Figure 5.21: Use a crossing window to select the vertices you want to stretch (left image), and then select a base point. The vertices will move with the cursor (right image).

Although the Stretch command is useful, the grip-editing version of Stretch is just as capable and a bit easier to understand.

See the section "Moving and Copying" earlier in this chapter for tips on selecting base points and objects.

Rotating Objects

In Chapter 4, you learned that you can rotate objects using grips, but in addition you can use the Rotate command to do so. To rotate an object with the Rotate command, do the following:

  1. Image from book In the 2D Draw control panel, click the Rotate tool, choose Modify è Rotate, or enter ro↲ at the command prompt. You'll see the following message:

    Current positive angle in UCS: ANGDIR=counterclockwise ANGBASE=0

  2. At the Select objects: prompt, select the object or objects you want to rotate, and then press ↲.

  3. At the Specify base point: prompt, select a point around which objects are to be rotated. The objects rotate about the selected point as you move your cursor.

  4. At the Specify rotation angle or [Copy/Reference]: prompt, enter a rotation angle value, or use the cursor to select a rotation angle.

The message you see in step 1 lets you know the current settings for the angle direction and base angle. This helps you decide whether to enter a positive or negative value for rotation angles.

Aligning the Rotation Cursor with an Object

In step 3 of the previous example, the selected objects and the cursor rotate around the selected base point. Frequently, the angle indicated by the cursor and the angle of the objects you are rotating do not coincide. This can be a problem, particularly if you want to graphically rotate the selected objects. You can align the cursor with the objects you are rotating using the Reference option. This can be helpful if you are trying to rotate one edge of an object to a specific angle or to another object. The following steps describe how you can use the Reference option to align a randomly placed rectangle with the cursor to rotate the rectangle to a specific angle:

  1. Start the Rotate command, and select the objects you want to rotate.

  2. At the Specify base point: prompt, select a point around which the objects are to be rotated. In the example in Figure 5.22, the cross with the circle represents the base point. Once you select a base point, the objects rotate around the selected point as you move your cursor.

  3. At the Specify rotation angle or [Copy/Reference]: prompt, enter r↲.

  4. At the Specify the reference angle <0>: prompt, use the Endpoint osnap to select the endpoint of the line you want aligned with the cursor, as shown in the left image of Figure 5.22.

  5. At the Specify second point: prompt, select the other end of the line you want to align with the cursor, as shown in the middle image of Figure 5.22.

  6. At the Specify the new angle or [Points]: prompt, notice that the object is now aligned with the cursor as it rotates about the base point. You can enter an angle value or select a point to finish the command.

Image from book
Figure 5.22: Using the Reference option to align the selected objects to the cursor

You can also use the Reference option to select a specific point on an object as the location being rotated. For example, suppose you want to rotate a set of circles inside a hexagon to align with the corner of the hexagon, as shown in Figure 5.23.

Image from book
Figure 5.23: The goal is to rotate the circles inside the hexagon (left view) to align with the corners of the hexagon (right view).

To do this, you can use the Reference option as follows:

  1. Start the Rotate command, and select the objects you want to rotate.

  2. At the Specify base point: prompt, use the Center osnap to select the center of the hexagon as represented by the central circle (see the left image in Figure 5.24). Once you do this, the objects rotate around the selected point as you move your cursor.

  3. At the Specify rotation angle or [Copy/Reference]: prompt, enter r↲.

  4. At the Specify the reference angle <0>: prompt, use the Center osnap to select the center of the hexagon again. You can also enter @↲ since the last point you selected was the center.

  5. At the Specify second point: prompt, use the Center osnap to select the center of one of the circles you are rotating, as shown in the center image of Figure 5.24. Now as you move the cursor, the circle whose center you selected is aligned with the cursor angle.

  6. At the Specify the new angle or [Points]: prompt, use the Endpoint osnap to select one of the corners of the hexagon, as shown in the right image in Figure 5.24. The circles align with the corners.

Image from book
Figure 5.24: Rotating the circles to align with the corners of the hexagon

To rotate an object around a point that is some distance from your current view, draw a temporary circle whose center is at the location of the rotation center and whose radius intersects with the object you want to rotate. You can then zoom into the object you want to rotate and use the Center osnap to locate the center of the circle as the rotation base point. Delete the circle when you are done, or keep it for future edits. Consider creating a nonprinting layer on which you can keep construction objects such as the circle.


Breaking an Object into Two

If you need to place a gap in a line or an arc or just need to cut a line in half, you'll want to use the Break command. Break is simple to use, but it does have a few quirks. First, it does not work on all types of objects. You can place gaps in lines, polylines (including rectangles, polygons, and clouds), splines, arcs, and circles using Break. Break also lets you cut an object without actually placing a gap in the object. This option will not work on circles, however.

To use Break to place a gap in an object, do the following:

  1. Image from book In the 2D Draw control panel's Modify fly-out toolbar, click the Break tool, choose Modify è Break, or enter br↲ at the command prompt.

  2. At the Select object: prompt, select the object you want to break at the location where you want the gap to begin.

  3. At the Specify second break point or [First point]: prompt, select the second point on the object for the opposite side of the gap. The gap appears on the object.

    Image from book

Sometimes you want the beginning of the gap at an intersection of two objects, in which case you can't click the object to select the beginning of the gap location. Break lets you select an object independent of the beginning points and endpoints of the gap by using the First Point option. Here's how it works:

  1. In the 2D Draw control panel, click the Break tool, choose Modify è Break, or enter br↲ at the command prompt.

  2. At the Select object: prompt, select the object you want to break.

  3. At the Specify second break point or [First point]: prompt, enter f↲, and then select the beginning location for the gap.

  4. At the Specify second break point: prompt, select the second point on the object for the opposite side of the gap. The gap appears on the object.

To break an object at a single point without creating a gap, enter @↲ in step 4. This tells AutoCAD that the first and second points of the gap are the same. You can also use the Break at Point tool in the 2D Draw control panel to accomplish this.


Editing Xrefs and Blocks

Image from book Blocks are AutoCAD objects that are assemblies of other objects. For example, you can draw a chair and then convert the chair into a block named "chair." This block behaves as if it were a single object. All blocks have names to easily identify them during other editing functions. Blocks are useful in creating symbols such as doors and windows in an architectural drawing, chairs and office equipment in a plan layout, or anything that will be repeated frequently in a drawing.

Xrefs are entire drawing files that are imported into other drawing files. When a file has been imported as an xref, it behaves like a single object, just like a block (see Chapter 8). Xrefs can be nested, and they can also contain blocks.

Even though blocks and xrefs behave as single objects, you can still edit the individual components from which they are made using the Refedit command. However, for casual or new users, it's much easier to simply open the source xref file and make changes there.

You can also use Refedit to edit blocks, but the Block Editor greatly simplifies block editing.

In Chapter 3, you learned that you can often edit an object just by double-clicking the object. This opens either the Properties palette or a specific dialog box that lets you edit the object. Double-clicking a block opens the Edit Block Definition dialog box (see Figure 5.25).

Image from book
Figure 5.25: The Edit Block Definition dialog box

This dialog box lists all the blocks in the drawing. The block you double-click is automatically selected from the list. To the right is a preview window displaying a thumbnail version of the currently selected block.

After you select a block name from the list and click OK, you might see a dialog box asking whether you want to see how dynamic blocks are created. Click No, because this is an advanced topic.

If you feel adventurous, you can take a look at the dynamic block demonstration and try the advanced features on your own.

Once past the dynamic block message, the entire drawing area changes to show just your selected block on a yellow background. This is the Block Editor window (see Figure 5.26). You'll also see the Block Authoring palettes, which offer some advanced block features.

Image from book
Figure 5.26: The Block Editor window with the Block Authoring palettes shown to the left

You won't find a discussion of the Block Authoring palettes here, because this is for more advanced users. However, you will find that once in the Block Editor window, you can edit the block using all the usual editing tools described in this and the previous chapter.

Once you've finished editing your block, you can use the Save Block Definition option in the Block Editor toolbar to save any changes you made to the block. You can then use the Close Block Editor option to close the Block Editor window and return to the standard AutoCAD window.

Image from book

If you decide not to save your changes, click the Close Block Editor option, and select No when you're asked to save your changes.

If you're editing a block and you encounter a nested block that you want to edit, double-click the nested block. You'll be asked whether you want to save the changes to the current block. Click Yes or No, and then the Edit Block Definition dialog box reopens, this time with the nested block name highlighted. Click OK, and the nested block will appear in the Block Editor window. You can then proceed to edit the nested block.

Another way to open another block while in the Block Editor window is to click the Edit or Create Block Definition option in the Block Editor toolbar.

Image from book

You're asked whether you want to save the current block, and then the Edit Block Definition dialog box you saw at the beginning of this section opens. From there, you can select the block name you want to edit from the list on the left.

If you are working with a team and others are editing the same files as you are, make sure you notify your team members when you modify blocks in a drawing.


Editing Polylines

Polylines are a great drawing tool because you can use them to perform a number of functions. If you outline an area with a polyline, you can quickly get the area of the outline by checking the properties of the polyline. You can easily convert closed polylines to 3D objects. You can form curves or quickly round the corners of polylines using the Fillet command.

As with other objects, you can edit a polyline using AutoCAD's grip-editing feature. You can click a polyline to expose its grips and then move the individual grips to reshape the polyline. But an object as versatile as the polyline requires a special tool for editing. The Pedit command lets you fine-tune a polyline's shape. You can add line segments to polylines with Pedit, as well as straighten a polyline or add a new vertex. You can even adjust the overall width of a polyline or taper a polyline to form an arrow.

To use the Pedit command, do the following:

  1. Choose Modify è Object è Polyline, or enter Pe↲ at the command prompt.

    Image from book
    REDUCING BLOCKS AND POLYLINES TO SIMPLE LINES AND ARCS WITH EXPLODE

    The Explode command can reduce some of the more complex AutoCAD objects to basic objects. You can reduce polylines, for example, to lines or arcs. You can "unblock" blocks into their constituent objects. You can reduce hatch patterns to lines.

    Explode is easy to use. In the 2D Draw control panel, click the Explode tool, choose Modify è Explode, or enter x↲ at the command prompt. At the Select objects: prompt, click the object or objects you want to explode, and press ↲.

    Image from book

  2. At the Select polyline or [Multiple]: prompt, select the polyline you want to edit. If you want to edit multiple polylines, enter m↲, and then select them. You'll see the following prompt:

    Enter an option
[Close/Join/Width/Edit vertex/Fit/Spline/Decurve/Ltype gen/Undo]:

  3. Enter the capitalized letter of the option you want to use, and then follow the prompts to complete the edit.

If you have Dynamic Input turned on, the prompt options appear as a list by the cursor. You can then select the option you want.

Once you've performed the edit, you are returned to the Pedit prompt. To exit Pedit, press ↲ at the prompt without selecting an option. Table 5.1 describes the functions of the Pedit options.

Image from book
Table 5.1: The Pedit Options Open table as spreadsheet
OPTION | FUNCTION
Close/Open | If the polyline is closed, the Open option appears and allows you to change the polyline from closed to open. If the polyline is open, Close lets you close it.
Join | Lets you join polylines, arcs, and lines to form a single polyline.
Width | Lets you adjust the width of a polyline. You can also use the Properties palette to do this.
Edit Vertex | Opens another set of options that let you edit the vertices of a polyline. You can remove vertices, insert new vertices, and change the width of the polyline at specific vertices to name a few options. See Table 5.2.
Fit | Changes the polyline to a series of arcs that pass through the vertices. See Chapter 3.
Spline | Changes the polyline into a spline curve. See Chapter 3.
Decurve | Converts a fit or spline polyline into one of straight-line segments.
Ltype Gen | Adjusts the way linetypes are displayed. With Ltype Gen turned on, linetypes ignore vertices when generating line patterns.
Undo | Undoes the last Pedit change of the current Pedit session.
Image from book
Image from book
Table 5.2: The Edit Options of the Pedit Command Open table as spreadsheet
OPTION | FUNCTION
Next | Moves the x marker to the next vertex for editing.
Previous | Moves the x marker to the previous vertex for editing.
Break | Lets you break the polyline from the current vertex marked by the x to the next. You'll see the prompt [Next/Previous/Go/eXit] <N>:, which lets you move the x marker to the next or previous vertex. The Go option performs the break after you've moved the x marker.
Insert | Lets you insert a vertex. The inserted vertex is added in the direction of the next vertex.
Move | Lets you move a vertex.
Regen | Regenerates the polyline after you've made a change using one of the edit options.
Straighten | Lets you straighten a polyline between two vertices. You'll see the prompt [Next/Previous/Go/eXit] <N>:, which lets you move the x marker to the next or previous vertex. The Go option straightens the polyline by removing intermediate vertices after you've moved the x marker.
Tangent | Lets you change the tangent direction of a vertex.
Width | Lets you change the width of the polyline at the current vertex.
eXit | Exits the Edit option of the Pedit command. You are returned to the Pedit prompt.
Image from book

Pedit also lets you convert a line or arc into a polyline. Start the Pedit command, and then at the Select polyline: prompt, select the line or arc. You are asked whether you want to convert the object into a polyline. Press ↲ to accept the default Yes option.

If you select the Edit Vertex option of the Pedit command, you're presented with the following prompt:

[Next/Previous/Break/Insert/Move/Regen/Straighten/Tangent/Width/eXit] <N>:

These options let you manipulate the vertices of a polyline. You'll also see an x marker at the beginning of the polyline. The x shows you the vertex that is currently available for editing. It indicates which vertex will be affected by the edit options. Table 5.2 explains what these options do.


Summary

You'll use the editing features discussed in this chapter frequently during typical editing sessions, though you might find you use some more than others. For example, you'll often use Fillet to join two lines to make a corner, and you'll probably use Scale only once in a while to resize objects. Block and xref editing are also features that you might not use all that often, but when you need them, they can be lifesavers.


Chapter 6: Creating 3D Drawings

Overview

The main feature of AutoCAD 2008 is a completely revamped 3D modeling section. It is now much easier to create 3D shapes of any type, from simple boxes and cones to complex curved surfaces. Covering all the 3D modeling features of AutoCAD would require an entire book. This chapter gives you a taste of what can be done, and I hope you'll be able to take some of this information and create your own basic 3D models.

You'll find a mix of tutorials and command descriptions in this chapter. Tutorials walk you through features that you'll use frequently. Other features that are not as important for new users are described with figures and a less detailed discussion of their use.


Getting to Know the 3D Modeling Workspace

When it comes to 3D modeling, there really isn't much you can't do with AutoCAD 2008. You can create just about any shape you can imagine in AutoCAD. Of course, the more complex the shape, the more time it will take, but AutoCAD 2008 offers a new level of freedom in 3D modeling that the older versions lacked.

AutoCAD offers some basic shapes known as solid primitives. These tools let you quickly create a polysolid, box, wedge, cone, sphere, cylinder, pyramid, or torus (see Figure 6.1). You can edit these primitives to form other, more complex shapes. Other tools allow you to create free-form curves from 2D objects such as lines, arcs, and splines, as shown in Figure 6.2. A Helix tool helps you create spiral shapes such as screw threads or parking garage ramps.

Image from book
Figure 6.1: The solid primitives available in AutoCAD
Image from book
Figure 6.2: Shapes generated from lines, arcs, and splines

Most of this book is devoted to showing you how to work in what is called the AutoCAD Classic workspace. This Classic workspace is basically a 2D drawing environment, though you can certainly work in 3D as well.

AutoCAD 2008 offers something called the 3D Modeling workspace, which gives you a set of tools to help ease your way into 3D modeling. This 3D Modeling workspace gives AutoCAD a different appearance (see Figure 6.3), but don't worry. It still behaves in the same basic way, and the AutoCAD files produced are just the same.

Image from book
Figure 6.3: The AutoCAD 3D Modeling workspace

Here's how to switch to AutoCAD's 3D Modeling workspace:

  1. Start AutoCAD, and then choose Tools è Workspaces è 3D Modeling. You'll see a new palette appear to the right of the AutoCAD window.

  2. To start a new 3D model, choose File è New to open the Select Template dialog box. Select the acad3D.dwt template file, and click Open. Your screen will look similar to Figure 6.3.

Although AutoCAD now looks entirely different, it isn't really as different as it might seem. The drawing area displays the workspace as a perspective view with a grid. This is really just a typical AutoCAD drawing file with a couple of setting changes. The view has been set up to be a perspective view by default, and a new feature called visual style shows 3D objects as solid objects. You'll learn more about the tools that let you adjust the appearance of your workspace later in this chapter. For now, you'll explore the tool palettes to the right of the AutoCAD window.

Two palettes appear in the 3D Modeling workspace. To the far right is the Standard AutoCAD tool palette containing some shortcuts to various AutoCAD functions. To the left of the Standard palette is the Dashboard, which offers all the tools you'll need to create 3D models. It is divided into seven sections called control panels. Each section is marked by an icon in the far-left border of the Dashboard (see Figure 6.4).

Image from book
Figure 6.4: The Dashboard and its components

Image from book The Layers control panel gives you control over drawing layers. You'll learn more about layers in the next chapter. For now, you'll focus on the main 3D tools in the Dashboard.

Image from book Below the Layers control panel is the 3D Make control panel. This panel contains the tools you'll use to create 3D objects. You'll also find tools that are specifically designed to edit 3D objects in this control panel.

Image from book Next is the Visual Styles control panel. If you want to change the way AutoCAD displays your 3D model, this is the place to go. I mentioned earlier that the reason your drawing in the workspace looks different from what you are used to is because a different visual style is applied to the drawing. You can select from five visual styles in this control panel. You can even create your own visual style, though that is an advanced topic and is not discussed in this book.

Image from book Below Visual Styles is the Lights control panel. With these tools, you can add special lights to create presentation views of your model. You can set up point lights, which are like lightbulbs, or spotlights, which point a light in a specific direction. If your application is architectural, you can set up an accurate representation of sunlight to perform shadow studies for any location and time of day.

Image from book The Materials control panel allows you to create and apply textures to your 3D objects. The texture can be anything from a shiny metallic to a brick pattern. The pattern emerges when you use the Render control panel to create a rendered view of your model. A crude representation of the material also appears when you use the default Realistic visual style in your workspace.

Image from book The Render control panel lets you generate a high-quality rendering of your model based on the lighting and materials you've used. The rendering appears in a separate window that opens when you start the render process. You can save a rendered view as an image file such as a TIFF or JPEG file.

Image from book At the bottom is the 3D Navigate control panel. As you might guess, this is where you'll find tools to help you get around in your 3D model. You'll find tools to change your view angle as well as your field of view when using a perspective view. You can switch between perspective view and isometric-style views (also called parallel projection). With the tools in this control panel, you can even create an animation known as a walk-through, which allows you to move around as if you were walking through your model.

In the next section, you'll gain some firsthand experience creating some 3D shapes and manipulating them. This way, you'll get a feel for how things work in the 3D Modeling workspace.

Besides the Dashboard, the bottom of the AutoCAD window contains a few extra tools, as shown in Figure 6.5. These tools are just a different way to allow you to get to the different layouts. You'll also notice that the cursor and UCS icon are different. You'll learn more about these features later in the section "Rotating Objects in 3D Using Dynamic UCS."

Image from book
Figure 6.5: Tools to switch from model space to layouts


Drawing in 3D Using Solids and Surfaces

You can work with two types of 3D objects in AutoCAD: solids and surfaces. You can treat both solid and surface objects as if they were solid materials. For example, you can create a box and then remove shapes from the box as if you were carving it, as shown in Figure 6.6.

Image from book
Figure 6.6: Solid modeling lets you remove or add shapes.

With surfaces, you create complex surfaces shapes by building upon lines, arcs, or polylines. For example, you can quickly turn a series of curved polylines, arcs, and lines into a warped surface, as shown in Figure 6.7.

Image from book
Figure 6.7: Using the Loft tool, you can use 2D objects to define a complex surface.

First, you'll learn how to create a solid box, and at the same time, I'll introduce you to some common modeling features. Next, you'll learn how to create a surface model. You'll get a chance to see how surface modeling differs from solid modeling, and you'll learn how to best use each modeling method.

If you have some experience with AutoCAD 3D (in versions earlier than AutoCAD 2007), you'll notice that the new surface-modeling features are not the same as the surface objects you are used to using, which were created in the older version of AutoCAD. You can edit the new surface objects using Boolean functions, which you'll learn about later in this chapter. They can also interact with solid primitive objects. You can still create the old-style 3D surface objects, but they are not the same types of objects as those presented in this chapter. You can convert them to the new style surfaces using the Convtosurface command.

Then, the rest of the chapter provides reference material on the individual tools for 3D modeling and editing that you were introduced to earlier. You won't find a comprehensive explanation of all the 3D modeling tools, but I'll provide enough information to get you started. If you're doing a simple study model, you might find all you need in this chapter.

Creating a 3D Solid

In this section, you'll create a simple box using a 3D solid primitive. You'll then learn how to manipulate the box and how to get around in the 3D workspace.

Start by creating a box using the Box tool in the 3D Make control panel:

  1. Click the Box tool in the 3D Make control panel.

    Image from book

  2. Click a point near the location shown in Figure 6.8 near coordinate 0,15. You can use the coordinate readout to select a point near 0,15. Once you've clicked, you'll see a rectangle follow the cursor.

  3. Click another point near coordinate 20,0, as shown in the left image of Figure 6.8. Now as you move the cursor, the rectangle is fixed and the height of the 3D box appears.

  4. Enter 4↲ for a height of 4 units for the box. You can also click to fix the height of the box.

Image from book
Figure 6.8: Drawing a 3D solid box

You've just created a 3D solid box. By default, the box takes on the current layer color. If you use the acad3D.dwt or acadiso3D.dwt template file to create a new drawing, the default color is a light gray. If you use the acad.dwt or acadiso.dwt template file, the default color is black. If your sample box appears as a black box, do the following:

  1. Choose Format è Layer, or click the Layer Properties Manager tool in the Layers control panel.

    Image from book

  2. In the Layer Properties Manager dialog box, click the color swatch in the Layer 0 listing, as shown at the top of Figure 6.9.

  3. In the Select Color dialog box, select cyan, as shown in the bottom of Figure 6.9.

Image from book
Figure 6.9: Changing the color of the current layer

If you don't want to change the color of your solid, you can choose Conceptual from the Visual Styles drop-down list or choose View è Visual Styles è Conceptual. This will help you see black 3D objects more easily.

You used three basic steps to create the box. You first clicked one corner to establish a location for the box, and then you clicked another corner to establish the base size. Finally, you selected a height. You can use a similar set of steps to create any of the other 3D solid primitives found in the 3D Make control panel. For example, for a cylinder, you select the center, then the radius, and then a height. For a wedge, you select two corners, as you did with the box, and then select the height of the wedge, as shown in Figure 6.10.

Image from book
Figure 6.10: Examples of how to create 3D objects using the same basic three steps

Editing 3D Solids with Grips

Once you've created a solid, you can fine-tune its shape by using grips. If you click the solid to select it, you might see a message alerting you to the new editing options. Dismiss the message, and you will see that grips appear on the 3D solid, as shown in the left image of Figure 6.11.

Image from book
Figure 6.11: Grips appear on a 3D solid

The square grips at the base of the solid allow you to adjust the location of those grips. The arrow grips allow you to adjust the length of the side to which the arrows are attached. If you click an arrow grip and you have Dynamic Input turned on, a dimension appears at the cursor. You can enter a new dimension for the length associated with the selected grip, or you can drag the arrow to adjust the length. Try the following to get a firsthand feel for how this works:

  1. Click the arrow grip toward the front of the box, as shown on the left in Figure 6.11. Now as you move the cursor, the box changes in length.

  2. Press the Esc key to clear the grip selection.

You can also move individual edges by using Ctrl+click:

  1. Ctrl+click the top-front edge, as shown on the right in Figure 6.11. You might see a Selecting Subobject dialog box; dismiss it. You'll see that the edge is highlighted, and a grip appears at its midpoint.

  2. Click the edge's grip, and move the cursor. The edge follows the grip.

  3. Hold down the Shift key, and "pull" the grip forward away from the box's center. The Shift key constrains the motion in the x-, y-, or z-axis.

  4. Click a point to fix the edge's new position.

  5. Click the Undo button to return the box to its original shape.

As you can see, you have a great deal of flexibility in controlling the shape of the box. The Shift key lets you constrain the motion of the grip.

Constraining Motion with the Grip Tool

Another handy tool for grip editing 3D objects is the Grip tool. Its icon looks like the UCS icon, and it appears whenever you hover over a grip. Try the next exercise to see how the Grip tool works:

  1. Ctrl+click the front-top edge of the box again to expose the edge's grip.

  2. Place the cursor on the grip, but don't click. The Grip tool appears (see Figure 6.12).

  3. Place the cursor on the z-axis of the Grip tool, but don't click. A blue line appears that extends across the drawing area, and the z-axis of the Grip tool changes color.

  4. Click the z-axis. Now as you move the cursor, the grip motion is constrained in the z-axis.

  5. Click again to fix the location of the grip.

  6. Press the Esc key to clear your grip selection.

  7. Click the Undo tool to undo the grip edit.

Image from book
Figure 6.12: Using the Grip tool to constrain motion

Here you'll see that you can use the Grip tool to change the Z location of a grip. You can use the Grip tool to modify the location of a single grip or the entire object.

Rotating Objects in 3D Using Dynamic UCS

Most of the discussion in this book centers on a 2D drawing area. Coordinates in this area reside in what is known as the world coordinate system (WCS). This is the default coordinate system that AutoCAD uses in new drawings, but you can also create your own coordinate systems that are subsets of the WCS. A coordinate system that you create is known as a user coordinate system (UCS).

UCSs are significant in 3D modeling because they can help you draw in 3D space. You can set up a UCS, for example, that is on a vertical face of the 3D box you created earlier. You could then draw on that vertical face just as you would on the WCS of the drawing. Figure 6.13 shows a cylinder drawn on the side of a box. The vertical grid shows the orientation of the UCS. Also notice that the UCS icon is in the corner of the box.

Image from book
Figure 6.13: Drawing on the side of a box

The UCS is a great tool for 3D modeling, but it can be cumbersome to use. AutoCAD 2007 introduced Dynamic UCS, which automatically changes the orientation of the x-, y-, and z-axes to conform to the flat surface of a 3D object.

If you created the new 3D file using the acad3D.dwt template, you might have noticed that the cursor looked different. Instead of the usual cross, it has three intersecting lines. If you look carefully, you'll see that each line of the cursor is a different color. In its default configuration, AutoCAD shows a red line for the x-axis, a green line for the y-axis, and a blue line for the z-axis. This color scheme mimics that of the UCS icon, as shown in Figure 6.14.

Image from book
Figure 6.14: The UCS icon at the left and the cursor in 3D to the right are color matched.

As you work with Dynamic UCS, you'll see that the orientation of these lines changes when you point at a surface on a 3D object. To see how this works firsthand, try the following exercise. Here you'll use Dynamic UCS to help you rotate the box around the x-axis.

  1. Make sure that the Dynamic UCS feature is turned on by checking the DUCS button at the bottom of the AutoCAD window. It should be in the on, or "down," position. If it isn't, click it to turn it on.

    Image from book

  2. Choose Modify è Rotate.

  3. At the Select objects: prompt, click the box, and then press ↲ to finish your selection.

  4. At the Specify base point: prompt, don't click anything, but move the cursor from one surface of the box to a side of the box. As you do so, pay attention to the orientation of the cursor. It changes depending on the surface to which you are pointing.

  5. Place the cursor on the left side, as shown in Figure 6.15.

  6. With the cursor on the left side of the box, Shift+right-click, and select Endpoint from the shortcut menu.

  7. Place the osnap cursor on the lower-front corner of the box, as shown in the left image of Figure 6.15. Click this corner. As you move the cursor, the box rotates around the y-axis.

  8. Enter -30 for the rotation angle. Your box should look like the image in the right of Figure 6.15.

Image from book
Figure 6.15: Selecting a rotation point and the resulting box orientation

Here you'll see that you can hover over a surface to indicate the plane about which the rotation is to occur. You aren't limited to using the surfaces of the object you are rotating. If you have multiple objects in your model, you can use the surface of any object to indicate the rotational plane.

Image from book
USING OBJECT SNAPS IN 3D SPACE

If you need to place objects in precise locations in 3D, such as endpoints or midpoints of other objects, you can do so using object snaps, just as you would in 2D. But you must be careful when using object snaps as far as Dynamic UCS is concerned.

In the exercise in the "Rotating Objects in 3D Using Dynamic UCS" section, you were asked to make sure that you place the cursor on the side of the box that coincides with the rotational plane before you select the Endpoint osnap. This ensures that the Dynamic UCS feature has selected the proper rotational plane; otherwise, you might find that the box rotates in the wrong direction.

Image from book

Now, suppose you want to add an object to one of the sides of the rotated box. The next section will show you another essential tool you can use to do just that.

Drawing on a 3D Object's Surface

In the rotation exercise, you saw that you can hover over a surface to indicate the plane of rotation. You can use the same method to indicate the plane on which you want to place an object. Try the following exercise to see how it's done:

  1. Click the Cylinder tool in the 3D Make control panel.

    Image from book

  2. Place the cursor on the top surface of the rectangle, as indicated in Figure 6.16, and hold it there for a moment. The cursor will align with the angle of the top surface.

  3. With the cursor aligned with the top surface of the box, click a point roughly at the center of the box. The base of the cylinder appears on the surface.

  4. Adjust the circle so it is roughly the same 6-unit radius of the one shown in the right of Figure 6.16, and then click to set the radius. You can also enter 6↲.

  5. Enter 4↲ for the height of the cylinder.

Image from book
Figure 6.16: Drawing a cylinder on the surface of a 3D solid

This demonstrates that you can use Dynamic UCS to align objects to the surface of an object. Note that the Dynamic UCS works only on flat surfaces. You can't, for example, use Dynamic UCS to place an object on the curved side of the cylinder.

Image from book
WORKING WITH USER COORDINATE SYSTEMS

Dynamic UCS is a great addition to AutoCAD, and it might be all you need to create your 3D models. But at some point, you might find you want a bit more control over the UCS. That's where the standard UCS comes in handy.

A UCS is more permanent than Dynamic UCS, and you can use a UCS if you need to create an object that is aligned with another object's surface but is not on the object.

In the section "Rotating Objects in 3D Using Dynamic UCS," you learned how to use Dynamic UCS to align your working coordinate system to the side of a box. To create a UCS that remains in place, do the following:

  1. Choose Tools è New UCS è Face.

  2. Click the surface of an object that represents your working plane. You will see the UCS icon move to the surface you select.

  3. At the Enter an option [Next/Xflip/Yflip] <accept>: prompt, select Accept from the Dynamic Input display, or press ↲ to accept this location. If it is the wrong location, click Undo, and try again. You also have the option to try the Next face, flip the x-axis (Xflip), or flip the y-axis (Yflip).

To return to your previous UCS, choose Tools è New UCS è Previous. If you want to return to the WCS, choose Tools è New UCS è World.

You can also use three points to define a UCS. To do this, you'll need to use osnaps and a set of objects to which you can snap. You can then take the following steps:

  1. Choose Tools è New UCS è 3 Point.

  2. At the Specify new origin point <0,0,0>: prompt, use an osnap, such as the Endpoint osnap override, and then select an object, such as the corner of a box, as shown here in the left image:

    Image from book

  3. At the Specify point on positive portion of the X-axis: prompt, select another corner along the x-axis, as shown earlier in the middle image. As you do so, notice the rubber-banding line. This visually shows you the x-axis of your newly defined UCS.

  4. At the Specify point on positive-Y portion of the UCS XY plane: prompt, select another corner along the y-axis from the origin point, as shown in the earlier middle image. Again, notice the rubber-banding line indicating the y-axis of your new UCS.

  5. At the Specify point on positive-Y portion of the UCS XY plane: prompt, you don't have to select a location exactly on the y-axis of your new UCS. The point you select to define the x-axis will define the UCS's x-axis orientation.

The point you select in step 5, the positive Y location, can be anywhere as long as it defines the general direction of the y-axis.

Image from book

Sculpting Objects with Union and Subtraction

Now suppose you want to create a cylindrical void at the center of the cylinder of the solid you just edited. To do so, you create a 3D solid in the shape of the void and then use the Subtract tool to remove the 3D solid.

Start by combining the cylinder and the box into a single solid object:

  1. Click the Union tool in the 3D Make control panel.

    Image from book

  2. Select the cylinder and the box, and then press ↲.

Although they haven't changed in appearance, both objects are now joined into a single 3D solid. Now create a cylinder that will become the hole in the center of the combined box and cylinder:

  1. Click the Cylinder tool in the 3D Make control panel.

  2. Place the cursor on the top of the cylinder, and wait unit the cursor orients itself to the angle of the cylinder's top surface.

  3. Shift+right-click, and choose Center from the shortcut menu.

  4. Point to the edge of the cylinder, and when you see the osnap center mark at the center of the cylinder, click. (See the top-left image in Figure 6.17.)

  5. Enter 2↲ for the cylinder radius.

  6. Move the cursor downward until you see the cylinder appear below the box, as shown in the top-right image of Figure 6.17, and then click to finish the cylinder.

Image from book
Figure 6.17: Creating and subtracting a cylinder from the 3D solid

You have the void shape in place. To finish this solid, try using the Subtract tool to make a hole in the solid:

  1. Click the Subtract tool in the 3D Make control panel.

    Image from book

  2. At the Select solids and regions to subtract from .. Select Objects: prompt, select the box, and then press ↲.

  3. At the Select solids and regions to subtract .. Select Objects: prompt, select the newly created cylinder, and then press ↲. A hole appears in the solid that is centered on the cylinder (see Figure 6.17).

In these exercises, you created a cylinder and subtracted it from the original 3D solid to form a void in the shape of a cylindrical hole. With the tools you've learned how to use so far, you can begin to build nearly any shape you might need.

Making Changes to Your Solid

When you're creating a 3D model, you will hardly ever get the shape right the first time. Suppose you decide that you need to modify the shape you've created so far by moving the hole from the center of the larger cylinder to its edge. This next exercise will show you how you can gain access to the individual components of a 3D solid to make changes.

The model you've been working with is composed of three objects: a box and two cylinders. These individual components of the solid are referred to as subobjects of the main solid object. When you use the Union, Subtract, or Intersect tool on a set of objects, the objects merge into a single solid, or at least that is how it seems at first. You can gain access and modify the shape of the subobjects from which the shape is constructed just by holding down the Ctrl key while clicking the solid. Try the following to see how this works:

  1. Place the cursor on the solid you've made so far. You'll see that the entire object is highlighted as if it were one object. If you were to click it (but don't do that yet), the entire object is selected.

  2. Hold down the Ctrl key, and move the cursor over the various parts of the solid. First, place the cursor on the hole, then on the cylinder, and finally on the box. As you do this, you will see that the individual parts of the solid are highlighted instead of the whole solid (see Figure 6.18).

  3. While still holding the Ctrl key down, click the center of the hole. The grips for the hole appear as shown on the left side of Figure 6.19. As you might guess, you can use these grips to change the shape and location of the selected solid.

  4. Click the center grip of the cylinder and move your cursor. If you find it a bit uncontrollable, turn off Polar mode. As you move the cursor, you'll see that the hole moves with the cursor.

  5. Place the hole in the location shown on the right side of Figure 6.19, and click. You've just moved the hole from the center to the edge of the cylinder.

  6. Press the Esc key to clear the selection.

Image from book
Figure 6.18: Individual objects are highlighted when you use the Ctrl key.
Image from book
Figure 6.19: You can move the hole-forming cylinder to a new location using its grip.

This example shows you that the Ctrl key can be an extremely useful tool when you have to edit a solid because it allows you to select the solids that form your model. Once the solid is selected, you can move it, or you can use the arrow grips to change its size.


Changing Your Point of View

Eventually, you'll want to be able to examine your model from different angles. If you are working on a building design, you might even want to see what it's like from inside your design. The AutoCAD Dashboard provides all the tools you'll need to get the view you want.

If you look at the 3D Navigate control panel, you'll see a set of tools for getting around in your model. (See Figure 6.4 earlier in this chapter.) To the left, you'll see the usual Pan and Zoom tools, and they work the same way in 3D as they do in 2D. But if you look at the tools to the right, things get a little less familiar. The following sections will show you what these other tools do.

If you still have the file open from the previous exercise, you can try these 3D navigation tools on the current model. Otherwise, you can open a new file using the acad3D.dwt template and create a box or other object to use as a practice visual target.

Moving Around Your Model

One of the first tasks you'll want to do with a model is look at it from all angles. The Constrained Orbit tool is perfect for this. To use it, click the tool, and then drag in the drawing area. As you drag, the view will revolve around your model. You'll also notice that the cursor changes to an orbit icon to let you know you are using the Constrained Orbit tool.

Image from book

Image from book If you have several objects in your model, you can select an object that you want to revolve around and then click the Constrained Orbit tool. It also helps to pan your view so that the object you select is in the center of the view.

When you have reached the view you want, right-click, and choose Exit. You are then ready to make more changes or use another tool.

Just as with the Zoom and Pan features, you can gain instant access to the Constrained Orbit feature by using the scroll wheel of your mouse. Hold down the Shift key, click, and then drag the scroll wheel. Your view will rotate just as it would with the Constrained Orbit tool.

Changing Where You Are Looking

AutoCAD uses a camera analogy for views in your 3D model. With a camera, you have a camera location and a target, and you can fine-tune both in AutoCAD. Using the Constrained Orbit tool is a bit like moving a camera around an object. Using the Swivel tool is like keeping the camera stationary while pointing in a different direction.

Image from book

At first, the Swivel tool might seem just like the Pan tool. But in the 3D world, Pan actually moves both the camera and the target in unison. Using Pan is a bit like pointing a camera out the side of a moving car. If you don't keep the view in the camera fixed on an object, you are panning across the scenery. Using the Swivel tool is like standing on the side of the road and turning the camera to take in a panoramic view.

Image from book To use Swivel, click the Swivel tool, and then drag across the view. You'll notice that the icon changes to a camera with a swivel arrow. When you've adjusted your view to your liking, right-click, and choose Exit.

Flying through Your View

Another tool for getting around in your model is the Walk/Fly tool. If you are familiar with computer games, this tool is for you. When you click the Walk tool in the 3D Navigate control panel, you first see a message box telling you how to use Walk.

Image from book

It tells you all you need to know about the Walk tool. Click the Close button, and you can use the arrow keys to move through your model. Drag to change the direction in which you are looking.

If you press the F key, Walk changes to Fly mode. The main difference between Walk and Fly is that in Walk, both your position in the model and the point in which you are looking move with the Up and Down arrow keys. Walk is a bit like Pan. When you are in Fly mode, the arrow keys move you toward the center of your view, which is indicated by crosshairs.

In addition to the crosshairs, you will see a palette that shows your position in the drawing from a top-down view.

You can use the palette to control your view by clicking and dragging the camera or the view target graphic. If you prefer, you can close the palette and continue to "walk" through your model. When you are finished using Walk, right-click, and choose Exit.

Image from book

Saving a View

You will eventually arrive at a view that you want to save and return to later. You can use the New View option in the 3D Navigate control panel to save the current view under a name that you specify. You can save as many views as you want for study or presentation purposes.

To save a view, click the drop-down list in the 3D Navigate control panel, and then choose New View. (See the left image in Figure 6.20.) The New View dialog box appears, as shown in the right image of Figure 6.20.

Image from book
Figure 6.20: The drop-down list in the 3D Navigate control panel and the New View dialog box

Enter a name for your view at the top of the dialog box, select Current Display from the Boundary settings, and then click OK.

You can then restore your saved view from the same drop-down list in the 3D Navigate control panel. Your saved view's name appears at the top of the list.

Creating a Camera

Another way to save views is by using cameras. Cameras provide some additional controls, such as focal length and view angle. You can place as many cameras as you like in your model and then quickly call up the view from each camera. Unlike views saved using the New View dialog box, you can always make changes to a camera's view once you've created it.

To create a camera, do the following:

  1. Click the Create Camera tool in the 3D Navigate control panel.

    Image from book

  2. At the Specify camera location: prompt, you'll see a camera attached to the cursor. Select a location for the camera. The camera appears in the drawing, as shown in Figure 6.21.

  3. At the Specify target location: prompt, you'll see a rubber-banding line from the camera to the cursor indicating the direction of the view from the camera. Click a location for the target location.

    Image from book

  4. At the Enter an option [?/Name/LOcation/Height/Target/LEns/Clipping/View/ eXit]<eXit>: prompt, choose Exit from the Dynamic Input menu, or enter x↲.

Image from book
Figure 6.21: Placing a camera in your drawing

Once you've placed a camera, you can begin to adjust its location using grips. To do this, click the camera to display its grips. A Camera Preview dialog box also opens to show you roughly what the view from the camera looks like.

You can then click a grip and move it to change the location. Click again to fix the location of the grip. You can hover over the camera or camera target's grip before clicking it to display the Grip tool. This will aid you in adjusting the vertical or Z location for the camera.

  1. Place the cursor on the camera or target grip, but don't click. After a moment, you will see the Grip tool (see Figure 6.22).

  2. Move the cursor to the axis within which you want to move the grip. A line appears whose color corresponds to the axis on which your cursor is resting.

  3. When you see that line, you can click to move the grip along that line (see Figure 6.22). As you move the grip, you can use the camera preview window to help guide your grip location.

  4. When you're satisfied with your view, click again to fix the grip's location.

Image from book
Figure 6.22: Using the Grip tool to constrain motion to the x-, y-, or z-axis

Once you've created a camera, you can open that camera's view in the AutoCAD window through the 3D Navigate drop-down list. AutoCAD gives new cameras a default name of Camera1, Camera2, and so on; so to see the view from the first camera you create, click the 3D Navigate drop-down list, and select Camera1.

Image from book

Changing a Camera's Properties

Just as with any AutoCAD object, cameras have properties. When you click a camera, then right-click, and finally select Properties, the Properties palette for the camera appears. Two properties that you'll want to become familiar with are the camera name and lens length. You might want to change the camera name to something more meaningful to your project. The lens length lets you set the field of view in terms of a camera's focal length (see Figure 6.23).

Image from book
Figure 6.23: The Properties palette for a camera

Changing from Perspective to Parallel Projection

When you create a new drawing using the acad3D.dwt template, you are automatically given a perspective view of the file. If you need a more schematic parallel projection style of view, select the Parallel Projection tool in the 3D Navigate control panel (see Figure 6.24).

Image from book
Figure 6.24: The Parallel Projection and Perspective Projection tools

You can return to a perspective view by clicking the Perspective Projection tool next to the Parallel Projection tool, as shown in Figure 6.24.


Creating 3D Forms from 2D Shapes

The 3D solid primitives are great for creating some basic shapes, but in many situations, you will want to create a 3D form from a more complex shape. Fortunately, you can extrude 2D objects into a variety of shapes using additional tools found in the 3D Make control panel. For example, you can draw a shape such as a puzzle piece and then extrude it into a third dimension, as shown in the top of Figure 6.25. Or you can use several strategically placed 2D objects that can form a flowing surface such as the wing of an airplane, as shown in the bottom of Figure 6.25.

Image from book
Figure 6.25: You can use the closed polylines on the left to construct the 3D shapes on the right.

Extruding a Polyline

You can insert a variety of solid shapes into your drawing. For example, you can create a sphere by choosing Sphere from the 3D Make control panel. You can then select a center point and a radius, just as you would for a circle, but you end up with a solid sphere.

Another way to create solids is to extrude them from closed polylines. This is a more flexible way to create shapes because you can create a polyline of any shape and extrude it to a fairly complex form.

In the following exercise, you'll start with a pentagon, which is actually a simple closed polyline. From that pentagon, you'll use a variety of tools to form a box.

  1. Open a new file in AutoCAD using the acad3D.dwt template.

  2. Choose Draw è Polygon.

  3. At the Enter number of sides <4>: prompt, enter 5↲.

  4. At the Specify center of polygon or [Edge]: prompt, enter 0,0↲.

  5. At the Enter an option [Inscribed in circle/Circumscribed about circle] <I>: prompt, press ↲.

  6. At the Specify radius of circle: prompt, enter 17↲. You now have a 2D polygon similar to the one shown on the left side of Figure 6.26.

Image from book
Figure 6.26: Drawing a 3D polygon

If you extrude an object that is not closed, such as a line or an arc, the Extrude tool will create 3D surfaces.

Now you're ready to change this polygon into a 3D object:

  1. Click the Extrude tool in the 3D Make control panel, or enter Extrude↲ at the command prompt.

    Image from book

  2. At the Select objects: prompt, select the polygon, and then press ↲.

  3. At the Specify height of extrusion or [Direction/Path/Taper angle]: prompt, you will see that the polygon is now a 3D solid whose height follows the cursor. Enter 3↲ to make the height of the extrusion 3 units. The polygon expands to become a 3D pentagon, as shown on the right side of Figure 6.26.

In this exercise, you extruded a simple polygon, but you can extrude any shape you can dream up using open or closed polylines. For example, you can extrude the complex curved shapes, as shown in Figure 6.27.

Image from book
Figure 6.27: Examples of extruded closed polylines

Extruded shapes created from open polylines instead of closed polylines create 3D surfaces that have no thickness. You can give such an object thickness by using the Thicken Surface tool in the 3D Make control panel. You can find this tool in the expanded 3D Make control panel (see Figure 6.28).

Image from book
Figure 6.28: The Thicken Surface tool in the expanded 3D Make control panel, which is shown at the right

Click the Thicken Surface tool, and then select the object or 3D surfaces you want to thicken. At the Specify thickness <0.0000>: prompt, enter the desired thickness. Figure 6.29 shows two examples of thickened surfaces.

Image from book
Figure 6.29: Sample of surfaces before and after using the Thicken Surface tool

Checking Interference and Finding the Intersection of 3D Shapes

In an earlier exercise, you saw how you can combine solids in various ways to form more complex shapes. Another useful tool for editing solids is the Interfere tool. Interfere lets you find the intersection of two solids. This can be helpful if you need to reproduce a section of a solid or if you want to check to see whether two or more 3D objects come into contact.

Interfere works by creating a third 3D solid that is the shape of the intersection of two other solids. Figure 6.30 shows how you can use an extruded cornice and a simple box to make a copy of a small piece of the cornice.

Image from book
Figure 6.30: Making a copy of a section of a 3D solid using Interfere
Image from book
CONVERTING 3D OBJECTS FROM EARLIER VERSIONS TO 3D SURFACES

Thicken is not the same as the Thickness property of an object. If you have experience with AutoCAD 3D, you know you can change the Thickness property of an object to make it into a 3D object. But an object with a thickness cannot be edited using the tools described in this chapter. You can convert a simple 2D object with thickness to a full 3D surface object by using the Convert To Surface tool in the expanded 3D Make control panel.

Image from book

Click the Convert To Surface tool, select the objects you want to convert, and then press ↲. The objects will become true 3D surfaces. Once you've done this, you can use the Thicken Surface tool.

Image from book

To work with the Interfere command, follow these steps:

  1. Click the Interference Checking tool in the expanded 3D Make control panel, or enter Interfere↲ at the command prompt.

    Image from book

  2. At the Select first set of objects or [Nested selection/Settings]: prompt, select the cornice, and press ↲.

  3. At the Select second set of objects or [Nested selection/checK first set] <checK>: prompt, select the box, and press ↲. The Interference Checking dialog box appears.

    Image from book

  4. In addition, the selected objects will temporarily become transparent, and only the intersection of the selected objects will be visible.

  5. Uncheck the Delete Interference Object Created On Close option, and then click Close.

  6. Delete the box to reveal the interference object.

As you can tell from the name of the Interference tool, it is designed to check for interference between 3D solids and surfaces. In this example, you're using it to create a new 3D shape from two existing ones. If you want to check only for interference, you can visually inspect the intersection of the solids in step 3. The Interference Checking dialog box offers the Zoom, Pan, and 3D Orbit tools to let you inspect the interference. The Previous and Next buttons move to the next interference shape when multiple intersections exist. The Zoom To Pair option causes the view to automatically zoom in on the interference shape.

If you just want to create the intersection of two solids and discard the original solids, you can use the Intersection command. Click the Intersect tool in the 3D Make control panel or choose Modify è Solid Editing è Intersect, and then select the two objects whose intersection you want.

Filleting a Corner

One useful editing command for 3D solids is more commonly used in 2D drawings. If you want to round the corner of a 3D solid, you can do so using the Fillet command. But Fillet behaves in a slightly different way when applied to 3D solids.

Issue the Fillet command by selecting it from the Modify menu or the 2D Draw control panel, and then select the solid edge you want to fillet (see Figure 6.31). The selected edge is highlighted, and you are prompted for a fillet radius. Once you've entered a radius, you can select other contiguous edges to fillet. Press ↲, and the edges are filleted, as shown in Figure 6.31.

Image from book
Figure 6.31: Selecting the edges to fillet and the result

You can also use the Chamfer command to chamfer the corners of 3D solids. Chamfer works like the Fillet command.

Extruding along a Path

You've seen how you can extrude a polyline into the third dimension. This method let you create some basic 3D shapes, but what if you want to create something a bit more complex?

A tool called Sweep allows you to extrude a 2D object along a complex path. You can define the path by using a polyline or a spline.

Figure 6.32 shows how to create the exterior wall of a building using a polyline outline of the wall's profile and a polyline path of the wall's footprint on the ground.

Image from book
Figure 6.32: The 2D drawings of a building wall section and footprint

To see how the Path option works, draw the outline of the shape you want to extrude, and then draw the path you will use to extrude the outline. Figure 6.32 shows an example of an outline and a path in an isometric view.

The sample outline in Figure 6.32 is a profile or wall section of a building. The path is the building footprint. The footprint has a gap to provide a place to locate the outline, as you will see later.

Once you have both the outline and path drawn, do the following:

  1. Click the Sweep tool in the 3D Make control panel, or enter Sweep↲ in the command line.

    Image from book

  2. At the Select objects to sweep: prompt, select the outline.

  3. At the Select sweep path or [Alignment/Base point/Scale/Twist]: prompt, enter b↲, and then select the exact location on the outline that is to follow the path. In the wall example, the outer-bottom corner will form the footprint of the building.

  4. Select the path for the outline. The outline is extruded along the path. The right side of Figure 6.32 shows the outline and path after using the Sweep tool.

Although you used a building as an example in Figure 6.32, you can use this method to create any number of extruded shapes along a path. The shape can be as simple as a circle extruded along a curve to form a tube or a wall section along a footprint, as in this example. The path doesn't have to be restricted to a plane. You can create a path that goes in any direction in 3D space. AutoCAD also offers the Helix tool, which you can use to create a helix path to draw screw threads or rounded parking garage ramps.

Creating a Helix

Perhaps one of the most frequently asked for 3D tools is one that will allow you to draw a screw thread. AutoCAD 2007 introduced the Helix tool that you can use to create a spiral path. You can then create a cross section of a screw thread and use the spiral path to create a 3D screw thread. To create a spiral path, do the following:

  1. Click the downward-pointing arrows in the 3D Make control panel. The 3D Make control panel expands to display some additional tools.

    Image from book

  2. Click the Helix tool in the expanded area of the 3D Make control panel. You'll see the following prompt:

    Number of turns = 3.0000    Twist=CCW
Specify center point of base:

  3. Point to a location for the center of the helix, and then click.

  4. At the Specify base radius or [Diameter] <1.0000>: prompt, enter a radius for your helix.

  5. At the Specify top radius or [Diameter] <1.0000 >: prompt, you can enter a different radius value if you want the helix to gradually change its radius from bottom to top.

  6. At the Specify helix height or [Axis endpoint/Turns/turn Height/tWist] <1.0000>: prompt, you can select the height of the helix. Figure 6.33 shows a helix with the base and top radius set to 9 and the height set to 6.

Image from book
Figure 6.33: A helix path and a circle applied to the helix using the Sweep tool

Once you've created the helix, you can use it with the Sweep tool to create your spiral form. If you decide that you want to alter the dimensions of an existing helix, you can do so by using the Properties palette. Select the helix, and then click the Properties tool in the Standard toolbar, or just double-click the helix. You can edit the radii, height, and number of turns in the helix. Remember that you can also specify the number of turns, the turn height, and the direction that the helix turns at the prompt in step 6. For example, if you want to set the direction of the turns, enter W for the Twist option at the prompt in step 6, and then enter CW for clockwise or CCW for counterclockwise.

You can find the total length of a helix or the turn slope by looking at the Properties palette for the helix.

Lofting through Different Shapes

In the earlier Figure 6.25, you can see a wing-shaped object that was constructed from a set of 2D cross sections. The tool used to actually create the curved surface is the Loft tool. Loft allows you to create sculpted, free-form shapes such as a wing, a faucet handle, or any number of other sculpted shapes. If you can identify and draw a set of 2D cross sections for a 3D object, Loft will create the 3D shape for you. The object doesn't have to be a solid either. You can loft open polylines, arcs, and lines to form surfaces such as a 3D terrain model from contour lines.

The following example uses a pair of arcs as an example of how the Loft tool works. It also shows you can employ a box to help you quickly lay out an object.

  1. Use the Box tool from the 3D Make control panel to create a box similar to the one shown in Figure 6.34.

  2. Choose Draw è Arc è 3 Points, and then using the Dynamic UCS feature described earlier in this chapter, draw an arc on the side of the box similar to the one in Figure 6.34. Remember that the cursor will change to indicate which surface you are aligned with, and a dashed line will also appear around the surface.

  3. Draw another arc, as shown in Figure 6.34.

  4. Choose Draw è Polyline, and then draw the three-segment polyline shown in Figure 6.34. Press ↲ when you have drawn the three line segments to exit the Polyline tool.

Image from book
Figure 6.34: Drawing a box with arcs and a polyline on its side

Here you'll see how you can use a box to help you draw an item in 3D space. The box in conjunction with Dynamic UCS lets you orient the arcs in a vertical plane that is perpendicular to the regular WCS.

Now move the arcs apart so you can practice using the Loft tool:

  1. Click the box, and press the Delete key to erase it. You used it as an aid only to draw the 2D objects on a plane perpendicular to the XY plane.

  2. Click the top arc so that it is the only object selected, and then place the cursor on its center grip. The Grip tool appears on the center grip.

    Image from book

  3. Place the cursor on the green y-axis of the Grip tool. You'll see a green line appear along the axis you are pointing to on the Grip tool.

  4. With the green line showing, click the Grip tool. Now, as you move the cursor, the arc follows and is constrained on the green axis.

  5. Place the cursor so that the arc is farther to the right, as shown in Figure 6.35, and then click. You don't have to be exact, since this is just to show generally how drawing in 3D works.

  6. Press the Esc key to clear the selection of the arc.

  7. Repeat steps 2 through 5, but this time, select the other arc, and move it to the location shown in Figure 6.35.

Image from book
Figure 6.35: Moving the arcs

In this example, you'll see that you can constrain the movement of an object along an axis just by clicking the axis of the Grip tool.

With objects such as the polyline, which has no single grip that controls the location of the entire object, you must use the Move tool to move it. You cannot use the Grip tool to move it.

Now that you have the arcs and polyline in place, you can create a surface that flows through them:

  1. Click the Loft tool in the 3D Make control panel.

    Image from book

  2. At the Select cross-sections in lofting order: prompt, select the arcs and polyline in order from left to right. Press ↲ when you've selected all three objects.

  3. At the Enter an option [Guides/Path/Cross-sections only] <Cross-sections only>: prompt, press ↲, or if you have Dynamic Input turned on, select Cross Section Only from the Dynamic Input display. The Loft Settings dialog box opens.

    Image from book

  4. Make sure Smooth Fit is selected, and click OK. A surface appears that smoothly transitions through the three objects, as shown in Figure 6.36.

Image from book
Figure 6.36: The surface created using the Loft tool

Once you've created a lofted 3D object, you can make changes to its shape by adjusting its grips:

  1. Click the lofted shape to expose its grips. Although it might not be obvious at first, the grips you see are those of the three objects you used to create the loft.

  2. Place the cursor on the top grip of the middle polyline, but don't click quite yet (see the left image in Figure 6.37). The Grip tool moves to the grip to which you point.

  3. Point to the blue Z coordinate on the Grip tool. A blue line appears telling you that you can now click and your motion will be constrained to that axis.

  4. Click the Z coordinate of the Grip tool, and then move the cursor upward. The loft shape is pulled upward. Click again to fix the grip in a new, higher location. (See the right image in Figure 6.37.)

Image from book
Figure 6.37: Moving a grip with the aid of the Grip tool

In this example, you used open objects, but you can use closed polylines, circles, and closed splines as well.

Revolving a Polyline

You've seen how the Extrude and Sweep commands let you create solids in two ways: you can extrude in a straight line or along a path. The Revolve command lets you create a 3D solid by rotating a shape. It extrudes a circle, an ellipse, a closed polyline, or a region along a circular path up to 360°. You can also rotate lines, arcs, or any other open shape to get 3D surfaces. You draw the profile of the shape you want, define an axis of rotation around which the shape will be "rotated," and then use Revolve to turn the shape into a rounded 3D object.

Figure 6.38 shows the progression from 2D objects to revolved 3D solids.

Image from book
Figure 6.38: An ellipse that has been revolved into a solid

First I drew an ellipse and a line. The ellipse is the shape that is to be revolved, and the line is the axis of revolution.

To revolve the ellipse, follow these steps:

  1. Choose the Revolve tool in the 3D Make control panel.

    Image from book

  2. At the Select objects to revolve: prompt, select the ellipse, and press ↲.

  3. At the Specify axis start point or define axis by [Object/X/Y/Z] <Object>: prompt, indicate the axis of revolution by either entering X, Y, or Z or by selecting a line that represents the axis around which the ellipse is to be revolved.

  4. At the Specify angle of revolution or [STart angle] <360>: prompt, you can press ↲ to revolve the ellipse a full 360°, or you can enter a specific value.

For the revolved shape in Figure 6.38, I used an angle of 180°. Figure 6.38 shows an ellipse as an example, but you can use any shape you want, such as the cross section of a car wheel or pulley. Just make sure that when you draw your shape, the outline does not cross over itself, like an 8. AutoCAD will return an error message if you attempt to revolve such a shape.


Specifying Exact Distances in 3D Space

When you draw in 2D, the z-axis is fairly unimportant. By default, objects you create reside at the 0 (zero) coordinate of the z-axis. In other words, everything you draw is on the plane defined by the x-and y-axes. But just as you can move and copy objects anywhere in the XY coordinate plane, you can also move and copy them along the z-axis.

Just as you can specify exact distances in 2D drawings, you can specify locations and distances in 3D space using the @X,Y,Z notation. If you want to move something only within the XY plane, you can omit the Z coordinate in the specification, and AutoCAD assumes you want to maintain the object's current Z coordinate. To specify relative distances in 3D, you can specify the Z coordinate as needed, as shown here:

@2,1,1↲

If you enter this at the Specify second point or [Exit/Undo] <Exit>: prompt in the Move or Copy command, your object not only moves 2 units to the right and 1 unit up, but it also moves 1 unit vertically, in the positive direction of the z-axis (see Figure 6.39).

Image from book
Figure 6.39: The image on the top shows an object moved within the XY plane within the WCS. The image on the bottom shows the same move with an additional Z component.

If you want to move an object only in the z-axis, enter 0 for both the x-and y-axes, as in @0,0,2↲. This moves your selected object 2 units in the positive direction of the z-axis.

You might find it easiest to remember the @X,Y,Z format for specifying distances in 3D, but in typical AutoCAD fashion, you can use two other formats for spatial distances. In the limited space of this book, however, I can't show all the methods for specifying distance in 3D. For future reference, the other methods are the cylindrical format and the spherical format. Both are extensions of the standard AutoCAD polar coordinate format you use in 2D drawing. You can find out more about these formats in Mastering AutoCAD 2008 and AutoCAD LT 2008, published by Sybex.


Controlling the Appearance of Your Model

Three-dimensional models are extremely useful in communicating your ideas to others, but sometimes you might find that the default appearance of your model is not exactly what you want. If you're only in a schematic design stage, you might want your model to look more like a sketch instead of a finished product. Conversely, if you're trying to sell someone on a concept, you might want a realistic look that includes materials and even special lighting. AutoCAD offers a variety of tools to help you get every type of view from a simple wireframe to a fully rendered image complete with chrome and wood. In the following sections, you'll get a preview of what is available to control the appearance of your model. Unfortunately, with the limited space of this book, I can cover these features only in general terms, but you'll at least gain an understanding of what is available, and if you're adventurous, you can experiment with the tools presented in this section.

Adding Materials

Having a 3D model of your design can be tremendously useful, but by adding materials, you communicate so much more to the person viewing your model. If you have a model that includes chrome and wood, for example, you can include those materials in your model to see firsthand how it will look, instead of having to imagine those materials.

AutoCAD has had the ability to assign materials to 3D models for some time, but AutoCAD 2008 makes it much easier to do. In this section, you'll try your hand at adding material to a box, and then you'll learn about some of the available options.

  1. Open a new file by choosing File è New, and then in the Select Template dialog box, select the acad3D.dwt template.

  2. Use the Box tool in the 3D Make control panel to draw a simple box like the one shown in Figure 6.8 earlier in this chapter.

  3. Click Display Material Window in the Materials control panel (see the left image in Figure 6.40). The Materials palette appears, as shown on the right side of Figure 6.40.

Image from book
Figure 6.40: The Display Material Window tool in the Materials control panel and the Materials palette

The Materials palette gives you full control over the materials that you assign to your object. You'll see a sample view of the current default material in the upper-left corner of the palette. You can add materials to this area or modify the current material. New objects are automatically assigned the default material.

Image from book

Right now, the default material is rather basic. If you look carefully, you will see that the By Object option is turned on in the Material Editor panel of the Materials palette.

This means that the material uses the object's color, which is currently black or gray. Next, you will turn off this setting and make some modifications to the material's color:

  1. Click the By Object option to turn it off. A color swatch appears to the left of the option.

  2. Click the color swatch to open the Select Color dialog box (see Figure 6.41).

  3. Click the green area in the Select Color dialog box, move the Luminance slider up to about the middle of the setting (see Figure 6.41), and then click OK. The box changes to the color you set.

Image from book
Figure 6.41: The Select Color dialog box with a new color setting for the default material

In this exercise, you altered the default material's color and got immediate feedback from the box in the drawing area. The box changed to the selected color, showing you that the material is assigned to the box.

Color isn't the only thing you can add. Next, try turning your box into a brick box:

  1. Click the Select Image button in the Diffuse Map group of the Materials palette. A file dialog box appears showing you a list of bitmap files.

    Image from book

  2. If the bitmap files do not appear, browse to the Textures folder in the C:\Documents and Settings\All Users\ApplicationData\Autodesk\AutoCAD2008\R18.0\menu\ folder.

  3. Scroll down to the middle of the list, locate the file named Masonry.Unit Masonry.Brick.Modular.Common.jpg, and then click Open. Your box changes in appearance, though it doesn't look quite right.

You've just added a brick bitmap to the default material. Notice that the brick takes over the material color. But the brick pattern might be larger than it should be in relation to the box.

Besides assigning a material, you also have control over the way a material is mapped to an object. The material map is the orientation and scale of a material on an object. Right now, in the example given in the previous exercises, the brick pattern is scaled in a way that is too large. In other situations, you might find the material map to be too small. The next exercise shows you how you can control the Material Map scale:

  1. Click and hold the Planar Mapping tool in the Materials control panel to open the Mapping fly-out menu.

    Image from book

  2. Drag down, and select the Box Mapping option.

  3. At the Select faces or objects: prompt, click the box, and then press ↲. The box changes to display the brick pattern more clearly.

    Image from book

You might notice that grips have appeared on the box. These grips allow you to adjust the pattern. The brick pattern is a bit compressed on the box's side. You can make adjustments to the pattern by adjusting the grips:

  1. At the Accept the mapping or [Move/Rotate/reseT/sWitch mapping mode]: prompt, drag the grip at the top of the box upward, as shown in Figure 6.42. As you move the grip, the pattern on the sides of the box scale upward.

  2. Adjust the pattern to look more like Figure 6.42, and then release the grip.

  3. Press ↲ to exit the Mapping tool.

Image from book
Figure 6.42: Selecting the mapping grip and adjusting it to change the pattern on the side of the box

This exercise shows that you can adjust the way the pattern appears on the object.

You might have noticed the options in the prompt in step 1: Move/Rotate/reseT/ sWitch mapping mode. As you might guess, these options offer further editing capabilities. You can move or rotate the pattern using the Move or Rotate option. Rotate is useful for objects that have been rotated like the box earlier in this chapter. The Reset option resets the mapping to its default size and orientation. This is usually a size that just fits the object being mapped and is parallel to the WCS. The Switch option lets you switch to a different mapping style. You can use four mapping styles: Planar, Box, Spherical, and Cylindrical. Their names describe the way the map is applied to an object (see Figure 6.43).

Image from book
Figure 6.43: Mapping styles

Adding Lights

Besides materials, lighting and shadows can really bring a 3D model to life. With AutoCAD lights, you can control the location and direction of illumination on your model.

AutoCAD offers several types of light, including sunlight. The sunlight option is significant because it allows you to do fairly accurate sun-shadow studies. You can enter a location and time of year, and AutoCAD will generate a light source. Other lights include the following:

  • A point light behaves like a lightbulb shining in all directions from a single point. Illumination and shadows depend on an object's relationship to a point light.

  • You can direct spotlights to point in a specific direction or at an object much like a theater spotlight or the headlights of a car. You can also control the spread and falloff of spotlights to produce a focused beam or a soft-edged spot.

  • Distant lights are similar to spotlights but without controls for spread. Unlike point lights, distant lights illuminate objects and cast shadows from the same direction for all objects in your model.

Placing Lights in a Model

Each light has a slightly different method for placement and control in the model. To get a feel for how lights work, try adding a spotlight to the simple model. The following example describes how you might add a spotlight to the box from the materials exercise. You can try it on any model you have, or you can create a simple box for experimentation.

Image from book

  1. Click the downward-pointing arrows in the Light control panel title bar to expand the control panel. This gives you access to the tools that let you add lights to your model.

  2. Click the Create A Spotlight tool.

    Image from book

  3. You might see a warning message telling you that default lighting must be turned off. Click Yes.

    Image from book

    By default, AutoCAD places the light on the plane of the current UCS. You can then move it into a different Z coordinate by Shift+clicking and dragging the light's grip.

  4. Click a location to the left of the object you want to illuminate. It doesn't really matter where you place the spotlight at first, since you can easily move it to another location using grips.

  5. Click the location of the spotlight's target location, and then press ↲ to exit the command.

You have the light in place, but you might need to "raise" or "lower" the light source in the z-axis to illuminate part of the top, sides, or bottom of the box. Here's how you do it:

  1. Click the light to expose its grips. You'll see not only its grips but also the light cone.

    Image from book

  2. Hover over the light source grip to display the Grip tool, and then click the z-axis of the Grip tool.

    Image from book

  3. Move the cursor upward so the light is above the object you are illuminating.

  4. When you are satisfied with the light's location, click. You can also adjust the light target's z-axis location using the target grip's Grip tool. Although the model doesn't really change in appearance, you will see the results of your light when you render your view.

  5. Click the Render button in the Render control panel. You will see exactly how the light affects your model in a render window, as shown in Figure 6.44.

    Image from book
Image from book
Figure 6.44: A rendered view of a box

Once you've seen the rendered view, you can adjust the light's location. You can also use the light's grips to adjust the spotlight's hot spot and falloff to spread the light over a greater area or to narrow it down to a "tighter" beam (see Figure 6.45).

Image from book
Figure 6.45: Samples of different falloff settings in the left side and the resulting rendered view on the right

The inner cone of light in the selected spotlight represents the hot spot. This is the main area that is illuminated by the spotlight. The falloff is the second outer cone displayed by the selected spotlight. The falloff cone indicates the outer edge of the spotlight that fades from full intensity to no illumination. To get a soft-edge effect on the spotlight, as shown in the upper-right view of Figure 6.45, widen the distance between the hot spot and falloff, as shown in the upper-left view. To get a sharper edge on the spotlight, shorten the distance between the hot spot and falloff, as shown in the bottom views of Figure 6.45.

If you need to adjust the light's intensity or other characteristics, you can double-click the light to open the Properties palette. There you control whether the light is on or off and its intensity, color, and even attenuation over a distance (see Figure 6.46).

Image from book
Figure 6.46: The properties of a spotlight

Using Sunlight

The Sunlight tool operates in a different way from the other lights, so it needs some explanation. Unlike the way you use most of the other lights, you don't place the sunlight in the model. Instead, you tell AutoCAD where you are geographically and the time and the date. AutoCAD does the rest.

First, to turn on the sunlight, click the Viewport Lighting Mode button; then, click the Sun Status button. These two buttons appear in an orange color when they are in the "on" position.

Image from book

To set your geographic location, click the Geographic Location button to open the Geographic Location dialog box.

Image from book

To set the time of day, click the Edit The Sun button to open the Sun Properties palette, shown in Figure 6.47. There you'll find the date and time settings. To see the date and time settings, you might have to use the scroll bar to scroll the palette panels up. You can also control the color and intensity of the sunlight as well as the shadow settings.

Image from book
Figure 6.47: The Sun Properties palette

Getting a Rendered View

In the "Adding Lights" section, you learned how to get a rendered view of your model after adding some lights. You click the Render button in the Render control panel. When you do this, a window appears, and a rendering of your model gradually appears.

You have numerous controls over the rendering output, but most of them are beyond the scope of this book. However, you'll need to know about a few essential items.

Saving Rendered Images

Once the rendering is completed, you can save the rendered view as a 2D image file by choosing File è Save from the Render window. You'll see a typical file dialog box that lets you select the location of the file. You can also select the file format, including TIF and JPEG, from the File Of Type drop-down list.

Controlling Resolution

If you want to set the image size in terms of pixels, you can do so before you render the model. The setting for the image size is in the expanded portion of the Render control panel. Click the downward-pointing arrows in the Render control panel title bar, and you'll see some additional controls (see Figure 6.48). Click the Output Size drop-down list to view the size options. The list displays several predefined sizes, or you can select Specify Output Size to set a custom size.

Image from book
Figure 6.48: The expanded Render control panel shows the additional options.

Adding a Background

If you want to control the color of the background of the rendered image, you can do so through the View command. Choose View è Named Views. In the View Manager dialog box, click the New button to open the New View dialog box.

Image from book

In the New View dialog box, enter a name for your view, and then select a background option from the drop-down list in the Background group.

The drop-down list in the left side of the Background group offers five options: Default, Solid, Gradient, Image, and Sun And Sky.

The Background dialog box appears if you select Solid, Gradient, or Image (see Figure 6.49). If you select Solid, you can click the Solid Options color box in the Background dialog box to open a Select Color dialog box that allows you to select a color. The Gradient option displays a top, middle, and bottom color sample box. Just as with the Solid Options color box, you can click the sample color boxes to open the Select Color dialog box.

Image from book
Figure 6.49: The three modes of the Background dialog box

The Image option displays a Browse button so you can browse to an image file on your computer. The image you select appears in the sample box at the bottom. The Sun And Sky option lets you include a sky background with a sun. Select this option to open the Adjust Sun And Sky Background dialog box.

Image from book

Once you've selected a background, click OK in the Background dialog box, and then click OK in the New View dialog box. Finally, in the View Manager dialog box, make sure you select your new view from the list box to the left, and click Set Current to make your new view the current one. This is an important step; otherwise, your background will not appear in the drawing. Click OK to exit the View Manager dialog box.

Getting a Wireframe or Shaded View

In the earlier tutorials of this chapter, you started to create 3D objects using the default visual style called Realistic. The name of this style might be a little misleading, because it doesn't actually give you a truly realistic view of your model. The Realistic visual style allows you to see curved surfaces more easily, but its main use is to show you material assignments of your object more easily. Sometimes it helps to use a different visual style, depending on your task. For example, a 3D wireframe view of your 3D model can help you visualize and select things that are behind a solid. AutoCAD includes several shaded view options that can bring out different features of your model.

  1. Click the Visual Styles drop-down list in the Visual Styles control panel. Some graphic images appear that give you an idea of what each visual style shows you.

    Image from book

  2. Select 3D Wireframe. You can also choose View è Visual Styles è Wireframe. Your model appears as a transparent wireframe object.

  3. To return to the shaded view of your model, choose Realistic from the Visual Styles drop-down list, or choose View è Visual Styles è Realistic.

You might have noticed a few other Visual Styles options. Figure 6.50 shows those options as they are applied to a sphere. From left to right, they are 2D Wireframe, 3D Hidden, 3D Wireframe, Conceptual, and Realistic. 2D Wireframe and 3D Wireframe might appear the same, but 3D Wireframe uses a perspective view and a background color, while 2D Wireframe uses a parallel projection view and no background color.

Image from book
Figure 6.50: Visual Styles applied to a sphere

Advanced users can control the features of these visual styles and can also create new visual styles. If you'd like to learn more, see Mastering AutoCAD 2008 and LT 2008.


Summary

In this chapter, you learned about the main tools needed to work in 3D. If you are the adventurous type, you might want to experiment with what you now know. You'll be surprised at how much you can accomplish with your newfound knowledge.

I didn't cover all the tools and options available for 3D modeling. In particular, the Vports command can be helpful to get several simultaneous views of a 3D model while you're editing. Still, armed with the information in this chapter, you will be able to do most of the basic 3D modeling tasks you encounter.


Chapter 7: Getting Organized with Layers

Overview

The most frequently used tool for getting organized is the layering feature. Layers let you sort parts of your drawing into categories. For example, in a typical architectural floor plan, you can have one layer for the walls, another for doors, and yet another for cabinets. You can create other layers for existing conditions if the plan contains renovation work, or you can include electrical and heating diagrams. You can then turn layers on or off so that your drawing displays only the data you need at any given time. You can set layers to have color and line weights, and objects will inherit those properties. You can even have layers visible on your screen but not have them print. This feature can be useful if you have a lot of layout information you need to keep with your drawing.

In this chapter, you'll learn how to create and manipulate layers and how objects interact with layers.


Creating and Assigning Layers

You use the Layer Properties Manager dialog box to create and edit layers. When you're just starting a drawing, especially a complex one, you'll probably spend a lot of time in this dialog box setting up and managing layers. Though it isn't absolutely necessary, setting a color for a new layer is a good step to take right off the bat. Colors are a great way to see at a glance the layer to which an object is assigned.

The following steps introduce you to the Layer Properties Manager dialog box and show you how to create a new layer:

  1. In the Layers control panel, click the Layer Properties Manager tool shown in Figure 7.1, choose Format è Layer, or enter la↲ to open the Layer Properties Manager dialog box.

    Image from book

    The Layer Properties Manager dialog box shows you at a glance the status of your layers. Right now, you have only one layer, but as your work expands, so will the number of layers. You will then find this dialog box indispensable.

  2. Image from book Click the New Layer button at the top of the dialog box (see Figure 7.2). Its icon looks like a sun. A new layer named Layer1 appears in the list box. The name is highlighted so you can immediately start typing a name for it.

  3. As you type, your entry replaces the Layer1 name in the list box. Don't worry if you aren't certain about the name; you can always change it later.

    As a project grows, so does its list of layers. It helps to have a system for naming layers so that you'll be able to find them and sort them easily. For example, you might use a prefix for your layer names such as FP for floor plan and EP for electrical plan. You can also use industry guidelines, such as the American Institute of Architects' layer-naming standards (www.aia.org).

  4. With your new layer name highlighted, click the Color icon in that layer's listing, as shown in Figure 7.3. The color icon is in the Color column and currently shows White as its value.

    The Select Color dialog box appears, as shown in Figure 7.4.

  5. In the row of standard colors, click the color you want, and then click OK. Notice that the color swatch in the selected layer is now the color you clicked in the Select Color dialog box.

  6. When the Layer Properties Manager dialog box returns, click OK to close it.

Image from book
Figure 7.1: The Layer Properties Manager tool
Image from book
Figure 7.2: Click the New Layer button toward the top of the Layer Properties Manager dialog box.
Image from book
Figure 7.3: The Color icon in the layer listing of the Layer Properties Manager dialog box
Image from book
Figure 7.4: The Select Color dialog box

From this point on, any object assigned to your new layer appears in the color you selected in step 5, unless the object is specifically assigned a different color property.

The Files tab of the Options dialog box (choose Tools è Options) contains the Color Book Locations option, which tells AutoCAD where to look for the Pantone color books. Pantone color books are sets of colors used by the Pantone color system.

Understanding the Layer Properties Manager Dialog Box

The Layer Properties Manager dialog box shown in Figure 7.5 conforms to the Windows interface standard. The most prominent feature of this dialog box is the layer list box. Notice that the bar at the top of the list of layers includes several buttons for the various layer properties. Just as you can adjust Windows Explorer, you can adjust the width of each column in the list of layers by clicking and dragging either side of the column head buttons. You can also sort the layer list based on a property simply by clicking the property name at the top of the list. You can Shift+click names to select a block of layer names, or you can Ctrl+click individual names to select multiples that do not appear together. These features become helpful as your list of layers enlarges.

Image from book
Figure 7.5: The Layer Properties Manager dialog box

Above the layer list, you'll see a box displaying the current layer. Just to the left of the current layer name are four tool buttons, as shown in Figure 7.6.

Image from book
Figure 7.6: The four tool buttons of the Layer Properties Manager dialog box that let you create a new layer, create a new layer and freeze it in all viewports, delete a layer, or make a selected layer the current one

You've already seen how the New Layer tool works. Another tool that looks similar to the New Layer tool creates a new layer and freezes it in all viewports (see "Controlling Layer Visibility" later in this chapter for more about this tool). The tool with the X icon is the Delete Layer tool. Select a layer or a group of layers, and click this button to delete layers. Be aware that you cannot delete Layer 0, locked layers, or layers that contain objects. The tool with the check mark is the Set Current tool. It allows you to set the current layer on which you want to work. The green check mark under the Status column of the layer list indicates the current layer.

Another way to create or delete layers is to select a layer or a set of layers from the list box and then right-click to display a menu that includes the same functions as the tools above the layer list.

You'll also notice another set of three tools farther to the left of the Layer Properties Manager dialog box. These tools offer features to organize your layers in a meaningful way. You'll get a closer look at these tools a little later in this chapter.

Assigning Layers to Objects

When you create an object, that object is automatically assigned to the current layer. In a new drawing, only one layer is called 0 (zero); therefore, when you start to draw in a new drawing, objects are automatically assigned to the 0 layer. When you start to create new layers, you can reassign objects to them using the Properties palette:

  1. Select the objects whose layer assignment you want to change.

  2. With the cursor in the drawing area, right-click, and choose Properties from the shortcut menu to open the Properties palette, as shown in Figure 7.7.

  3. Click the Layer option. Notice that a downward-pointing arrow appears in the layer name box to the right of the Layer option.

  4. Click the downward-pointing arrow to display a list of all the available layers.

  5. Select the desired layer name from the list. Press Esc to deselect the objects currently selected.

  6. Close the Properties palette by clicking the X button in the upper-left corner.

Image from book
Figure 7.7: The Properties palette

If the color property of the selected objects is set to ByLayer, the objects take on the color of their new layer. The same is true for their linetype and line weight. On the other hand, if objects have their color property set to a specific color, linetype, or line weight, their layer assignment will not affect their appearance.

Another way to assign layers to existing objects is to use the layer list in the Layers control panel (see Figure 7.8).

Image from book
Figure 7.8: Selecting a layer from the Layers control panel

Ordinarily, this list displays the current layer, and you can set the current layer by selecting it from this list. But when you click an object with no other command active, the list changes to show you the name of the layer to which the selected object is assigned. Once an object is selected, you can easily change its layer assignment by selecting a new name from the layer list.

If you have multiple objects selected, and they all have different layer assignments, the list appears blank until you select a new layer from the list. This will give all the selected objects the same layer assignment.


Setting the Current Layer

All objects have a layer assignment, and by default, an object is assigned to the current layer. You can quickly identify the current layer by looking at the layer list in the Layers control panel shown earlier in Figure 7.8.

This list also lets you quickly control some of the layer features, including the current layer. Here's how to change the current layer:

  1. Click the arrow button to the right of the layer name on the Layers control panel to display a drop-down list that shows you all the layers available in the drawing, as shown in Figure 7.8.

  2. Click a layer name. The drop-down list closes, and the selected name appears in the toolbar's layer name box. It is now the current layer.

Image from book
CONTROLLING COLORS AND LINETYPES OF BLOCKED OBJECTS

Layer 0 has special importance to blocks. (See Chapter 8 for more about blocks.) When objects assigned to Layer 0 are used as parts of a block and that block is inserted on another layer, those objects take on the characteristics of their new layer. On the other hand, if those objects are on a layer other than Layer 0, they maintain their original layer characteristics even if you change that block to another layer. For example, suppose the tub is drawn on the Door layer, instead of on Layer 0. If you turn the tub into a block and insert it on the Fixture layer, the objects that the tub is composed of maintain their assignments to the Door layer, although the Tub block is assigned to the Fixture layer.

It might help to think of the block function as a clear plastic bag that holds together the objects that make up the tub. The objects inside the bag maintain their assignments to the Door layer, even though the bag itself is assigned to the Fixture layer. This might be a bit confusing at first, but it should become clearer after using blocks for a while.

AutoCAD also allows you to have more than one color or linetype on a layer. For example, you can use the Color and Linetype buttons in the Properties palette (click the Properties button on the Standard toolbar) to alter the color or linetype of an object on Layer 0. That object then maintains its assigned color and linetype-no matter what its layer assignment. Likewise, objects specifically assigned a color or linetype are not affected by their inclusion in blocks.

Image from book

You might have noticed several icons that appear next to the layer names; these control the status of the layer. You'll learn how to work with these icons later in this chapter. Also notice the box directly to the left of each layer name. This shows you the color of the layer.


Controlling Layer Visibility

AutoCAD offers two methods for controlling layer visibility. The On and Off options turn a layer's visibility on or off. The Freeze and Thaw options not only control layer visibility, but when a layer is frozen, the objects in the frozen layer are ignored. For large drawings, this can improve the speed of object snaps and other operations that search the drawing database.

Freeze and Thaw also have an effect on blocks that is different from the On and Off functions. A block inserted into a layer that has been turned off remains visible if its component objects are on a layer that is still turned on. But a block inserted into a layer that is frozen becomes invisible even though its component objects are on layers that are visible.

The Freeze and Thaw layer options offer a third option, which involves viewports in the Layout tabs. You can have multiple viewports in a layout tab (see Chapter 12 for more about viewports in layout tabs), and with the Freeze and Thaw options, you can control the visibility of layers for each viewport. This allows one viewport to display one set of layers, for example, and another viewport to display an entirely different set of layers. Figure 7.9 shows the contents of a layout tab with two viewports, each displaying the same drawing but with different Freeze and Thaw settings.

Image from book
Figure 7.9: Two layout viewports displaying the same drawing with different layers frozen
Image from book
USING TRUE OR PANTONE COLORS

When you choose a color from the Index Color tab of the Select Color dialog box, you'll most often find enough colors to suit your needs. But if you are creating a presentation drawing in which color selection is important, you can choose colors from either the True Color tab or the Color Books tab of the Select Color dialog box.

The True Color tab (below left) offers a full range of colors through a color palette similar to one in Adobe Photoshop and other image-editing programs.

You can use hue, saturation, and luminance, which is the HSL color model, or you can use the red, green, blue (RGB) color model. You can select HSL or RGB from the Color Model drop-down list in the upper-right corner of the dialog box (below right).

Image from book

If you installed the Pantone color option when you installed AutoCAD, you can also select from a Pantone color book, using the Color Books tab.

Image from book

The Color Books option allows you to match colors to a Pantone color book for offset printing.

Image from book

Controlling Layer Visibility Using the On/Off Option

You can use the Layer Properties Manager to turn off layers:

  1. Open the Layer Properties Manager dialog box.

  2. In the Layer list, click the layer you want to turn off.

  3. In the selected layer listing, click the lightbulb icon, as shown in Figure 7.10. The lightbulb icon changes from yellow to gray to indicate that the layer is off.

  4. Click the OK button to exit the Layer Properties Manager dialog box. When you return to the drawing, all the objects on the layer you selected in step 2 disappear.

Image from book
Figure 7.10: The lightbulb icon in the Layer Properties Manager dialog box

You can also control layer visibility using the Layer drop-down list on the Layers control panel:

  1. On the Layers control panel, click the Layer drop-down list.

  2. Find the layer you want to turn off, and notice that its lightbulb icon is yellow. This tells you that the layer is on and visible.

  3. Click the lightbulb icon to make it gray.

  4. Now, click the drawing area to close the Layer drop-down list, and the objects on the layer you turned off will disappear.

Controlling Layer Visibility with Freeze and Thaw

The Freeze and Thaw options work just like the On and Off options:

  1. Open the Layer Properties Manager dialog box.

  2. In the layer list, click the layer you want to freeze.

  3. In the selected layer listing, click the sun icon. The sun turns into a snowflake to indicate that the layer is frozen.

  4. Click the OK button to exit the Layer Properties Manager dialog box. When you return to the drawing, all the objects on the layer you selected in step 2 disappear.

You can also control layer visibility using the Layer drop-down list on the Layers control panel:

  1. On the Layers control panel, click the Layer drop-down list.

  2. Find the layer you want to freeze, and click its sun icon. The ToolTip says "Freeze or Thaw in ALL Viewports," as shown in Figure 7.11.

Image from book
Figure 7.11: The Freeze Or Thaw In ALL Viewports icon and ToolTip in the Layer drop-down list

Controlling Layer Visibility in Individual Viewports of a Layout Tab

If you are in a layout tab and you open the Layer Properties Manager dialog box, you'll see two additional columns for each layer: VP Freeze and New VP Freeze, as shown in Figure 7.12.

Image from book
Figure 7.12: The VP Freeze and New VP Freeze icons in the Layer Properties Manager dialog box

In a Layout tab, a viewport is like a window into your Model tab drawing. A viewport displays the drawing you have created in the Model tab. You can adjust the view in a viewport to show all of drawing or just a small portion. You can also control the layer settings in a viewport independently of the layer settings for the Model tab, and you can have multiple viewports to display different parts of your drawing. To find out more about viewports, see "Setting Up a Drawing for Printing" in Chapter 12.

The VP Freeze option controls the visibility of layers for the currently active viewport. This allows you to control layer visibility in one viewport without affecting the visibility of layers in other viewports in the Layout tab. You use it just like the Freeze and Thaw options by clicking the VP Freeze sun icon to freeze a layer. You must, however, be in the floating model space of the viewport you want to affect. Here's how to get to the floating model space for a viewport:

  1. Select the Layout tab you want to use by clicking a layout tab, as shown in Figure 7.13.

  2. Click the Paper button in the status bar, as shown in Figure 7.14. (This button is actually called the Model Space button or Paper Space button because its name depends on the current layout state.)

    The button changes to say Model. You'll also notice that a UCS icon appears in each viewport and that one viewport has a darker border, as shown in Figure 7.15.

  3. Click inside the viewport whose layer visibility you want to set.

  4. Use the Current VP Freeze option in the Layer Properties Manager dialog box to set the visibility of layers for the selected viewport.

  5. Exit the floating model space mode by clicking the Model button in the status bar (see Figure 7.16).

Image from book
Figure 7.13: The Layout tabs
Image from book
Figure 7.14: The Model Space button or Paper Space button
Image from book
Figure 7.15: The UCS icon appears in each viewport, and the current viewport has a darker border.
Image from book
Figure 7.16: The Model button in the status bar

As an alternative, you can also use the Layer drop-down list to select the Current VP Freeze option. Click the Freeze or Thaw in Current Viewport icon in the drop-down list to control layer visibility in individual viewports. It is the sun icon with a box behind it, as shown in Figure 7.17.

Image from book
Figure 7.17: The Freeze Or Thaw In Current Viewport icon in the Layer drop-down list


Locking Layers from Printing and Editing

You can lock layers so that you don't accidentally change objects assigned to them. This feature is useful when you're working on a crowded drawing and you don't want to accidentally edit portions of it. You can lock all the layers except those you intend to edit and then proceed to work without fear of making accidental changes. The lock option doesn't prevent others from editing the objects on the locked layer. It's just a tool to temporarily lock objects on a layer from editing.

To use the lock option, click the lock icon in the layer listing in the Layer Properties Manager shown in the top half of Figure 7.18.

Image from book
Figure 7.18: The Lock icon in the Layer Properties Manager dialog box and Layer drop-down list

The Lock option also appears in the Layer drop-down list of the Layers control panel (see the bottom image in Figure 7.18). The icon changes from an open padlock to a closed one.

Another similar tool is the Plot option. You can click the printer icon (in the Plot column) in the layer listing of the Layer Properties Manager dialog box to prevent a layer from plotting or printing (see Figure 7.19). The Plot option does not appear in the Layer drop-down list, however.

Image from book
Figure 7.19: The printer icon in the Layer Properties Manager dialog box

The layer is still visible, but it just won't print. This is a great option for layers that you use for layouts.


Finding the Layers You Want

With only a handful of layers, it's fairly easy to find the layer you want to turn off. It becomes much more difficult, however, when the number of layers exceeds 20 or 30. The Layer Properties Manager dialog box lets you control the list of layers in the same way that you can control filenames in Windows Explorer.

Suppose you have several layers whose names begin with C, such as C-lights, C-header, and C-pattern, and you want to find those layers quickly to turn them off. You can click the Name button at the top of the layer list to sort the layer names in alphabetic order. (You can click the Name button again to reverse the order.) To select those layers for processing, click the first layer name that starts with C; then scroll down the list until you find the last layer of the group, and Shift+click it. All the layers between those layers are selected. You can then turn all the selected layers off by clicking one of the lightbulb icons of the selected group of layers.

To deselect some of those selected layers, hold down the Ctrl key while clicking the layer names you don't want to include in your selection. Or Ctrl+click other layer names you do want selected.

The Color and Linetype buttons at the top of the list let you sort the layer list by color or linetype assignments. Other buttons sort the list by virtue of the status: On/Off, Freeze/Thaw, Lock/Unlock, and so forth.

You can quickly select all the layers in the list by right-clicking the Layer Properties Manager dialog box and then choosing Select All. You can also choose Clear All to clear any selections. Select All But Current and Invert Selections do just what they say.

In the previous example, you turned off a set of layers with a single click of a lightbulb icon. You can freeze/thaw, lock/unlock, or change the color of a group of layers in a similar manner by clicking the appropriate layer property. For example, clicking a color swatch of one of the selected layers opens the Select Color dialog box, in which you can set the color for all the selected layers.


Taming an Unwieldy List of Layers

Chances are, you will eventually end up with a fairly long list of layers. Managing such a list can become a nightmare, but AutoCAD provides some tools that help you organize layers so that you can keep track of them more easily. Figure 7.20 shows the tools in the Layer Properties Manager dialog box that let you manage your layer lists and settings.

Image from book
Figure 7.20: The filter and Layer States Manager options in the Layer Properties Manager dialog box

In the upper-left corner of the Layer Properties Manager dialog box, you'll see a toolbar containing three tools that are designed to help with your layer management tasks. From left to right they are as follows:

  • New Property Filter Lets you filter your list of layers to display only layers with certain properties, such as specific colors or names.

  • New Group Filter Lets you create named groups of layers that can be quickly recalled at any time. This is helpful if you often work with specific sets of layers. For example, you might have a set of layers in an architectural drawing that pertains to the electrical layout. You can create a group filter called Electrical that filters out all layers except those pertaining to the electrical layout.

  • Layer States Manager Lets you create sets of layer states. For example, if you want to save the layer settings that just have the wall and door layer turned on, use the Layer States Manager tool.

The filters don't affect the layers in any way; they simply specify which layers are displayed in the main layer list.

Filtering Layers by Their Properties

Below the filter tools is the filter list, which is a hierarchical list displaying the sets of layer properties and group filters. Right now, you don't have any filters in place, so you see only All and All Used Layers. The following steps show you how these tools and the Filter list box work. You'll start with a look at the New Property Filter tool:

  1. Open the Layer Properties Manager dialog box.

  2. Click the New Property Filter tool in the upper-left corner of the dialog box to open the Layer Filter Properties dialog box, which is shown in Figure 7.21.

    You'll see two list boxes. The Filter Definition list box at the top is where you enter your filter criteria. The Filter Preview list box underneath the Filter Definition layer box is a preview of your layer list and is based on the filter options. Unless you've already used the Layer Filter Properties tool, there are no filter options, so the Filter Preview list shows all the layers.

  3. In the Filter Definition list box, click the blank box just below the Color label. A Browse button appears in the box (see Figure 7.22).

  4. Click in the blank box again, and then enter a color such as red↲. The Filter Preview changes to show only layers that are red. If there are no red layers, then the list will be blank.

  5. Click twice in the blank box below the one you just edited. Again, you'll see a button appear.

  6. Enter another color. Now the layers that are the color you just entered appear in the Filter Preview list.

    You can also select a color from the Select Color dialog box by clicking the button that appears in the box.

  7. In the Filter Definition list, click the Name column in the third row down. Notice that a cursor appears followed by an asterisk.

  8. Enter the letter for the layer names you want to filter, and then press ↲. You see layers added to the Filter Preview whose names begin with the letter you entered.

  9. In the Filter Name input box at the upper-left corner of the dialog box, change the name Properties Filter1 to something more meaningful for this list, and then click OK. Now you'll see the new filter name in the list box on the left side of the Layer Properties Manager dialog box (see Figure 7.23).

Image from book
Figure 7.21: The Layer Filter Properties dialog box
Image from book
Figure 7.22: The Browse button below the Color label in the Filter Definition list box
Image from book
Figure 7.23: The new filter name appears in the left side of the Layer Properties Manager dialog box.

You might also notice that the layer list shows only the layers whose properties conform to those you selected in the Layer Filter Properties dialog box.

Once you create a new filter, it will be highlighted in the filter list to the left. This tells you that the new filter is the current layer property filter being applied to the layer list to the right. You can change the layer list display by selecting options in the filter list:

  1. Click the All option in the filter list at the left side of the dialog box, as shown in Figure 7.24.

    The layer list to the right changes to display all the layers in the drawing. You'll also see a brief description of the current layer filter at the bottom of the dialog box.

  2. Click the All Used Layers option in the filter list. Now, only layers that contain objects appear.

  3. Click the name of the new list you created. The layer list changes back to the limited set of layers from your filter list.

  4. Double-click the name of your new list. The Layer Filter Properties dialog box opens and displays the list of layer properties you set up earlier for that list. You can edit the criteria for your filter by making modifications in this dialog box.

  5. Click Cancel to exit the Layer Filter Properties dialog box.

Image from book
Figure 7.24: Click the All option in the Layer Properties Manager dialog box.

Creating Layer Groups by Selection

Suppose you want to create a layer filter list by graphically selecting objects on the screen. You can use the New Group Filter tool to do just that:

  1. In the upper-left corner of the Layer Properties Manager dialog box, click the New Group Filter tool shown in Figure 7.25. You see a new listing appear called Group Filter1.

  2. Right-click the Group Filter1 listing, and then choose Select Layers è Add from the shortcut menu. The Layer Properties Manager dialog box temporarily closes to allow you to select objects in your drawing. Notice that your cursor is now an Object Selection cursor.

  3. Select the set of objects whose layers you want included in your filter. Press ↲ when you are finished with your selection. The Layer Properties Manager dialog box reappears, and now you'll see the layers of the objects you selected displayed in the layer list. Also note that Group Filter1 is highlighted in the filter list to the left, as shown in Figure 7.26.

Image from book
Figure 7.25: The New Group Filter tool in the Layer Properties Manager dialog box
Image from book
Figure 7.26: The Group Filter1 list after selecting objects

You might have noticed the Select Layers è Replace option in the shortcut menu in step 2. This option lets you completely replace an existing group filter with a new selection set. It works just like choosing Select Layers è Add.

Earlier, you saw how you can double-click a properties filter to edit a properties filter list. But group filters work in a slightly different way. If you want to add layers to your group filter, you can drag them from the layer list to the group filter name. Here's how you do it:

  1. In the Layer Properties Manager dialog box, select All from the filter list to the left.

  2. Click a layer or a set of layers in the layer list to select them. You'll add these layers to the Group Filter1 layer group.

  3. Drag selected layers to the Group Filter1 listing in the filter list to the left.

  4. To check the addition to the Group Filter1 list, click it in the filter list. This adds the selected layers to the Group Filter1 list.

To delete a layer from a group filter, follow these steps:

  1. With Group Filter1 selected, select the layer name you want to delete from the list, and then right-click it.

  2. Select Remove From Group Filter in the shortcut menu. This removes the layer from the Group Filter1 list.

You can also convert a layer properties filter into a group filter. Select the layer properties filter from the filter list, right-click, and then choose Convert To Group Filter. The icon for the layer properties filter changes to a group filter icon indicating that it is now a group filter.

Applying Filters to the Properties Toolbar Layer List and Other Options

You'll want to know about some additional options just below the filter list (see Figure 7.27). The Invert Filter option changes the list of layers to show all layers excluding those in the selected filter. For example, if your new filter contains red layers and you select Invert Filter, the layer list displays all layers except those whose color is red. The Indicate Layers In Use option changes the Status icon to gray if no objects are assigned to that layer. The Settings button opens a dialog box that offers additional control over the behavior of layer functions.

Image from book
Figure 7.27: The Invert Filter and Indicate Layers In Use options in the Layer Properties Manger

Finally, you'll see a text input box directly below the filter list containing the words Search for Layer. You can enter portions of a layer name in this text box to apply additional filters to the layer list currently being displayed. For example, you can enter G⋆ in this text input box to display only layers whose names begin with G in the current layer list.

In the next section, I'll give you some tips about how to use layer names with text filters more effectively.


Saving and Recalling Layer Settings

As you start to work with AutoCAD, you'll find that you'll want to set up layers in a certain way to edit your drawing. As you progress through your editing session, you'll turn layers on and off. Eventually, you'll want to return to the layer settings you had when you started. You can use the Layer States Manager dialog box to store the way your layers are set up so that you can quickly return to that setup or state when you are done editing.

The ability to save layer states can be crucial when you are editing a file that serves multiple uses, such as a floor plan and a reflected ceiling plan. You can, for example, turn layers on and off to set up the drawing for a reflected ceiling plan view and then save the layer settings. Later, when you need to modify the ceiling information, you can recall the layer setting to view the ceiling data. Let's see how the Layer States Manager dialog box works.

Image from book Click the Layer States Manager button in the Layers control panel to open the Layer States Manager dialog box, as shown in Figure 7.28.

Image from book
Figure 7.28: The Layer States Manager dialog box

Take a moment to look at the options in this dialog box. This is where you can also specify which layer settings you want saved with this layer state.

Save the current layer state by taking the following steps:

  1. Click the New button in the Layer States Manager dialog box to open the New Layer State To Save dialog box shown in Figure 7.29.

  2. Enter a name for the layer state in the New Layer State Name input box. Note that you can also enter a brief description of your layer state. Click OK to return to the Layer States Manager dialog box, and then click Close in the Layer State Manager dialog box.

    You've just saved a layer state. The following steps demonstrate how you can restore the saved layer state:

  3. Click the Layer States Manager button to open the Layer States Manager dialog box.

  4. Select the name of the layer state you want to restore from the list, and then click Restore. You return to the Layer Properties Manager dialog box. Notice that the layer settings have changed back to the settings you saved.

Image from book
Figure 7.29: The New Layer State To Save dialog box

The layer states are saved with the file so you can retrieve them at a later date. As you can see from the Layer States Manager dialog box, you have a few other options:

  • Delete Deletes a layer state from the list.

  • Import Imports a set of layer states that have been exported using the Export option of this dialog box.

  • Export Saves a set of layer states as a file. By default, the file is given the name of the current layer state with the .las filename extension. You can import the layer state file into other drawing files.

Image from book In addition to saving layer states by name, you can quickly revert to the previous layer state by clicking the Layer Previous tool on the right side of the Layers control panel.

This tool lets you quickly revert to the previous layer settings without affecting other settings in AutoCAD. Note that the Layer Previous mode does not restore the previous state of renamed layers, and it doesn't restore deleted layers or remove new layers.

Once you become familiar with these layer state tools, you'll find yourself using them frequently in your editing sessions.

The Layerpmode command controls the tracking of layer states. It is usually turned on, but if it is turned off, the Layer Previous tool will not work. To turn it on, enter Layerpmode↲ On↲.


Using the Layers II Toolbar for Managing Layers

Layers are one of the most frequently used AutoCAD features, so AutoCAD offers some handy shortcuts for controlling layer settings. You can find these shortcuts in the Layers II toolbar. If you find yourself having to work with files that other people have created, you might want to review the material in the following sections.

All the tools discussed in the following sections have keyboard command equivalents. Check the status bar when selecting these tools from the toolbar or drop-down menu for the keyboard command name.

Getting Familiar with the Layers II Toolbar

As you work with AutoCAD, you'll find that you will turn layers on and off frequently and that you will want to make a certain layer active to make sure your drawing stays organized. The Layers II toolbar gives you a single-button access to these and other functions.

To open the Layers II toolbar, do the following:

  1. Right-click an empty area of any toolbar.

  2. Choose Layers II from the shortcut menu. The Layers II toolbar appears in the AutoCAD window (see Figure 7.30).

Image from book
Figure 7.30: The Layers II toolbar

Once the Layers II toolbar is open, you can dock it to the right side at the top of the AutoCAD window. You then have ready access to these useful tools. To learn more about the individual tools in the Layers II toolbar, read the following sections.

If you're familiar with earlier versions of AutoCAD, you'll notice that the Layers II toolbar is the same as the ET: Layers tools. They've been incorporated into the main part of AutoCAD since AutoCAD 2007.

Exploring Layers with Layer Walk

When you work with a file that has been produced by someone else, you usually have to spend some time getting familiar with the way the layers are set up. This can be tedious, but the Layer II toolbar's Layer Walk tool can help.

As the name implies, the Layer Walk tool lets you "walk through" the layers of a file, visually isolating each layer as you select the layer's name from a list. You can use Layer Walk to select the layers that you want visible, or you can turn layers on and off to explore a drawing without affecting the current layer settings.

Image from book To open the LayerWalk dialog box shown in Figure 7.31, click the Layer Walk tool in the Layers II toolbar.

Image from book
Figure 7.31: The LayerWalk dialog box

You can click and drag the bottom edge of the dialog box to expand the list so that you can see all the layers in the drawing. You'll see several, if not all, of the layers in the list highlighted. The highlighted layers are currently turned on and visible. Layers that are not selected in the list are off and not visible. The following list describes how you can use the list to explore the layers in a drawing:

  • Ctrl+click any unselected layer in the list to make it temporarily visible without affecting the visibility of the other layers.

  • Ctrl+click any selected layer in the list to temporarily turn it off and make it invisible without affecting the visibility of other layers.

  • Click a layer name to isolate it. The selected layer will be the only one visible in the drawing.

  • Right-click, and choose Invert Selection from the shortcut menu to invert the layer selection. This also inverts the visibility of layers.

  • To select layers that do not have objects assigned to them, right-click in the LayerWalk dialog box, and choose Select Unreferenced from the shortcut menu. If there are any unreferenced layers, they are selected in the list.

  • You can remove unreferenced layers from the drawing by clicking the Purge button.

  • To select all the layers in the list, right-click in the LayerWalk dialog box again, and choose Select All from the shortcut menu. All the layers of your drawing are made visible.

  • To unselect all the layers, right-click in the LayerWalk dialog box, and then choose Clear All from the shortcut menu.

You can also lock layers so that they remain visible as you explore the layer in the LayerWalk dialog box. Ctrl+click a set of layers to make them visible, right-click, and then choose Hold Selection from the shortcut menu. Asterisks appear to the left of the selected layer names. Now as you randomly click layer names from the list, the layers with the asterisks remain visible. The Hold Selection option temporarily locks them on so that other selections do not affect their visibility.

Changing the Layer Assignment of Objects

Image from book In addition to the Layer Walk tool, the Layers II toolbar includes two tools that change the layer assignments of objects. The Layer Match tool is similar to the Match Properties tool but is streamlined to operate only on layer assignments. Click this tool, select the object or objects you want to change, and then select an object whose layer you want to match.

Image from book The Change To Current Layer tool changes an object's layer assignment to the current layer.

Controlling Layer Settings through Objects

The remaining tools in the Layers II toolbar let you make layer settings by selecting objects in the drawing. These tools are easy to use: simply click the tool, and then select an object. These tools are so helpful that you might want to consider docking them permanently in your AutoCAD window:

Image from book | Layer Isolate Turns off all the layers except for the layer of the selected object.
Image from book | Copy Object to New Layer Creates a copy of an object and assigns the copy to the layer of an object you select.
Image from book | Layer Freeze Freezes the layer of the selected object.
Image from book | Layer Off Turns off the layer of the selected object.
Image from book | Layer Lock Locks the layer of the selected object. A locked layer is visible but cannot be edited.
Image from book | Unlock Object's Layer Unlocks the layer of the selected object.


Organizing Visual Content Using Properties

Part of your work with AutoCAD will involve organizing your drawings visually. You can use color, line weight, and linetypes, such as dashed and center lines, to help keep your drawing orderly and understandable. Color often helps identify the layer an object is assigned to or helps identify the object's category, such as plumbing or electrical. Color was once the only way to control line weights in AutoCAD, and you might still see drawings that use color to determine line weight. Line weights are also a controllable property, and they can greatly enhance the readability of your drawings. Linetypes have always been used to identify control or datum lines in technical drawings. Center lines, property lines, fences, and other types of noncontinuous lines are essential to any drawing you'll be doing.

You can assign color, line weight, and linetypes through layers. You might notice that layers show color, line weight, and linetypes as part of their attributes. By clicking any one of those attributes in the Layer Properties Manager dialog box, you can change its value. You can also set the color, line weight, and linetype of individual objects.

You've already learned how to set the color of a layer. The following section shows you how to set linetypes and line weights.

Assigning Linetypes to Layers

You'll often want to use different linetypes to show hidden lines, center lines, fence lines, or other noncontinuous lines. AutoCAD comes with several linetypes, as shown in Figure 7.32. Included are ISO and complex linetypes, as well as lines that can illustrate gas and water lines in civil work or batt insulation in a wall cavity. ISO linetypes are designed to be used with specific plotted line widths and linetype scales. For example, if you are using a pen width of 0.5 mm, set the linetype scale of the drawing to 0.5 as well. The complex linetypes at the bottom of the figure are industry-specific.

Image from book
Image from book
Image from book

Figure 7.32: Standard, ISO, and complex AutoCAD linetypes

AutoCAD stores linetype descriptions in an external file named Acad.lin or Acadiso.lin for metric drawings. You can edit this file in a word processor to create new linetypes or to modify existing ones, though customizing linetypes is beyond the scope of this book.

The default linetype in a new drawing is the Continuous linetype. If you want to use a different linetype, you must load it from the linetype file. Here's how you do that:

  1. Open the Layers Properties Manager dialog box, and then select All from the Filter list.

  2. Click the word Continuous that appears in the layer listing (in the Linetype column) of which you will assign the new linetype. This opens the Select Linetype dialog box, as shown in Figure 7.33. To find the Linetype column, you might need to scroll the list to the right using the scroll bar at the bottom of the list.

    The Select Linetype dialog box displays a list of linetypes from which to choose. In a new file, only one linetype is available by default. You must load any additional linetype you want to use. Once a linetype is loaded, it is available for use at any time.

  3. Click the Load button at the bottom of the dialog box to open the Load Or Reload Linetypes dialog box shown in Figure 7.34.

    Notice that the list of linetype names is similar to the layer drop-down list. You can sort the names alphabetically or by description by clicking the Linetype or Description headings at the top of the list.

  4. In the Available Linetypes list, scroll down to locate the Dashdot linetype, click it, and then click OK.

  5. Notice that the Dashdot linetype is now added to the linetypes available in the Select Linetype dialog box.

  6. Click Dashdot to highlight it; then click OK. Now Dashdot appears in the currently selected layer under the Linetype heading.

  7. Click OK to exit the Load Or Reload Linetypes dialog box.

Image from book
Figure 7.33: The Select Linetype dialog box
Image from book
Figure 7.34: The Load Or Reload Linetypes dialog box

Once you've assigned a linetype to a layer, any object assigned to that layer is drawn using that linetype, unless the object is specifically assigned a linetype. You can assign linetypes to objects on an individual basis through the Properties palette, described in Chapter 4.

Controlling Linetype Scale

The appearance of a linetype depends closely on two features in AutoCAD: the Linetype Scale setting and a new feature in AutoCAD 2008 called annotation scale. The Linetype Scale controls the scale of the dashes or dots in the linetype. The default value is 1, which means the linetype is not scaled. Figure 7.35 shows how the same linetype is affected by two different linetype scale values.

Image from book
Figure 7.35: The same linetype using two different Linetype scales. The upper line uses a scale that is approximately 4½ times the scale of the lower line.

The Annotation Scale value is the scale you want to use for a given view. For example, you can set up your model space to be at a scale of ¼" = 1'0".

  1. Make sure you're in the Model tab, and then click the Annotation Scale drop-down list in the lower-right corner of the AutoCAD window.

    Image from book

  2. Select ¼" = 1'0" from the list that appears.

    Now any object that has been assigned a linetype other than Continuous will be displayed appropriately for the selected scale. Remember that if you assign a linetype to a layer, everything you draw on that layer is of that linetype. This includes arcs, polylines, circles, and traces.

You can also control the scale of linetypes in a Layout viewport (see Chapter 12 for a discussion about Layout viewports). The process is the same with one additional step:

  1. Make sure you are in Layout view, and then click a viewport border to select it.

  2. Click the Annotation Scale drop-down list in the lower-right corner of the AutoCAD window.

  3. Select a scale from the list that appears.

This time, objects within the viewport that are assigned a noncontinuous linetype will appear at the appropriate scale. Note that you can assign a different annotation scale for each viewport in a layout. The annotation scale for viewports can also be different from the annotation scale set in Model view.

You can fine-tune the appearance of linetypes by using the Ltscale system variable. Enter Ltscale↲, and at the Enter new linetype scale factor <1.0000>: prompt, enter a scale value to change the frequency of the line segments of a linetype.

Setting Line Weights

The Lineweight option in the Layer Properties Manager dialog box lets you control the thickness of your lines by adjusting the Lineweight setting. Lineweight settings are designed specifically for printer and plotter output, and you might not see true line weights in the Model tab. They do appear correctly, however, in the layout tabs when you set up AutoCAD to display line weights. Figure 7.36 shows a sample view of a drawing from a layout tab.

Image from book
Figure 7.36: Sample image of different line weights used in AutoCAD

Turning on Line Weight Visibility

By default, AutoCAD does not display line weights in either the Model tab or the layout tabs. You can turn the line weights on by using the Lineweight Settings dialog box shown in Figure 7.37. To open the Lineweight Settings dialog box, choose Format è Lineweight, or enter Lweight↲ at the command prompt.

Image from book
Figure 7.37: The Lineweight Settings dialog box

To turn on the display of line weights, click the Display Lineweight option. You can also control the degree to which AutoCAD displays line weights using the Adjust Display Scale slider.

Setting Line Weights Using the Layer Properties Manager Dialog Box

Just as you can control color and linetypes through layers, you can also control line weights through layers. The Lineweight option in the Layer Properties Manager dialog box controls the line weight for each layer. When you click the Lineweight column for a layer, the Lineweight dialog box opens (see Figure 7.38), showing you the line weight options.

Image from book
Figure 7.38: The Lineweight dialog box

You can select a line weight from the list to assign it to the selected layer or layers. Objects assigned to that layer plot will have the assigned line weights.

Image from book
SCALE FACTORS IN LEGACY DRAWINGS

With the introduction of annotation scale, AutoCAD 2008 has greatly simplified the way you apply drawing scales to objects. However, it is likely that you will encounter drawings created in earlier versions of AutoCAD. With earlier drawings, users had to understand and apply the concept of scale factors to text, blocks, hatch patterns, and linetypes in order to size these features properly for a given scale.

Scale factors are different for metric and imperial (feet and inch) measurement systems. The scale factor for fractional inch scales is derived by multiplying the denominator of the scale by 12 and then dividing by the numerator. For example, the scale factor for ¼" = 1'0" is (4 × 12)÷1, or 48 ÷ 1. For Image from book = 1'0" scale, the operation is (16 × 12) ÷ 3, or 64. For whole-foot scales, such as 1" = 10', multiply the feet side of the equation by 12. Metric scales require simple decimal conversions. For a 10:1 scale, the scale factor is 10. Table 7.1 shows some standard scale conversion factors used in civil and architectural drawings. Once you've determined the scale factor, you can apply it to the linetype scale of your drawing or object.

Table 7.1: Scale Conversion Factors for Feet and Inches
SCALE FACTORS FOR ENGINEERING DRAWING SCALES
1" = n | 10' | 20' | 30' | 40' | 50' | 60' | 100' | 200'
Scale factor | 120 | 240 | 360 | 480 | 600 | 720 | 1200 | 2400
SCALE FACTORS FOR ARCHITECTURAL DRAWING SCALES
n = 1'0" | Image from book | ⅛" | ¼" | ½" | ¾" | 1" | 1½" | 3"
Scale factor | 192 | 96 | 48 | 24 | 16 | 12 | 8 | 4

When you encounter text and dimensions in an older drawing (see Chapter 9), you have to understand how to specify a text height so the text appears in the proper size when it is plotted. The scale factor helps you determine the appropriate text height for a particular drawing scale. For example, you might want your text to appear ⅛" high in your final plot. But if you draw your text to ⅛", it appears as a dot when plotted. The text has to be scaled up to a size that, when scaled back down at plot time, appears ⅛" high. So, for a ¼" scale drawing, you multiply the ⅛" text height by a scale factor of 48 to get 6". Your text should be 6" high in the CAD drawing in order to appear ⅛" high in the final plot. Dimensions are also scaled in a similar manner.

Image from book

Setting Line Weights Directly to Objects

You can also assign a line weight directly to an object in your drawing. The simplest way to do this is to click the object while no command is active and then select Properties. In the Properties palette, select a line weight from the Lineweight drop-down list (see Figure 7.39).

Image from book
Figure 7.39: The Lineweight Control drop-down list in the Properties palette

Image from book Yet another way to set line weights is through the plot-style tables. If you encounter a drawing in which you seem unable to control the plotted line weights, chances are the line weight settings are set up in the Plot Style tables for the drawing. See Chapter 12 for more about the plot-style tables.

Setting Colors, Linetypes, Linetype Scales, and Line Weights for Individual Objects

If you prefer, you can set up AutoCAD to assign specific colors, linetypes, linetype scales, and line weights to objects instead of having objects inherit these settings from the layer to which they are assigned. Usually, objects are given default, nongeometric properties called ByLayer, which means each object takes on the color, linetype, linetype scale, and line weight of its assigned layer. (You've probably noticed the word ByLayer in the Properties toolbar and in various dialog boxes.)

Click the Properties tool on the Standard toolbar to change any property of an existing object. (See Chapter 4 for more information about the Properties tool and palette.) This tool opens the Properties palette, which lets you set the properties of individual objects.

You can also open the Properties toolbar, which allows you to control property settings for new and existing objects. To open the Properties toolbar, right-click any toolbar, and then select Properties from the menu that appears. The Properties toolbar appears (see Figure 7.40).

Image from book
Figure 7.40: The Color, Linetype, and Lineweight Control options on the Properties toolbar

For new objects, use the Color, Linetype, or Lineweight Control drop-down list on the Properties toolbar to set the default values for these properties (see Figure 7.40).

The Color Control drop-down list also contains the Select Color option (see Figure 7.41). Click it to open the Select Color dialog box.

Image from book
Figure 7.41: The Select Color option in the Color Control drop-down list

This dialog box lets you select from a broad range of colors. Select a color from the Select Color dialog box, and then everything you draw will be in the selected color, regardless of the current layer color.

For linetypes, you can use the Linetype Control drop-down list in the Properties toolbar to select a default linetype for all new objects. The list shows only linetypes that have already been loaded into the drawing, so you must first load the linetype before you can select it. You can load a linetype by selecting the Other option from the drop-down list shown in Figure 7.42.

Image from book
Figure 7.42: The Other option in the Linetype Control drop-down list

The Lineweight Control drop-down list displays a list of line weights from which to choose.

If you want to set the linetype scale for each individual object, instead of relying on the global linetype scale (the Ltscale system variable), you can use the Properties palette to modify the linetype scale of individual objects.

To set the linetype scale to be applied to new objects, set the Linetype Scale value in the Properties palette while no objects are selected (see Figure 7.43). In place of using the Properties palette, you can set the Celtscale system variable to the linetype scale you want for new objects.

Image from book
Figure 7.43: The Linetype Scale option in the Properties palette

In the previous section, you saw how to change the global linetype scale setting. This affects all noncontinuous linetypes within the current drawing. You can also change the linetype scale of individual objects by clicking the Properties button on the Standard Annotation toolbar. Or you can set the default linetype scale for all new objects, with the Current Object Scale option in the Linetype Manager dialog box.

When individual objects are assigned a linetype scale, they are still affected by the global linetype scale set by the Ltscale system variable. For example, say you assign a linetype scale of 2 to a dashed line while the Ltscale system variable is set to 12. This assigned scale of 2 is then multiplied by the global linetype scale of 12 for a final linetype scale of 24.

If the objects you draw appear in a different linetype from that of the layer they are on, check the default linetype using the Linetype Control drop-down list on the Properties toolbar. You can also choose Format è Linetype. Then, in the Linetype Manager dialog box, highlight ByLayer in the Linetype list, and click the Current button. In addition, check the linetype scale of the object itself, using the Properties palette. A different linetype scale can make a line appear to have an assigned linetype that might not be what you expect.

Image from book
UNDERSTANDING THE BYBLOCK SETTING

As you explore the Layer Properties Manager dialog box and the various object properties settings, you'll see a setting called ByBlock. ByBlock makes everything you draw white (or black, depending on the background color), until you turn your drawing into a block and then insert the block on a layer with an assigned color. The objects then take on the color of that layer. This behavior is similar to that of objects drawn on Layer 0. This option is available if you want objects to have a layer assignment other than zero but you want the objects to acquire the color or linetype of the block with which they are combined. The ByBlock linetype works similarly to the ByBlock color.

Image from book


Summary

AutoCAD's layer system is quite complex and can be daunting to the first-time user. But you don't have to learn everything about layers at one sitting. First, just understand the basics-what layers are used for and that all objects have a layer assignment. Then, learn how layers are created and how objects are assigned to layers. Next, you'll want to know about the ways layers can be turned on and off. After that, you can explore the other layer options as needed.

In conjunction with layers, you'll want to understand how object properties work and how they interact with layers. This is an area you should have at least some familiarity with even as a beginner. Understanding properties will help you understand many of the other ways that AutoCAD can help you organize drawings.


Chapter 8: Using Blocks, Groups, Xrefs, and DesignCenter

Overview

One of AutoCAD's best qualities is its ability to let you get the most mileage from your drawings. AutoCAD includes several features that help you organize your work so that a single drawing can serve multiple purposes. You can also create sets of objects that can be easily reproduced and modified. To get the most out of AutoCAD, you'll want to be as familiar as possible with these organizational features.

One of the most frequently used features is the block, which is a collection of objects that behaves like a single object. Blocks can be duplicated easily, like images from a rubber stamp. And if you need to make a change to several duplicate blocks, you can change one block, and all the copies of that block update to reflect the change.

Groups are similar to blocks in that they are collections of objects that behave like a single object. One difference between blocks and groups is that individual objects within a group are much easier to edit. Copies of groups do not inherit changes from edits made to a group. You can think of the group as a tool to help you keep similar objects together.

Finally, you can import entire drawings if you want to use parts of a drawing as a background. For example, for a large project, one drawing might show the entire floor plan, and several others might show only enlarged portions of that plan. This way, you can get "double duty" from one drawing by using it in several other drawings. Drawings that are imported this way are called external references, or xrefs for short.


Using Blocks to Organize Objects

Blocks are one of the oldest methods for grouping objects in AutoCAD. Used properly, they can be a real time-saver. They have the unique ability to be edited globally. For example, you can create a drawing of a chair and then turn it into a block so that the chair behaves as one object. You can then make hundreds of copies of that chair by copying its block form. These copies are referred to as block references. If you need to modify the chair later, you can modify one of the block references, and all the other chairs blocks update automatically.

Creating a Block

You can easily create blocks from existing objects by following these steps:

  1. Image from book In the 2D Draw control panel, click the Make Block tool, enter b↲, or choose Draw è Block è Make to open the Block Definition dialog box (see Figure 8.1).

    If you don't see the Make Block tool in the 2D Draw control panel, look in the toolbar fly-out menu to the far right of the top row of the control panel tools.

  2. In the Name text box, enter a name for your block. You need to give the block a name to make it easily identifiable in lists or other dialog boxes.

  3. In the Base Point section, click the Pick Point button. This option lets you select a base or an insertion point for the block using your cursor. (The insertion point of a block is like its primary grip point. It is the first point you use to locate the block when it is first inserted into a drawing.) After you select this option, the Block Definition dialog box temporarily closes.

    The Block Definition dialog box gives you the option of specifying the X, Y, and Z coordinates for the base point, instead of selecting a point.

  4. Pick a point that will be useful when you insert the symbol. For example, if it is a symbol for a datum point, pick its center. If it's a symbol for a door, pick the door's hinge location.

    After you select a point, the Block Definition dialog box reopens. Notice that the X, Y, and Z values in the Base Point section are now the coordinates of the point you picked. For two-dimensional drawings, the Z coordinate should remain at 0.

    Next, you need to select the actual objects you want as part of the block.

    Image from book

  5. In the Objects section, click the Select Objects button. Once again, the dialog box momentarily closes. You now see the familiar Object Selection prompt in the command line, and the cursor becomes an Object Selection cursor. Select the objects that you want as part of your block.

  6. When you've finished your selection, press ↲ to return to the dialog box.

  7. From the Block Unit drop-down list, select Inches. Metric users should select the appropriate metric measurement from the list.

  8. Click the Description list box, and enter a brief description of your block.

  9. Make sure that the Convert to Block radio button in the Objects section is selected. Click OK. The objects you selected in step 5 are now a block with the name you entered in step 2.

    You can press ↲, or right-click and choose Repeat Make from the shortcut menu, to start the Make Block tool again.

Image from book
Figure 8.1: The Block Definition dialog box

When you turn an object into a block, it is stored within the drawing file as a block definition, ready to be inserted into the drawing at any time. The block definition remains part of the drawing file even when you end the editing session. When you open the file again, the block definition is available for your use. In addition, you can access block definitions from other drawings using the AutoCAD DesignCenter and the tool palettes. You'll learn more about DesignCenter and the tool palettes later in this chapter.

Understanding the Block Definition Dialog Box

The Block Definition dialog box includes several options that can simplify the use of blocks. If you're interested in these options, take a moment to review the Block Definition dialog box as you read these descriptions.

You've already seen how the Name text box lets you enter a name for your block. AutoCAD does not let you complete the block creation until you enter a name.

You've also seen how to select a base point for your block. The base point is like the handle of the block. It is the reference point you use when you insert the block into the drawing. It is also the primary grip point for the block. In the previous example, you used the Pick Point option to indicate a base point, but you can also enter X, Y, and Z coordinates just below the Pick Point option. In most cases, however, you will want to use the Pick Point option to indicate a base point that is on or near the set of objects you are converting to a block.

The Objects section lets you select the objects that make up the block. You use the Select Objects button to visually select the objects you want to include in the block you're creating. The QuickSelect button to the right of the Select Objects button lets you filter out objects based on their properties.

Other options in the Objects section let you specify what to do with the objects you're selecting for your block. Table 8.1 lists the Block Definition dialog box options and what they mean.

Image from book
Table 8.1: Other Block Definition Dialog Box Options Open table as spreadsheet
OPTION | PURPOSE
Retain | Keeps the objects you select for your block as they are, unchanged.
Convert to Block | Converts the objects you select into the block you're defining. The block then acts like a single object once you've completed the Block Definition dialog box.
Delete | Deletes the objects you selected for your block. This is what AutoCAD did in earlier versions. You might also notice that a warning message appears at the bottom of the Objects section. This warning tells you whether you've selected objects for the block. Once you've selected objects, this warning changes to tell you how many objects you've selected.
Annotative | Allows you to apply an annotative scale to the block. This feature gives the block the ability to adjust its size to the scale of the drawing. You set the scale through the Annotative Scale setting in Model view or the VP Scale setting in a layout viewport.
Match Block Orientation to Layout | Causes the block to always display in "read right" orientation in Layout view.
Scale Uniformly | Locks the blocks X and Y scale to their original proportions.
Allow Exploding | Allows the block created in the current Block Definition dialog box to be broken down into its component objects using the Explode command.
Block Unit | Lets you determine how the object is to be scaled when it's inserted into the drawing. By default, this value is the same as the current drawing's insertion scale.
Description | Lets you include a brief description or keyword for the block. This option is helpful when you need to find a specific block in a set of drawings.
Image from book

Inserting a Block

If you delete all the blocks in a drawing, you can still insert a copy of a block at any time, as many times as you want. This is because blocks are stored within the drawing's database as block definitions and are not removed unless you specifically remove them using the Purge command.

To insert a block into the drawing area, do the following:

  1. Image from book In the 2D Draw control panel, click the Insert Block tool or enter i↲ to open the Insert dialog box (see Figure 8.2). If there are blocks in the drawing, you will see a preview of the block in the upper-right corner of the dialog box.

  2. Click the Name drop-down list to display a list of the available blocks in the current drawing (see Figure 8.3). Once you select a block name, a preview will appear in the upper-right corner of the dialog box.

  3. Click the name of the block you want to insert.

  4. Click OK to display a preview image attached to the cursor. The base point you selected when you created the block is now on the cursor.

  5. Click a point to place the block in the drawing. If the Specify On-Screen option is checked in the Insertion Point group of the Insert dialog box, the block will appear on or near the cursor, and you will be prompted for an insertion point.

Image from book
Figure 8.2: The Insert dialog box
Image from book
Figure 8.3: The Name drop-down list shows the available blocks in a drawing.

Scaling and Rotating Blocks

When you insert a block, it appears at the scale and orientation that was used when the block was originally created. In some instances, you might want the block inserted at a rotated angle or at a different size from the original. The Insert dialog box provides two sets of options that let you scale or rotate your block at the time you insert it. If you turn on the Specify On-Screen option in the Rotation section of the dialog box, you are prompted for a rotation angle once you've selected an insertion point. You can specify a rotation angle either by entering an angle value from 0 to 360 or by visually selecting a rotation angle using the cursor. The block rotates with the cursor around the insertion point until you select a rotation angle. You might find that you want the rotation's Specify On-Screen option turned on most of the time so you can adjust the rotation angle of the block while you are placing it in the drawing.

The other options in the Insert dialog box that you did not use are in the Scale section. These options let you scale the block to a different size. You can scale the block uniformly, or you can distort the block by individually changing its X, Y, or Z scale factor. With the Specify On-Screen option unchecked, you can enter specific values in the X, Y, and Z text boxes to stretch the block in any direction. If you turn on the Specify On-Screen option, you'll be able to visually adjust the X, Y, and Z scale factors in real time. Although these options are not used often, they can be useful in special situations if a block needs to be stretched one way or another to fit in a drawing.

You aren't limited to scaling or rotating a block when it is being inserted into a drawing. You can always use the Scale or Rotate tool or modify an inserted block's properties to stretch it in one direction or another.

If you select the block and then open the Properties palette, you'll see the properties for the block, including the X, Y, and Z scale values (see Figure 8.4).

Image from book
Figure 8.4: The block properties

Take a moment to study the Properties palette. Under the Geometry heading, you'll see a set of labels that show Position and Scale. These labels might appear as "Pos" and "Sca" if you've adjusted the width of the palette to be too narrow to show the entire label.

Remember that you can drag the left or right edge of the palette to change its width or drag the vertical separator inside the palette to adjust the width of the columns.

You can change Scale values so that the block is wider or taller than the original block. For example, you can enter 1.5 in the Scale X text box (to the right of the Scale X label) to increase its width by a factor of 1.5.

Once a block has been inserted, you can rotate or uniformly scale it using the Rotate or Scale command.

Understanding the Annotation Scale

One common use for AutoCAD's block feature is to create reference symbols. These are symbols that refer the viewer to other drawings or views in a set of drawings. An example of this would be an elevation symbol on a floor plan that directs the viewer to look at a location on another sheet to see an elevation view of a room. Such a symbol is typically a circle with two numbers, one for the drawing sheet number and the other for the view number on the sheet.

In the past, AutoCAD users had to insert a symbol multiple times to accommodate different scales of the same view. For example, the same floor plan might be used for a ¼" = 1'1" scale view and a ⅛" = 1'0" view. An elevation symbol that works for the ¼" = 1'1" scale view would be too small for the ⅛" = 1'0" view so two copies of the same symbol would be inserted, one for each scale. The user would then have to place the two symbols on different layers to control their visibility.

The annotation scale feature does away with this need for redundancy. You can now use a single instance of a block even if it must be displayed in different scale views. To do this, you must take some additional steps when creating and inserting the block. Here's how you do it:

  1. Draw your symbol at the size it should appear when plotted. For example, if the symbol is supposed to be a ¼" circle in a printed sheet, draw the symbol as a ¼" circle.

  2. Open the Block Definition dialog box by choosing the Make Block tool from the 2D Draw control panel.

  3. Turn on the Annotative option in the Behavior section of the Block Definition dialog box. You might also turn on the Match Block Orientation to Layout option if you want the symbol to always appear in a vertical orientation.

  4. Select the objects that make up the block, and indicate an insertion point as usual.

  5. Click OK.

    Image from book

After you've followed these steps, you'll need to apply an annotation scale to the newly created block:

  1. Click the new block to select it.

  2. Right-click, and choose Annotative Object Scale è Add/Delete Scales. The Annotation Object Scale dialog box appears.

  3. Click the Add button. The Add Scales to Object dialog box appears.

  4. Select the scale from the list you'll be using with this block. You can Ctrl+click to select multiple scales. When you are finished selecting scales, click OK. The selected scales appear in the Annotation Object Scale dialog box.

    Image from book

  5. Click OK to close the Annotation Object Scale dialog box.

    Image from book

At this point, the block is ready to be used in multiple scale views. You need only to select a scale from the Model view's Annotation Scale drop-down list or the Layout view's VP (Viewport) Scale drop-down list, which are both in the lower-right corner of the AutoCAD window.

Image from book

The Annotation Scale drop-down list appears in Model view, and the VP Scale drop-down list appears in Layout view and when a viewport is selected (see Chapter 12 for more about layouts and viewports). In Layout view, you can set the VP Scale value for each individual viewport so the same block can appear at the appropriate size of different scale viewports (see Figure 8.5). If you only need to use one annotation scale for the block, set the Annotation scale drop-down list first, then insert the block. The block will be given the current Annotation scale automatically.

Image from book
Figure 8.5: A single block is used to create different size elevation symbols in this Layout view. Both views show the same floor plan displayed at different scales.

Note that if you want to use several copies of a block that is using annotative scales, you should create the block and assign the annotation scale first and then make copies of the block. If you insert a new instance of the block, you'll have to assign an annotation scale to the new instance of the block. If you are uncertain whether an annotation scale has been assigned to a block, you can click the block, and you will see the different scale versions of the block highlighted. Also, if you hover over a block, you'll see a triangular symbol next to the cursor for blocks that have been assigned annotation scales.

If you find you need to change the position of a block for a particular layout viewport scale, go to Model view, select the appropriate scale from the Annotation Scale drop-down list, and then adjust the position of the block.

Image from book

Importing an Existing Drawing as a Block

Earlier in this chapter, you saw how to create a block from a set of objects in a drawing. You can also treat external drawing files as blocks. For example, you might have drawings of a chair, a table, and other fixtures, each in its own separate file. You can insert those files as if they were blocks in the current drawing. This requires a slightly different way of using the Insert command:

  1. Image from book In the 2D Draw control panel, click the Insert Block tool or enter i↲ to open the Insert dialog box.

  2. Click the Browse button to the right of the Name drop-down list to open the Select Drawing File dialog box, which is a standard AutoCAD file dialog box (see Figure 8.6).

  3. Locate and select the drawing you want to insert.

  4. Back in the Insert dialog box, click OK to display a preview image of the file attached to the cursor.

  5. Click a point to place the block in the drawing.

Image from book
Figure 8.6: The Select Drawing File dialog box

You can also use Windows Explorer to drag AutoCAD .dwg files to the AutoCAD window.

When you insert a file in this way, the file becomes a block in the current drawing, and as with any block, if you erase all instances of the inserted file from the drawing, it remains in the file as a block definition ready for you to insert again at a later time if needed. Also, be aware that if such a block is deleted from a drawing, its original source file remains untouched.

When you insert a drawing file as a block, AutoCAD uses the drawing's origin, 0,0, as the insertion base point. To modify the base point of any drawing, enter Base↲ at the command prompt, and then select the point you want as the drawing's base point.

Image from book
EDITING A BLOCK

If you need to make changes to a block, you can use the Block Editor described in Chapter 5. Remember that by updating one block, all instances of the block that appear in a drawing are also updated. This can help you make quick work of repetitive items in a drawing.

If you need to change only one instance of a block, use the Explode command to reduce a block to its constituent parts. If you are working on a project involving multiple AutoCAD users, make sure exploding a block is OK with your coworkers.

Image from book

Saving Blocks as AutoCAD Drawing Files

As mentioned earlier, whenever you insert a drawing file using the Insert Block tool, the inserted drawing automatically becomes a block in the current drawing. When you redefine a block, however, you do not affect the source file you imported. AutoCAD changes the block only within the current file.

You do have the option to save changes to a block back to the original file from which it came using the Write Block feature. The following steps describe the process:

  1. Issue the Wblock command by typing Wblock↲ or enter w↲ to open the Write Block dialog box, as shown in Figure 8.7.

  2. In the Source section, click the Block button.

  3. Select the name of the block you want to export from the drop-down list. If the block was originally a file you imported, you'll see the original filename in the File Name and Path input box.

  4. Click OK.

  5. If you're replacing an existing file, you'll see a warning message telling you that the file already exists. Click Yes to confirm that you want to overwrite the old drawing with the new definition.

Image from book
Figure 8.7: The Write Block dialog box

The Write Block dialog box offers a way to save parts of your current drawing as a file. In the previous exercise, you used the Block option in the Source section to select an existing block as the source object to be exported. You can also export a set of objects by clicking the Objects button. If you choose this option, the Base Point and Objects sections become available. These options work the same way as their counterparts in the Block Definition dialog box that you saw earlier.

Selecting the third option in the Source section, Entire Drawing, lets you export the whole drawing to its own file. This might seem to duplicate the File è Save As option in the menu bar, but saving the entire drawing from the Write Block dialog box actually performs some additional operations, such as stripping out unused blocks or other unused components. This has the effect of reducing file size. You'll learn more about this feature later in this chapter.


Organizing Objects Using Groups

Image from book You might want to group objects so that they are connected yet can still be edited individually. For example, consider a space planner who has to place workstations in a floor plan. Though each workstation is basically the same, some slight variations in each station could make using blocks unwieldy. Using a block, you would need to create a block for one workstation and then for each variation explode the block, edit it, and then create a new block. A better way is to draw a prototype workstation and then turn it into a group. You can copy the group into position and then edit it for each individual situation, without losing its identity as a group.

AutoCAD LT offers a different method for grouping objects. If you are using LT, skip this exercise and continue with the "Working with the LT Group Manager" section.

To create a group, you use the Object Grouping dialog box as described here:

  1. Enter g↲ or Group↲ to open the Object Grouping dialog box, as shown in Figure 8.8.

  2. Enter the name for your group in the Group Name text box.

  3. Click New in the Create Group section, about midway in the dialog box. The Object Grouping dialog box temporarily closes to allow you to select objects for your new group.

  4. At the Select objects: prompt, select the objects you want in your group, and then press ↲.

  5. Click OK. You have just created a group.

Image from book
Figure 8.8: The Object Grouping dialog box

Now, whenever you want to select the group, you can click any part of it. However, you can still modify individual parts of the group-the desk, the partition, and so on-without losing the grouping of objects.

Toggling Groups On and Off

If you've created a group and now need to edit the individual objects in the group, you can temporarily turn off the group by pressing Shift+Ctrl+A. You'll see a message in the command line indicating whether the groups are on or off. Once they are off, you can edit the individual objects within the group. Press Shift+Ctrl+A again to turn groups back on.

Working with the Object Grouping Dialog Box

Each group has a unique name, and you can also attach a brief description of the group in the Object Grouping dialog box. When you copy a group, AutoCAD assigns an arbitrary name to the newly created group. Copies of groups are considered unnamed, but you can still list them in the Object Grouping dialog box by clicking the Include Unnamed check box. You can click the Rename button in the Object Grouping dialog box to name unnamed groups appropriately.

Objects within a group are not bound solely to that group. One object can be a member of several groups, and you can have nested groups.

Tables 8.2 through 8.4 show the options available in the Object Grouping dialog box, which you saw in Figure 8.8. AutoCAD LT users have a different set of options. See the "Working with the LT Group Manager" section.

Use the Group Identification section to identify your groups, using unique elements that let you remember what each group's purpose is. Table 8.2 describes the Group Identification options. Table 8.3 shows the Create Group options.

Image from book
Table 8.2: The Group Identification Options Open table as spreadsheet
OPTION | PURPOSE
Group Name | Lets you create a new group by naming it first.
Description | Lets you include a brief description of the group.
Find Name | Finds the name of a group by temporarily closing the Object Grouping dialog box so you can click a group.
Highlight | Highlights a group that has been selected from the group list. This helps you locate a group in a crowded drawing.
Include Unnamed | Determines whether unnamed groups are included in the Group Name list. Check this box to display the names of copies of groups for processing by this dialog box.
Image from book
Image from book
Table 8.3: The Create Group Options Open table as spreadsheet
OPTION | PURPOSE
New | Creates a new group. The Object Grouping dialog box closes temporarily so that you can select objects for grouping. To use this button, you must have either entered a group name or checked the Unnamed check box.
Selectable | Lets you control whether the group you create is selectable. See the description of Selectable in Table 8.4.
Unnamed | Lets you create a new group without naming it.
Image from book

The Change Group options are available only when a group name is highlighted in the Group Name list at the top of the dialog box. Table 8.4 describes those options.

Image from book
Table 8.4: The Change Group Options Open table as spreadsheet
OPTION | PURPOSE
Remove | Lets you remove objects from a group.
Add | Lets you add objects to a group. While using this option, grouping is temporarily turned off to allow you to select objects from other groups.
Rename | Lets you rename a group.
Re-Order | Lets you change the order of objects in a group.
Description | Lets you modify the description of a group.
Explode | Separates a group into its individual components.
Selectable | Turns individual groupings on and off. When a group is selectable, it is selectable only as a group. When a group is not selectable, the individual objects in a group can be selected, but not the group.
Image from book

If a group is selected, you can remove individual items from the selection with a Shift+click. In this way, you can isolate objects within a group for editing or removing without having to temporarily turn off groups.

Working with the LT Group Manager

If you are using AutoCAD LT, you use the Group Manager to manage groups. Table 8.5 gives a rundown of the tools that are available in the Group Manager dialog box shown in Figure 8.9.

Image from book
Figure 8.9: The AutoCAD LT Group Manager dialog box
Image from book
Table 8.5: The LT Group Manager Options Open table as spreadsheet
OPTION | PURPOSE
Create Group | Lets you convert a set of objects into a group. Select a set of objects, and then click Create Group.
Ungroup | Removes the grouping of an existing group. Select the group name from the list, and then select Ungroup.
Add to Group | Lets you add an object to a group. You must select at least one group and one additional object for this option to be available.
Remove from Group | Lets you remove one or more objects from a group. To isolate individual objects in a group, first select the group, and then Shift+click to remove individual objects from the selection set. After you isolate the object you want to remove, click Remove from Group.
Details | Lists detailed information about the group, such as the number of objects in the group and whether it is in model space or a layout. Select the group name from the group list, and then click Details.
Select Group | Lets you select a group by name. Highlight the group name in the group list, and then click Select Group.
Deselect Group | Removes a group from the current selection set. Highlight the group name in the group list, and then click Deselect Group.
Help | Opens the AutoCAD LT Help dialog box and shows you information about the group manager.
Image from book

Finding Files on Your Hard Disk

As your library of symbols and files grows, you might begin to have difficulty keeping track of them. Fortunately, AutoCAD includes a utility that lets you quickly locate a file anywhere on your computer. The Find utility searches your hard disk for specific files. You can specify that it search one drive or several, or you can limit the search to one folder. You can limit the search to specific filenames or use wildcard characters to search for files with similar names.

To take a look at the AutoCAD Find dialog box, follow these steps:

  1. Choose File è Open to open the Select File dialog box, as shown in Figure 8.10.

  2. From the Select File dialog box menu, choose Tools è Find to open the Find dialog box, as shown in Figure 8.11.

Image from book
Figure 8.10: The Select File dialog box
Image from book
Figure 8.11: The Find dialog box

The Find dialog box has two tabs: Name & Location and Date Modified. The Name & Location tab lets you search for a file based on its location on your computer and the file type. It works in a way that is similar to the Windows Search tool. In the Named text box, enter the name of the file for which you want to search. The default is *.dwg, which in the Type drop-down list causes the Find File utility to search for all AutoCAD drawing files. The Look In drop-down list lets you specify the drive and path to be searched.

  1. Click the Date Modified tab. Here you find options that let you search based on the date a file was created (see Figure 8.12).

  2. When you're ready, click Cancel to exit the Find dialog box, and then click Cancel to exit the Select File dialog box.

Image from book
Figure 8.12: The Date Modified tab of the Find dialog box


Getting Multiple Uses from Drawings Using External References

You now know that you can insert a drawing file into the current file as a block. You can also insert a drawing file as an external reference. The difference between an xref and a block is that an xref does not actually become part of the drawing's database. Instead, an xref is "loaded" along with the current file at start-up time. It is as if AutoCAD were opening several drawings at once-the currently active file you specify when you start AutoCAD and any file inserted as an xref.

The unique feature of an xref is that any changes you make to the xref automatically appear in the current file containing the xref. You don't have to update the xref file manually as you do blocks. AutoCAD also notifies you if the xref file has been altered.

Another advantage of xref files is that since they do not actually become part of a drawing's database, the drawing size is kept to a minimum. This results in more efficient use of your hard disk space.

Xrefs are an excellent way to get multiple uses out of one drawing. You can create a floor plan drawing and then use it as an xref in another file to place the plan in a site plan. You can then use the file again for enlarged views of kitchen and bath plans and again for a roof plan or overall floor plan. Since you're not duplicating the file, you save on disk and RAM space. And since all these drawings are derived from the same source, you can change the original plan, and all its xref instances will show the same data. You don't have to update multiple drawings.

When a file is used as an xref, you can use most of the standard commands and tools on the xref with the exception of editing individual objects in it. You can modify its layer properties, turn layers on and off, scale, rotate, or move the xref, and you can use osnaps to locate geometry just like any other object in your drawing. If you need to make changes to the xref, you can either open it directly or use the Refedit command. You can issue Refedit by double-clicking an xref. New and casual users should stick to editing xrefs directly, because the Refedit command is a bit tricky.

You cannot xref a file if the file has the same name as a block in the current drawing. If this situation occurs but you still need to use the file as an xref, you can rename the block of the same name using the Rename command. You can also use Rename to change the name of various objects and named elements.

Attaching a Drawing as an Xref

You can attach as many files as xrefs as you want in any drawing. The process is fairly simple, as shown in the following steps.

The Open option in the Xref Manager is not available in LT.

  1. Image from book Enter xr↲ or choose Insert è External References to open the External References palette (see Figure 8.13).

  2. Click the Attach DWG button in the upper-left corner of the palette to open the Select Reference File dialog box. This is a typical AutoCAD file dialog box, complete with a preview.

  3. Locate and select the drawing file you want to insert, and then click Open to open the External Reference dialog box (see Figure 8.14). Notice that this dialog box looks similar to the Insert dialog box. It offers the same options for insertion point, scale, and rotation.

  4. Click OK to proceed with the xref insertion. If the Specify On-Screen option in the Insertion point group is turned on, you will be prompted to specify an insertion point; otherwise, the drawing is inserted in the default location, which is the origin of the current drawing.

Image from book
Figure 8.13: The External References palette
Image from book
Figure 8.14: The External Reference dialog box

In this example, you used the simplest default options in the External Reference dialog box. These default settings placed the xref in the drawing origin and used the default scale of 1:1 and a default rotation angle of 0. These settings place the xref in the current drawing as it would appear in the original xref file.

If you prefer, you can turn on the Specify On-Screen option for the Insert Point, Scale, and Rotation features, which in turn lets you set these values, either through the dialog box using the provided X, Y, Z, and Angle text boxes or in the drawing area using your cursor.

If you need to temporarily remove an xref from the current drawing, you can right-click the name of the xref in the Xref Manager palette and then select the Unload option. Right-click the name, and use the Reload option to restore an xref to the drawing.

Updating an Xref While You Draw

Since an xref is not actually part of the current drawing, other users can edit the source drawing of the xref even while you are editing the current, referencing drawing. When a file has been modified and saved while you have it open as an xref, the xref icon in the lower right of the AutoCAD window changes to show an exclamation mark. This alerts you to make changes in an xref in the current drawing. You might also see an alert message there.

Image from book

Image from book When an xref is present in the current drawing and it has been modified, you can click the xref icon to open the External References palette. The xref that has been changed is indicated by a message in the Status column of the list box, as shown in Figure 8.15.

Image from book
Figure 8.15: The message in the Status column of the External References palette shows that the xref needs to be reloaded.

You can then select the xref that needs to be updated and click the Reload option from the shortcut menu. You can also right-click a blank area of the External References palette and choose the Reload All Xrefs option from the shortcut menu to reload all xrefs in the drawing.

Differences between Xrefs and Blocks

Although blocks and xrefs are quite similar and can be used in similar ways, you'll want to keep in mind a few differences:

  • Any new layers, text styles, or linetypes brought in with externally referenced files do not become part of the current file. If you want to import any of these items, use the Xbind command.

  • If you make changes to the layers of an external-reference file, those changes are not retained when the file is saved, unless you check the Retain Changes to Xref Layers option in the Open and Save tab of the Options dialog box. You can find this option in the External References (Xrefs) section. This option instructs AutoCAD to remember any layer color or visibility settings from one editing session to the next. In the standard AutoCAD settings, this option is on by default.

  • To segregate layers in xref files from layers in the current drawing, the xref file's layers are prefixed with their file's name. A vertical bar separates the filename prefix and the layer name when you view a list of layers in the Layer drop-down list or the Layer Properties Manager dialog box (as in Unitxref | wall).

  • You cannot explode xrefs. You can, however, convert an xref into a block and then explode it. To do this, select the xref in the External References palette, right-click, and then choose Bind from the shortcut menu. You then have the option to bind the xref or insert it. If you choose Bind, the xref layer names are converted by changing the vertical bar into $0$. This keeps layers from the xref separated from the layers in the current drawing. The Insert option keeps the layer names from the xref in their original form. If an xref contains a layer with the same name as the referencing drawing, the two layers are merged.

  • If an xref is renamed or moved to another location on your hard disk, AutoCAD won't be able to find that file when it opens other files to which the xref is attached. If this happens, you must use the Browse button, next to the Found At option at the bottom of the External References palette, to tell AutoCAD where to find the cross-referenced file. The Browse button appears to the far right of the option when you click the Found At input box.

Take care when relocating an xref file with the Found At option's Browse button. The Browse button can assign a file of a different name to an existing xref as a substitution.

Xref files are especially useful in workgroup environments in which several people are working on the same project. For example, one person might be updating several files that are inserted into a variety of other files. Using blocks, everyone in the workgroup must be notified of the changes and must update all the affected blocks in all the drawings that contained them. With xref files, however, the updating is automatic; and you avoid confusion about which files need their blocks updated.

Image from book
NESTING XREFS AND USING OVERLAYS

You can nest xrefs; however, this can create problems with circular references. A circular reference is one in which the referencing drawing is actually referenced in an xref. To avoid this problem, use the Overlay option in the External Reference dialog box. If you insert an xref as an overlay, AutoCAD ignores any xrefs that might be attached to the xref you are importing into the current file.

You don't have to limit the use of the Overlay option to circular references. You can use it whenever you want AutoCAD to ignore nested xrefs.

Image from book


Keeping Track of Drawing Components with DesignCenter

As you start to build a library of drawings, you'll find that you reuse many components. Most of the time, you'll probably be producing similar types of drawings with some variation, so you'll reuse drawing components such as layer settings, dimension styles, and layouts. Just keeping track of all the projects you've worked on can be a major task. It's especially frustrating when you remember setting up a past drawing in a way that you know would be useful in a current project but you can't remember that file's name or location.

The AutoCAD DesignCenter helps you keep track of the documents you use in your projects. You can think of DesignCenter as a kind of super Windows Explorer that is focused on AutoCAD files. DesignCenter lets you keep track of your favorite files and helps you locate files, blocks, and other drawing components. In addition, you can import blocks and other drawing components from one drawing to another by simply dragging. If you are diligent about setting the Insert Scale value in the Drawing Units dialog box and the Block Scale value in the Block Definition dialog box, you can use DesignCenter to import blocks and drawings of different unit formats into a drawing. The Insert Scale and Block Scale settings will ensure that inserted blocks and drawings will maintain their proper sizes. For example, you can import a 90cm door block from a metric drawing into a drawing that uses imperial units, and DesignCenter translates the 90cm door size to a 2'11.43" door.

Getting Familiar with DesignCenter

You can adjust the DesignCenter interface in a variety of ways, so it can vary from installation to installation. Try the following steps to get familiar with DesignCenter:

  1. Image from book Open AutoCAD to a new file, and then click the DesignCenter tool on the Standard toolbar to open DesignCenter as a floating palette (see Figure 8.16).

    If your DesignCenter view doesn't look like this, with the DesignCenter window divided into two parts, click the Tree View Toggle tool in the DesignCenter toolbar. The Tree view opens on the left side of the DesignCenter window. Click the Home tool to display the contents of the \Sample\DesignCenter folder.

  2. Image from book Click the Favorites tool in the DesignCenter toolbar.

    DesignCenter displays a listing of the Autodesk folder. What you are actually looking at is a view into the C:\Documents and Settings\ User Name\Favorites\Autodesk folder in which User Name is your login name. Unless you've already added items to the \Favorites\Autodesk folder, you'll see a blank view in the panel on the right. You can add shortcuts to this folder as you work with DesignCenter. You can also see a view showing the tree structure of the files you have open in AutoCAD.

  3. Place your cursor on the lower-right corner of the DesignCenter window so that a double-headed diagonal arrow shows; then drag the corner out so you have an enlarged DesignCenter window that looks similar to Figure 8.17. By the way, the view on the right containing the DesignCenter folder is called the palette view, and the view on the left is called the tree view.

  4. Place your cursor on the border between the tree view and the palette view until you see a double-headed cursor. Then click and drag the border to the right to enlarge the tree view until it covers about one-third of the window.

  5. Finally, use the scroll bar at the bottom to adjust the tree view so you can easily read its contents.

Image from book
Figure 8.16: DesignCenter opens as a floating palette.
Image from book
Figure 8.17: The components of the DesignCenter palette

Like the tool palettes and the Properties palette, DesignCenter has an auto-hide feature. To use it, click the double-headed arrow icon near the bottom of the DesignCenter title bar. DesignCenter closes except for the title bar. You can then quickly open DesignCenter by placing the cursor on the title bar.

Once you have it set up like this, you can see the similarities between DesignCenter and Windows Explorer.

Navigating DesignCenter

You can navigate your computer or network using the tree view, just as you would navigate Windows Explorer. It has a few differences, however, as you'll see in the following exercise:

  1. Image from book In the DesignCenter toolbar, click the Home tool. The view changes to display the contents of the DesignCenter folder under the \AutoCAD2007\Samples\ folder, as shown in Figure 8.18.

  2. Instead of the usual listing of files, you'll see sample images of each file. These are called preview icons.

  3. Image from book Click the Views tool in the DesignCenter toolbar, and then choose Details from the menu. The palette view changes to show a detailed list of the files in the DesignCenter folder.

  4. Click the Views tool again, and then choose Large Icon to return to the previous view. The Views tool is similar to the Large Icon, Small Icon, List, and Detail options in Windows Explorer.

Image from book
Figure 8.18: View of the Home location in DesignCenter

If you select a file from the palette view, you'll see a preview of the selected file in the Preview panel of DesignCenter. You can adjust the vertical size of the Preview panel by dragging its top or bottom border.

Image from book You can also open and close the Preview panel by clicking the Preview tool in the Design-Center toolbar. The preview can be helpful if you prefer viewing files and drawing components as a list in the main part of the palette view.

Below the Preview panel is the Description panel. This panel displays any text information included with the drawing or drawing element selected in the palette view. To add a description to a drawing, choose File è Drawing Properties; to add a description to a block, use the Block Definition dialog box.

Image from book You can open and close the Description panel by clicking the Description tool in the DesignCenter toolbar. Since the Basic Electronics.dwg file doesn't have a description attached, the Description panel shows the message "No description found."

Both the Preview and Description panels can offer help in identifying files. Once you find a file, you can drag it into a folder in the tree view to organize your files into separate folders.

You can also add files to the Favorites folder on your PC by right-clicking and then choosing Add to Favorites. The file itself won't be moved to the Favorites folder; instead, a shortcut to the file is created in the Favorites folder. If you want to organize your Favorites folder, open a window to the Favorites folder by right-clicking a file in the palette view and choosing Organize Favorites. A window to the Favorites folder opens.

Viewing a .dwg File's Contents

You can go beyond just looking at file listings. You can look inside files to view their components. To do this, double-click a file in the palette view. The palette view changes to display a list of the file's contents. From here, you can import any of the drawing components from the DesignCenter palette into an open drawing in AutoCAD. In the tree view, the filename is highlighted.

You'll also see Blocks as an option in the palette view. Double-click the Blocks listing, and the palette view changes to list the blocks in the drawing.

If the block layers are turned off in the drawing you are viewing, you will not see the block previews.

Opening and Inserting Files with DesignCenter

With DesignCenter, you can locate files more easily because you can view thumbnail preview icons. But often that isn't enough. For example, you might want to locate a particular file that contains the name of a manufacturer in an attribute. Once you've found the file, you can load it into AutoCAD by right-clicking the filename in the palette view and then choosing Open in Application Window.

To insert a file into another drawing as a block, drag the file from the DesignCenter palette view into an open drawing window. You are then prompted for insertion point, scale, and rotation angle. If you prefer to use the Insert dialog box, right-click the filename in the palette view, and choose Insert as Block to open the Insert dialog box, which presents the full set of Insert options, as described earlier in this chapter.

Finally, you can attach a drawing as an xref by right-clicking a file in the palette view and choosing Attach as Xref. The External Reference dialog box opens, offering the insertion point, scale, and rotation options similar to the Insert dialog box.

Finding and Extracting the Contents of a Drawing

Aside from the convenience of being able to see thumbnail views of your drawing, DesignCenter might not seem like much of an improvement over Windows Explorer.

But DesignCenter goes beyond Windows Explorer in many ways. One of the main features of DesignCenter is that it lets you locate and extract components of a drawing.

For example, say you want to find a specific block in a drawing. You remember the name of the block, but you don't remember the drawing you put it in. You can search the contents of drawings using DesignCenter's Search dialog box.

Image from book In the DesignCenter toolbar, click the Search tool to open the Search dialog box, which looks similar to the Windows Search dialog box but contains a few extra options. For example, you can use the Look For drop-down list to select the drawing component you want to find. Choose Blocks if you are looking for a block, or choose Layers or Linetypes to search for those items (see Figure 8.19).

Image from book
Figure 8.19: Options in the Look For drop-down list of the Search dialog box

Search Options

You can use other options in the Search dialog box to narrow your search parameters. You already know that you can specify a particular type of drawing component. You can also specify a location. Table 8.6 describes the search options.

Image from book
Table 8.6: The Options in the Search Dialog Box Open table as spreadsheet
OPTION | PURPOSE
In | Lets you select the drive you want to search.
Look For Options | Lets you select the type of item for which to search. See Figure 8.17 for a list of the options.
Browse | Lets you locate a specific folder to search.
Search Subfolders | Lets you determine whether Search searches subfolders in the drive and folder you specify.
Search Now | Starts the search process.
Stop | Cancels the current search.
New Search | Clears all the settings for the current search so you can start a new search.
Help | Opens the AutoCAD help system to the Search Dialog Box topic.
Image from book

Additional Hidden Options

When you select Drawings from the Look For drop-down list, the Search dialog box displays additional tabs.

The Drawings tab contains two options:

  • Search for the Word(s) Lets you specify the text to search for in the Drawing Properties fields.

  • In the Field(s) Lets you specify the field of the Drawing Properties dialog box to search through, including filename, title, subject, author, and keywords. You'll see these fields when you choose File è Drawing Properties and click the Summary tab.

The Date Modified tab lets you limit search criteria based on dates.

The Advanced tab contains three options to further limit your search to specific types of drawing data or to a range of dates:

  • Containing Lets you select from a list of data to search for, including block name, block and drawing description, attribute tag, and attribute value.

  • Containing Text Lets you specify the text to search for in the types of data you select from the Containing option.

  • Size Is Lets you restrict the search to files greater than or less than the size you specify.

Image from book
AUTOMATICALLY SCALING DRAWINGS AND BLOCKS AT INSERTION

When you first set up a drawing, you can specify the type of units in the Units dialog box using the Insertion Scale drop-down list. DesignCenter uses this information to correctly scale a block or drawing drawn in metric to a drawing that is drawn in the imperial format, and vice versa. The same option is offered in the Block Definition dialog box.

Image from book

Exchanging Data between Open Files

DesignCenter usually lists files in tree view, but if multiple files are open in AutoCAD, you can set up DesignCenter to display the drawing components of your open files instead. You can change the tree view to show only the drawing files that are currently open, allowing you to exchange drawing components between open files.

To change the tree view, click the Open Drawings tab. The tree view to the left shows only drawings that are currently open. Click the plus sign (+) next to the filename to explore the drawing components of the file. Once you've located a drawing component, you can drag the component from the palette view to the open drawing window. If you prefer to use the Insert dialog box for blocks, right-click the block name in the palette view, and choose Insert Block to open the Insert dialog box, in which you can set the insertion point, scale, and rotation options.

Just as with drawings, you can see a preview and descriptive text for blocks below the palette view. The preview gives you a chance to see what the block looks like when you use DesignCenter to browse through your drawing files.

You can also add the text description at the time you create the block. Before saving the block, enter a description in the Description input box of the Block Definition dialog box. If you're updating older drawing files to be used with DesignCenter, you can add text descriptions to blocks using the Make Block tool in the 2D Draw control panel. Click the Make Block tool, and then, in the Block Definition dialog box, select the name of a block from the Name drop-down list. Enter the description you want for this block in the Description input box, and click OK.

Loading Specific Files into DesignCenter

Image from book You've seen how you can locate files using the tree view and the palette view. If you already know the name and location of the file you want to work with, you can use a file dialog box to open files in DesignCenter. Instead of choosing File è Open, click the Load tool in the left end of the DesignCenter toolbar to open the Load dialog box. This is a standard file dialog box that lets you search for files on your computer or network. If you want to open a file in DesignCenter that you've recently opened, you can use the History tab just above the tree view.

Downloading Symbols from DesignCenter Online

In addition to using DesignCenter to locate files and blocks on your computer or network, you can download symbols directly from Autodesk's DesignCenter Online website. This option offers thousands of ready-to-use symbols for a variety of disciplines.

With a connection to the Internet and DesignCenter open, click the DC Online tab that appears above the tree view. The DesignCenter Online symbol categories appear in the tree view, and the palette view shows the same categories in a text view, as shown in Figure 8.20.

Image from book
Figure 8.20: DesignCenter with the Online tab selected

Since DesignCenter Online is a website, AutoCAD uses the i-drop feature to bring the symbols into your drawing. The i-drop feature is an Autodesk web tool that lets you drag symbols from the website into an open drawing. The list of symbols in DesignCenter Online is extensive. Many of the symbols are samples from third-party vendors that offer expanded symbol libraries.


Keeping Tools on Hand with Tool Palettes Window

One item that has been fairly conspicuous in the AutoCAD window is the Tool Palettes window. The main purpose of the Tool Palettes window is to give you easy access to symbols and patterns that you use frequently. It works by giving you ready access to blocks, commands, and other features contained within drawings in your drawing library. In a default AutoCAD setup, the Palettes window offers 3D modeling tools and blocks from drawings in the Samples folder of the AutoCAD installation, but you can add your own tools and blocks just by dragging them to the palette.

The Tool Palettes window provides a simple way to keep a set of blocks ready at any time. At first glance, there is no obvious way to add your own tools to the palettes. Adding tools and palettes to the Tool Palettes window is actually fairly simple. The following exercise shows you how to do it.

First, create a new palette for your custom set of objects:

  1. Image from book Click the Tool Palettes Window tool in the Standard toolbar to open the Tool Palettes window.

  2. Right-click a blank spot in the Tool Palettes window, and choose New Palette from the shortcut menu. A new palette opens along with a text box.

  3. Enter a name for your new palette. The new palette appears in the Tool Palettes window with a tab showing the name you just entered.

Now add your custom objects:

  1. Open a file containing the block you want to add to the palette.

  2. While no command is active, click the block to select it.

  3. Click and hold the left mouse button on any part of the block that is not a grip until you see the cursor change to show a small rectangle, as shown in the sample image in Figure 8.21.

  4. Drag the block into the tool palette. The block appears in the tool palette.

Image from book
Figure 8.21: Selecting and clicking a block

You can continue to add other blocks in this way. Once you add a block to your new palette, the block is available at any time while you are editing in AutoCAD. Just drag the block from the palette into your drawing.

You do not need the source drawing file open to access the blocks in the palette. AutoCAD remembers which file the block came from and copies the block whenever you drag a copy from the palette.

You aren't limited to blocks. You can also place hatch patterns in a palette. If you copy an object into the palette, such as a line or a text object, the command used to create the object is placed in the palette. For example, if you drag a text object into the palette, you'll see the Mtext command in the palette. If you drag a dimension into the palette, you'll see the dimension symbol that corresponds to the particular type of dimension that you dragged into the palette. For dimensions in particular, you can click the fly-out arrow to select a different type of dimension, as shown in Figure 8.22.

Image from book
Figure 8.22: If a dimension is dragged into a palette, the dimension commands appear in the palette.

In this way, you can create a custom set of tools and symbols in one place in your AutoCAD workspace.

You can use DesignCenter to add drawing components from multiple files to a tool palette. Using DesignCenter, locate the drawing component you want, and then click and drag it into the tool palette.

Deleting Tools and Palettes

If you find you no longer need a block, a hatch pattern, or a command in the palette, right-click it, and choose Delete from the shortcut menu. To delete an entire palette, right-click a blank portion of the palette, and then choose Delete Palette from the shortcut menu. Click OK to confirm the deletion.

While deleting a palette, you might decide that you want keep one or two items. You can right-click the tool in a palette and choose Copy to copy the item to another palette. Right-click another palette, and choose Paste to paste the copied item to a different palette.

Customizing a Tool

Other shortcut menu options let you rename tools or palettes. You can also edit the properties of symbols in a palette. For example, you can use the shortcut menu options to change the default insertion scale of a block you've stored in a tool palette.

To do this, right-click a block in the tool palette, and then choose Properties to open the Tool Properties dialog box, as shown in Figure 8.23. Click the Scale listing, change its value to whatever scale you want for the block, and then click OK.

Image from book
Figure 8.23: The Tool Properties dialog box

Once you've made this change, it's inserted at the new scale whenever you drag the block into your drawing from the palette.

Using this method, you can have multiple versions of a block tool at different scales. Make copies of the block tool using the right-click Copy option, and then rename the block tool in the palette. Change the scale of the copy (as described in the previous steps) using the right-click Properties option.

Once you've set up your block tools at different scales, you can drag and drop the tool appropriate to the scale of your drawing. And as you can see from the Tool Properties dialog box, you can modify other tool properties, such as color and layer assignments.

You can use this feature to set up sets of tools for drawings at different scales. For example, you can create a palette of architectural reference symbols for ¼" scale drawings, and you can create another palette for ⅛" scale drawings.

You can also use the Tool Properties dialog box shown in Figure 8.24 to modify solid fills or hatch patterns you've stored in a tool palette. For example, you can add several copies of a solid fill to a tool palette and then use the Tool Properties dialog box to set a different color for each solid fill.

Image from book
Figure 8.24: The Customize dialog box

You can perform other types of maintenance operations on tool palettes using the Customize dialog box, which is shown in Figure 8.24. For example, you can change the order of the Tool Palettes window tabs, or you can group tabs into categories that can be turned on or off. To open the Customize dialog box, right-click Tool Palettes window, and choose Customize Palettes from the shortcut menu.

To change the order of the tabs, drag the tab names up or down in the left panel. If you select a palette in the left panel and right-click, you can rename, delete, import, or export a palette.

If you use the Export or Import options to move a palette from one computer to another, you must also import or export the drawings that are the source files for the palette tools.


Summary

The features covered in this chapter will help you use your drawings more efficiently. With xrefs, you can get multiple uses from a single drawing. Blocks let you easily copy sets of objects, and much more. Other features, such as DesignCenter and the tool palettes, help you leverage the work you've done. Once you're comfortable with the basic drawing tools in AutoCAD, make sure you learn about the important features covered in this chapter.


Chapter 9: Creating Text

Overview

Even though AutoCAD is primarily a drawing program, you may find that you're actually adding more text than graphics to some of your drawings. In fact, annotation can often consume nearly half the time you spend on an AutoCAD drawing.

Fortunately, AutoCAD provides some familiar tools for creating and editing text. AutoCAD's Mtext command lets you place blocks of text in your drawing as short as a single sentence or as long as several paragraphs. Mtext also contains many familiar text-formatting tools, so if you've used a word processor, you should feel at home.

This chapter starts by showing you how to create new text and then discusses text formatting. You'll also learn how to use text styles and what to do when you need to add only a short, single-word note. Since you're drawing to a precise scale most of the time, you'll have to size your text appropriately for your drawing's scale. If you're creating a new drawing, be sure to check out the section on text scaling, "Understanding Text and Scale."

Finally, since tables are a prominent feature in CAD drawings, you'll learn about AutoCAD's Table command, which helps automate table creation. You'll learn how to create a table with spreadsheet-like features and how to import spreadsheets as AutoCAD tables.


Adding and Formatting Text

To add text in AutoCAD, you use the Mtext command, otherwise known as the Multiline Text tool. When you start the command, you must first draw a window indicating the area where your text will appear. Once that's done, the Text Formatting toolbar and Text panel appear, allowing you to enter the text you want. Here's how this works:

  1. Choose Draw è Text è Multiline Text, enter mt↲, or select the Multiline Text tool from the Text control panel.

    Image from book

  2. Click the first point indicated in Figure 9.1 to start the Text Boundary window. You don't have to be too precise about where you select the points for the boundary because you can adjust the location and size later.

  3. Click the second point to indicate the size of the text boundary. The Text Formatting toolbar appears with the Text panel superimposed over the area you just selected (see Figure 9.2).

  4. Start typing, and the text appears in the Text panel. The size and formatting of the text is as it will appear in the drawing. The default font is a native AutoCAD font called Txt. You can also use TrueType fonts and PostScript fonts, but be aware that such fonts can slow down your work in AutoCAD, especially if you have lots of text.

  5. Click OK in the Text Formatting toolbar. The text appears in the drawing.

Image from book
Figure 9.1: Indicating the text location with the text boundary
Image from book
Figure 9.2: The Text Formatting toolbar and the Text panel

The Text Formatting toolbar and text editor work like any text editor, so if you make a typing error, you can highlight the error and then reenter the letter or word. You can also perform other word processing functions such as font and format changes. AutoCAD also automatically wraps text as you type.

AutoCAD offers many of the same tools you expect to see in a word processor. You can format the text for height and font, or you can add bold, italic, or underline with the click of a button.

Adjusting the Text Height and Font

The most common text-editing features you'll want to know about are the text height and font controls. The following example describes how to change an existing Multiline Text object:

  1. Double-click an existing Mtext object to display the Text Formatting toolbar and the text in a Text panel, as shown in Figure 9.3.

  2. Select the text you want to reformat in the Text panel.

  3. In the Text Formatting toolbar, click the Text Height drop-down list, and select a text height in drawing units. Or instead of selecting a value, click the current height value, and enter a smaller or larger one. The highlighted text changes to a smaller or larger size.

  4. Click OK in the Text Formatting toolbar. The text appears in the new height.

Image from book
Figure 9.3: The Text formatting toolbar and Text panel with selected text

To change the font, repeat these steps, but instead of using the Text Height drop-down list, select a font from the Font drop-down list shown in Figure 9.4.

Image from book
Figure 9.4: The Font drop-down list in the Text Formatting toolbar

Using Color, Columns, Stacked Fractions, Alignment, Lists, and Special Symbols

A variety of additional formatting tools are available in the Text Formatting toolbar. Figure 9.5 shows where these tools are, and Table 9.1 describes their uses. They're fairly straightforward, and if you've used other word processing programs, you should find them easy to use. Most are common to most word processors, although a few, such as Symbol, Oblique Angle, and Width Factor, are unique to AutoCAD.

Image from book
Table 9.1: Text Formatting Tools Open table as spreadsheet
TOOL | USE
Bold/Italic/Underline/Overline | Select text, and then select one of these options to add bold, italic, or underline to the text.
Undo/Redo | Click to undo or redo current edits.
Stack/Unstack | Select a fraction, and then click this tool to either stack or unstack the fraction text.
Color | Select text, and then choose a color from this drop-down list.
Ruler | Click to turn the ruler at the top of the Text panel on or off.
Columns | Indicate the number of columns and how the columns are set up.
Paragraph | Set up the paragraph formatting including tabs, indents, and paragraph spacing.
Mtext Justification | Select the appropriate option to align the text to the top, middle, bottom, or other position within the text boundary.
Line Spacing | Set the line spacing within paragraphs.
Left/Center/Right/Justify/Distribute | Click the appropriate tool to align the text to the left, center, or right side of the text boundary.
Numbering | Select a list of text, click this tool, and then select Letter, Number, or Bullet to add letters, numbers, or bullets to the list.
Insert Field | Opens the Fields dialog box, allowing you to add a field text. See "Adding Formulas to Cells" later in this chapter for more about fields.
Uppercase/Lowercase | Select a single letter or set of words, and then select the Uppercase or Lowercase tool to change the selection's case.
Symbol | Place the cursor at a location for the symbol, and then click the Symbol tool to find and add a symbol. (See Figure 9.6 for the available symbols.)
Oblique Angle | Select text, and then enter an Oblique Angle value. The effect is to skew the text characters in a way similar to an italic formatting.
Tracking | Select text, and then enter a tracking value in the Tracking text box. A value greater than 1 increases the spacing between letters, and a value less than 1 decreases the spacing.
Width Factor | Select text, and enter a width value in the Width text box. A value greater than 1 stretches the text, including individual letters, horizontally. A value less than 1 compresses the text, including the letters.
Image from book
Image from book
Figure 9.5: Additional features of the Text Formatting toolbar
Image from book
Figure 9.6: Symbols offered by the Symbol option. (See Symbol in Table 9.1 for information about how to use these symbols.)

Adjusting the Text Boundary

Once you've placed the text in the drawing, you might find that you need to adjust the text boundary or the area that it takes up in the drawing. For example, the text might occupy a space that is too tall, and you may want to widen the Text boundary window so it takes up less vertical space. The boundary window is the area within which the text is made to fit. To adjust the boundary, click the text you want to adjust. The grips appear indicating the corners of the boundary window, though you don't actually see the boundary window outline. Click a grip, and then drag to reposition the grip.

AutoCAD's word-wrap feature automatically adjusts the text formatting to fit the text boundary. This feature is especially useful to AutoCAD users because other drawing objects often affect the placement of text. As your drawing changes, you'll need to adjust the location and boundary of your notes and labels.

Setting Indents and Tabs

When you're editing text, you'll notice the ruler at the top of the Text panel. Figure 9.7 shows that ruler, including tabs and indent markers.

Image from book
Figure 9.7: The ruler at the top of the text editor lets you quickly set tabs and indents for text.

If you need to set indents, do the following:

  1. Double-click the text you want to edit to open the Text Formatting toolbar.

  2. Highlight the text whose indent or tab spacing you want to affect.

  3. Drag the top indent marker to adjust the first line indent. A note appears above the ruler showing the distance of the indent. The text at the first tab remains at its starting location.

  4. Drag the bottom indent marker to adjust the indent of the body of the paragraph. The paragraph moves with the marker. You see a message at the ruler showing the distance of the indent for the body of the text.

  5. Click the ruler to place tab locations. You can drag on existing tab locations to adjust them. Remove tabs by dragging them out of the ruler.

  6. Click OK in the Text Formatting toolbar to accept your changes.

You can set paragraphs of a single Mtext object differently, giving you a wide range of indent-formatting possibilities. Just select the text you want to set, and then adjust the indent markers. You can also change the Tab Setting option to left, right, center, or decimal tabs. To select a Tab Setting option, click the tab symbol to the far left of the ruler. The symbol will change to indicate which type of tab will be placed in the ruler.

Image from book

To set tabs, all you have to do is click the Text panel's Formatting bar (see Figure 9.7). An L-shaped marker appears in the Text Panel ruler, indicating a tab position. You can add as many tab markers as you like. Once placed, you can move the tab markers by dragging them.

Adding a Background Mask to Text

At times you'll need to add text over other graphic elements in your drawing. For example, you might need to place a label over line work or a hatch pattern. In this situation, you'll want to add a mask behind your text to make it more readable. You can do this using AutoCAD's Background Mask feature. To use this feature, double-click the text to which you want to add a background, and then when the Text Formatting toolbar appears, right-click the Text panel, and choose Background Mask from the shortcut menu to open the Background Mask dialog box shown in Figure 9.8.

Image from book
Figure 9.8: The Background Mask dialog box for text

Turn on the Use Background Mask option, and then click OK. The mask will appear in the color shown in the Color drop-down list. Optionally, you can select a different color from the list or turn on the Use Drawing Background Color option if you want the mask to take on the current background color of the drawing. The Border Offset Factor option lets you control the distance beyond the text that the mask covers. The Background Mask is also available while creating and editing Multiline text. With the Formatting toolbar and Text window open, highlight the text, right-click, and select Background Mask to open the Background Mask dialog box.

Making Changes to Multiple Text Objects

If you want to make changes to the text, you must focus on the specific Mtext object you want to edit. You can't open one Mtext object and expect to be able to edit any text string in the drawing. This can make global changes to text a bit trickier than usual, but you can employ a few tools to make global changes easier.

Scaling Multiple Text Objects

You can quickly change the size of text using the Scaletext command. Choose Modify è Object è Text è Scale or enter Scaletext at the command prompt, and then select the text you want to scale. You can select multiple text objects. Press ↲ when you've completed your selection. You'll see the prompt:

[Existing/Left/Center/Middle/Right/TL/TC/TR/ML/MC/MR/BL/BC/BR]<Existing>:

Enter the letters that correspond to the base point location around which the text will be scaled. You can enter TL for top left, TC for top center, TR for top right, and so on. Once you've entered an option, you'll see the next prompt:

Specify new model height or
[Paper height/Match object/Scale factor] <Current height>:

At this prompt you have three options. You can enter a new height; you can enter p↲, enter a different text height, enter m↲, and then select another text object whose height you want to match; or you can enter s↲ and then enter a scale factor to scale the text to a specific ratio.

Changing Justification of Multiple Text Objects

You've seen how you can change the justification of an individual text object. You'll often find that you need to change the justification of several text objects at one time. AutoCAD offers the Justifytext command for this purpose. To use it, choose Modify è Object è Text è Justify, or enter Justifytext↲ at the command prompt. At the Select object: prompt, select the text you want to change, and then press ↲ to confirm your selection. You'll see the following prompt:

[Left/Align/Fit/Center/Middle/Right/TL/TC/TR/ML/MC/MR/BL/BC/BR]
<current justification >:

Enter the letters corresponding to the type of justification you want to use for the text. Once you've entered an option, the selected text changes to conform to the selected justification option.

Using AutoCAD's Spelling Checker

Although AutoCAD is primarily a drawing program, you will likely be including quite a bit of text in your drawings. If you're like me, you can make frequent spelling mistakes as you rush to finish a drawing. Fortunately, AutoCAD provides a spelling checker. If you've ever used the spelling checker in a typical word processor, such as Microsoft Word, the AutoCAD spelling checker's operation will be familiar to you.

  1. Choose Tools è Spelling from the drop-down menu, or enter sp↲. The Check Spelling dialog box opens, as shown in Figure 9.9.

  2. Click the Start button to check the spelling in your drawing.

  3. If you want to limit the spell check to the current model or layout space, you can do so by selecting Current Space/Layout from the Where to Check drop-down list. You can further limit the spelling check to a single text object or a set of text objects.

    Image from book
Image from book
Figure 9.9: The Check Spelling dialog box

You can choose Tools è Quick Select to select all the text in the drawing at once. Quick Select lets you select objects based on their properties or the object type, such as Line or MText.

In the Check Spelling dialog box, you'll see the word in question, along with the spelling checker's suggested alternate in the Suggestions input box. If the spelling checker finds more than one suggestion, a list of suggested alternate words appears below the input box, just like a typical spelling checker. You can then highlight the desired replacement and click the Change button to change the misspelled word, or you can click Change All to change all occurrences of the word in the selected text. If the suggested word is inappropriate, choose another word from the replacement list (if any), or enter your own spelling in the Suggestions input box. Then choose Change or Change All.

Table 9.2 describes the Spelling Checker options.

Image from book
Table 9.2: The Spelling Checker Options Open table as spreadsheet
OPTION | PURPOSE
Add to Dictionary | Adds the word in question to the current dictionary.
Ignore | Skips the word.
Ignore All | Skips all occurrences of the word in the selected text.
Change | Changes the word in question to the word you have selected (or entered) from the Suggestions input box.
Change All | Changes all occurrences of the current word when there are multiple instances of the misspelling.
Dictionaries | Lets you use a different dictionary to check spelling. This option opens the Change Dictionaries dialog box, described in the upcoming section.
Image from book

The dictionary in the spelling checker feature includes types of notation that are more likely to be found in technical drawings. It will also check the spelling of text that is included in block definitions.

Using AutoCAD's Find-and-Replace Text Feature

Just as the spelling checker plays an important role in CAD drawings, the find-and-replace function found in most word processors is also a welcome tool. AutoCAD's find-and-replace function is similar to the same tool in other word processors. A few options, however, are unique to AutoCAD. Here's how it works:

  1. Choose Edit è Find or enter Find↲ at the command prompt to open the Find and Replace dialog box, as shown in Figure 9.10.

  2. Enter the text you want to locate in the Find Text String input box.

  3. Enter the replacement text in the Replace With input box.

  4. Click Find. When AutoCAD finds the word, it appears in the Context window, along with any other text next to the word.

  5. If you have any doubts, click the Zoom To button to display the text in the AutoCAD drawing area.

  6. Finally, when you've made certain that this is the text you want to change, click Replace.

Image from book
Figure 9.10: The Find and Replace dialog box

If you want to replace all occurrences of a word in the drawing, click Replace All. You can also limit your find-and-replace operation to a specific area of your drawing by clicking the Select Objects button in the upper-right corner of the Find and Replace dialog box (see Figure 9.10).

When you click the Select Objects button, the Find and Replace dialog box closes temporarily to allow you to select a set of objects or a region of your drawing. The find-and-replace function then limits its search to those objects or the region you select.

You can further control the types of objects that the find-and-replace feature looks for by clicking the Options button to open the Find and Replace Options dialog box (see Figure 9.11). With this dialog box, you can refine your search by limiting it to blocks, dimension text, standard text, or hyperlink text. You can also specify whether to match case or find whole words only.

Image from book
Figure 9.11: The Find and Replace Options dialog box

Importing Text Files from Other Programs

With multiline text objects, AutoCAD allows you to import ASCII text or rich-text format (RTF) files. RTF files can be exported from Microsoft Word and most other word processing programs and retain their formatting in AutoCAD.

To import text, first select the text from your document, and then choose Edit è Copy to copy the text to the Windows Clipboard. In AutoCAD, choose Edit è Paste Special to open the Paste Special dialog box. Click the Paste button, and then select AutoCAD Entities from the As list box. Click OK. You'll see the text drag into the drawing area as a bounding box. Click a location to place your text. The inserted text will use the current text-style formatting.

You can also import entire text files by doing the following: start the Mtext command, then right-click in the Text window, and finally select Import Text. The Select File dialog box opens and allows you to locate and select a text file. You can import plain-text files (.txt) or RTF files (.rtf).


Understanding Text and Scale

AutoCAD allows you to draw at full scale, that is, to represent distances as values equivalent to the actual size of the object. When you later plot the drawing, you tell AutoCAD at what scale you want to plot, and the program reduces the drawing accordingly. This gives you the freedom to enter measurements at full scale and not worry about converting them to various scales every time you enter a distance.

On the other hand, text and dimensions that annotate a drawing don't follow the same rules when it comes to drawing scale. Since text size and dimension size are determined by their final print size, you need a way to include them in a drawing at the size you want for the scale of the drawing. For example, the typical size of text in a technical drawing is about ⅛" high. If you draw text at that size in your full-scale drawing, the text will appear very small. Fortunately, AutoCAD offers the annotation scale feature that automatically adjusts the size of text and dimensions to fit the scale of the drawing.

Using Annotative Scale

To use the annotation scale feature, you must use text and dimensions that have their Annotative Scale property turned on. You can do this to existing text and dimensions by following these steps:

  1. Select the Text or Dimension object.

  2. Right-click, and select Properties.

  3. In the Properties palette, locate the Annotative setting in the Text panel, and make sure it's set to Yes.

Image from book

If you're creating new text, you can use the Annotative text style that already has the Annotative setting turned on. You can select the Annotative text style by selecting it from the Text Style Control drop-down list in the Text control panel. You can also create a custom text style (see "Using Styles to Organize Your Fonts" later in this chapter). For dimensions, you can use the Annotative dimension style, which you can select from the Dim Style Control drop-down list in the Dimension control panel (see "Setting Up the Dimension's Appearance" in Chapter 10).

Adding Scales to Your Text

Once you have the Annotative setting turned on for your text, you need to add the scale you intend to use. Here's how to do this:

  1. Select the text you want to set up for a particular scale.

  2. Right-click, and then choose Annotative Object Scale è Add/Delete Scale. The Annotation Object Scale dialog box appears.

  3. Click the Add button. The Add Scale to Object dialog box appears.

  4. Select the scales you intend to use for the drawing from the list. You can Ctrl+click the list to select multiple options.

  5. Click OK, and then click OK again at the Annotation Object Scale dialog box.

Once you've done this, you can set the size of your text by selecting a scale from the Annotation Scale drop-down list at the lower-right corner of the AutoCAD window.

Image from book

Or if you're in a layout view, you can set the VP Scale setting or Annotation Scale drop-down list, but you won't see these lists unless a viewport is selected.

If you encounter an older AutoCAD file, the text will not have the Annotative feature, but will be set to a fixed size, which is usually quite large. If you need to add text, you can set up any new text to use the Annotative feature, or you can copy existing text and edit it to keep the text size and font consistent.


Using Styles to Organize Your Fonts

As you start to use AutoCAD, you'll notice a lot of styles-styles for dimensions, styles for plotting, and styles for text. If your drawing is fairly simple, you might not need to worry about text styles. But if you are working with a large drawing project, you'll want to set up a few text styles. If you are working with others on a large project, you'll almost certainly encounter text styles, so it will help to know about them.

You can think of text styles as a way to store your most common text formatting. Styles store text height and font information, so you don't have to reset these options every time you enter text. You might have a style for notes, another for larger drawing labels, and yet another for title block information. And styles also include some settings not available in the Formatting toolbar.

Creating and Setting a Style

Even if you don't set up a style on your own, the moment you add text to a drawing, you're using a text style. In AutoCAD, the Standard text style is the default. It uses the AutoCAD Txt font and numerous other settings that you'll learn about in this section. These other settings include Width Factor, Oblique Angle, and Default Height.

If you've followed the instructions in the previous sections of this chapter to create text, you know that you can modify the formatting of a string of text as you enter the text. But for the most part, once you've set up a few styles, you won't need to adjust settings such as fonts and text height each time you enter text. You can select from a list of styles you've previously created and just start typing.

The following exercise shows you how to create a style:

  1. Choose Format è Text Style or enter st↲ to open the Text Style dialog box (see Figure 9.12).

  2. Click the New button to open the New Text Style dialog box.

  3. Enter a name for your new style; then click OK.

  4. To select a font for your style, click the Font Name drop-down list in the Font group.

  5. In the Height input box, enter the text height you want for your style or leave it as 0 if you want more flexibility in determining the text height when you create text.

  6. Click Apply, and then click Close.

Image from book
Figure 9.12: The Text Style dialog box

Once you create a style in this way, your new style becomes the default style whenever you use the Mtext or Text command. You can set the current text style by opening the Text Style dialog box, selecting the desired default style from the Styles list box, and clicking Apply.

To rename a text style, select the style name in the Styles list box, right-click, and then select Rename. The name will be highlighted, allowing you to enter a new name.

Using a Text Style

Once you've created a text style, you can easily select it while creating new text. Start the Multiline Text editor in the usual way, and then select the style from the Style drop-down list on the Text Formatting toolbar (see Figure 9.13). When you start to enter text, the style you selected is used to format the text.

Image from book
Figure 9.13: The Style drop-down list in the Text Formatting toolbar

A newly created style becomes the default style, and you didn't have to explicitly select your new style in order to use it.

You can also change an existing Mtext object to a different style by double-clicking an Mtext object and selecting a different style name in the Style drop-down list. A message box appears warning you that the style can apply only to the entire text.

If you want to apply a different font to a word or phrase in an Mtext object, you can do the following: double-click the Mtext object; in the Multiline text editor, select the word or phrase, and then select a font from the Font drop-down list.

The Style option does not affect the style of text if the text has other custom format changes, such as a font and size change from its default settings.

Setting the Current Default Style

Suppose you want all the new text you create to be a different style than the current default style. You can quickly select a style from the Style drop-down list in the Text control panel (see Figure 9.14).

Image from book
Figure 9.14: The Style drop-down list in the Text control panel

Once you've done this, the selected style will be the default until you select a different style. AutoCAD records the current default style with the drawing data when you choose File è Save. The next time you work on the file, the default style is the same.

Now you know how to create a new style. Other settings are available in the Text Style dialog box. Here's a listing of those settings and their purposes. Some of them, such as the Width Factor, can be quite useful. Others, such as the Backwards and Vertical options, are rarely used.

SECTION | OPTIONS | PURPOSE
Buttons |  |
 | Set Current | Sets the current text style. Select a style from the Styles list, and click the Set Current button.
 | New | Lets you create a new Text style.
 | Delete | Deletes a style. This option is not available for the Standard style.
 | Help | Opens the Help window and displays information about the Text Style dialog box.
Font |  |
 | Font Name | Lets you select a font from a list of available fonts. The list is derived from the font resources available to Windows, plus the standard AutoCAD fonts.
 | Font Style | Offers variations of a font, such as italic or bold, when they are available.
 | Use Big Font | Allows the use of Asian language big font files.
Style |  |
 | Annotative | Controls whether the text uses the Annotative feature for automatic scaling of text.
 | Match Text Orientation To Layout | Controls whether annotative text is "read right" regardless of view orientation.
 | Paper Text Height | Lets you enter a height for text. For Annotative text, you can set the height of text in the printed output.
Effects |  |
 | Upside Down | Prints the text upside down.
 | Backwards | Prints the text backward.
 | Vertical | Prints the text vertically.
 | Width Factor | Adjusts the width and spacing of the characters in the text. A value of 1 keeps the text at its regular width. Values greater than 1 expand the text, and values less than 1 compress the text.
 | Oblique Angle | Skews the text at an angle. When this option is set to a value greater than 0, the text appears italicized. A value of less than 0 (-12, for example) causes the text to "lean" to the left.


Adding Single Words with the Single-Line Text Object

You may find that you're entering a lot of single words or simple labels that don't require all the bells and whistles of the multiline text editor. AutoCAD offers the single-line text object that is simpler to use and can speed text entry if you're adding only small pieces of text.

  1. Click the Single Line Text tool in the Text control panel, enter dt↲, or choose Draw è Text è Single Line Text to issue the Dtext command.

    Image from book

  2. At the Specify start point of text or [Justify/Style]: prompt, select the starting point for the text. Notice that the prompt offers the Justify and Style options.

  3. If the current text style has a height of zero, the Specify height: prompt appears. You can enter a height value or indicate a height by clicking two points in the drawing area. You can also just press ↲ to accept the default height.

  4. At the Specify rotation angle of text <current rotation angle>: prompt, enter a rotation angle, or press ↲ to accept the default, 0. You can specify any angle other than horizontal (for example, if you want your text aligned with a rotated object). Once you've entered an angle, you'll see a text I-beam cursor at the point you selected in step 2.

  5. At the Enter text: prompt, enter the text you want. As you type, the word appears in the drawing as well as in the command window.

  6. Press ↲ to move the cursor down to start a new line, or click a location in the drawing area to move to an entirely different location to continue your text.

  7. Press ↲ without entering text to exit the Dtext command.

You can add single lines of text in different parts of your drawing fairly quickly. Dtext uses the current default text style setting.

If you make a typing error while using Dtext, you can select the text in the drawing with your cursor and make the appropriate changes just as you would in a word processor. You can also paste text from the Clipboard into the cursor location by using the Ctrl+V keyboard shortcut or by right-clicking the command line to access the shortcut menu.

Even if you don't create a Dtext object, you may encounter them as you edit drawings created from other sources. Fortunately, they are easy to edit.

When you double-click a Dtext object, the text highlights and a box appears around the text. You can then either start typing to replace the entire text or click a location to add or delete text, just as you would in any text editor.

If you need to change other properties of single-line text, you can use the Properties palette. Select the Dtext object, and then right-click and choose Properties from the shortcut menu. You can then edit the text-related properties such as style, height, rotation angle, and width factor. (See Chapter 4 for more about the Properties palette.)


Adding Tables to Your Drawing

One of the most common text items in a drawing is the table (or schedule as it is often called in architectural drawings). Tables are often used for lists of parts that include specifications and part numbers, as shown in Figure 9.15. Tables provide vital information about a design that cannot be conveyed through drawings alone.

Image from book
Figure 9.15: A sample schedule created with the Table tool

Frequently, tables are generated in a spreadsheet since the tabular format of spreadsheets fits with the table format. The AutoCAD table feature gives you an easy way to include tables with your drawing, either by creating them directly in AutoCAD or by importing them from spreadsheet files.

Creating a Table

Before you create your table, you need to know the number of rows and columns you'll want. Don't worry if you're not certain of the exact number; you can add or subtract them at any time. For practice, you can create a table that contains four rows and five columns.

Start by creating the basic table layout:

  1. Click Table from the Text control panel or choose Draw è Table to open the Insert Table dialog box (see Figure 9.16).

  2. In the Column & Row Settings group, enter 4 for Columns and 5 for Data Rows.

  3. Click OK. The dialog box closes, and you see the outline of a table follow your cursor.

  4. Position the table in the center of your drawing area, and click to place the table. The table appears with a cursor in the top cell. You also see the Text Formatting toolbar above the table.

  5. Enter a title for your table, and then press ↲. Notice that the cursor moves to the next cell.

  6. Click OK to exit the Text Formatting toolbar.

Image from book
Figure 9.16: The Insert Table dialog box

Once you're finished, you'll have a table with two additional rows besides the five data rows you indicated in step 2-the title row at the top, which has only one column, and a row for the column heads.

Adding Cell Text

Once you have the table in place, you can easily add text to the individual cells. Just click inside a cell to open the Text Formatting toolbar (see Figure 9.17). A text cursor appears inside the cell, allowing you to type the text you want. The Text Formatting toolbar lets you format the text.

Image from book
Figure 9.17: A table cell ready for editing with the Text Formatting toolbar above the table

Combining Cells

In formatting your table, you might want to merge adjacent cells to create larger cells for headings or for other purposes. Here are the steps to follow to merge cells:

  1. Click the first cell you want to merge. The Table toolbar appears (see Figure 9.18).

  2. Shift+click the cell at the other end of the group of cells you want to merge (see Figure 9.19). The group of cells is selected.

  3. Right-click the selected cells, and then choose Merge Cells è All. The selected cells merge into a single cell. You can also click the Merge Cell tool in the Table toolbar.

Image from book
Figure 9.18: The Table toolbar appears when you click a table cell. This toolbar offers typical spreadsheet tools for formatting cells or adding formulas to cells.
Image from book
Figure 9.19: Selecting a group of cells in a table
Image from book

You have the option to restrict the merging of cells to rows (choose Merge Cells è By Row) or to columns (choose Merge Cells è By Column) in the shortcut menu in step 3.

You saw how the Table toolbar appears when you click a cell. If you click a cell and then start typing, the Table toolbar is replaced by the Text Formatting toolbar to allow you to make formatting changes to the cell text.

Adjusting Table Cell Text Orientation

You can adjust the orientation of the text in cells to accommodate different table styles. For example, to use space more efficiently, a table frequently has column headings that are oriented vertically. The following exercise shows you how to change the text orientation from horizontal to vertical. Before you start, it will help to have text already placed in the cells you're editing so you can adjust the cell size as you work.

  1. Click the cell to select it.

  2. Shift+click another cell to select a group of cells.

  3. Click the grip at the bottom of the selected group, and move it down. The entire row becomes taller, as shown in the sample in Figure 9.20. This provides room for the text when you rotate it.

  4. Right-click the selected cells, and then choose Properties from the shortcut menu to open the Properties palette.

  5. Click the Text Rotation option in the Content group.

  6. Change the text rotation value to 90 (see Figure 9.21). The text rotates into a vertical orientation.

    With the text in this orientation, the columns are too wide, so you'll want to change the cell width for the selected cells.

  7. With the Properties palette still open, click the Cell Width option near the top of the palette, and then enter an appropriate value for the cell width. You might need to experiment with this value until you get something that looks appropriate. The cells change to their new width.

Image from book
Figure 9.20: A group of cells selected and made taller
Image from book
Figure 9.21: The Text Rotation option in the Properties palette

You can also adjust the width of multiple cells by adjusting the grip location, as shown in Figure 9.22. For example, instead of changing the cell width value in step 7, you can move the left or right grip of the selected group of cells.

Image from book
Figure 9.22: Adjusting the width of a group of cells

Adjusting Table Cell Text Justification

Besides text orientation, you can also change the justification of text within the cells. Here is how to do this:

  1. Select a cell or click a cell, and Shift+click another cell to select a group.

  2. Right-click the selected cells, and choose Cell Alignment è Middle Center. The text is centered in the cells. You can also click the Align cell data arrow in the Table toolbar and select Middle Center from the menu that appears.

    Image from book

You can also control the margin between the text and the cell border for the entire table using the Cell Margin options in the Properties palette. Select the entire table, right-click, and choose Properties. In the Properties palette, click the Vertical Cell Margin option or the Horizontal Cell Margin option in the Table group (see Figure 9.23).

Image from book
Figure 9.23: The Vertical Cell Margin option in the Properties palette

Adding or Deleting Rows and Columns of Cells

Now suppose you want to delete a row of cells in a table. Here's what to do:

  1. Click a cell in the row you want to delete.

  2. Right-click, and then choose Delete Rows.

To add a row, do the following:

  1. Select a cell adjacent to the location where you want a new row.

  2. Right-click, and choose Rows è Insert Above or Rows è Insert Below, depending on where you want the new row.

You might notice a Columns option in the shortcut menu. The Columns option works in a similar way to the Rows option, letting you insert a column to the left or right of a selected cell.

All of these options are also available on the Table toolbar. See Figure 9.18 for their locations.

Adding Formulas to Cells

One of the greatest benefits of using spreadsheets is that you can apply formulas to the values in a cell. AutoCAD's table feature lets you include formulas in cells so you don't have to rely on an external spreadsheet program when generating tables.

  1. Click the cell where you want to place your formula. The Table toolbar appears.

  2. Drag the downward pointing arrow to the right of the Formula tool in the Table toolbar, and select Sum, as shown in Figure 9.24.

  3. Select the cells that bracket the value you want to add by placing a selection window inside the cells. For example, to get the sum of a the top four cells in Figure 9.25, click inside the first cell A2, and then complete the selection window by clicking in cell B3. The formula appears in cell you selected in step 1 (see Figure 9.26). In addition, the Text Formatting toolbar appears in place of the Table toolbar. This enables you to modify the formula if you need to do so.

  4. Click OK, and you'll see the Sum value in the cell you selected in step 1.

Image from book
Figure 9.24: The Formula tool
Image from book
Figure 9.25: Selecting a cell range for the Sum function
Image from book
Figure 9.26: The cell with the new formula

You'll notice that the cell with the formula shows a gray background. This background indicates that the cell contains a formula, which is actually a special type of text called a field. This background does not print and is there to help differentiate fields from other types of text.

Using Other Math Operations

In the previous example, you saw how you can use the Sum option in the Formula drop-down menu. If you look again at the options in that menu (see Figure 9.24), you'll see the Equation option. If you select that option, you can enter your own formula directly in the cell. The Equation option simply adds the equal sign to the cell before you start typing.

Once you select the Equation option, you can string several cell addresses together to add multiple cells, as follows:

=A2+A3+A4...

You can also subtract, multiply, or divide by using the - (subtract or minus), ⋆ (multiply or asterisk), or / (divide or hash) keys. To perform multiple operations on several cells, you can group operations with parentheses. For example, if you want to add two cells together and then multiply their sum by another cell, you can use the following format:

=(A2+A3)*A4

You might have noticed the Average and Count buttons that appear in the Formula drop-down menu. Average gives the average value of a range of cells, and Count returns the number of cells you select. Clicking one of these buttons temporarily closes the Field dialog box, allowing you to select several cells using a selection window. Once you've selected a set of cells, you'll see a formula appear in the Formula box that automatically applies the operation to the selected cells. For example, clicking the Average button produces a formula similar to the following:

=Average(A1:B5)

A range of cells is indicated using a colon as in A1:B5. You can use this format when entering formulas manually. You can also include a single cell with a range by using a comma, as follows:

=Average(A1:B5,C6)

Adding Formulas Directly to Cells

If you're in a hurry, you can add a formula directly to a cell without using the Formula tool. To do this, double-click the cell, and then when the Text Formatting toolbar appears, enter the formula with the addition of an = (equal sign) at the beginning, as in the following:

=A2+A3

The cell automatically converts to a formula field with the appropriate value. The only drawback to this method is that you have to decipher the cell address on your own. If you click a cell, the cell row and column labels appear to help you find the appropriate address.

Editing Formulas

Finally, if you want to change a formula, you can double-click the Formula cell to open the Text Formatting toolbar. You can edit the formula directly in the cell or use the Formula tool to create a new formula.

Exporting Tables

In some situations, you'll want to export your AutoCAD table to a spreadsheet program or a database. You can do this through a somewhat hidden option in a shortcut menu. Take the following steps:

  1. Select the entire table by clicking the table border.

  2. Right-click anywhere outside the table anywhere in the table, and then choose Export from the shortcut menu to open the Export Data dialog box. This is a typical file dialog box.

  3. Specify a name and location for your exported table data, and click Save.

Notice that the file is saved with a .csv filename extension. This is a common spreadsheet file format known as a comma-delimited file and can be read by most spreadsheet programs, including Microsoft Excel. To open the exported file in Excel, choose File è Open to open the Open dialog box, and then select Text File (*.prn, *.txt, *.csv). You can then locate the exported table and open it.

Tables exported to Excel lose their formulas. Formula cells are converted to simple values.

Importing Tables

It's not unusual for a table to be generated in an Excel spreadsheet by someone other than the person drawing plans in AutoCAD. You can easily import Excel spreadsheets into AutoCAD and convert them to AutoCAD tables.

You can import Excel files in two ways: you can copy and paste data directly from Excel to AutoCAD, or you can create a data link. With the cut-and-paste method, you'll get a simple copy of the imported data, but if you use a data link, the imported data is updated whenever the source Excel file changes.

To perform a simple copy-and-paste operation, do the following:

  1. In Excel, select the cells you want to export, and then choose Edit è Copy.

  2. In AutoCAD, choose Edit è Paste Special to open the Paste Special dialog box (see Figure 9.27).

  3. Select AutoCAD Entities from the list box, and then click OK. The imported spreadsheet appears at the cursor.

  4. Click to place the spreadsheet in the drawing.

Image from book
Figure 9.27: The Paste Special dialog box

Once the spreadsheet is placed, you can use any of the table-editing methods described in this chapter to adjust its appearance.

If you'd like to import a table that is linked to the source Excel spreadsheet, do the following:

  1. Image from book Click the Data Link Manager button in the Tables control panel. The Data Link Manager appears.

    Image from book

  2. Click the Create a New Excel Data Link listing in the list box. The Enter Data Link Name dialog box appears.

    Image from book

  3. Enter a name for your data link, and then click OK. The New Excel Data Link dialog box appears.

  4. Click the Browse button in the upper-right corner of the dialog box, and browse to the Excel file you want to import. Once you've made your selection, a preview of your table appears in the dialog box.

  5. Click OK at the New Excel Data Link dialog box and again at the Data Link Manager dialog box.

    Image from book

  6. Image from book Click the Table tool in the Table control panel to open the Insert Table dialog box.

  7. In the Insert Options group, select the From a Data Link radio button, and then select the name of the data link you just created from the drop-down list.

    Image from book

  8. Click OK to place the table in your drawing.

Once you've taken these steps, you'll be notified of changes made to the original spreadsheet and will be given the option to update the imported table with the new data in the source spreadsheet.

If the spreadsheet is large, AutoCAD may pause a moment while importing the data in step 5.

Editing Table Line Weights

The text in a table is not the only part that you may want to control. The line work within the table is also important. You can emphasize parts of a table by making the line weight bolder for certain groups of cells, for example.

Before you can see the effects of the line-weight settings for cell borders, you need to turn on the display of line weights. Choose Format è Lineweight, turn on the Display Lineweight setting, and then click OK.

You can control the line weight of cell borders by doing the following:

  1. Select a single cell by clicking it, or select a group of cells by clicking one cell to select it and then Shift+clicking another cell.

  2. Choose Cell Borders from the Table toolbar to open the Cell Border Properties dialog box (see Figure 9.28). You can use this dialog box to fine-tune the appearance of the line work of the table.

    Image from book

  3. Click the Lineweight drop-down list, and select a line weight.

  4. Click the Outside Borders button in the Apply to Border Type group to tell AutoCAD to change the outermost borders of the cell or group of cells to the selected line weight (see Figure 9.29).

  5. Click OK to apply the changes to the cell borders (see Figure 9.30).

Image from book
Figure 9.28: The Cell Border Properties dialog box
Image from book
Figure 9.29: The Outside Borders option in the Cell Border Properties dialog box
Image from book
Figure 9.30: A set of cells with their border adjusted to a heavier line weight

The Cell Border Properties dialog box also lets you set the line colors by choosing a color from the Color drop-down list before selecting an Apply To option.

In the example, you use the Outside Borders option. Table 9.4 describes all the border options.

Image from book
Table 9.4: The Apply To Options in the Cell Border Properties Dialog Box Open table as spreadsheet
OPTION | PURPOSE
All Borders | Applies the changes to the borders of all the selected cells
Outside Borders | Applies the changes to only the outside borders of a group of cells
Inside Borders | Applies the changes to only the inside borders of a group of cells
No Borders | Lets you select which border you want to affect by clicking the graphic in the Apply To group
Image from book

If you want to select only the vertical or horizontal inside borders, first click the No Borders button, and then click the desired border in the graphic of the Cell Border Properties dialog box. As you click lines in the sample image, they lighten or darken to indicate their selection.

Changing Cell Background Colors

In addition to the table borders, you can change the background color for the cells of the table through the Background Fill option in the Properties palette. Select a group of cells in the table that you want to affect (but don't select the entire table), right-click, and choose Properties to open the Properties palette. Click the Background Fill option in the Cell group.

Adding Graphics to Table Cells

One of the more interesting features of the Table tool is its ability to include blocks in a cell. This can be useful if you want to include graphic elements in your table. Adding a block to a cell is a simple process:

  1. Click a cell to select it.

  2. Click the Insert Block tool in the Table toolbar to open the Insert a Block in a Table Cell dialog box (see Figure 9.31).

  3. Select a block name from the Name drop-down list. You can also click the Browse button to the right of the list to open a file dialog box that allows you to select a drawing file for import to the cell.

  4. Once you've selected a block and specified the settings in the Properties group of the dialog box, click OK. The block appears in the cell you've selected.

Image from book
Figure 9.31: The Insert a Block in a Table Cell dialog box

The Properties group in the dialog box allows you to specify the alignment and size of the inserted block. By default, the AutoFit option is turned on. This option adjusts the size of the block to make it fit in the current cell size.

Creating Table Styles

Most users will have a set of table formats they use frequently. Door and window schedules in architectural plans will be fairly similar from project to project, for example.

For this reason, AutoCAD offers custom table styles. You can create a table style that matches some of the formatting you usually use for your projects. Then when you need a table, you can use your custom style and save yourself some table-formatting work.

Table styles allow you to set up the properties of the title, column heads, and data in advance so you don't have to set up those features each time you create a table. When you're ready, you can select your custom table style and specify the number of columns and rows.

To create a table style, take the following steps:

  1. Choose Format è Table Style or enter ts↲ to open the Table Style dialog box. You see the Standard table style in the list box shown in Figure 9.32.

  2. Click New to open the Create New Table Style dialog box, as shown in Figure 9.33. This is where you give your new table style a name.

  3. Enter a name for your table style-for example, My Table Style-and click Continue to open the New Table Style dialog box (see Figure 9.34).

  4. Set up your table style using the options in this dialog box, and then click OK to close the dialog box.

  5. Click Close to exit the Table Style dialog box.

Image from book
Figure 9.32: The Table Style dialog box
Image from book
Figure 9.33: The Create New Table Style dialog box
Image from book
Figure 9.34: The New Table Style dialog box

You'll see that your new table style appears in the Styles list of the Table Style dialog box and in the Table Style drop-down list of the Tables control panel. If you want to edit an existing table style, open the Table Style dialog box again, select the style you want to edit from the list, and click the Modify button. This opens the Modify Table Style dialog box, which allows you to edit the existing style. The Modify Table Style dialog box is identical to the New Table Style dialog box shown in Figure 9.34.

Once you've created a style, you can select it from the Table Style Settings group of the Insert Table dialog box (see Figure 9.35).

Image from book
Figure 9.35: The Table Style Settings group in the Insert Table dialog box

You can also get to the New Table Style dialog box by clicking the Launch the Table Styles dialog button just to the right of the Table Style Name drop-down list in the Insert Table dialog box. This opens the Table Styles dialog box. You can then click the New button to open the New Table Style dialog box.

Let's take a closer look at the New Table Style dialog box in Figure 9.34. You saw in step 4 of the previous exercise that the three tabs at the top of the dialog box all contain the same set of options. This dialog box allows you to specify the text-formatting options for each of these three table elements: data, column headers, and title.

The Starting Table group lets you select an existing table as the starting point for your new table style. The General group lets you determine whether the Title and Header rows appear at the top or the bottom of the table.

You can select the table element you want to set up by selecting it from the Cell Styles drop-down list in the upper-right side of the dialog box. As you make changes, the graphic to the left shows how your changes affect your table style.

The Cell Styles group also offers three tabs: General, Text, and Borders. The General tab offers options for the formatting of the type of cell you have selected in the Cell Styles drop-down list. The Text tab lets you set up the text style, angle height, and color of the cell text. The Borders tab lets you control the color and line weight of the table line work. The options in this tab work just like the options in the Cell Border Properties dialog box you saw in an earlier exercise.


Summary

Creating and editing text are tasks that nearly everyone has to tackle at some point. If your job is to just update the text in a drawing, all you have to do is double-click the text and make your changes in the Text panel that appears. Format changes are a little more involved, but if you're familiar with most text editors, you'll find that AutoCAD's text-editing features follow methods used in most other word processors. Creating text requires some familiarity with methods for scaling your text properly to make it the correct size. Also, placing the text in the Model tab or a layout tab affects how you deal with text scaling.

Another type of annotation you'll want to know about is dimensioning. In the next chapter, you'll learn about the tools for creating dimensions in AutoCAD and how you can change dimensions as your drawings change.


Chapter 10: Using Dimensions

Overview

Dimensions are a key part of technical drawing and drafting. You could almost say that dimensions are the reason we produce CAD drawings in the first place, since they convey critical information about our designs. Before the days of AutoCAD, we used dimensions to communicate specific proportions of a design. But now we can use dimensions to help keep track of critical measurements in a drawing. We can use temporary dimensions to help in this effort.

Adding dimensions to your drawing is fairly easy. In this chapter, I'll discuss the types of dimensions available and how to apply them to your drawing. One of the trickier aspects of dimensioning in AutoCAD is understanding scale factors. Just as with text, you have to apply a scale factor to your dimensions before they appear properly in the Model tab of your drawing.

Finally, since many standards and styles of dimensioning exist, AutoCAD provides many options that let you set up dimensions in just the way you want. But with so many settings, you might feel just a bit lost when you want to fine-tune the appearance of your dimensions. This chapter will help you out.


Understanding the Parts of an AutoCAD Dimension

If you were drawing dimensions by hand, you would not need to know the names of the dimension's components. Now that you're using CAD and reading this book, it will help to know these names so you can better understand the discussions that follow in this chapter.

Figure 10.1 shows a typical dimension along with the names of its parts. Not all these parts appear in all styles of dimensions. For example, the dimension line extension is used only in architectural drawings. Also, architectural drawings do not use arrows when dimensioning straight lengths. Instead, a "tick" mark is used, which looks like a diagonal line.

Image from book
Figure 10.1: The components of a dimension for two common styles
Image from book
DIMENSIONING STANDARDS

Besides the components of a dimension, you'll want to know about the standards that govern the placement and style of dimensions in a drawing. Each industry has a different set of standards for text size, text style, arrow style, dimension placement, and general dimensioning methods. These issues are beyond the scope of this book; however, I urge you to become familiar with the standards associated with your industry. Many resources are available to you if you want to find out more about dimension standards. Here are just a few resources on the subject:

  • For mechanical drafting in the United States, check the American Society of Mechanical Engineers (ASME) website at http://www.asme.org.

  • For European standards, see the Organization for International Standards (ISO) website at http://www.iso.org.

  • For architectural standards in the United States, see the American Institute of Architects (AIA) website at http://www.aia.org.

Image from book

As you read this chapter, you might want to refer to Figure 10.1 when you need clarification about the names of the dimension components. Toward the end of this chapter, you'll find a section called "Setting Up the Dimension's Appearance" that describes how to change the appearance of your dimensions to suit your style of drawing. You'll learn more about the dimension components in that section.


Dimensioning in the Model Tab or a Layout Tab

The first big question new users ask regarding dimensioning is which tab to use for dimensioning. Just as with text, you can add dimensions in either the Model tab or a layout tab. This is an important choice because it affects the way you set up your dimensions. Here are some points to remember when deciding which tab to use:

  • You can add your dimensions in a layout tab, which has the advantage of letting you specify sizes of text, arrows, and other dimension features at their full size without having to add annotative scales. The drawback is that you cannot see or edit the dimensions while you work on your drawing in the Model tab. You have to be either in the layout tab space known as paper space or in the Model tab space, also known as floating model space. However, dimensions do have a feature called associative dimensioning that allows them to automatically adjust to changes in the objects they are dimensioning, no matter which tab you use to add dimensions.

  • You can add your dimensions directly in the Model tab. This has the advantage of allowing you to see and edit text and graphics at the same time without switching between model and paper space. The disadvantage is that you have to make sure you're using the annotative scale feature and that you have assigned the proper annotative scale values to your dimensions. This ensures that the arrows and text appear at the correct size when you plot your drawing. (See "The Scale for Dimension Features Group" in Table 10.6 later in the chapter for the Scale Factor setting.)

Even if you choose to do all your dimensioning in a layout tab, you'll want to know how to work with dimensions that have been drawn in the Model tab. Countless older AutoCAD drawings are dimensioned in the Model tab. If you work with AutoCAD professionally, one of those drawings will eventually cross your computer screen.

Image from book
CONTROLLING THE SIZE OF DIMENSION FEATURES

As you begin to use dimensions in AutoCAD and you're working in the Model tab, you might find that the arrows and text are way too small for your drawing. This usually happens when new users try to dimension a drawing in the Model tab.

If this happens, you'll need to change the way AutoCAD scales dimension components. Just as with text, dimension components such as arrows and text need to be scaled up to appear correctly in the Model tab (see Chapter 9). You can use the annotative scale feature of AutoCAD to set the scale for dimensions. The procedure for using annotative scales for dimensions is the same as it is for text. See "Understanding Text and Scale" in Chapter 9 to learn more about the annotative scale.

Image from book


Drawing Linear Dimensions

The most common type of dimension you'll be using is the linear dimension, an orthogonal dimension measuring the width and length of an object. AutoCAD provides three dimensioning tools for this purpose: Linear, Continue, and Baseline. These tools are readily accessible from the Dimension drop-down list.

Placing Horizontal and Vertical Dimensions

Linear dimensions are those that are aligned either vertically or horizontally. They constitute the bulk of dimensions in most projects. The following steps describe how to apply linear dimensions.

Using osnaps is crucial in producing accurate results in all dimensioning tasks.

  1. Choose Dimension è Linear from the drop-down menu, or enter dli↲ at the command prompt.

  2. At the Specify first extension line origin or <select object>: prompt, Shift+right-click, and use an osnap to select the exact location on an object, such as an endpoint or an intersection of two lines on the drawing you're dimensioning (see Figure 10.2).

    The prompt in step 2 gives you the option of pressing ↲ to select an object. If you do this, you're prompted to select the object you want to dimension, rather than the actual distance to be dimensioned.

  3. At the Specify second extension line origin: prompt, use an osnap to select the other end of the object you're dimensioning, as shown in Figure 10.2.

  4. In the next prompt, Specify dimension line location or [Mtext/Text/Angle/Horizontal/Vertical/Rotated]:, you'll see a temporary dimension at the cursor location. Position the temporary dimension where you want the dimension to appear, and then click.

Image from book
Figure 10.2: Using a linear dimension

If you prefer to be more precise about the dimension line location, in step 4 you can enter a relative distance from the last point selected.

Continuing a Dimension

You'll often want to enter a group of dimensions strung together in a line. You can use the Continue option in the Dimension menu to do this. This option assumes that you've already placed one linear or aligned dimension and are ready to continue with a string of dimensions from the last dimension (see "Dimensioning Nonorthogonal Objects" later in this chapter for information about aligned dimensions).

  1. Choose Dimension è Continue, or enter dco↲.

  2. At the Specify a second extension line origin or [Undo/Select] <Select>: prompt, select the next location you want to dimension (see the left image in Figure 10.3). You can continue to add more dimensions until you press ↲.

Image from book
Figure 10.3: A continued string of dimensions

If you find that you've selected the wrong location for a continued dimension, click the Undo tool, or enter u↲.

The Continue Dimension option continues from the last dimension you added to the drawing. The last drawn extension line is used as the first extension line for the continued dimension. If you need to continue a string of dimensions from a dimension other than the last one you placed in the drawing, press ↲ at the Specify a second extension line origin or[Undo/Select]: prompt in step 2 of the previous example. When you see the Select continued dimension: prompt, click the extension line from which you want to continue. You can then proceed to add dimensions.

Drawing Dimensions from a Common Base Extension Line

Frequently, you need to dimension from a single datum point, as shown in Figure 10.4. This means you need several dimensions starting from the same location. To accommodate this, AutoCAD provides the Baseline option.

Image from book
Figure 10.4: A baseline dimension

As with the Continue option, Baseline assumes you have already placed at least one other linear or aligned dimension in the drawing.

Since you usually select exact locations on your drawing as you dimension, you might want to turn on running osnaps to avoid the extra step of selecting osnaps from the Osnap shortcut menu.

  1. Choose Dimension è Baseline or enter dba↲ to start a baseline dimension.

  2. At the Specify a second extension line origin or [Undo/Select] <Select>: prompt, use an osnap to select another feature you want to dimension in your drawing.

  3. Press ↲ twice to exit the Baseline Dimension command.

The Baseline Dimension option works in a similar way as the Continue Dimension option does, except that Baseline Dimension allows you to use the first extension line of the previous dimension as the base for a second dimension.

The distance between the two parallel dimension lines is controlled by the Baseline Spacing setting in the Lines tab of the New Dimension Style and Modify Dimension Style dialog boxes.

Just as with the Continue Dimension option, the Baseline Dimension option continues from the last dimension you added to the drawing by default. If you need to add more baseline dimensions from a dimension other than the last one you placed in the drawing, press ↲ at the Specify a second extension line origin or [Undo/Select] <Select>: prompt in step 2 of the previous example. Then click the extension line from which you want to continue. You can then proceed to add dimensions.

Adding a String of Dimensions with a Single Operation

AutoCAD provides a method for creating a string of dimensions using a single operation while in the Model tab. The Qdim command lets you select a set of objects instead of having to select points. The following exercise demonstrates how the Qdim command works.

To use Qdim, choose Dimension è Quick Dimension, or enter Qdim↲. Next, place a crossing selection window (start your window to the left of the selection area) around the area you want to dimension, and then press ↲. You'll see a string of dimensions at the cursor. Click to place the dimension string in the drawing.

The Qdim command can be a time-saver when you want to quickly dimension a wall in an architectural drawing, for example, or any set of contiguous lines in a drawing. It might not work in all situations, but if the object you're dimensioning is fairly simple, it can be all you need.

Image from book

This example uses a simple crossing window to select the wall. For more complex shapes, try using a crossing polygon selection window (see "Selecting Objects" in Chapter 5 for more about the Crossing Polygons selection).


Dimensioning Nonorthogonal Objects

Most of your dimensions will be horizontal or vertical, which are handled easily with the linear dimension. But eventually you'll need to apply many other types of nonorthogonal dimensions. For example, you might need to dimension a hexagonal shape whose sides are at 30° angles. In the following sections, you'll find out how to add dimensions to objects that are turned at an angle. You'll also learn about dimensioning arcs and circles.

Adding Nonorthogonal Linear Dimensions

You can add a linear dimension to an object that is not in a horizontal or vertical orientation using the aligned dimension. This type of dimension aligns the dimension line with the two points you select for dimensioning, as described in the following steps:

  1. Choose Dimension è Aligned or enter dal↲ to start the aligned dimension.

    Image from book
    USING OSNAPS WHILE DIMENSIONING

    Dimensions can adjust themselves to changes in the objects they are measuring. To take advantage of this feature, make sure you use osnaps while adding dimensions. The osnaps ensure that you're selecting exact points on objects so that AutoCAD can keep track of what it is you're dimensioning. If you don't know how to use osnaps, see Chapter 2.

    Image from book

    In addition, you can dimension an object by selecting it instead of pointing to locations on the object. This also enables the dimension to "follow" the changes made to the dimensioned object.

    Image from book

  2. At the Specify first extension line origin or <select object>: prompt, use an osnap to select the first end of the object being dimensioned.

  3. At the Specify second extension line origin: prompt, use an osnap again to select the other end of the object being dimensioned.

  4. At the Specify dimension line location or [Mtext/Text/Angle]: prompt, you'll see a dimension follow the cursor. Click a point to place the dimension. The dimension appears in the drawing, as shown in Figure 10.5.

Image from book
Figure 10.5: The aligned dimension of a nonorthogonal line

Just as with linear dimensions, you can enter t↲ in step 4 to enter alternate text for the dimension.

You might also need to place a dimension at an angle that is not necessarily aligned with the drawing feature being dimensioned, as shown in Figure 10.6.

Image from book
Figure 10.6: A nonorthogonal linear dimension that is not aligned with the feature being dimensioned

Here's how to draw this type of dimension:

  1. Click the Linear tool on the Dimension toolbar.

  2. At the Specify first extension line origin or <select> object: prompt, use an osnap to select an appropriate location on the object being dimensioned.

  3. At the Specify second extension line origin: prompt, use an osnap again to select the other end of the object being dimensioned.

  4. At the Specify dimension line location or [Mtext/Text/Angle/Horizontal/Vertical/Rotated]: prompt, enter t↲ to use the Rotated option.

  5. At the Specify angle of dimension line <0>: prompt, specify the angle at which the dimension line is to be placed. The angle value you enter is in relation to the x-axis of the drawing, so if you enter 0, for example, the dimension line will be horizontal.

  6. At the Specify dimension line location or [Mtext/Text/Angle/Horizontal/Vertical/Rotated]: prompt, you'll see the dimension line follow your cursor. Select a point to place the dimension line.

Dimensioning Arcs and Circles

Dimensioning diameters of arcs or circles is fairly simple:

  1. Choose Dimension è Diameter, or enter ddi↲.

  2. At the Select arc or circle: prompt, select the circle or arc you want to dimension.

  3. At the Specify dimension line location or [Mtext/Text/Angle]: prompt, you'll see the Diameter dimension drag along the circle as you move the cursor. If you move the cursor outside the circle, the dimension changes to display the dimension on the outside. (See the right image in Figure 10.7.)

  4. Place the dimension where you want it, and then click.

Image from book
Figure 10.7: Dimension showing the diameter of a circle

AutoCAD gives you the option to place the dimension text inside or outside the circle as you drag the temporary dimension over the circle. Be aware that, although AutoCAD gives you great deal of flexibility in the placement of dimensions, certain dimensioning standards define specific rules for dimensioning circles.

The Radius tool on the Dimension toolbar gives you a radius dimension just as the diameter dimension provides a circle's diameter. Figure 10.8 shows a radius dimension on the outside of the circle, but you can place it inside in a manner similar to the diameter dimension. The Center Mark tool on the Dimension toolbar just places a cross in the center of the selected arc or circle.

Image from book
Figure 10.8: A radius dimension shown on the outside of the circle

If you're dimensioning a large arc radius and you can't show the center of the arc within the area of your drawing, you can use a jogged radius dimension (choose Dimension è Jogged) instead of the usual Dimension è Radius option. The Jogged option places a jog in the dimension line to indicate that the center is not shown in the drawing.

Image from book

Dimensioning Angles and Arc Lengths

Dimensions aren't always used to show distances. You can use the angular dimension to indicate the angle between features in your drawing. Here's how:

  1. Choose Dimension è Angular or enter dan↲ to start the angular dimension.

  2. At the Select arc, circle, line, or <specify vertex>: prompt, select the first line whose angle you want to dimension.

  3. At the Select second line: prompt, select the other line whose angle you want to dimension.

  4. At the Specify dimension arc line location or [Mtext/Text/Angle]: prompt, the dimension moves to different locations as you move the cursor. This allows you to select the angle to dimension, as shown in Figure 10.9.

  5. When the dimension appears in the location you want, click that point to fix the dimension in place.

Image from book
Figure 10.9: Two examples of an angular dimension

In addition to the angle of an arc, you can also dimension the length of an arc. Choose Dimension è Arc Length, and then select the arc whose length you want to dimension. The dimension appears and drags with the cursor. You can then click to place the Arc Length dimension.

Image from book
WHY DO MY ANGULAR DIMENSIONS SHOW ONLY WHOLE DEGREES?

By default, AutoCAD's dimensioning feature rounds off angular dimensions to the nearest degree. Follow these steps to show angles less than a whole degree:

  1. Select the angular dimension, then right-click, and finally select Precision.

  2. Click the Angle Precision option, and select the value you want for the dimension.

You can also change the Angle Precision setting for the current dimension style using the Modify Dimension Style dialog box, which is the same as the New Dimension Style dialog box. See the "Setting Up the Dimension's Appearance" section later in this chapter.

Image from book


Adding a Note with an Arrow Using the Leader Tool

Next to dimensions, notes are the most common notation feature found in AutoCAD drawings. Choosing Dimension è Leader lets you add a note with an arrow pointing to the object the note describes. Here's how it works:

  1. Choose Dimension è Multileader, and click the Multileader tool in the Multileaders control panel (see Figure 10.10), or enter mld↲.

  2. At the Specify leader arrowhead location or [leader Landing first/Content first/Options] <Options>: prompt, select a point to indicate the location for the arrow.

  3. At the Specify leader landing location: prompt, click another point to indicate the other end of the arrow. You'll see the Text Formatting toolbar appear along with the text cursor at the note location.

  4. Enter the note you want, and then click OK in the Text Formatting toolbar. The note appears at the end of the leader, as shown in Figure 10.11.

Image from book
Figure 10.10: The Multileaders control panel
Image from book
Figure 10.11: The leader with a note added

The text in the note will be in the current text style, unless you specify another style in the Text tab of the New Dimension Style or Modify Dimension Style dialog box. (See the "Setting Up the Dimension's Appearance" section later in this chapter.)

The Leader tool offers a lot of options that are not obviously presented when you're using it. In step 2 of the previous example, after choosing Dimension è Leader, you can press ↲ to modify the behavior of the Mulitleader tool. You'll see the following prompt:

Enter an option [Leader type/leader lAnding
/Content type/Maxpoints/First angle/Second angle
/eXit options] <eXit options>:

Table 10.1 gives you a rundown of these options and their function.

Image from book
Table 10.1: The Multileader Options Open table as spreadsheet
Option | Function
Leader type | Allows you to choose between straight line arrows and curved arrows.
Leader lAnding | Determines whether a leader landing is used. The leader landing is the short line that connects the arrow to the note.
Content type | Lets you select between text or a block for the leader note. You also have the option to choose none.
Maxpoints | Lets you set the number of points you select for the arrow. The default is 2.
First angle | Lets you constrain the angle of the leader arrow to a fixed value.
Second angle | If you're using more than two points for the Maxpoints option, the Second Angle option lets you constrain the angle of the second line segment of the arrow.
eXit options | Lets you return to the main part of the Leader command to draw the leader.
Image from book

Creating Multileader Styles

Besides the options shown in Table 10.1, you can create multileader styles to control the appearance of multileaders. Multileader styles are similar in concept to text and dimension styles. They allow you to set up the appearance of the leader under a name that you can call up any time. For example, you might want to have one type of leader that uses a block instead of text for the note and another leader that uses a dot in place of an arrow. Or you might want to set up a style that uses curved lines instead of straight ones for the leader line. You can create a multileader style for each of these types of leader features and then switch between each leader style depending on the requirements of your leader note.

To set up or modify a multileader style, click the Multileader Style Manager tool in the Multileaders control panel (shown earlier in Figure 10.10). You can also enter Mleader-style↲ at the command prompt. This opens the Multileader Style Manager dialog box shown in Figure 10.12. From here, you can select an existing style from the list at the left and click Modify to edit it, or you can just click New to create a new one. If you click New, you're asked to select an existing style as a basis for your new one.

Image from book
Figure 10.12: The Multileader Style Manager dialog box Figure 10.13

Once you've selected Modify or New, you'll see the Modify Multileader Style dialog box (see Figure 10.13).

Image from book
Figure 10.13: The Modify Multileader Style dialog box

Table 10.2 describes the options in each of the tabs of the Mutlileader Style dialog box. Some of these options are the same as those for the Multileader command.

Image from book
Table 10.2: The Multileader Style Dialog Box Options Open table as spreadsheet
TAB AND PANEL | FUNCTION
Leader Format Tab |
General | Lets you set the leader line to straight or curved. You can also set the color, line weight, and linetype for the leader line.
Arrowhead | Controls the arrowheads.
Leader Break | Controls the size of the gap in a leader line when the Leaderbreak command is applied. Leaderbreak places a break on a leader line where two leader lines cross.
Leader Structure Tab |
Constraints | Determines the number of line segments in the leader line. You can also apply angle constraints to the leader line segments.
Landing Settings | Controls the leader line landing segment. This is the last line segment that points to the note.
Scale | Lets you control the scale of the leader components. You can either apply a fixed scale or use the Annotative option to have the drawing annotative scale apply to the leader.
Content Tab |
Multileader Type | Lets you select the type of object that will be used for the leader note. The options are Mtext, Block, or None.
Text Options | Gives you control over the way the leader note appears. You can control color, text style, size, justification, and orientation.
Leader Connection | Determines the position between the leader line and the note.
Image from book

Once you've set up a multileader style, you can make it the default style by selecting the style from the Mutileaders control panel drop-down list.

Image from book

The selected style will be applied to any new multileader you add to your drawing. You can also change the style of an existing multileader. To do this, click the multileader to select it, and then select the multileader style you want from the Mutileaders Style control panel drop-down list.

Editing Multileader Notes

If you need to make changes to the note portion of a multileader, you can do so by double-clicking the note. This opens the Text Formatting toolbar, allowing you to make changes as if you were editing in a word processor.

At other times, you might want to make changes to the leader line, arrows, or other graphic features of the multileader. For example, you might want to have all the notes aligned vertically for a neater appearance. Or you might want to add more leader arrows so the note points to several objects in the drawing instead of just one.

The Multileaders control panel offers several tools that let you make these types of changes to your leader notes. The Multileader Edit tool lets you add or remove leaders from a multileader. This is a handy tool if you want a single note to point to several objects. The Multileader Align tool lets you align the note portion of several multileaders. Finally, the Multiline Collect tool lets you collect several multileaders that use blocks for notes into a single note.


Using Ordinate Dimensions

You use ordinate dimensions when a dimension in a part is measured from a critical feature. For example, the holes in a machine part might all have to be precisely located in relation to the center of a machine hole in the part, as shown in Figure 10.14. In ordinate dimensions, the dimension labels are shown as X coordinates or Y coordinates from the critical feature.

Image from book
Figure 10.14: An example of ordinate dimensions

Before you apply ordinate dimensions, you need to establish the origin of the drawing at the location of the critical feature. You use the UCS to do so.

To use an AutoCAD ordinate dimension, follow these steps:

  1. Choose Tools è New UCS è Origin, or enter ucs↲ or↲.

  2. At the Specify new origin point <0,0,0>: prompt, click the exact location of the origin of your part.

  3. Toggle on Ortho mode.

  4. Choose Dimension è Ordinate or enter dor↲ to start the ordinate dimension.

  5. At the Specify feature location: prompt, click the item you want to dimension.

    The direction of the leader determines whether the dimension will be of the Xdatum or the Ydatum.

  6. At the Specify leader endpoint or [Xdatum/Ydatum/Mtext/Text/Angle]: prompt, position the rubber-banding leader that appears at the cursor perpendicular to the coordinate direction you want to dimension. When you have the leader where you want it, click.

In steps 1 and 2, you used the UCS feature to establish a second origin in the drawing. The Ordinate Dimension tool then uses that origin to determine the ordinate dimensions.

You might have noticed options in the command window for ordinate dimensions. The Xdatum and Ydatum options force the dimension to be of the X or Y coordinate, no matter what direction the leader takes. The Mtext option opens the Text Formatting toolbar, allowing you to append or replace the ordinate dimension text. The Text option lets you enter a replacement text directly through the command window.

As with all other dimensions, you can use grips to adjust the location of ordinate dimensions.

If you turn Ortho mode off, AutoCAD draws the dimension leader with a jog to maintain the orthogonal placement orientation of the leader. (Refer to Figure 10.14.)


Adding Tolerance Notation

If you're drawing a part that must be machined within a certain range of dimensions, you can use a tolerance dimension. Tolerance lets you specify a tolerance range for features in your drawing. It produces a note that uses industry-standard notation, as shown in Figure 10.15.

Image from book
Figure 10.15: An example of tolerance notation

To use the Tolerance command, enter tol↲ at the command prompt or choose Dimension è Tolerance from the drop-down menu to open the Geometric Tolerance dialog box (see Figure 10.16).

Image from book
Figure 10.16: The Geometric Tolerance dialog box

This is where you enter tolerance and datum values for the feature control symbol, which indicates the type of tolerance asked for in a tolerance dimension. You can enter two tolerance values and three datum values. In addition, you can stack values in a two-tiered fashion (vertically).

Click a box in the Sym group to open the Symbol dialog box (see Figure 10.17).

Image from book
Figure 10.17: The Symbol dialog box

Figure 10.18 shows what each symbol in the Symbol dialog box represents. The bottom image shows a sample drawing with a feature symbol used on a cylindrical object.

Image from book
Figure 10.18: The Tolerance symbols

In the Geometric Tolerance dialog box, you can click a box in any of the Datum groups or a box in the right side of the Tolerance groups to open the Material Condition dialog box (see Figure 10.19). This dialog box lets you add a material condition symbol.

Image from book
Figure 10.19: The Material Condition dialog box


Editing Dimensions

As you begin to add more dimensions to your drawings, you'll find that AutoCAD occasionally places dimension text or a line in an inappropriate location or that you need to modify the dimension text. In the following sections, you'll look at how you can modify dimensions to suit those special circumstances.

Although the instructions in the following sections describe methods for editing specific parts of dimensions, you can adjust dimensions through the Properties palette.

Appending Data to Dimension Text

Most of the time, you'll accept the dimension value that AutoCAD provides, but you might want to append text to a dimension value or even change it entirely. While you're adding dimensions and you see the temporary dimension dragging with your cursor, you can enter t↲ to change the dimension text. You can then enter an entirely different text at the command prompt. You can also use the less-than (<) and greater-than (>) signs to add text either before or after the default dimension. For example, if you enter <> Verify, after entering the t↲ option, the word Verify appears after the dimension value. You can click the Contents option in the Properties palette to modify the existing dimension text in a similar way.

You can also append text to a dimension that has already been placed in your drawing. Here is an example of how to do this:

  1. Choose Modify è Object è Text è Edit, or enter ed↲.

  2. Click the dimension whose value you want to edit. The Text Formatting toolbar (see Figure 10.20) appears with the current dimension value highlighted in the Text panel.

  3. Click the location for either in front of or after the dimension text, and then enter the text you want to add.

  4. Click OK on the Text Formatting toolbar. The dimension changes to include the text you just added.

Image from book
Figure 10.20: A dimension with the Text Formatting toolbar

In addition to appending to the dimension value, you can do any of the following while editing the dimension text:

  • You can replace the dimension text entirely by deleting the dimension value in the Text panel.

  • You can restore a dimension text value that has been modified by entering <>.

  • You can completely remove the dimension text by replacing the dimension value with a space.

You can also have AutoCAD automatically add a dimension suffix or prefix to all dimensions, instead of just a chosen few, by using the Suffix or Prefix option in the Primary Units tab of the New Dimension Style or Modify Dimension Style dialog box (see "Setting Up the Dimension's Appearance" later in this chapter for more about the Modify Dimension Style dialog box).

Making Changes to Multiple Dimensions

You can use the Dimension Edit tool to quickly edit existing dimensions and change more than one dimension's text at a time. For example, you can use the Dimension Edit tool to change a string of dimensions to say Equal instead of showing the actual dimensioned distance. The following steps show an alternative to using the Properties palette for appending text to a dimension:

  1. Enter ded↲ at the command prompt.

  2. At the Enter type of dimension editing [Home/New/Rotate/Oblique]<Home>: prompt, enter n↲ to use the New option. The Text Formatting toolbar appears with a new dimension value of 0. The 0 is a placeholder indicating where the actual dimension text will appear.

  3. Enter the text you want to append to the dimension. If you want, you can delete the 0 dimension to replace the dimension value entirely.

  4. Click OK.

  5. At the Select objects: prompt, select the dimensions you want to edit. The Select objects: prompt remains, allowing you to select several dimensions.

  6. Press ↲ to finish your selection. The dimension changes to include your new text or to replace the existing dimension text.

The Dimension Edit tool is useful in editing dimension text, but you can also use this command to make graphical changes to the text. Here are the other Dimension Edit tool options:

Home Moves the dimension text to its standard default position and angle.

Rotate Rotates the dimension text to a new angle.

Oblique Skews the dimension extension lines to a new angle. (See the "Skewing Dimension Lines" section later in this chapter.)

Detaching Dimension Text from the Dimension Line

If you try to move the dimension text away from a dimension using the dimension text's grip, you'll find that the entire dimension line follows the text. You can separate the dimension from the text by changing one of the settings for the dimension's properties:

  1. Click the dimension text to expose its grip.

  2. Right-click and choose Properties from the shortcut menu to open the Properties palette.

  3. Scroll down the list of properties until you see the Fit options. If you do not see a list of options under Fit, click the downward-pointing arrow to the right to display a new set of options, as shown in Figure 10.21.

  4. Scroll down the list farther until you see the Text Movement option, and click this option.

  5. Click the arrow that appears next to the Keep Dim Line With Text listing to open the drop-down list; then select the Move Text, Add Leader option shown in Figure 10.22.

  6. Close the Properties palette.

Image from book
Figure 10.21: The Fit options in the Properties palette
Image from book
Figure 10.22: The Move Text, Add Leader option in the Fit options group

You can now move the text independently of the dimension line. As you do, AutoCAD draws a leader from the dimension line to the dimension text.

If you prefer that the leader not appear, you can select Move Text, No Leader in step 5 of the previous example.

Rotating Dimension Text

You might find that you need to rotate the text of a dimension in conjunction with moving the dimension text. Follow these steps:

  1. Choose Dimension è Align Text è Angle.

  2. At the Select dimension: prompt, select the dimension whose text you want to rotate.

  3. At the Specify angle for dimension text: prompt, enter an angle, or select two points to indicate an angle visually.

You can also use the Dimension Text Edit tool (Dimtedit command) to align the dimension text to either the left or right side of the dimension line. This is similar to the Alignment option in the Multiline Text Editor that controls text justification.

As you've seen in this section, grips are especially well suited to editing dimensions. With grips, you can stretch, move, copy, rotate, mirror, and scale dimensions.

Skewing Dimension Lines

If you're adding dimensions to an isometric or other axonometric drawing, you'll want to skew the dimension lines in relation to the dimension extension lines. You can do this using the Oblique option:

  1. Choose Dimension è Oblique, or enter ded↲ o↲. You can also select the Dimension Edit tool from the Dimension toolbar and then enter o↲.

  2. At the Select objects: prompt, select the dimension you want to skew, and press ↲ to confirm your selection.

  3. At the Enter obliquing angle (Press ENTER for none): prompt, enter an angle value appropriate to your drawing. The dimension skews so that the extension lines are at the angle you entered (see Figure 10.23).

Image from book
Figure 10.23: A dimension on a 2D isometric drawing using the Oblique option


Setting Up the Dimension's Appearance

The default dimensions created by AutoCAD are generic and do not conform to any particular drafting standard. They work fine in a pinch if you just need to create a descriptive, technical drawing. If you're an architect or mechanical drafter, you'll want to change the style to follow the standards of the industry in which you are working. Or perhaps you just want to change the style a little to conform to your particular office's way of doing things.

You can add dimensions using the default settings and then change each dimension so that it appears correctly for your application, but that is extremely time-consuming. Instead, you can use dimension styles to set up the appearance of your dimensions before-hand. Once you create a style, you only have to make the style the default and then start dimensioning.

Creating a Dimension Style

Dimension styles are like text styles. They determine the font, size of dimension arrows, and configuration of your dimensions. You might set up a dimension style for special types of arrows or to position the dimension text above the dimension line as in an architectural drawing. You can set up multiple dimension styles for different situations.

Here's how to set them up:

  1. Choose Format è Dimension Style or enter d↲ at the command prompt to open the Dimension Style Manager dialog box.

  2. Select Standard from the Styles list (see Figure 10.24). Metric users should select ISO-25.

  3. Click New to open the Create New Dimension Style dialog box (see Figure 10.25).

  4. With the Copy Of Standard or ISO-25 name highlighted in the New Style Name input box, enter a new name for your style. You might also simply leave the name as Copy Of Standard or ISO-25 if that works for you. If you are working with others on a project, check to make sure your dimension style name conforms to any standards that other members of the team might be using.

  5. Click Continue to open the New Dimension Style dialog box, as shown in Figure 10.26.

Image from book
Figure 10.24: The Dimension Style Manager dialog box with the Standard style selected
Image from book
Figure 10.25: The Create New Dimension Style dialog box
Image from book
Figure 10.26: The New Dimension Style dialog box

You're now ready to set up your style's appearance. The New Dimension Style dialog box has several tabs, each of which controls a different aspect of the dimension's appearance.

Since dimensions have so many variables, you might find the number of settings overwhelming. Before you jump in and try to set up a dimension style, skim the introductory paragraph for each tab description given next. You might find that you need to change only a few settings for your style.

Setting Up the Dimension Graphics

The options in the Lines tab (refer to the earlier Figure 10.26) and the Symbols And Arrows tab (see Figure 10.27) give you control over the appearance of dimension and extension lines, arrowheads, and center marks. Figure 10.28 shows an example of some of the dimension components that are affected by these options. Table 10.3 describes the options in the Lines tab, and Table 10.4 describes the options for the Symbols And Arrows tab. Whenever you change any of these settings, you get immediate feedback on their effect on the dimension's appearance in the graphic that appears in the upper right of the dialog box.

Image from book
Table 10.3: The Lines Tab Settings Open table as spreadsheet
THE LINES TAB SETTINGS
The Dimension Lines Group
Color | Sets the color of the dimension line.
Linetype | Sets the linetype for the dimension line.
Lineweight | Sets the line weight for dimension lines.
Extend beyond Ticks | Sets the distance that the dimension line extends beyond the extension lines. This option is not available when arrows are used.
Baseline Spacing | Specifies the distance between dimensions that use a common baseline.
Suppress | These check boxes let you suppress the dimension line on either side of the dimension text.
The Extension Lines Group
Color | Sets the color for extension lines.
Linetype Ext Line 1 | Sets the linetype for the first extension line.
Linetype Ext Line 2 | Sets the linetype for the second extension line.
Lineweight | Sets the line weight for extension lines.
Extend beyond Dim Lines | Sets the distance that extension lines extend beyond dimension lines.
Offset from Origin | Sets the distance from the extension line to the object being dimensioned.
Fixed Length Extension Lines | Forces the extension lines to be a fixed length set by the Length text box.
Length | Sets the length for extension lines when the Fixed Length Extension Lines option is turned on.
Suppress | Suppresses extension lines indicated by the checked item.
Image from book
Image from book
Table 10.4: The Symbols And Arrows Tab Settings Open table as spreadsheet
THE SYMBOLS AND ARROWS TAB SETTINGS
The Arrowheads Group
First | Sets the type of arrowhead to use on dimension lines. By default, the second arrowhead automatically changes to match the arrowhead you specify for this setting.
Second | Sets a different arrowhead from the one set for the first option.
Leader | Sets an arrowhead for leader notes.
Arrow Size | Sets the size for the arrowheads. Enter a value for the final printed size of your arrows.
The Center Marks Group |
None/Mark/Line | Sets the type of center mark used in Radius and Diameter dimensions.
Size | Sets the size of the center mark.
The Arc Length Symbol Group |
Preceding/Above/None | Sets the location of the arc length symbol for arc length dimensions.
The Radius Dimension Jog Group |
Jog Angle | Sets the angle for the Radius Dimension Jog symbol.
Image from book
Image from book
Figure 10.27: The Symbols And Arrows tab of the New Dimension Style dialog box
Image from book
Figure 10.28: These dimensions are labeled with the name of the settings that affect their appearance.

The value you enter for the sizes of the dimension-line components, such as arrow size and offset from origin, should be the size you want when the drawing is printed. If you're adding dimensions in model space and you need to apply a scale factor, you need to enter a scale factor value in the Use Overall Scale Of option in the Fit tab. All other dimension settings are scaled to the value you enter there.

Setting the Appearance of the Dimension Text

You can adjust the appearance of the dimension text through the Text tab of the New Dimension Style dialog box. Text style, color, and height are a few of the features you can adjust here. You can also specify the default location of the dimension text in relation to the dimension line and extension lines. Figure 10.29 shows the Text tab, and Table 10.5 describes the options in the Text tab.

Image from book
Table 10.5: The Text Tab Settings Open table as spreadsheet
THE TEXT TAB SETTINGS
The Text Appearance Group
Text Style | Sets the text style for your dimension text. You need to first create a text style using the Text Style dialog box (choose Format è Text Style). You can use an Annotative text style to keep the dimension text at the proper size for the drawing scale. See "Understanding Text and Scale" in Chapter 9 for more about Annotative text styles.
The Text Appearance Group |
Text Color | Sets the color for your dimension text.
Fill Color | Sets the color for dimension text background.
Text Height | Sets the height for dimension text. This option is valid only for text styles with their Height value set to 0 (zero).
Fraction Height Scale | Sets a scale factor for the height of fractional text. This option is meaningful only when Architectural or Fractional is selected in the Primary Units tab.
Draw Frame around Text | When turned on, draws a rectangle around the dimension text.
The Text Placement Group |
Vertical | Sets the vertical position of the text in relation to the dimension line. Centered places the text in line with the dimension line, and the dimension line is broken to accommodate the text. Above places the text above the dimension line, leaving the dimension line unbroken. Outside places the text away from the dimension line at a location farthest from the object being dimensioned. JIS places the text in conformance with the Japanese Industrial Standards.
Horizontal | Sets the location of the text in relation to the extension lines. Centered places the text between the two extension lines. At Extension Line 1 places the text next to the first extension line and between the two extension lines. At Extension Line 2 places the text next to the second extension line and between the two extension lines. Over Extension Line 1 places the text above the first extension line. Over Extension Line 2 places the text above the second extension line.
Offset from Dim Line | Sets the distance from the baseline of text to the dimension line when text is placed above the dimension line. Also sets the size of the gap between the dimension text and the endpoint of the dimension line when the text is in line with the dimension line. You can use this to set the margin around the text when the dimension text is in a centered position that breaks the dimension line.
The Text Alignment Group |
Horizontal | Forces the text in a horizontal orientation, regardless of the dimension line orientation.
Aligned with Dimension Line | Aligns the text with the dimension line.
ISO Standard | Aligns the text with the dimension line when it is between the extension lines; otherwise, the text is oriented horizontally.
Image from book
Image from book
Figure 10.29: The Text tab of the New Dimension Style dialog box

Specifying Text and Arrow Placement in Tight Spaces

Quite often, you must place dimensions in such a location that arrows and text will not fit between the extension lines. You can use the options in the Fit tab to specify what AutoCAD should do when the dimension runs out of room. You can also use the Fit tab to specify the overall scale factor for your dimensions, which is especially critical if you add dimensions in the Model tab. Figure 10.30 shows the Fit tab, and Table 10.6 describes the options in the Fit tab.

Image from book
Table 10.6: The Fit Tab Settings Open table as spreadsheet
THE FIT TAB SETTINGS
The Fit Options Group
Either Text or Arrows (Best Fit) | Fits either text or arrows between the extension lines, depending on which of the two items fits best.
Arrows | Moves arrows outside the extension line first and then text.
Text | Moves text outside the extension line first and then arrows.
Both Text and Arrows | Moves both the text and the arrows outside the extension line.
Always Keep Text between Ext Lines | Forces the arrows and text to remain between the extension lines.
Suppress Arrows If They Don't Fit Inside Extension Lines | Completely suppresses arrows if they do not fit between the extension lines.
The Text Placement Group
Beside The Dimension Line | Keeps the text and dimension line together.
Over Dimension Line, with Leader | Allows independent movement of the text and the dimension line. A leader is added if the text is moved from the dimension line.
Over Dimension Line, without Leader | Allows independent movement of the text and the dimension line.
The Scale for Dimension Features Group
Annotative | Determines whether the dimension style uses annotative scale. See "Understanding Text and Scale" in Chapter 9 for more about annotative scale.
Use Overall Scale Of | This combined radio button and input box sets the overall scale of the dimension components, including text and arrows.
Scale Dimensions to Layout | Scales the dimension components to the scale factor assigned to the paper space viewport in which the drawing appears.
The Fine Tuning Group
Place Text Manually | Lets you manually place dimension text when the text does not fit between extension lines.
Always Draw Dim Line between Ext Lines | Forces AutoCAD to draw a dimension line regardless of the width between extension lines.
Image from book
Image from book
Figure 10.30: The Fit tab of the New Dimension Style dialog box
Image from book
SETTING UP DIMENSIONS FOR ARCHITECTURAL DRAWINGS

If you need to set up an architectural drawing, follow these steps in the New Dimension Style dialog box.

In the Primary Units tab (see Figure 10.31 later in this chapter), follow these steps:

  1. In the Linear Dimensions group, open the Unit Format drop-down list, and choose Architectural.

  2. Select 0'0¼" from the Precision drop-down list, just below the Unit Format list. The Precision option allows you to set the amount that the dimension text will be rounded off. It doesn't actually limit the precision of the drawing.

  3. Select Diagonal from the Fraction Format drop-down list.

  4. Turn off the 0 Inches option in the Zero Suppression group.

Image from book
Figure 10.31: The Primary Units Tab of the New Dimension Style dialog box

In the Text tab (see Figure 10.29 later in this chapter), follow these steps:

  1. In the Text Alignment group, click the Aligned with Dimension Line radio button.

  2. In the Text Placement group, open the Vertical drop-down list, and select Above.

  3. In the Text Placement group, change the Offset from Dim Line value to Image from book . The value changes to its decimal equivalent of 0.625. This setting controls the size of the gap between the dimension line and the dimension text.

In the Symbols and Arrows tab (see Figure 10.27 earlier in this chapter), follow these steps:

  1. In the Arrowheads group, open the first drop-down list, and choose Architectural Tick.

  2. In the Arrowheads group, change the Arrow Size setting to ⅛.

  3. In the Lines tab (see Figure 10.26 earlier in this chapter), follow these steps:

    • In the Dimension Lines group, highlight the value in the Extend beyond Ticks input box, and then enter Image from book ↲.

    • In the Extension Lines group, change the Extend beyond Dim Lines setting to ⅛↲.

    • In the Extension Lines group, change the Offset from Origin setting to ⅛.

In the Fit tab (see Figure 10.30 later in this chapter), follow these steps:

  1. In the Scale for Dimension Features group, click the Use Overall Scale Of radio button.

  2. Double-click the list box just to the right of the Use Overall Scale Of radio button, and then enter the desired scale factor. See Chapter 9 for more about scale factors and text size.

Image from book

Specifying the Unit Style Settings for Dimensions

The options in the Primary Units tab let you set the format and content of the dimension text, including the unit style for linear and angular dimensions. Figure 10.31 shows the Primary Units tab, and Table 10.7 describes the options in the Primary Units tab.

Image from book
Table 10.7: The Primary Units Tab Settings Open table as spreadsheet
THE PRIMARY UNITS TAB SETTINGS
The Linear Dimensions Group
Unit Format | Sets the unit style of the dimension text. The options are Scientific, Decimal, Engineering, Architectural, Fractional, and Windows Desktop.
Precision | Sets the precision of the dimension text. This option rounds off the dimension text to the nearest precision value you set. It does not affect the actual precision of the drawing.
Fraction Format | Specifies how fractions are displayed. The choices are Horizontal, Vertical, and Not Stacked. These options apply only to architectural and fractional unit formats.
Decimal Separator | Sets the decimal separator for dimension unit formats that display decimals. You can choose a period, a comma, or a space.
Round Off | Sets the degree of rounding applied to dimension text. For example, you can set this option to 0.25 to round off dimensions to the nearest 0.25, or ¼, of a unit.
Prefix | Sets a prefix for all linear and aligned dimension text. The prefix is added to the beginning of all linear dimension text.
Suffix | Sets a suffix for all linear and aligned dimension text. The suffix is added to the end of all linear dimensions text.
Measurement Scale: Scale Factor | Multiplies the dimension value by a scale factor. You can set this value to 25.4, for example, to show dimension values in millimeters for drawings created in Imperial units.
Measurement Scale: Apply to Layout Dimensions Only | Applies the measurement scale factor to paper space layouts only.
Zero Supression: Leading, Trailing | Suppresses zeros so they do not appear in the dimension text. For example, with the Leading option selected, 0.50 will be shown as .50 (point five zero). With Trailing selected, it is shown as 0.5.
The Angular Dimensions Group |
Units Format | Sets a format for angular dimensions. The options are Decimal Degrees, Degrees Minutes Seconds, Gradians, and Radians.
Precision | Sets the precision for the angular dimension text.
Zero Suppression: Leading, Trailing | Suppresses leading or trailing zeros in angular dimensions.
Image from book

Using the Alternate Units Tab

The Alternate Units tab lets you apply a second set of dimension text for linear dimensions. You can use this set for alternate dimension styles or units. For example, you can use alternate units to display alternate metric dimension values in addition to the main dimension values in feet and inches. Figure 10.32 shows the Alternate Units tab, and Table 10.8 describes the options in the Alternate Units tab.

Image from book
Table 10.8: The Alternate Units Tab Settings Open table as spreadsheet
THE ALTERNATE UNITS TAB SETTINGS
The Alternate Units Group
Unit Format | Sets the unit style of the dimension text. The options are Scientific, Decimal, Engineering, Architectural Stacked, Fractional Stacked, Architectural, Fractional, and Windows Desktop.
Precision | Sets the precision of the dimension text. This option rounds off the dimension text to the nearest precision value you set. It does not affect the actual precision of the drawing.
The Alternate Units Group |
Multiplier for Alt Units | Sets a multiplier value for the dimension text. This option multiplies the dimension text value by the multiplier value. For example, if you want alternate dimensions to display distances in centimeters even though the drawing was created in inches, you can enter 2.54 for this option.
Round Distances To | Sets the value rounding applied to alternate dimensions.
Prefix | Adds a prefix for all linear and aligned alternate dimension text.
Suffix | Adds a suffix for all linear and aligned alternate dimension text.
The Zero Suppression Group |
Leading, Trailing, Feet, Inches | Suppresses zeros so they do not appear in the dimension text. For example, with the Leading option selected, 0.50 is shown as .50 (point five zero). With Trailing selected, it is shown as 0.5.
The Placement Group |
After Primary Value | Sets the alternate dimension text to appear behind and aligned with the primary dimension text.
Below Primary Value | Sets the alternate dimension text to appear below the primary dimension text and above the dimension line.
Image from book
Image from book
Figure 10.32: The Alternate Units tab of the New Dimension Style dialog box

To turn on Alternate Units, click the Display Alternate Units check box. AutoCAD then includes an additional dimension text in the format you specify this tab.

Using the Tolerances Tab

The options in the Tolerances tab let you add tolerance dimension text and include options for tolerance dimension text formatting. Figure 10.33 shows the Tolerances tab, and Table 10.9 describes the options in the Tolerances tab.

Image from book
Table 10.9: The Tolerances Tab Settings Open table as spreadsheet
THE TOLERANCES TAB SETTINGS
The Tolerance Format Group
Method | Sets the format for the tolerance dimension text. The options are None, Symmetrical, Deviation, Limits, and Basic. None turns off the tolerance dimension text. Symmetrical adds a plus/minus tolerance dimension. This is a single dimension preceded by a plus/minus sign. Deviation adds a stacked tolerance dimension showing separate upper and lower tolerance values. The Limits option replaces the primary dimension with a stacked dimension showing maximum and minimum dimension values. The Basic option draws a box around the primary dimension value. If an alternate dimension is used, the box encloses both primary and alternate dimension text.
Precision | Sets the precision of the tolerance dimension text. This option rounds off the dimension text to the nearest precision value you set. It does not affect the actual precision of the drawing.
Upper Value | Sets the upper tolerance value for the Symmetrical, Deviation, and Limits tolerance methods.
Lower Value | Lets you set the lower tolerance value for the Deviation and Limits tolerance methods (Dimtm).
Scaling for Height | Sets the size for the tolerance dimension text as a proportion of the primary dimension text height.
Vertical Position | Sets the vertical position of the tolerance text. The options are Top, Middle, and Bottom. The Top option aligns the top tolerance value of a stacked pair of values with the primary dimension text. Middle aligns the gap between stacked tolerance values with the primary dimension text. Bottom aligns the bottom value of two stacked tolerance values with the primary dimension text.
Zero Suppression: Leading, Trailing, Feet, Inches | Suppresses zeros so they do not appear in the tolerance dimension text. For example, with the Leading option selected, 0.50 is shown as .50 (point five zero). With Trailing selected, it is shown as 0.5.
The Alternate Unit Tolerance Group
Precision | Sets the precision of the alternate tolerance dimension text. This option rounds off the dimension text to the nearest precision value you set. It does not affect the actual precision of the drawing.
Zero Suppression: Leading, Trailing, Feet, Inches | Suppresses zeros in alternate unit tolerance dimensions so they do not appear in the dimension text.
Image from book
Image from book
Figure 10.33: The Tolerances tab of the New Dimension Style dialog box

Setting the Current Dimension Style

Before you can begin to use your new dimension style, you must make it the current default:

  1. In the Styles list in the Dimension Style Manager dialog box, click the name of style you want to be current.

  2. Click the Set Current button at the far right of the dialog box.

  3. Click Close to exit the Dimension Style Manager dialog box.

You're now ready to use your new dimension style. You can also select a dimension style from the Dimensions control panel drop-down list (see Figure 10.34).

Image from book
Figure 10.34: The Dim Style Control drop-down list in the Dimensions control panel

Editing a Dimension Style

Once you've created a dimension style, you can always change it. To do so, you use the Modify option in the Dimension Style Manager dialog box:

  1. Choose Format è Dimension Style or enter d↲ to open the Dimension Style Manager dialog box. You can also click the Dimension Style tool in the Dimensions control panel (see Figure 10.35).

  2. Select the name of the dimension style you want to edit in the list box at the left of the dialog box.

  3. Click Modify to open the Modify Dimension Style dialog box.

Image from book
Figure 10.35: The Dimension Style tool in the Styles toolbar

Use the steps in the previous section as a guide to adjust your dimension styles.


Summary

As you work with dimensions, you might find that you'll make adjustments to the dimension style little by little, until you set up a style just the way you want. Once you've reached that point, you probably won't change your dimension styles often. You can then save your dimension style to a file using Express Tools, which are a set of optional plugin tools that you can add to AutoCAD 2008 (not 2008 LT), or you can add them to your most frequently used template file so the styles are available at all times.


Chapter 11: Gathering Information

Overview

AutoCAD drawings can contain a great deal of information. You can store text-based information both as labels in the drawing and as hidden written information, and you can also query graphic elements to find distance and area measurements.

This chapter provides information about how you can store and retrieve information about the drawing. You'll find out how to gather information from your drawing when you're measuring an area or looking for a lost file. You'll also find information about how to add textual data to help you when you're doing file searches with DesignCenter.


Measuring Areas

One of the first measurement tasks you're likely to need to perform is measuring the area in a drawing. It might be the area of a site plan or the floor space of a commercial building. Before AutoCAD came along, finding the area in a drawing was a tedious and error-ridden job. Now that you're using AutoCAD, you can quickly find areas of all shapes and sizes, and you'll be certain that you have an accurate area calculation.

You can measure an area in several ways. It's easiest to measure an area that is completely bounded by objects. The boundary can consist of individual objects, or it can be a single, closed polyline or spline. You can also find an area by selecting a set of points that define the corners of a boundary. This method is useful for areas that have straight sides such as a typical property line in a city grid.

Measuring the Area of a Polygonal Shape

If you're trying to find the area of a polygonal shape, you can use the Area command. The following steps describe the process:

  1. Choose Tools è Inquiry è Area, or enter Area↲ at the command prompt.

  2. Following the boundary edge, select the corners of your polygon. Use osnaps to make accurate point selections (see Figure 11.1).

  3. When you have selected all of the corners, press ↲. You'll see a message in the command line that gives the area and perimeter you just selected.

Image from book
Figure 11.1: Select points sequentially on a polygonal shape, as shown by the numbers, to find its area.

The shape can be as simple as a box or as complex as the one shown in Figure 11.1. You'll get an accurate reading as long as all the sides of the polygon are straight.

Measuring the Area of Complex or Curved Shapes

If the area you want to measure has curves in its boundary or if it's just too complex to use the previous method, the best step to take is to place a hatch pattern within the boundary. You can then use the Properties palette to find the area. The advantage to this method is that you'll always have a way to quickly get an area measurement. At any time, you can look at the properties of the hatch pattern that fills the boundary.

Using the Hatch Command to Create a Polyline Outline

Although the main purpose of the Hatch command is to place a hatch pattern in your drawing, hatch patterns can also tell you the area they occupy. Before you begin, however, you must be sure that the area you're trying to define has a continuous border.

If you're measuring a room with an open doorway, draw a temporary line across the doorway before using the Hatch command. Or if your drawing contains a door header layer, turn it on to display the door header. Also turn off the layer of any door blocks that might interfere with the creation of a hatch pattern of the entire room.

  1. Click the Hatch tool in the 2D Draw control panel or choose Draw è Hatch to open the Hatch And Gradient dialog box, as shown in Figure 11.2.

  2. Click the Add: Pick Points button. The Hatch And Gradient dialog box closes.

  3. At the Select internal point or [Select objects/remove Boundaries]: prompt, click the interior of the area you want to measure. You'll see the area outlined with a dashed line.

  4. Press ↲, and then in the Hatch And Gradient dialog box, click OK. Hatch draws a hatch pattern on the current layer. You can always change the layer assignment of the hatch pattern later.

  5. Select the newly created hatch pattern, right-click, and choose Properties.

  6. In the Properties palette, scroll down to the Geometry group to find the Area listing, as shown in Figure 11.3.

Image from book
Figure 11.2: The Hatch And Gradient dialog box
Image from book
Figure 11.3: The Area listing in the Geometry group of the Properties palette

You can use any hatch pattern you want because they'll all report the same area. Once you've obtained the area measurement of the hatch pattern, you can delete it. If you want to keep the hatch pattern for future reference, you can put it on a separate layer and turn that layer off.

If you put the hatch pattern you're using for area calculations on a different layer for future reference, make sure you turn off plotting for that layer. This will prevent you from accidentally including those hatch patterns in your plotted output. See Chapter 7 for more about layer settings.

If there is a gap anywhere in the area you're trying to measure, you might get an error message that says the area you're trying to select is not closed. You can use the Gap Tolerance setting to tell AutoCAD to ignore gaps of a certain size. You can also have the Hatch command place a polyline outline of the hatch area by turning on the Retain Boundaries option in the Hatch And Gradient dialog box. By including a polyline outline, you can delete the hatch pattern and still obtain the area of the polyline outline from the Properties palette just as you would for a hatch pattern. (See steps 5 and 6 of the previous example.) See Chapter 3 for more information about the Gap Tolerance and Retain Boundaries options.

Measuring Areas That Contain Islands

You might need to measure an area that contains other shapes such as circles or polygons, as shown in Figure 11.4. The Hatch command offers the ability to ignore these "islands" within a boundary. If your measurement must exclude these other shapes, make sure that the Island Detection option in the Hatch And Gradient dialog box is turned on and set to either Normal or Outer. Island Detection is turned on by default.

Image from book
Figure 11.4: An area containing other shapes, or "islands," that you do not want in your area measurement

Finding Cumulative Area Values

If you need to find the cumulative area of several spaces, you can place individual hatch patterns in those spaces, select all the hatch patterns, and then open the Properties palette. You'll see a Cumulative Area listing in the Geometry group that reports the total area of all the selected hatch patterns. (See the bottom of Figure 11.3 earlier in this chapter.)

Image from book Another tool you can employ is the QuickCalc calculator. You might have noticed a small calculator icon to the far right of the Area listing in the Properties palette. If you click that icon, the QuickCalc calculator opens with the area value already displayed.

You can use the Memory functions of the calculator to store and add area values, perform conversions, or do any other operation you require. You can also open the QuickCalc calculator by clicking the calculator icon in the standard toolbar.

Image from book


Finding the Coordinate of a Point

If you need to find the coordinates of several points in reference to a datum point, you must first set up a UCS with its origin at the datum point. You can then use the ID command to quickly find the coordinates.

  1. Choose Tools è New UCS è Origin, or enter ucs↲ Origin↲ at the command prompt.

  2. At the Specify new origin point <0,0,0>: prompt, use an osnap to select the datum point.

  3. Choose Tools è Inquire è ID Point.

  4. At the Specify point: prompt, use an osnap to select the exact point in your drawing. The coordinates are displayed in the command line.

    If a reference datum point is not important, you can skip steps 1 and 2 and start at step 3.

    If the coordinate system you're measuring from is at an angle in relation to AutoCAD's default or WCS, you can rotate the UCS around the z-axis before using the ID command:

  1. Choose Tools è New UCS è Z.

  2. At the Specify rotation angle about Z axis <90>: prompt, enter an angle or select two points to indicate an angle graphically. The UCS rotates to the new angle.

  3. Go to step 3 of the previous example to obtain the coordinates of the point you want.

    If you'd like to learn more about the UCS, see Chapter 6.


Measuring Distances

Measuring distances is simple:

  1. Choose Tools è Inquiry è Distance, or enter dist↲ at the command prompt.

  2. At the Specify first point: prompt, use an osnap, and select the start point of the distance you want to measure.

  3. At the Specify second point: prompt, use an osnap to select the endpoint of the distance. The distance is displayed in the command line in the following format:

    Distance = x.xxxx,  Angle in XY Plane = xx,  Angle from XY Plane = x
Delta X = x.xxxx,  Delta Y = x.xxxx,   Delta Z = x.xxxx

You'll see both the direct distance and the X, Y, and Z coordinates of the distance. You'll also see the angle within the XY plane and, if the distance is in 3D, the angle from the XY plane.


Measuring Angles

You can use the Distance command described in the previous section to find the angle represented by two points. But what if you want to find the angle between two lines, as in Figure 11.5?

Image from book
Figure 11.5: Using angular dimension to find the angle between two lines

AutoCAD doesn't have a specific command that does this, but you can use the Dimension command to add a dimension that shows you the angle between two lines. Here's how to create an angular dimension:

  1. Choose Dimension è Angular, or enter Dimang↲ at the command prompt.

  2. At the Select arc, circle, line, or <specify vertex>: prompt, select the first line.

  3. At the Select second line: prompt, select the second line.

  4. At the Specify dimension arc line location or [Mtext/Text/Angle]: prompt, you'll see the angular dimension at the cursor. Move it to the location that best shows the angle you want to measure, and then click.

If your drawing contains a lot of textual information you're using for information only, you can create a layer that does not print and then place that information on the nonprinting layer. See Chapter 6 for more information.

By default, AutoCAD's dimensioning feature rounds off angular dimensions to the nearest degree. You can adjust the Precision value for dimension styles to show angular values that are less than a whole degree. For more information, see Chapter 10.


Getting the General Status of the Drawing

You can quickly get the status of many drawings settings using the Status command. This command displays the current settings for limits, snaps, and grids, the display area, and other features. This information can help you understand a drawing or help troubleshoot a problem. Here's how it works:

  1. Choose Tools è Inquiry è Status, or enter Status↲ at the command prompt.

  2. The Text window displays a listing of the current status of the drawing, as shown in Figure 11.6.

Image from book
Figure 11.6: The AutoCAD Text Window showing the drawing status

Table 11.1 lists the options shown by the Status command and their meaning.

Image from book
Table 11.1: The Status Items and Their Meanings Open table as spreadsheet
ITEM | MEANING
(Number) Objects In D:\Folder\Subfolder | The number of AutoCAD objects in the drawing.
Model Space Limits Are | The coordinates of the Model tab limits. (See Chapter 2 for more details about limits.)
Model Space Uses | The area the drawing occupies; equivalent to Zoom extents.
**Over: | If present, this item means that part of the drawing is outside the area defined by the drawing limits.
Display Shows | The area shown by the current view.
Insertion Base Is, Snap Resolution Is, and Grid Spacing Is | The current default values for these settings.
Current Space | Model (model space) or Layout (paper space) tab.
Current Layout | The current tab.
Current Layer | The current layer.
Current Color | The current color.
Current Linetype | The current linetype.
Current Material | The current 3D modeling material.
Current Lineweight | The current line weight setting.
Current Elevation/ Thickness | The current default Z coordinate and the current thickness of objects. These are both 3D-related settings.
Fill, Grid, Ortho, Qtext, Snap, and Tablet | The status of these settings.
Object Snap Modes | The current default osnap setting.
Free Dwg Disk (Drive:) Space | The amount of space available to store drawing-specific temporary files.
Free Temp Disk (Drive:) Space | The amount of space left on your hard drive for AutoCAD's resource temporary files.
Free Physical Memory | The amount of free RAM available.
Free Swap File Space | The amount of Windows swap file space available.
Image from book


Finding the Time Spent on a Drawing

You might want to find out how much time you actually spent on a drawing for billing purposes, or you might just want to keep track of how long a drawing takes. Using the Time command is a quick way to get this information:

  1. Choose Tools è Inquiry è Time, or enter Time ↲ at the command prompt.

  2. The Text window displays the time information, as shown in Figure 11.7.

  3. At the Enter option [Display/ON/OFF/Reset]: prompt, press ↲ to exit the Time command.

Image from book
Figure 11.7: The time information in the AutoCAD Text window

As you can see from Figure 11.7, the information is self-explanatory. You can also turn the timer off by entering Off↲ at the prompt in step 3, or you can reset the timer to clear the current values by entering r↲.


Adding Nondrawing Data to Store with Your Drawing

The Drawing Properties dialog box lets you store nondrawing data with your drawing file. This can be textual information such as the project name, people involved in creating the drawing, or comments regarding the drawing. You can even add a keyword in the event that you'll need to search for this file using the AutoCAD DesignCenter or the Windows Search tool.

To get to the Drawing Properties dialog box, choose File è Drawing Properties. The General tab contains information such as the file size and when the drawing was created (see Figure 11.8).

Image from book
Figure 11.8: The General tab of the Drawing Properties dialog box

The Summary tab contains the Title, Subject, Author, Keywords, and Comments text boxes in which you can enter data (see Figure 11.9).

Image from book
Figure 11.9: The Summary tab of the Drawing Properties dialog box

The Statistics tab offers editing dates and times. The Custom tab (see Figure 11.10) lets you enter further textual data to be stored with the drawing.

Image from book
Figure 11.10: The Custom tab of the Drawing Properties dialog box


Finding Text in a Drawing

You often have to find a string of text to replace it or to simply locate a part of a drawing indicated by the text. AutoCAD offers the Find command to help you locate specific text in a drawing, including attribute values and dimension text. Here's how it works:

  1. Choose Edit è Find to open the Find And Replace dialog box, as shown in Figure 11.11.

  2. In the Find Text String text box, enter the text you want to find.

  3. Make sure Entire Drawing is selected in the Search In drop-down list.

  4. Click Find. If the text exists in the drawing, it appears in the Search Results list box. In addition, the label on the Find button changes to Find Next.

  5. If the text in the list box is not what you're looking for, click Find Next.

  6. When the appropriate text appears, click the Zoom To button to zoom into the text in the list box.

Image from book
Figure 11.11: The Find And Replace dialog box

You can use the Find command to search for attribute text, table text, dimension text, and hyperlinks. If you click the Options button in the Find And Replace dialog box, the Find And Replace Options dialog box appears, allowing you to finetune the search criteria (see Figure 11.12).

Image from book
Figure 11.12: The Find And Replace Options dialog box

This is where you can specify whether the search is case sensitive or whether to search for whole words.


Locating and Selecting Named Components

As your drawings become more complex, you'll have a harder time finding specific items you need to edit. For example, you might need to replace the text style of some notes that have been set improperly. You have a couple of tools that can help you find items in your drawing based on their name or the name of a property they possess. You can use the Quick Select feature, which is actually intended to select objects based on their properties. You can also use DesignCenter, which can show you graphic representations of named components in your drawing.

Searching Using Quick Select

You can locate objects based on the type of object or a property using the Quick Select tool. If the object has a name, such as a block, for example, you can also locate it with this tool. Although Quick Select is intended as a selection tool, since it highlights the objects in your drawing, you can see where the selected objects are in the drawing and then use the Zoom feature to zoom in on their locations.

The following example shows how you can find a block in a drawing:

  1. Choose Tools è Quick Select to open the Quick Select dialog box.

  2. Select Entire Drawing from the Apply To drop-down list.

  3. Select Block Reference from the Object Type drop-down list.

  4. In the Properties list, select Name.

  5. In the Operator list, select = Equals, as shown in Figure 11.13.

  6. Locate the name of the block you want in the Value drop-down list.

  7. Click OK. You'll see the selected objects highlighted in the drawing.

Image from book
Figure 11.13: The Quick Select dialog box with = Equals selected in the Operator list

One feature you'll want to be aware of is the Operator list. By default, it shows =Equals, which lets you find an object whose property equals the one shown in the Value list, but you can also base your selection on properties that are not equal to the settings you select. If the selection criteria involve a numeric value, you can also use greater-than or less-than operators.

You can also use DesignCenter to locate named items such as blocks, linetypes, text styles, and dimension styles.

Viewing a List of Named Components

If you don't necessarily need to find a named element in a drawing but just want to see a listing of them, you can use DesignCenter. DesignCenter shows you not only the named components in open drawings but also the named components in other drawing files. You can even search folders containing drawing files to locate a particular named component. You can find a detailed discussion of DesignCenter in Chapter 7.


Finding Missing Support Files

Sometimes a drawing appears incomplete or incorrect because of missing support files. If font files are missing, AutoCAD attempts to substitute another font, but your text will not appear as it was intended. Or if a custom linetype was used for parts of the drawing, they will not appear correctly. Whole parts of a drawing will be missing if AutoCAD can't find xrefs.

If you open an AutoCAD drawing and find that you're missing support files such as these, it might be that you need to direct AutoCAD to the proper location for these files.

Locating Xrefs

If you open a drawing and most of it appears to be missing, chances are an xref has been misplaced. You'll know an xref is missing because you'll see a text string that starts with the word Xref and is followed by a search path, as shown in Figure 11.14.

Image from book
Figure 11.14: Text shown in place of a missing xref

Another clue that you're missing an xref is an exclamation point in the lower-right corner of the AutoCAD window (see Figure 11.15).

Image from book
Figure 11.15: The lower-right corner of the AutoCAD window shows an exclamation point with a paper clip icon.

If this happens to you, do the following:

  1. Choose Insert è External References, click the exclamation point in the lower-right corner of the AutoCAD window, or enter Xref↲ at the command prompt to open the External References palette, as shown in Figure 11.16.

  2. You'll see the name of the missing xref in the list box. Make note of the filename, and then use the Windows Search utility (choose Start è Search è For Files or Folders) to find the missing file.

  3. Back in AutoCAD, locate the Found At text box near the bottom of the External References palette, and click the text box.

  4. Click the Browse button (the one that shows ellipses) to the right of the Found At text box to open the Select New Path dialog box.

    Image from book

  5. Browse to the location of the missing file, and select it.

  6. Back in the External References palette, you should see that the exclamation point has disappeared and the file is listed as Loaded, as shown in Figure 11.17.

Image from book
Figure 11.16: The External References palette
Image from book
Figure 11.17: The External References palette showing the Loaded text in the Status column

Another option is to first look at the name of the search path shown in the drawing or in the Saved Path text box of the External References palette, as shown in Figure 11.18.

Image from book
Figure 11.18: Hover over the Saved Path text box to display the search path for the xref.

This tells you where AutoCAD expects to find the file. Use the Windows Search utility to find the missing xref, and then place the files drive and folder location in the text box labeled Found At near the bottom of the External References palette. You can also place the file in the same folder as the current drawing.

Locating Fonts, Linetypes, and Hatch Patterns

AutoCAD relies on external files for fonts, linetypes, and hatch patterns. Occasionally, you'll encounter a drawing that cannot find one or all these external files, in which case the drawing produces the wrong display for these items. This might happen when you receive files from another source, such as a consultant or a client.

If the support files are in the same folder as the drawing that uses them, you shouldn't have a problem, but you might find that, for whatever reason, you have to maintain the folder structure from the original source location. In this case, the support files might not be where AutoCAD expects to find them.

Using the Options dialog box, you can tell AutoCAD to look in a specific location for these support files:

  1. Choose Tools è Options or enter Options↲ in the command line to open the Options dialog box.

  2. Make sure the Files tab is selected, as shown in Figure 11.19.

  3. Click the plus sign to the left of the Support File Search Path option. The option expands to show a list of the current search paths.

  4. Click the Add button, and then click the Browse button to open the Browse For Folder dialog box (see Figure 11.20).

  5. Find the location of your support files, and then click OK. The new location appears in the Support File Search Path list box.

  6. Click OK to exit the Options dialog box.

Image from book
Figure 11.19: The Files tab in the Options dialog box
Image from book
Figure 11.20: The Browse For Folder dialog box


Summary

In this short chapter, you saw some of the most important features in AutoCAD. Finding measurements is perhaps the simplest, yet most useful, AutoCAD tool. Other information, such as the time spent editing or getting the overall settings in one view, can save time and guesswork if you're managing a project.

Other features discussed in this chapter can help you troubleshoot a problem. Locating missing files is a fairly common task, especially if you're sharing files with another office, and the Status command is often the first step in diagnosing other file-related problems.


Chapter 12: Laying Out and Printing Your Drawing

Overview

Printing in AutoCAD is a bit more complicated than in other applications-for a good reason. You'll often be required to print a drawing multiple times over the course of a project, and you'll want your drawings to be consistent from one print to the next. And since AutoCAD is a graphics program, you'll spend a greater amount of time laying out your drawings on a sheet in order to visually organize your work.

This chapter covers two aspects of printing: preparing your drawing's final appearance in a layout tab and printing your drawing. The layout tabs let you organize your drawing in a precise way and include standard drawing borders and titles while giving you flexibility in the scale and orientation of your drawing on the printed sheet. Finally, you can get an accurate view of how your drawing will look before you commit it to paper.

AutoCAD's print features offer more than just orientation and sheet sizes. You can store your printer settings so you can easily and accurately reproduce prints. Since AutoCAD offers some advanced 3D capabilities, you can combine 3D views with 2D drawings. You can even include information about the file so you can easily identify the source for the printed drawing.

If you're new to AutoCAD and you need to get started with printing, you'll want to read the first section of this chapter carefully. It provides an overview of the layout and print features in a tutorial format. The sections that follow give you more detailed information about layout tabs and how to use them. After that, you'll find more detailed information about how to print your drawing and the settings associated with printing.


Setting Up a Drawing for Printing

In most programs, you choose File è Print and send your drawing to the printer. Although you can do this in AutoCAD, the best way to control your print results is to set up how your drawing will look in a layout tab.

In the following sections, you'll learn how you can set up the scale and location of your drawing on the printed page exactly as you want it. To help you get familiar with the process, the first part of this chapter is a tutorial showing you the parts of the layout tabs and how they behave. You'll then learn how to set the scale and location of your drawing on the printer medium before you actually send the drawing to the printer.

Exploring the Layout Tabs

When you're ready to print your drawing, you'll need to do a little setup first. The layout tabs help you set up your drawing precisely the way you want it to appear before you print. The following steps introduce the layout tabs:

  1. Open a new drawing and add a few objects, such as rectangles and circles. We'll use these to show how the layout tabs work.

  2. Click a layout tab. You'll see your objects appear within a rectangle, which itself is inside a white rectangular area, as shown in Figure 12.1.

Image from book
Figure 12.1: A view of your drawing in the Layout1 tab

The white area represents the paper onto which your drawing will be plotted. It appears over a gray area, and you'll see a drop shadow behind the white area. The dashed line indicates the nonprintable border of your printer. Finally, the solid rectangle that frames your drawing is a viewport, which is like a window into your Model tab drawing. This viewport behaves like any other AutoCAD object in that it has properties that you can edit through the Properties palette. You can set the viewport's layer, linetype, and color assignment; and you can change its width and height using grips. You can even hide the viewport outline by turning off its layer.

Exploring the Viewport

The viewport has a few properties that are quite unusual. First, it displays the drawing you created in the Model tab. Second, it has properties that control the exact scale of the view it displays. You can also pan and zoom the view, so you're not fixed to any one view within the viewport.

  1. Try selecting part of your drawing by clicking inside the viewport. Nothing is selected. This is because you're currently in the layout space, otherwise known as paper space. Later, you'll see how you can reach into the viewport to edit your view while still in a layout tab.

  2. Click the viewport border, right-click, and choose Properties from the shortcut menu. You can see from the Properties palette that the viewport is just like any other Auto-CAD object. You can even hide the viewport outline by turning off its layer.

  3. Close the Properties palette, and then with the viewport still selected, press Delete, or click the Erase tool in the 2D Draw control panel. The view of your drawing disappears.

This shows you that the viewport is like a window into the drawing you created in the Model tab. Once the viewport is erased, the drawing view goes with it.

  1. Enter U↲ or click the Undo button in the Standard Annotation toolbar to restore the viewport.

  2. Click the Paper button in the status bar, as shown in Figure 12.2.

Image from book
Figure 12.2: The Paper button in the status bar

The button label changes to say Model, and you'll notice that the viewport border becomes thicker. By clicking the Paper button, you changed to floating model space. Floating model space allows you to edit the drawing within the viewport as if you were in the Model tab.

Take a closer look at the viewport, and you'll see that the UCS icon appears within the viewport. The viewport looks as if it were a miniature version of the Model tab. In fact, that's exactly how floating model space behaves. You can think of floating model space as a shortcut to the contents of the Model tab.

  1. Click any of the objects you drew at the beginning of this exercise. You can now select objects within the viewport.

  2. Try zooming and panning your view. Changes in your view take place only within the boundary of the viewport.

  3. Choose View è Zoom è All or enter Z↲ A↲ to display the entire drawing in the viewport once again.

  4. Click the Model button in the status bar to return to paper space. The viewport border returns to its original thickness, and the UCS icon disappears from within the viewport.

This exercise showed you the unique characteristics of the layout tabs. The objects within the viewport are inaccessible until you enter floating model space by clicking the Paper button in the status bar.

The layout tabs can contain as many viewports as you like, and each viewport can hold a different view of your drawing. You can size and arrange each viewport in any way you like, giving you the freedom to lay out your drawing as your needs dictate.

Nothing prevents you from drawing in a layout tab around and on top of a viewport. In fact, some users find it convenient to draw dimensions and notes in a layout tab to help keep drawing notation consistent when multiple viewports are present. Another common practice is to add title blocks and borders in a layout tab to frame your drawing. Items you draw in a layout tab will not appear in the Model tab.

Selecting a Paper Size and Orientation

In a new AutoCAD setup and with a new drawing, AutoCAD assumes you want to print your drawing on an 8½" × 11" sheet of paper, so that is the size of the default paper area shown in a layout tab. If you have a printer capable of printing larger formats, you can set up the layout to show larger sizes and different drawing orientations. The following introduces the Page Setup Manager and the Page Setup dialog boxes:

  1. Choose File è Plot or right-click a layout tab at the bottom of the AutoCAD window, and choose Plot to open the Plot dialog box, as shown in Figure 12.3.

  2. Click the Name drop-down list in the Printer/Plotter group, and select the printer you want to use.

  3. Click the More Options button in the lower-right corner of the dialog box. It's the round button with the right-pointing arrow (see Figure 12.4).

  4. In the Drawing Orientation group that appears in the lower-right corner of the dialog box, select the Landscape or Portrait radio button.

  5. To ensure that your drawing prints in black and white instead of color or shades of gray, select monochrome.ctb from the Plot Style Table (Pen Assignments) drop-down list, as shown in Figure 12.5.

Image from book
Figure 12.3: The Plot dialog box
Image from book
Figure 12.4: The More Options button
Image from book
Figure 12.5: The Plot Style Table drop-down list showing the monochrome.ctb option

After making your changes, you can save the settings for use in other layout tabs. This saves you from having to set up each layout that you create and use.

  1. At the top of the Plot dialog box, click the Add button in the Page Setup group, as shown in Figure 12.6.

  2. In the Add Page Setup dialog box, you can enter a name for your setup, or you can just accept the default name offered by AutoCAD (see Figure 12.7). Click OK to return to the Plot dialog box.

  3. Click the Apply To Layout button at the bottom of the Plot dialog box to save the settings you just made.

  4. Click Cancel to exit the Plot dialog box without printing your drawing.

Image from book
Figure 12.6: The Add button in the Page Setup group
Image from book
Figure 12.7: The Add Page Setup dialog box

When you return to the layout tab you've been setting up, you might notice some subtle differences in the dashed line that shows the nonprintable area of your printer. Since every printer is different, this area depends on your specific printer selection.

The next time you open the Plot dialog box, you'll see the same settings you entered in the previous example. You can then click OK to go ahead with your printing.

This section gave you a brief tour of the layout features in AutoCAD. The rest of the chapter describes the methods you'll need to know to fine-tune your printer output, starting with the issue of scale.

Using a Layout Tab to Scale Down Your Drawing

In the Model tab, you draw everything to full scale. When you're ready to print, you need a way to scale down your drawing to fit on a piece of paper. The layout tabs are like the staging ground where you can adjust your Model tab drawing to fit a sheet of paper. You can choose from a set of standard scales for your Model tab drawing so that it fits onto the paper size you have selected for your output. If you don't know the scale to use, you can try various ones to find the one that allows your drawing to fit your paper.

To set the scale of a viewport in a layout tab, take the following steps:

  1. In a layout tab, click the viewport border to select it, right-click, and choose Properties from the shortcut menu to open the Properties palette for the viewport.

  2. Click the Viewport Scale drop-down list at the bottom of the AutoCAD window, and select the scale you want to use. The view in the viewport changes to reflect the new scale.

    Image from book

You can also set the viewport scale through the Properties palette. Select the viewport, right-click, and then choose Properties. You can set the viewport scale in the Standard Scale option (see Figure 12.8).

Image from book
Figure 12.8: A list of scales in the Properties palette

Here you see that you can select a scale for a viewport from the Properties palette. If you look just below the Standard Scale option, you'll see the Custom Scale option. You can enter a scale factor in the Custom Scale text box for scales not listed in the Standard Scale option.

Creating Additional Viewports

Quite often, you'll want several views of your Model tab drawing visible in a layout tab. For example, you might have a wall section at one scale and enlarged details at another, and you might want both to appear in a layout tab.

Adding a Single Viewport

You can add as many viewports as you need through the Viewports dialog box, but if you need to add only one, here's what you can do:

  1. Choose View è Viewports è New Viewports to open the Viewports dialog box.

  2. Make sure the New Viewports tab is selected, and then select the Single option in the Standard Viewports list, as shown in Figure 12.9.

  3. Click OK.

  4. At the Specify first corner or [Fit] <Fit>: prompt, click a point in the layout for the first corner of the new viewport.

  5. At the Specify opposite corner: prompt, you'll see the corner of the new viewport follow the cursor. Click a point to place the other corner of the viewport.

Image from book
Figure 12.9: The Single option selected in the New Viewports tab

Don't worry if your viewport isn't exactly the size you want it. You can adjust the size of the viewport by selecting its border and then clicking a corner grip to move the corner.

If you want the viewport to cover the entire layout, you can enter F↲ in step 4 to use the Fit option. This immediately places the viewport in the layout that extends all the way to the edge of the printable area of the layout.

Adding Multiple Viewports at Once

The Viewports dialog box contains several options that let you add multiple viewports at one time. In step 2 of the previous example, you selected the Single option. If you select another option, such as the Three: Above option, for example, you'll see a preview of the viewport layout in the preview panel to the right (see Figure 12.10). This shows you the arrangement of the selected option as it will appear when you finally place the viewport.

Image from book
Figure 12.10: The Three- Above option in the Viewports dialog box

Once you select an option and click OK, you can place the viewports as described in steps 4 and 5 of the previous example. You can also enter F↲ in step 4 if you want the viewports to fill the layout.

Exploring Other Multiple Viewport Options

Some other options also let you control the views that appear in each of the viewports. By default, the current model space view is placed in all the viewports as indicated in the preview area.

You can select between 2D and 3D views from the Setup drop-down list shown in Figure 12.11.

Image from book
Figure 12.11: The Setup option at the bottom of the Viewports dialog box

You can then use the Change View To drop-down list shown in Figure 12.12 to select the type of view you want for each viewport.

Image from book
Figure 12.12: The Change View To drop-down list at the bottom of the Viewports dialog box

If you want a viewport to use a visual style, you can select one from the Visual Style drop-down list in the lower-right corner of the dialog box. This is useful if you want to be able to see a conceptual visual style of a 3D model in one viewport while working on that model in a wireframe style.

Controlling How Viewports Display and Print

Several other settings let you control the way viewports display and print your drawing. You can turn the display of your drawing off entirely, lock the view to prevent accidental pans and zooms, and set up a 3D view to plot a hidden line or rendered view.

Locking the Viewport View from Pans and Zooms

You might end up spending a fair amount of time setting up your Viewport view for the proper scale and view area. But you can easily alter the scale accidentally, just by going to floating model space and zooming in to a part of the view. For this reason, AutoCAD offers a way to lock the Viewport view so zooms and pans will not alter the scale or view contents.

To lock the viewport from pans and zooms, click the viewport border to select it, right-click, and choose Display Locked è Yes. Once you've done this, you can use the Pan and Zoom tools to move around in the viewport, but you won't affect the actual Viewport view.

Turning the Viewport Display On or Off

Another lesser-used viewport feature is the ability to turn the view on or off. If you encounter a drawing with empty layout viewports, chances are you can turn on the display by doing the following: click the viewport border to select it, right-click, and choose Display Viewport Objects è Yes.

Printing a 3D Model with Hidden Lines or Shaded

If you have a Viewport view of a 3D model and you want that model to print as a hidden-line view or as a shaded view, you can do the following: click the viewport border to select it, right-click, and choose Shade Plot è Hidden or Shade Plot è Rendered. Your view of the model won't change, but when you plot the layout, the 3D model appears as a hidden-line view or a rendered view.

Setting Layers for Individual Viewports

You can control the layer settings for each individual viewport in a layout tab. This can be helpful when you want to show the same view of a drawing in different ways. For example, you can draw a single floor plan in the Model tab with different types of information on different layers. Then in a layout tab, you can create multiple viewports showing the same view but with different layer settings in each viewport to show the different elements. If your drawing is a floor plan, you might want a layout that shows one viewport with the furniture layer turned on and another viewport with an electrical layout layer turned on and the furniture turned off, as shown in Figure 12.13.

Image from book
Figure 12.13: A layout with two viewports, each showing the same view with different layer settings

In the Layer Properties Manager dialog box, you're already familiar with the sun icon farthest to the left of any layer. This is the Freeze/Thaw icon that controls the freezing and thawing of layers globally. Several columns to the right of that icon is a sun icon with a transparent rectangle. This icon, called the VP Freeze icon, controls the freezing and thawing of layers in individual viewports. The next exercise shows you firsthand how it works:

  1. Click the Paper button on the status bar to go to floating model space.

  2. Click in the viewport whose layers you want to control.

  3. Open the Layer Properties Manager dialog box.

  4. Locate the layer you want to freeze or thaw, and then click its name to isolate this layer in the list (see Figure 12.14).

  5. Look for the VP Freeze column for the selected layer. You might need to widen the Layer Properties Manager dialog box or use the scroll bar at the bottom of the dialog box to find this column. The VP Freeze column is the twelfth column from the left side of the dialog box. The icon looks like a rectangle behind a sun. The sun tells you the layer is on for the current viewport (see Figure 12.15).

  6. Click the VP Freeze icon to turn the layer off for the current viewport. The sun changes to a snowflake.

  7. Click OK when you're finished. The selected viewport changes to reflect the layer changes you made.

Image from book
Figure 12.14: A single layer selected in the Layer Properties Manager dialog box
Image from book
Figure 12.15: The Current VP Freeze option in a layer listing

You can also use the Layer Control drop-down menu in the Layers control panel to freeze layers in individual viewports. Proceed with the steps in the previous example, but instead of opening the Layer Properties Manager dialog box in step 3, open the Layer Control drop-down list shown in Figure 12.16.

Image from book
Figure 12.16: The Layer Control drop-down list

Select the layer you want to affect from the drop-down list, and then click the sun icon with the small rectangle to turn the layer off.

If you find that a layer does not display in a viewport and you want it turned on, you might need to turn it on or thaw it globally by using the On/Off or Freeze/Thaw column of the Layer Properties Manager dialog box.

Adding Layouts

In a new drawing, AutoCAD provides two layout tabs, labeled Layout1 and Layout2. You're not limited to two layouts. For small projects with only a handful of drawings in the printed set, you can set up a layout for each sheet in the set.

If you need more layout tabs, you can easily duplicate an existing layout by doing the following:

  1. Right-click the layout tab you want to duplicate.

  2. Choose Move Or Copy from the shortcut menu to open the Move Or Copy dialog box.

  3. Select the name of the layout you want to copy, and turn on the Create A Copy option at the bottom of the dialog box (see Figure 12.17).

  4. Click OK. A new layout tab appears below the drawing area next to the existing tabs. The new tab contains the name of the original tab from which the copy was made plus a number in parentheses indicating that it is a copy of the original.

Image from book
Figure 12.17: The Move Or Copy dialog box with the Create A Copy option turned on

To rename the new tab, or any tab for that matter, right-click the tab, and choose Rename from the shortcut menu to open the Rename Layout dialog box. Enter a new name, and click OK.

The new tab will have the same printer settings as the original tab.


Printing Your Drawing

Once your layout is set up, you're ready to print your drawing. If you read the first part of this chapter, you saw how you can right-click a layout tab and choose the Plot option to open the Plot dialog box. From there, you can print your drawing after making a few adjustments. In that first example, you selected a printer, paper size, and paper orientation. These are the most common settings, but eventually, you'll have to use some of the other settings in the Plot dialog box.

In the following sections, you'll find descriptions for each group of options in the Plot dialog box. Some options are fairly common, such as those in the Drawing Orientation group, but others might be new to you, such as those in the Plot Area group. You might want to skim the following sections so you have an idea of what all the options are for, and then later, when you have some special needs, you can refer to the topic you need.

Selecting and Storing Printer Settings

The Printer/Plotter group lets you select a printer and make setting changes to the printer you select. At first glance, these settings look like those of any other Windows program, but an important difference exists. You can save changes you make to a printer's properties and later recall them. Here's how it works:

  1. Choose File è Plot, or right-click the layout tab at the bottom of the AutoCAD window and choose Plot to open the Plot dialog box.

  2. From the Name drop-down list in the Printer/Plotter group, select a printer.

  3. Click the Properties button to open the Plotter Configuration Editor dialog box.

  4. Make a change to any of the properties in this dialog box (see the next section, "Printer Configuration Options").

  5. Click OK. You'll see the Changes To A Printer Configuration File dialog box, as shown in Figure 12.18.

  6. Click the Save Changes To The Following File option, then enter a name for this printer configuration that will remind you of the settings, and finally click OK.

Image from book
Figure 12.18: The Changes To A Printer Configuration File dialog box
Image from book
HOW DO I GET MY COLORS TO PRINT IN BLACK AND WHITE?

By default, AutoCAD prints your drawings just as they appear in the AutoCAD window, including the colors you assign to layers or objects. The AutoCAD colors are helpful when you're editing because they can help you visually organize your drawing, but most of the time, you'll want to print your drawings in black and white. You can use plot styles to automatically convert colors to black or shades of gray. You'll find more about plot styles in the section "Using AutoCAD's Predefined Plot Styles" later in this chapter.

Image from book

The next time you use the Name drop-down list to locate a printer, you'll see the name of the printer configuration file you just created. You can then select that configuration file to use those printer settings. This saves you from having to remember settings you used to print a drawing.

A single printer can have multiple configuration files. You can create a configuration for custom paper sizes or any other settings you find useful in the Plotter Configuration Editor dialog box.

Configuration files end with the .pc3 filename extension. They are usually stored in the Plotters folder under the C:\Documents and Settings\User Name\Application Data\Autodesk\AutoCAD 2008\R17.1\enu\ folder. User Name is your login name. You can get to this folder quickly by choosing File è Plotter Manager.

Exploring the Printer Configuration Options

The printer configuration options vary somewhat from printer to printer, but this section contains some general guidelines for using the Plotter Configuration Editor dialog box. These options include items such as the port your printer is connected to, the quality of bitmap image printing, custom paper sizes, and printer calibration, which lets you adjust your plotter for any size discrepancies in output.

The Plotter Configuration Editor dialog box has three tabs: General, Ports, and Device And Document Settings. The General tab lists Windows drivers that this configuration uses, if any, and it has a space for your own comments. The Ports tab lets you specify where your plotter data is sent. You can also select AutoSpool, which allows you to direct your plot to an intermediate location for distribution to the appropriate output device. The Device And Document Settings tab is the main part of this dialog box. The main list box contains options in a hierarchical list, similar to a listing in Windows Explorer (see Figure 12.19).

Image from book
Figure 12.19: The Device And Document Settings tab of the Plotter Configuration Editor dialog box

The list has four main categories: Media, Graphics, Custom Properties, and User-Defined Paper Sizes & Calibration. Not all the options under these categories are available for all plotters. When you select an item from this list, the area just below the list displays the options associated with that item.

Media

Many printers offer options for choosing the source and size of printer media and for choosing the media type. If the Source And Size option is available, the Media option lets you select it. Duplex Printing, when available, allows for double-sided printing in printers that support this feature. Media Destination, when available, lets you select a destination for output such as collating or stapling in printers that support such features.

Graphics

These options give you control over color depth, dots per inch, and the rendering of shaded areas. You can adjust your output for better color or faster speed. One popular setting is Merge Control, which controls how overlapping lines are drawn.

Custom Properties

These options are actually the same as those you find when you edit your printer properties through the Windows Start menu. (Choose Start è Settings è Printers And Faxes, right-click the printer whose properties you want to edit, and choose Properties.) The main difference here is that settings you make through this option are saved in a plot configuration file.

User-Defined Paper Sizes & Calibration

Several settings relate to paper sizes that fall under the heading of User-Defined Paper Sizes & Calibration. For some printers, the Custom Paper Sizes option offers the ability to create a nonstandard paper size. Another similar option is Modify Standard Paper Size. As the name implies, this option lets you change the standard paper sizes. Filter Paper Sizes is handy for printers that offer a large number of paper sizes. You can limit the sizes shown in the Plot dialog box by selecting the sizes you want to appear from a list.

Another option under the User-Defined Paper Sizes & Calibration heading is Plotter Calibration. This feature is significant because it lets you adjust the aspect ratio of your image on the printed page. If you find that your printer stretches your drawing in one direction, you might need to calibrate your printer. The Plotter Calibration option offers a way to adjust your printer so it produces a properly proportioned print.

If you select Plotter Calibration, the Calibrate Plotter button appears in the lower half of the dialog box. Click this button to start the Calibrate Plotter Wizard. You can follow the instructions in the wizard to fine-tune the width and height ratio of your printer output.

Selecting a Paper Size and Number of Copies

These options are fairly obvious. You can select a paper size from the Paper Size drop-down list and set the number of copies in the Number Of Copies text box in the Plot dialog box. One feature of the Paper Size option is not obvious. You can control the paper sizes that are displayed by editing the properties for the current printer. See the preceding "Exploring the Printer Configuration Options" section.

Determining What View Will Print

You can be selective about the part of your drawing that prints. The Plot Area group offers the What To Plot drop-down list. This list contains several options that determine the view that is sent to the printer. Typically, you print from a layout, so you use the Layout option. But at other times, you might want to print from the Model tab and select a specific view. The other options offer different ways to select the area to print. Table 12.1 shows those options and describes their typical use.

Image from book
Table 12.1: The What To Plot Options Open table as spreadsheet
OPTION | USE
Display | Uses the current display as the area to print.
Extents | Uses the extents of the drawing as the area to print. This is the same view that you'll see on the screen if you choose View è Zoom è Extents.
Layout | Uses the current layout as the print area.
Limits | Available in the Model tab only. It uses the limits of the drawing to determine what to print. This is the same view you'll see in model space when you choose View è Zoom è All.
Window | Asks you to select a window to indicate the area you want to plot. The dialog box temporarily closes to allow you to select points.
Image from book

The Scale option in the Plot Scale group affects how these options appear in the final printed sheet. Typically, if you're using the Layout option, you can use the default scale of 1:1 in the Plot Scale group. You'll have to calculate the proper scale for the Limits, Extents, Display, and Window options, or if the scale is not important, you can use the Fit To Paper option.

Adjusting the Location of Your Printed Image

You can adjust the position of your drawing on the printed sheet by changing the options in the Plot Offset (Origin Set To Printable Area) group. X and Y options let you adjust the location of the printed image by increasing the X and Y coordinate value. The default zero X and zero Y location is the lower-left corner of the printable area. (Remember that a dashed line represents the printable area in a layout tab.)

If you prefer, you can set up AutoCAD to use the corner of the paper as the origin instead of the printable area. The Plot And Publish tab of the Options dialog box (choose Tools è Options) offers the Specify Plot Offset Relative To button group. This group offers two radio buttons: Printable Area and Edge Of Paper. You can select the option that makes the most sense for you.

Setting the Print Scale

If you're printing from a layout tab, you can usually keep this setting at 1:1. You have the option to alter that scale using the options in the Plot Scale group. For example, if you want to print a drawing at half its intended size, you can specify a scale of 1:2 in the Scale drop-down list. Or if you're printing a 3D view from the Model tab, you can use the Fit To Paper option.

For the most part, you need to set the plot scale only if you're plotting from model space and are using one of the options in Table 12.1 other than the Layout option. If that is what you're doing, be sure that the scale you select allows your drawing to fit on the paper size you select in the Paper Size group. You can use the Preview button in the lower-left corner of the Plot dialog box to check.

Selecting a Scale

To use the Scale options, open the Scale drop-down list, and select a scale. The proportions of the scale then appear in the inch= and units text boxes. For metric users, the text boxes are labeled mm= and units. If you want to use a scale that is not listed in the Scale drop-down list, select Custom, and then enter the appropriate values in the inch= or mm= and units text boxes.

Adjusting Line Weights to Your Scale

AutoCAD lets you set line weights in your drawing. When you plot your drawing through a layout tab, AutoCAD faithfully prints the line weights you've selected. But often, you want to print a half-size view or your layout, and you want the line weights reduced to half their specified size. To ensure your line weights are scaled to your half-size prints, make sure the Scale Lineweights setting is turned on. AutoCAD then applies the selected scale to line weights.

Options for Printing 3D Views

Image from book When you're working with 3D models in AutoCAD, you can view them as 2D or 3D wireframe, hidden-line, or conceptual or realistic shaded views. A wireframe view shows all the lines in the model as if you could see through it. A hidden view gives you a more realistic view by hiding the parts you usually wouldn't see. A shaded view adds a bit more realism by giving the surfaces of the model a solid, colored appearance.

You can apply these view options to your printed output through the Shaded Viewport Options group in the Plot dialog box and the Properties palette for the Layout viewport. The Shaded Viewport Options group offers three main options.

  • The Shade Plot drop-down list

  • The Quality drop-down list

  • The DPI (which stands for dots per inch) text box

If you don't see the Shaded Viewport Options group, click the More Options button in the lower-right corner of the Plot dialog box.

The Shade Plot options in the Plot dialog box are not available if you're plotting from a layout tab. Instead, you can control this value by doing the following:

  1. First, make sure that a printer is selected in the Page Setup dialog box (See "Storing Your Printer Settings" later in this chapter).

  2. With the Plot dialog box closed, select the viewport containing the 3D view.

  3. Right-click, and then choose Shade Plot from the shortcut menu.

  4. From the cascading menu, select the option that you want to apply to the viewport. The choices are As Displayed, Wireframe, Hidden, 3D Hidden, 3D Wireframe, Conceptual, Realistic, and Rendered. You can also select the quality settings of Draft, Low, Medium, High, and Presentation. (LT users will not have the Rendered or other 3D options.)

As Displayed plots the 3D view as it appears in the viewport. Hidden plots your 3D view with hidden lines removed. Rendered renders your 3D view before plotting. The Conceptual and Realistic options plot the drawing as they appear with these visual styles (see Chapter 6 for more about visual styles). The quality settings of Draft, Low, Medium, High, and Presentation control the resolution of the image. Draft is the lowest resolution, and Presentation is the highest resolution.

Plot Options

The Plot Options group contains some general settings that you can use to control your printer output.

Plot in Background If you're printing a fairly large file that will take some time, you can use this option to print in the background. You can then get back to work while AutoCAD prints.

Plot Object Lineweights If you set line weights by object or layer, this option prints line weights as you specified them.

Plot with Plot Styles Plot styles give you control over the way colors, line weights, area fills, and the corners of lines print. You can use this setting to specify whether to use plot style settings. See the section "Controlling Color, Lines, and Fills through Plot Styles" later in this chapter.

Plot Paperspace Last When you're printing from a layout tab, this option determines whether objects in paper space are drawn before or after objects in model space.

Hide Paperspace Objects AutoCAD offers controls over 3D hidden-line views in viewports through the shortcut menu or the Properties palette for a selected viewport. In the event that a 3D model has been drawn in the layout tab in paper space, this option prints paper space objects using hidden lines.

Plot Stamp On You can add a plot stamp to your printer output using this option. The plot stamp prints information about the current drawing that can be helpful to anyone viewing the printed copy. When you activate Plot Stamp On, the Plot Stamp Settings button appears.

Image from book

You can click this button to gain access to the Plot Stamp dialog box.

Image from book

This dialog box lets you determine the information included in the plot stamp. Clicking the Advanced button opens the Advanced Options dialog box, which lets you specify the location and orientation of the plot stamp. It also lets you adjust font and text size.

Image from book

Save Changes to Layout When this option is turned on, the changes you make to the Plot dialog box settings are saved with the current layout.

Drawing Orientation

As with most programs, you can control the orientation of the document you're printing. In the Drawing Orientation group, you have the typical Landscape and Portrait options plus the Plot Upside-Down option.


Storing Your Printer Settings

You'll most likely have to print an AutoCAD drawing many times over the course of a project. Not only that, but each time you print a drawing, you might want to use the same settings. To help you keep consistency in your printing, AutoCAD offers the Page Setup Manager dialog box.

If you did the exercise at the beginning of this chapter, you encountered the Page Setup option in the Plot dialog box. There, you made some plotter settings and then saved the settings as a page setup called Setup1. You don't have to save your printer settings in a setup, but doing so can be a real time-saver.

The Page Setup group at the top of the Plot dialog box lets you select from a drop-down list of setups you've created. You can also create and manage setups through the Page Setup Manager dialog box. You can get to the Page Setup Manager and edit or create new setups by doing the following:

  1. In AutoCAD, choose File è Page Setup Manager, or right-click a layout tab and choose Page Setup Manager to open the Page Setup Manager dialog box, as shown in Figure 12.20.

  2. Click the New button to open the New Page Setup dialog box, as shown in Figure 12.21.

  3. To create a new page setup, enter a name in the New Page Setup Name input box, and then select a prototype setup from the Start With list box. AutoCAD offers the name of Setup1 as a default for a new setup, but it will be helpful to give your setup a name to help you remember the purpose of the setup.

  4. Click OK when you're finished. The Page Setup dialog box opens. This dialog box is nearly identical to the Plot dialog box, with a few options made unavailable.

  5. Make your custom settings, and then click OK. You return to the Page Setup Manager dialog box. You'll see your new page setup in the Current Page Setup list box.

  6. You can select a page setup from the list box and then click the Set Current button to make it the current page setup for the layout. You can also select a page setup from the Page Setup group of the Plot dialog box (see Figure 12.22).

Image from book
Figure 12.20: The Page Setup Manager dialog box
Image from book
Figure 12.21: The New Page Setup dialog box
Image from book
Figure 12.22: Select a page setup from the Page Setup group of the Plot dialog box.

Page setups are stored with the drawing, but if you want to import a setup from another drawing, you can do so by clicking the Import option in the Page Setup Manager dialog box. A standard file dialog box opens in which you can select a drawing file that contains the page setup you want to import. Here, the trick is to remember the drawing in which you stored the desired setup.

The current page setup applies to the current layout tab, but once you create a new page setup, it is displayed as an option in the Page Setup Manager dialog box for all other layout tabs.


Controlling Color, Lines, and Fills through Plot Styles

When you print your drawing, AutoCAD attempts to reproduce your drawing's appearance in a layout tab or in the Model tab. However, you might want to change the way certain parts of the drawing appear in the printed output. For example, you might want all line work in black instead of the AutoCAD colors, or you might want filled areas in shades of gray instead of solid fills. To produce these effects without actually converting all your objects to the color black, you need to employ plot styles.

You can think of plot styles as a way to translate the colors and fills in an AutoCAD drawing into different colors or patterns. You can control whether the color red on your AutoCAD screen is printed in black or gray or even green, or you can control whether an area filled in solid black is screened to 30 percent. The plot styles also let you specify whether the lines forming the corners of a rectangle are rounded or square, as shown in Figure 12.23.

Image from book
Figure 12.23: Plot styles can translate colors and fills into shades of gray and halftone screens.

You can use two types of plot styles: color and named. Color plot styles let you control printer output based on the color you assigned to the objects in your drawing. For example, you can tell AutoCAD to print the color red as black using a 50 percent screen or as a line width of 0.5mm. This is a method similar to the one used by early versions of AutoCAD, and it persists today, mainly because many old drawings are still in use.

Named plot styles operate in a different way. They let you give a name to a set of printer parameters including the line weight, the color, the percent screen, or the corner condition of line work. You can then apply that named set of parameters, called a plot style, to objects or layers. If you're coming from another CAD program, you might be more familiar with this method of assigning printer parameters to objects in a drawing.

Using AutoCAD's Predefined Plot Styles

AutoCAD comes with a set of plot styles you can use right away. These plot styles are stored in database-like files called plot-style tables. There are actually two sets-one for color plot styles and another for named plot styles. You can select the plot styles from the Plot Style Table drop-down list of the Plot or Page Setup dialog box (see Figure 12.24).

Image from book
Figure 12.24: Selecting a plot style from the Plot Style Table drop-down list of the Page Setup dialog box

Table 12.2 lists and describes the predefined color plot styles available in AutoCAD. Table 12.3 lists the predefined named plot styles tables.

Image from book
Table 12.2: The Standard Color Plot-Style Tables Open table as spreadsheet
PLOT STYLE | PURPOSE
Acad.ctb | Converts the first eight AutoCAD colors to black when printing.
DWF Virtual Pens.ctb | Converts AutoCAD colors to virtual pens of the same color in DWF files.
Fill Patterns.ctb | Converts the first nine AutoCAD colors into fill patterns.
Grayscale.ctb | Converts all AutoCAD colors into grayscale equivalents on printers that support this feature.
monochrome.ctb | Converts all AutoCAD colors into black.
Screening xxx%.ctb | Converts all AutoCAD colors into a screened value indicated by the Plot Style name (xxx is the screen percentage).
New | Starts the Add Color Dependent Plot Style Table Wizard to allow you to create a new plot style.
None | No plot styles are applied to the drawing.
Image from book
Image from book
Table 12.3: The Standard Named Plot-Style Tables Open table as spreadsheet
PLOT STYLE | PURPOSE
Acad.stb | Plots AutoCAD colors as they are displayed in the drawing area.
Autodesk-Color.stb | Includes screened "colors" from solid (100 percent) to 10 percent. Uses object color for printed color.
Autodesk-MONO.stb | Same as Autodesk-Color.stb but converts colors to black, white, and shades of gray.
Monochrome.stb | Converts all AutoCAD colors to black.
New | Starts the Add Name Dependent Plot Style Table Wizard to allow you to create a new plot style.
Image from book

You might find that you can do most of your work with these standard plot-style tables. At other times, you'll be required by your employer to use custom plot-style tables that have been set up for your projects.

Choosing between Color and Named Plot-Style Tables

If you need to create your own plot-style tables, decide which type of plot-style table you want to use. Named plot styles are more flexible than color plot styles, but if you already have a library of AutoCAD drawings set up for a specific set of plotter settings, color plot styles are a better choice. Color plot styles are the most familiar to users of the older method of assigning AutoCAD colors to plotter pens.

The type of plot-style table assigned to a drawing depends on the template you use to start a new drawing. The acad.dwt template file uses color plot-style tables, and the acad-Named Plot Styles.dwt template file uses named plot styles.

You can also set up AutoCAD to use color or named plot-style tables for the default drawing that appears when you start AutoCAD. The Options dialog box provides controls over the default plot style used for the drawingx.dwg default drawing (x is the drawing number). Here's how to make those settings:

  1. Choose Tools è Options to open the Options dialog box, and then click the Plot And Publish tab.

  2. Click the Plot Style Table Settings button to open the Plot Style Table Settings dialog box.

  3. In the Default Plot Style Behavior For New Drawings button group, click the Use Color Dependent Plot Styles radio button.

  4. Click OK, and then click OK again to return to the drawing.

Once you've set up AutoCAD for color plot-style tables, any new drawings you create are allowed to use only color plot-style tables. You can change this setting at any time for new files, but once you save a file, the type of plot style that is current when the file is created is the only type of plot style available to that file. If you find that you need to change a color plot style to a named plot style drawing, see the section "Converting a Drawing from Color Plot Styles to Named Plot Styles" later in this chapter.

Creating a Plot-Style Table

If you're using color plot-style tables, you can create a plot-style table file (with the .ctb filename extension) for different styles of drawings. You might create one for presentation drawings in which certain colors and screened solid fills are assigned to colors in your drawing. Or you might have specific screen settings you use frequently when printing monochrome prints. The following steps describe how you can create your own color plot-style table:

  1. Open a drawing, and then click the Layout1 tab.

  2. Right-click the Layout1 tab, choose Page Setup Manager to open the Page Setup Manager dialog box, and then click Modify.

  3. In the Plot Style Table button group, open the drop-down list, and select New. If the current drawing uses color plot-style tables, you'll see the Add Color-Dependent Plot Style Table Wizard. If it uses a named plot style, you'll see the Add Name-Dependent Plot Style Table Wizard, as shown in Figure 12.25.

  4. Click the Start From Scratch radio button, and then click Next.

  5. The next screen of the wizard asks for a filename. Enter a name for the file, and click Next.

  6. The next screen of the wizard lets you edit your plot style and assign the plot style to your current, new, or old drawings. You'll learn about editing plot styles a bit later.

  7. Click Finish to return to the Page Setup dialog box. Once you have created a color plot style, you can make setting changes.

Image from book
Figure 12.25: The first screen of the Add Name-Dependent Plot Style Table Wizard

Editing and Using Plot Style Tables

Once you've created a plot style, you'll want to set it up the way you want. In the Page Setup dialog box, open the Plot Style Table drop-down list in the upper-right corner of the dialog box, and select the plot style you want to edit (see Figure 12.21 earlier in this chapter). Click the Edit button to open the Plot Style Table Editor dialog box.

Image from book The Edit button is just to the right of the Plot Style Table drop-down list. Click the Form View tab, which is shown at the top of Figure 12.26.

Image from book
Figure 12.26: The Plot Style Table Editor dialog box, open at the Form View tab

Plot-style table files are located in C:\Documents and Settings\Username\ApplicationData\Autodesk\AutoCAD 2008\R17.1\enu\Plot Styles. To edit a plot-style file, just double-click it.

The Plot Style Table Editor dialog box has three tabs that give you control over how each color in AutoCAD is plotted. The Form View tab lets you select a color from a list box and then set the properties of that color using the options on the right side of the tab.

Understanding the Options in the Plot Style Table Editor

Once you get to the Plot Style Table Editor dialog box, you'll see quite a few options. These options are the same for both the named and color plot-style tables. The main difference is that the color plot-style table lists all 256 of the AutoCAD colors as plot styles. Named plot-style tables list only a single plot style. You can add other plot styles and name them.

The General Tab

The General tab contains information regarding the plot style you're currently editing. You can enter a description of the style in the Description box. This can be useful if you plan to include the plot style with a drawing you're sending to someone else for plotting.

The File Information group gives you the basic information about the file location and name, as well as the number of color styles included in the plot-style table.

The Apply Global Scale Factor to Non-ISO Linetypes check box lets you determine whether ISO linetype scale factors are applied to all linetypes. When this item is checked, the Scale Factor input box becomes active, allowing you to enter a scale factor.

The Table View Tab

The Table View tab offers the same settings as the Form View tab (described next), only in a different format (see Figure 12.27). Each plot style appears as a column with the properties of each plot style listed along the left side of the tab. To change a property, click the property in the column.

Image from book
Figure 12.27: The Table View tab of the Plot Style Table Editor dialog box

To apply the same setting to all plot styles at once, right-click a setting you want to use from a single plot style, and choose Copy from the shortcut menu. Right-click the setting again, and then choose Apply To All Styles from the shortcut menu.

The Form View Tab

To modify the properties of a plot style or color, select it from the list at the left side of the Form View tab, and then edit the values in the Properties button group on the right side of the dialog box (see the Form View tab in Figure 12.26 earlier in this chapter). For example, to change the screen value of the Color 3 style in a color plot-style table, highlight Color 3 in the Plot Styles list, double-click the Screening input box, and enter a new value.

You can select several plot styles at once from the list by selecting the first plot style and then Shift+clicking the last one in a group. Or you can Ctrl+click individual plot styles.

The following describes the settings in the Form View tab:

  • Description This option allows you to enter a description for each individual color.

  • Color This option allows you to select a print color that is different from the display color.

  • Dither Dithering enables your plotter to simulate colors beyond the basic 256 available in AutoCAD. Although this option is desirable when you want to create a wider range of colors in your plots, it can also create some distortions, including fine, broken lines, and false colors. For this reason, dithering is usually turned off. This option is not available in all plotters.

  • Grayscale This option converts colors to grayscale.

  • Pen # This option lets you specify what pen number is assigned to each color in your drawing. This option applies only to pen plotters.

  • Virtual Pen # Many ink-jet and laser plotters offer "virtual pens" to simulate the processes of the old-style pen plotters. Frequently, such plotters offer as many as 255 virtual pens, with each pen offering a different line weight or pattern. Plotters with virtual pens often let you assign AutoCAD colors to a virtual pen number. This is significant if the virtual pens of your plotter can be assigned screening width, end style, and joint styles. You can then use the Virtual Pen settings instead of the settings in the Plot Style Table Editor dialog box. This option is most beneficial to users who already have a library of drawings that are set up for plotters with virtual pen settings.

  • You can set up your ink-jet printer for virtual pens under the Vector Graphics listing of the Device And Documents Setting tab of the Plotter Configuration Editor dialog box.

  • Screening Lets you set the screening value for a color. A screening value of 50 will print a color that is half, or 50 percent, of its value. For example, black with a screening value of 50 will print as gray. Black with a screening value of 20 will be a lighter gray than if set to a 50 percent value.

  • Linetype If you prefer, you can use this setting to control linetypes in AutoCAD based on the color of the object. By default, this option is set to Use Object Linetype. I recommend you leave this option at its default.

  • Adaptive This option is on by default. The Adaptive option controls how noncontinuous linetypes begin and end. Noncontinuous lines have gaps so this option forces linetypes to begin and end in a line segment. With this option turned off, a noncontinuous linetype is drawn without regard for its ending. This can cause the line to appear as though its end is missing because it can end on the gap portion of the noncontinuous line.

  • Lineweight This option lets you specify the thickness of lines. You can select a line weight from a drop-down list. If you need to modify a line weight, you can do so using the Edit Lineweights button near the bottom of the Plot Style Table Editor dialog box.

  • Line End Style This option lets you specify the shape of the ends of simple lines that have a line weight greater than zero.

  • Line Join Style This option lets you determine the shape of the corners of polylines (see Figure 12.28).

  • Fill Style This option lets you set up a color to be drawn as a pattern when used in a solid-filled area. The patterns appear in the drop-down list, as shown in Figure 12.29.

  • Add Style Clicking this button lets you add more plot styles or colors.

  • Delete Style Clicking this button deletes the selected style.

  • Edit Lineweights When you click this option, the Edit Lineweights dialog box appears. This dialog box lets you change the line weights offered in the Lineweight option. This dialog box also lets you specify whether to show line weights in inches or millimeters.

  • Save As Clicking this button lets you save the current plot-style table.

Image from book
Figure 12.28: The Line Joint Style options
Image from book
Figure 12.29: The Fill Style options


Assigning Named Plot Styles Directly to Layers and Objects

With color plot-style tables, you have to rely on the AutoCAD colors to control how objects are printed. But with named plot styles, you're not limited to object colors to control the way an object prints. Color plot styles are easier to manage for the beginning user, but if you're an advanced user or if you're used to a CAD program that allows you to control printing properties of each individual object, you'll want to know how to use named plot styles.

The instructions in the following sections require that your drawing is set up to use named plot styles. See "Choosing between Color and Named Plot-Style Tables" earlier in this chapter to learn how to set up new drawings for named plot styles. If you have an existing drawing that is set up for color plot styles, see "Converting a Drawing from Color Plot Styles to Named Plot Styles" later in this chapter to learn how to convert your drawing to use named plot styles.

Assigning Plot Styles to Objects

If you've set up AutoCAD to use named plot styles (see "Choosing between Color and Named Plot-Style Tables" earlier in this chapter), you can begin to assign plot styles to objects through the Properties palette. Here are the steps to take to assign plot styles to objects while in a layout tab:

  1. Choose File è Page Setup Manager, and then click the Modify button.

  2. In the Page Setup dialog box, select a named plot-style table from the drop-down list in the Plot Style Table group. Make sure the Display Plot Styles check box is selected, and then click OK.

  3. Click Close to close the Page Setup Manager dialog box.

Once you've selected a named plot-style table, you can begin to apply plot styles to individual objects. Next make sure the plot styles will be displayed in the drawing:

  1. Choose Format è Lineweight, make sure the Display Lineweight check box is selected, and click OK.

  2. In the status bar at the bottom of the AutoCAD window, click the Paper button to switch to floating model space. This lets you select objects in the drawing while in a layout tab (see Figure 12.30).

  3. Select the objects to which you want to assign a plot style, right-click, and choose Properties from the shortcut menu.

  4. In the Properties palette, click the Plot Style option. The option turns into a drop-down list with a downward-pointing arrow to the far right (see Figure 12.31). Click the downward-pointing arrow, and then select Other from the list to open the Select Plot Style dialog box, as shown in Figure 12.32.

  5. Select the name of the plot style you want to use, and click OK. Notice that the style you selected now appears as the value for the plot style in the Properties palette. Close the Properties palette.

  6. Choose View è Regen All. If you have the line weight visibility turned on, you'll see the results in the drawing editor.

    You can also assign a plot style to individual objects through the Plot Style Control drop-down list in the Properties palette.

  7. Select the objects, and then select the plot style from the Plot Style Control drop-down list. If you're using a color plot-style table like the one you created in earlier exercises, the Plot Style Control drop-down list is unavailable.

Image from book
Figure 12.30: The Model Or Paper Space button in the status bar
Image from book
Figure 12.31: The Plot Style drop-down list in the Properties palette
Image from book
Figure 12.32: The Select Plot Style dialog box

Assigning Named Plot Style Tables to Layers

If you prefer, you can assign named plot styles to layers. This has a similar effect to using the color plot-style tables. The main difference is that with named plot-style tables, you assign the plot-style tables directly to the layer instead of assigning a plot style to the color of a layer. Here's how to assign a plot-style table to a layer:

  1. Choose Format è Layer or click the Layer Properties Manager tool (shown in Figure 12.33) to open the Layer Properties Manager dialog box.

  2. Select a layer or set of layers whose plot style you want to change.

  3. Click Normal in the Plot Style column of the selected layers (see Figure 12.34). You might have to scroll to the right to see the Plot Style column. The Select Plot Style dialog box opens, as shown in Figure 12.35.

  4. Select the plot style you want to assign to the layer or layers from the Plot Styles list, and then click OK. The Layer Properties Manager dialog box opens again.

  5. Close the Layer Properties Manager dialog box, and then choose View è Regen All. Your view of the plan changes to reflect the new plot style assignment to the layers you modified.

Image from book
Figure 12.33: The Layer Properties Manager tool in the Layers control panel
Image from book
Figure 12.34: Click Normal in the Plot Style column of the selected layer.
Image from book
Figure 12.35: The Select Plot Style dialog box


Converting a Drawing from Color Plot Styles to Named Plot Styles

If you work in an office where drawings from other offices frequently cross your desk, you might eventually need to convert a drawing from a color plot style to named, or vice versa.

To convert a color plot-style drawing to a named plot-style drawing, you need to use the Convertctb and Convertpstyles commands. This conversion is a two-part process. In the first part, which is needed only the first time you perform the conversion, you convert a color plot-style table file into a named plot-style table file. You can then convert the drawing file.

  1. Open the AutoCAD drawing you want to convert.

  2. At the command prompt, enter Convertctb↲ to open the Select File dialog box, in which you can select a color plot-style table file; these files have the filename extension .ctb.

  3. Select the color plot style you want to convert with the drawing, and then click Open to open the Create File dialog box. This dialog box allows you to provide a name for the converted file. For example, if you opened the Acad.ctb file in step 1, you might want to give the new file the name AcadConvert so you know that it is a converted .ctb file. AutoCAD automatically adds the .stb filename extension. Click Save. AutoCAD creates a new named plot-style table file.

Once a color plot-style table is converted, you can convert the drawing, as described next:

  1. Open the file you want to convert, and enter Convertpstyles↲ at the command prompt. You'll see a warning message to make sure you've converted a .ctb file to an .stb file.

  2. Click OK. The Select File dialog box opens.

  3. Select the converted .stb file you created using the Convertctb command. The current drawing is converted to use a named plot-style table.

The process for converting a drawing that uses named plot styles to one that uses color plot styles is a bit simpler. You need only to use the Convertpstyles command. When you do, you'll see a warning message telling you that all the named plot styles will be removed from the drawing. Click OK to convert the drawing.


Summary

There is a lot to learn when it comes to printing in AutoCAD, but it's worth the effort to become as familiar as you can with the process. By mastering the printing process, you'll have better control over the appearance of your drawings. You'll be able to organize your drawings in a clearer fashion, and you'll get more consistent output from print to print.

The documents you produce in AutoCAD will most likely be used to convey detailed information. Someone might rely on your work to construct a building or to manufacture a crucial part, so mastering these printing tools is essential.


Index

Note to the Reader: Throughout this index boldfaced page numbers indicate primary discussions of a topic. Italicized page numbers indicate illustrations.

#

2D Draw control panel, 72, 72
2D Navigate control panel, 16
2D shapes and views from 3D, 4, 173, 173
2D Wireframe option, 4, 199
2P option, 73–74
3 Point option, 164
3 Points option
arcs, 75
circles, 74
lofting, 182
3D drawings and models, 151
distances in, 186–187, 186
hidden lines and shading in, 348
lights for, 191–195, 192–196
materials for, 187–190, 188–191
osnaps in, 163
point of view in, 168–173, 169–173
screw threads in, 179–181
shapes and objects in
from 2D shapes, 173, 173
converting from earlier versions, 176
extruding along paths, 178–179, 179
extruding polylines, 174–176, 174–176
filleting corners, 178, 178
helices, 179–181, 180
interference and intersection of, 176–177, 177
lofting through, 181–184, 181–184
revolving polylines, 185, 185
sculpting, 165–166, 165
solids in, 155–156, 155–156
creating, 156–157, 157–158
editing, 166–167, 167–168
grips for, 158–160, 159–160
primitives, 152, 152
rotating, 160–163, 161–162
surfaces in, 155–156, 155–156
converting from earlier versions, 176
drawing on, 163, 164
views in
from 2D views, 4
printing, 355–356
rendered, 196–198, 196–197
wireframes and shaded, 198–200, 199
3D Hidden option, 199, 356
3D Make control panel, 154, 165–166, 174
3D Modeling command, 153
3D Modeling Workspace, 152–155, 152–155
3D Navigate control panel, 155, 168, 170–171, 173, 173
3D Navigation toolbar, 17
3D Wireframe option, 199, 356
3P option, 74


Previous Page
Next Page

Index

A

About option, 31
absolute coordinates, 34
Acad.ctb plot style, 361
acad.dwt file, 19, 157
Acad.lin file, 223
ACAD linetypes, 225
Acad.stb plot style, 361
acad3D.dwt file, 4, 157, 161
acadiso.dwt file, 157
Acadiso.lin file, 223
acadiso3D.dwt file, 157
Adaptive option, 366
Add Color-Dependent Plot Style Table Wizard, 362
Add Leader option, 312, 312
Add Name-Dependent Plot Style Table Wizard, 362, 362
Add option for groups, 245
Add Page Setup dialog box, 344, 344
Add Pick Points option, 87
Add Scale to Object dialog box, 239, 239, 274
Add Style option, 366
Add to Dictionary option, 271
Add To Favorites option, 254
Add To Group option, 245
addition in formulas, 284
Additional Angles option, 52
Additional Resources option, 31
Adjust Display Scale setting, 229
Adjust Sun and Sky Background dialog box, 198, 198
adjustable triangles with Polar Tracking, 49–50
Advanced Options dialog box, 358, 358
Advanced tab for searches, 256
After Primary Value option, 322
Aligned option, 299, 300
Aligned with Dimension Line option, 317
alignment
dimensions, 299–300, 300, 317
grids, 57, 57
multileader notes, 306
osnaps for, 63–66, 63–66, 136, 136
in rotating objects, 142–143, 142–143
text, 265
All option
layers, 214, 216, 216
Modify menu, 126
Zoom, 24
All Borders option, 289
All Used Layers option, 214–215
Allow Exploding option, 236
Alternate Units tab, 321–322, 321
Always Draw Dim Line between Ext Lines option, 319
Always Keep Text between Ext Lines option, 319
AND operator, 30
Angle Precision option, 302
angles and Angle option
arcs, 75
Chamfer, 131, 131
circular copies, 138
construction lines, 105
dimensions and dimension text, 301–302, 302, 312, 316, 321
elliptical arcs, 78
grids, 56
hatch patterns, 86
measuring, 330, 330
multileaders, 304
options for, 46
polar coordinates, 35, 35, 39
in rotating objects, 142–143, 143
text, 266, 277–278
xref files, 249
Angular command, 302
Angularity tolerance symbol, 309
Annotation Object Scale dialog box, 239, 239, 274
annotation scale
blocks, 238–240, 239–240
linetypes, 226–227, 227
text, 273
annotations for dimensions, 303–306, 303
Annotative option, 236
ANSI hatch patterns, 89
Apparent Intersection option, 61
appending data to dimension text, 310
Apply Global Scale Factor To Non-ISO Linetypes option, 364
Apply To option, 288–289
Apply To All Styles option, 365
ar command, 138
Arc tool, 27, 75–76
architectural drawings
blocks in, 145
dimensions for, 294, 318
scale factors in, 228
sunlight in, 154
units for, 45–47
Architectural option, 45–46
arcs and Arc command, 75
drawing, 75–76, 75
elliptical, 77–78, 78
for joining objects, 128–130, 128–129
lengths of, 75–76
dimensioning, 302, 302
options for, 316
for revision clouds, 84
options for, 27–29, 28
Area command, 326
area measurements, 326–329, 326–329
Array dialog box, 136–139, 137, 139
arrow menu pointers, 12
Arrow Size option, 315
Arrowhead tab, 306
arrowheads, 314–316
arrows for dimensions, 303–304, 303, 319
As Displayed option, 356
ASCII text, 272
assigning
layers, 205–206, 205–206, 222
named plot styles
to layers, 368, 368–369
to objects, 366–367, 367
associative dimensioning, 295
associative hatch patterns, 92, 95
asterisks (*) in formulas, 284
at signs (@) for coordinates, 35, 39
Attach As xref option, 255
Attach DWG option, 248
attaching drawings as xref files, 248–249, 248–249, 255
AUGI (AutoCAD User Group International), 22
auto-hide, DesignCenter, 253
AutoCAD 2008 Help window, 29
AutoCAD 2008 icon, 2
AutoCAD 2008 option, 2
AutoCAD Classic window option, 2
AutoCAD classic workspace, 152
AutoCAD User Group International (AUGI), 22
AutoCAD window, 2–6, 3
command line, 10
components, 6–8, 6–8
drawing area, 8–10
menu bar, 11–12
UCS icon, 10
Autodesk-Color.stb plot style, 361
Autodesk Impressions program, 4
Autodesk-MONO.stb plot style, 361
AutoFit option, 290
AutoSnap feature, 62
AutoSnap Marker Size option, 62
AutoSpool feature, 352
Average function, 284–285
axes for ellipses, 76–77, 76


Previous Page
Next Page

Index

B

b command, 234
background
cell color, 289
drawing area, 7
rendered images, 197–198, 197–198
Background dialog box, 197, 197
Background Fill option, 289
Background Mask dialog box, 269, 269
background masks, 268–269, 269
Backspace key, 22
Backwards option, 277
base points and Base Point option
blocks, 234–235, 241
grips, 116–117
with Move, 135
providing, 137
Baseline option, 297
Baseline Dimension option, 297–298, 298
Baseline Spacing option, 315
Baseline tool, 296
BATTING linetype, 225
Below Primary Value option, 322
Beside The Dimension Line option, 319
bisecting construction lines, 105–106, 106
bitmap images, 127
black and white, printing colors in, 351
Block Authoring palette, 145–146
Block Definition dialog box
annotation scale, 238–239, 239
creating blocks, 234–235, 234
descriptions, 254, 257
options in, 235–236
Block Editor, 241
Block Editor toolbar, 146
Block Editor window, 145–146, 146
Block option for Divide and Measure, 104
Block Unit option, 236
blocks, 233
annotation scale for, 238–240, 239–240
creating, 234–235, 234
editing, 145–147, 145–146, 241
exploding, 147
importing, 240–241, 241, 251
inserting, 237–238, 237
layers for, 206
options for, 235–236
saving, 242, 242
scaling and rotating, 237–238, 238
trimming and extending, 132
vs. xref files, 250–251
Bold tool, 266
Boolean operations
in help searches, 30
for regions, 107
BORDER linetypes, 224
Border Offset Factor option, 269
borders
in layout, 342
for tables, 288–289, 288–289
Borders tab, 292
Both Text and Arrows option, 319
Bottom Left option, 92
Bottom Right option, 92
boundaries
hatch patterns, 91, 91, 95–100, 96
text, 267
Boundary Hatch command, 85, 96
boundary retention option, 97
Boundary Set options, 97
boundary windows, 267
Box Mapping option, 189
Box mapping style, 190, 190
Box tool, 156
br command, 144
brackets ([]) for options, 13
Break command, 144–145
Break option, 149
breaking
objects, 144–145
polylines, 149
Browse For Folder dialog box, 338, 338
Browse option, 256
ByBlock setting, 232
ByLayer setting, 205, 230


Previous Page
Next Page

Index

C

CAD Standards toolbar, 17
calculator
for cumulative area values, 329
for properties, 123
Calibrate Plotter Wizard, 353
calligraphy style revision clouds, 83, 83
Camera Adjust toolbar, 17
Camera Preview dialog box, 171
cameras, 169
creating, 171–172, 171–172
properties, 172, 172–173
Cartesian coordinates, 34, 40–41, 40–41
cascading menus, 12
Cell Border Properties dialog box, 288–289, 288
Cell Width option, 282, 282
cells
array, 139
in tables
background color, 289
borders, 288–289, 288–289
combining, 280–281, 280–281
formulas in, 283–285, 283–284
graphics in, 289–290, 289
text in, 280–283, 281–282
Celtscale system variable, 231
CENTER linetypes, 224
Center Mark tool, 301
center marks for dimensions, 301, 314, 316
Center option
arcs, 27–28, 75
ellipses, 76
hatch patterns, 92
osnaps, 61
Zoom, 24
Center tool, 266
Centered option, 99
centimeters, 45
cha command, 130
Chamfer command, 130–132, 130–132, 178
Change option for spell checking, 271
Change All option, 271
Change Dictionaries option, 271
Change To Current Layer tool, 222
Change View To list, 347, 347
Changes To A Printer Configuration File dialog box, 351, 352
Check For New Online Content option, 32
Check Spelling dialog box, 270–271, 270
Circle tool, 21, 73–74
circles
dimensioning, 301, 301
drawing, 21, 21, 73–74, 74–75
truncating, 133, 133
circular copies, 136–138, 137
circular references, 251
Circularity tolerance symbol, 309
classic window, 2, 3
classic workspace, 152
Clipboard, 273
Clockwise option, 46
Close option
Line, 41
Pedit, 148
Close Block Editor option, 146
clouds
polylines for, 73, 73
revision, 83–85, 83
color and Color option
3D solids, 157, 158
background masks, 269
backgrounds, 197
blocks, 206
cell background, 289
dimensions, 315
gradient fill shading, 98–99
grips, 115
layers, 202–204, 204, 215, 223
materials, 188–189, 189
objects, 230, 231
plot styles for, 359–360, 360–361, 365
printing in black and white, 351
selection window, 9
text, 265
Color Book Locations option, 204
Color Books tab, 208
color plot styles, 360
converting to named, 369
vs. named, 362
Color property, 123
Color tool, 266
columns
copying, 138–139, 139
tables, 283
Columns option, 283
combining cells, 280–281, 280–281
comma-delimited files, 285
command line, 8, 8, 10, 24
command window
feedback in, 8, 8
for ordinate dimensions, 307
commands
invoking, 16
options for, 27–29, 28
starting, 13–15, 14
in status bar, 12
Commands tab, 29
commas (,) for coordinates, 34
common base extension lines, dimensions from, 297–298, 297–298
complex shapes area measurements, 326–329, 327–329
Concentricity tolerance symbol, 309
Concepts tab, 29
Conceptual option, 157, 199, 356
Constrained Orbit tool, 168–169
constraining motion, 160, 160
Constraints tab, 306
Construction Line (Xline) tool, 105
construction lines, 103–107, 106
Containing option, 256
Containing Text option, 256
Content tab, 306
Content type option, 304
Contents option, 310
Contents tab, 29
context-sensitive help, 30–31, 30
context-sensitive menus, 9–11
contiguous line segments, 72
Continue option
arcs, 76
dimensions, 297
Continue Dimension option, 297–298
Continue tool, 296
continuing dimensions, 297, 297
Continuous linetype, 223
control panels, 15, 15, 154, 154
Convert To Block option, 235–236
Convert To Group Filter option, 218
Convert To Surface tool, 176
Convertctb command, 369
converting
3D objects and surfaces from earlier versions, 176
color plot styles to named, 369
filters, 218
objects into block, 235–236
surfaces, 156
Convertpstyles command, 369
Convtosurface command, 156
coordinate systems, 34–36, 34–35
Cartesian, 40–41, 40–41
polar, 38–39, 39
coordinates
displaying, 8, 8, 20
for distances, 38–44, 39–43, 330
in Dynamic Input display, 8–9
lines for, 36–38, 37
points, 329
printing, 354
Copy command, 136–139
Copy Object To New Layer tool, 222
Copy option, 116–117
copying
circular, 136–138, 137
Copy for, 136–139
grips, 115–117, 116
for plot style tables, 365
rows and columns, 138–139, 139
corners, filleting, 128–129, 129, 178, 178
Count function, 284
Create A Copy option, 350, 351
Create A Spotlight tool, 192
Create Camera tool, 171
Create File dialog box, 369
Create Group option, 245
Create New Dimension Style dialog box, 313, 313
Create New Table Style dialog box, 290
Create Separate Hatches option, 95
crosshair, 8
Crossing option
Extend, 134
Modify menu, 126
Crossing Polygon option, 126
crossing windows, 113, 113
.csv extension, 285
.ctb extension, 369
Ctrl key for solids, 167, 167–168
cumulative area values, 328–329
Current Color status item, 332
current default style, 276–277, 276
Current Display option, 171
Current Elevation status item, 332
current layer, 206–207, 206, 332
Current Layout status item, 332
Current Linetype status item, 332
Current Lineweight status item, 332
Current Material status item, 332
Current Object Scale option, 231
Current Space status item, 332
Current Viewport option, 97
Current VP Freeze option, 211–212
cursors
drawing area, 8
modes, 51
rotating, 56
curved shapes area measurements, 326–329, 327–329
curves
ellipses, 76–77, 76–77
elliptical arcs, 77–78, 78
polylines for, 80–81, 80–81
smooth, 78–79, 79
custom hatch patterns, 89
Custom Paper Sizes option, 353
Custom Properties options, 353
Custom Scale option, 345
Custom tab, 333, 333
Customize dialog box, 260–261, 260
customizing tools, 260–261, 260
Cylinder tool, 164–165
cylinders, sculpting, 165–166, 165
cylindrical format, 187
Cylindrical mapping style, 190, 191
Cylindricity tolerance symbol, 309


Previous Page
Next Page

Index

D

d command, 323
dal command, 299
dan command, 302
Dashboard, 3, 6, 6
3D Modeling workspace, 154, 154
working with, 15–16, 15–16
Dashdot linetypes, 224, 224, 226
DASHED linetypes, 224
Data Link Manager, 286–287, 286
Date Modified tab, 246–247, 247, 256
dba command, 297
DC Online tab, 257
dco command, 297
ddi command, 301
decameters, 45
Decimal Degrees angle option, 46
Decimal length option, 46
Decimal Separator option, 320
Decurve option, 148
ded command, 311–312
default document, 3
Default To Boundary Extents option, 91
Deg/Min/Sec angle option, 46
degrees for angles, 302
Delete Layer tool, 205
Delete Rows option, 283
Delete Style option, 366
deleting and Delete option
bitmap images, 127
blocks, 236
layer states, 219
layers, 205
objects, 127
rows and columns, 283
tabs, 268
text styles, 277
Tool palette items, 259
Description option
blocks, 236
groups, 244
plot style tables, 365
Description panel, 254
Deselect Group option, 246
DesignCenter, 251
for contents, 255, 256–257
for exchanging data, 257
loading files into, 257
for named components, 335
navigating, 253–254, 254
for opening and inserting files, 255
overview, 251–252, 252–253
for symbols, 257–258, 258
DesignCenter Online website, 257–258, 258
detaching dimension text, 311–312
Details option, 246
Developer Help option, 31
Device And Document Settings tab, 352, 352
dialog boxes, opening, 12
Diameter command, 301
diameters
circles, 73–74
dimensioning, 301, 301
digital T squares, 49
Dimang command, 330
Dimension Edit tool, 311–312
Dimension Style Manager dialog box, 313, 313, 323–324
Dimension Text Edit tool, 312
Dimension toolbar, 17, 300
dimensions and dimension lines, 293
architectural drawings, 294, 318
from common base extension lines, 297–298, 297–298
continuing, 297, 297
graphics for, 314–316, 314–315
with grips, 120
horizontal and vertical, 296, 296
Layout tab and Model tab for, 295
legacy drawings, 229
nonorthogonal objects, 299–302, 300–301
ordinate, 306–307, 306
parts of, 294–295, 294
scales for, 295
skewing, 312
standards, 295
strings of, 298–299, 299
styles, 313–314, 313–314, 323–324, 323–324
text for
annotations, 303–306, 303
appearance, 316–317, 316
appending data to, 310
detaching, 311–312
rotating, 311–312
tolerance, 307–308, 308–309, 321–322, 322
on Tool palette, 259, 259
Dimtedit command, 312
direct distance method, 41
Direction option, 46
Display option for plotting, 354
Display Alternate Units option, 322
Display AutoSnap Aperture Box option, 62
Display AutoSnap Tooltip option, 62
Display Lineweight option, 229, 367
Display Locked option, 347
Display Material Window tool, 188, 188
Display Plot Styles option, 367
Display Shows status item, 331
dist command, 329
Distance option, 131
distances
in 3D space, 186–187, 186
with Chamfer, 131
coordinates for, 38–44, 39–43, 329–330
distant lights, 191
Dither option, 365
Div command, 103
Divide command, 101–103
DIVIDE linetypes, 224
dividing objects into lengths, 103, 103
division in formulas, 284
divisions, marking off, 103
dli command, 296
docked toolbars, 6, 18–19
Dor command, 307
DOT linetypes, 224
Double option, 86
downloading symbols, 257–258, 258
Drafting Settings dialog box
alignment, 63, 63
AutoSnap, 62
grids, 54–55, 55
isometric 2D drawings, 55, 55
osnap locations, 57–58, 58, 61–62
Polar Tracking, 50–52, 50, 67
drafting tools, 33
Draw option, 13
Draw Frame around Text option, 317
Draw Order option, 95
Draw Order toolbar, 17
Draw toolbar, 17–18
drawing
on 3D surfaces, 163, 164
arcs, 75–76, 75
circles, 21, 21, 73–74, 74–75
ellipses, 76–77, 76–77
elliptical arcs, 77–78, 78
parallel lines, 82–83, 82
polylines for, 80–81, 80–81
regular polygons, 100–101, 101
revision clouds, 83–85, 83
smooth curves, 78–79, 79
straight lines, 72–73, 73
drawing area, 8–10
background, 7
limits for, 48–49
minimized, 9–10
reference rectangles for, 46–47
drawing assemblies, 104
Drawing Limits option, 48
Drawing Properties dialog box, 256, 333, 333–334
drawing units
blocks, 256
dimensions, 320–323, 320–321
selecting, 44–47, 45
setting, 19
Drawing Units dialog box, 19, 45–47, 45
Drawings tab, 256
dt command, 277
Dtext command, 277–278
DUCS option, 162
DWF Virtual Pens.ctb plot style, 361
.dwg file contents, 254–255
dynamic blocks, 145
Dynamic Input feature, 8
for commands, 13
for coordinates, 8, 41–44
grips with, 118–122, 118–119
Dynamic option for Zoom, 24
Dynamic Input option, 41–44
Dynamic UCS, 160–163, 161–162


Previous Page
Next Page

Index

E

ed command, 310
Edge of Paper setting, 354
Edge option for Extend, 134
Edit Block Definition dialog box, 145–146, 145
Edit Lineweights dialog box, 366
Edit Or Create Block Definition option, 147
Edit The Sun option, 195
Edit Vertex option, 148
edited polylines, 73, 73
editing
3D solids, 158–160, 159–160, 166–167, 167–168
blocks, 145–147, 145–146, 241
construction lines, 104
dimension styles, 323
dimensions, 309–312, 310–312
formulas, 285
with grips. See grips
hatch patterns, 92–95, 92
with Modify menu. See Modify menu operations
multileader notes, 306
multiple text objects, 269–270
plot style tables, 363–366, 364, 366
Properties palette for, 122–124, 122–123
table lineweights, 288–289, 288–289
Effects section, 277
Either Text or Arrows (Best Fit) option, 319
Ellipse tool, 76
Ellipse Arc tool, 77
ellipses (objects), 76–77, 76–77
ellipses (…), 12
elliptical arcs, 77–78, 78
Enable Grips option, 114
End option
arcs, 75
Ellipse, 76
end to end joining, 128–130, 128–129
endpoint grips, 117
Endpoint option for osnaps, 58–61, 58
engineering drawings, scale factors in, 228
Engineering length option, 46
Enter Data Link Name dialog box, 287, 287
Entire Drawing option, 242
equal divisions, marking off, 103
equal signs (=) in formulas, 285
eRase option for Extend, 134
erasing. See deleting and Delete option
Escape key, 22
exact distances in 3D space, 186–187, 186
exchanging data between files, 257
exclamation points (!) for xref files, 336, 336
existing drawings, importing as blocks, 240–241
Exit option, 149
Exit options option, 304
Explode command, 147
Explode option, 245
exploded multilines, 81
exploding
blocks and polylines, 147
groups, 245
hatch patterns, 93
for xref files, 250
Export Data dialog box, 285
Export option, 220
exporting
layer states, 220
tables, 285
Extend beyond Dim Lines option, 315, 318
Extend beyond Ticks option, 315, 318
Extend command, 132–134
extension lines
dimensions from, 297–298, 297–298
settings for, 314–316
Extension option, 61
Extents option
for plotting, 354
for Zoom, 24
External Reference dialog box, 248–249, 249, 251, 255
external references. See xref files
External References option, 248
External References palette, 248–250, 248–249, 336–337, 336–337
extracting contents, 255, 256–257
Extrude command, 174
Extrude tool, 174
extruding
along paths, 178–179, 178
polylines, 174–176, 174–176


Previous Page
Next Page

Index

F

Face option, 164
falloff, spotlight, 193, 193
Favorites tool, 252
feet, 45
Fence option
Extend, 134, 134
Modify menu, 126
FENCELINE linetypes, 225
files
creating, 19–21, 21
exchanging data between, 257
finding, 246–247, 246–247, 335–338, 336–338
saving blocks as, 242, 242
Files tab, 204
Fill Color option, 317
Fill Patterns.ctb plot style, 361
Fill status item, 332
Fill Style option, 366
Fillet command, 128–130, 178
filleting
corners, 178, 178
lines, 128–130
fills
for gradients, 98–99
plot styles for, 359–360, 360–361
solid, 89
Filter Paper Sizes option, 353
filtering layers, 214–216, 214–216
Find dialog box, 246–247, 247
Find And Replace dialog box, 271–272, 272, 333–334, 334
Find And Replace Options dialog box, 272, 272, 334, 335
Find File utility, 247
Find Name option, 244
finding
contents, 255, 256–257
files, 246–247, 246–247
layers, 213
named components, 334–335, 335
support files, 335–338, 336–338
text, 271–272, 272, 333–334, 334
First angle option, 304
first line indents, 267
First option, 315
Fit option
dimension text, 311, 311–312
Pedit, 80, 81, 148
viewports, 346
Fit tab, 317, 319, 319
Fit To Paper option, 354
Fit Tolerance option, 79, 79
Fixed Length Extension Lines option, 315
Flatness tolerance symbol, 309
floating model space, 295, 341
floating toolbars, 6–7
Fly mode, 169–170
fly-out toolbars, 16, 16
fonts
locating, 337–338, 338
text, 265, 265, 274–277, 275–276
Form View tab, 363–365, 364
formatting text, 264, 264
formulas in cells, 283–285, 283–284
Found At option, 250, 336
Fraction Format option, 320
Fraction Height Scale option, 317
Fractional length option, 46
fractions
for architectural drawings, 318
scale factors for, 229
stacked, 265
Free Dwg Disk (Drive:) Space status item, 332
Free Physical Memory status item, 332
Free Swap File Space status item, 332
Free Temp Disk (Drive:) Space status item, 332
freehand revision clouds, 84
Freeze option, 207, 209–210, 210
Freeze Or Thaw In Current Viewport icon, 212, 212
freezing layers, 207, 209–210, 210, 348–349
From option, 61


Previous Page
Next Page

Index

G

gaps and Gap Tolerance setting
area measurements, 328
breaking objects, 144
hatch patterns, 97
GAS_LINE linetype, 225
General category for Properties palette, 122–123
General tab
cells, 292
drawing properties, 333, 333
multileader styles, 306
plot style tables, 364
printer configuration, 352
Geographic Location dialog box, 195
Geometric Tolerance dialog box, 307–308, 308
Geometry category, 122, 122
grab bar, 18
Gradient option, 197
Gradient tab, 99
gradients
backgrounds, 197
fill shading for, 98–99
Grads angle option, 46
graphics
backgrounds, 197
dimensions, 314–316, 314–315
printing, 353
in tables, 289–290, 289
Grayscale.ctb plot style, 361
Grayscale option, 365
greater than symbols (>) for dimension text, 310
green color for selection window, 7
Grid command, 52
Grid status item, 332
Grid Spacing Is status item, 331
Grid tool, 52
grids, 52–53, 52–53
aligning, 57, 57
for drawing area, 49
rotating, 56, 56
snapping to, 53–54
spacing for, 54–55, 55
status of, 331–332
grips, 51
for 3D solids, 158–160, 159–160
for cameras, 172, 172
for constraining motion, 160, 160
for dimension text, 312
with Dynamic Input, 118–122, 118–119
for lights, 192–193
for lofting, 182–183
operations with, 116–117
for polylines, 147
for stretching lines, 114–116, 115–116
Group Manager dialog box, 245–246, 245
Group Name option, 244
groups, 233, 243, 243
layers, 217–218, 217
managing, 245–246, 245
options, 243–245
toggling, 243


Previous Page
Next Page

Index

H

hash signs (#) in formulas, 284
Hatch and Gradient dialog box, 86–87, 86
boundary options, 95–100, 96
editing, 92
gradient fills, 98–99
polyline outlines, 327–328, 327
positioning, 91–92
Hatch command, 327
Hatch Edit dialog box, 93–94
Hatch Pattern Palette dialog box, 89, 89, 94–95
hatch patterns, 85, 85
boundaries, 91, 91, 95–100, 96
editing, 92–95, 92
locating, 337–338, 338
placing, 86–87, 86
for polyline outlines, 327–328, 327
positioning, 90–92, 91
predefined, 87–88, 88
on Tool palette, 259
height
extrusions, 175
text, 265, 265, 275, 277
helices, 179–181, 180
Helix tool, 152, 179–181
help, 29
context-sensitive, 30–31, 30
searching in, 29–30
sources, 31
Help option
groups, 246
searches, 255
Help window, 31
hidden lines, printing with, 348
HIDDEN linetypes, 224
hidden views, 355–356
Hide Paperspace Objects option, 356–357
hiding
DesignCenter, 253
viewports, 348
Highlight option, 244
Hold Selection option, 222
Home option, 311
Home tool, 253
horizontal construction lines, 105
horizontal dimensions, 296, 296
Horizontal option for dimension text, 317
hot grips, 114–115, 117
HOT_WATER_SUPPLY linetype, 225
hotspots, spotlight, 193
HSL color model, 208
Hyperlink property, 123


Previous Page
Next Page

Index

I

i command, 237, 240
icons for menu items, 11
ID Point command, 329
Ignore All option, 271
Ignore option
hatch patterns, 97
spell checking, 271
illumination
placing lights, 191–193, 192–194
sunlight, 195, 195–196
types, 191
images
backgrounds, 197–198, 198
dimensions, 314–316, 314–315
printing, 353
in tables, 289–290, 289
Imperial measurement system, 45
imperial units, scale factors for, 229
importing
blocks, 240–241, 241, 251
layer states, 220
tables, 286–287, 286
text files, 272–273
In option
searches, 256
Zoom, 24
In The Field(s) option, 256
inches, 45
Include Unnamed option, 244
indents for text, 267–268, 268
Index tab, 29–30
Index Color tab, 208
Indicate Layers In Use option, 218, 218
Info Palette, 31
InfoCenter, 31–32, 32
InfoCenter Settings dialog box, 32, 32
information gathering, 325
coordinates of points, 329
measurements
angles, 330, 330
areas, 326–329, 326–329
distances, 329–330
missing support files, 335–338, 336–338
named components, 334–335, 335
nondrawing data, 333, 333–334
status of drawings, 331–332, 331
text, 333–334, 334
time spent on drawings, 332, 332
Inherit Options option, 97
Inherit Properties option, 95
Inquiry toolbar, 17
Insert A Block In A Table Cell dialog box, 289, 289
Insert Above option, 283
Insert As Block option, 255
Insert Below option, 283
Insert Block tool, 237, 240
Insert dialog box, 237, 237, 240–241, 241
Insert Field tool, 266
Insert option for Pedit, 149
Insert Point feature, 249
Insert Table dialog box, 279, 279, 287, 287, 291, 291
Insert toolbar, 17
inserting
blocks, 237–238, 237
files, 255
Insertion Base Is status item, 331
Insertion option for osnaps, 61
Insertion Scale option, 47
Inside Borders option, 289
Interfere command, 177
Interference Checking dialog box, 177
interference of 3D shapes, 176–177, 177
intermediate arcs for joining objects, 128–130, 128–129
Intersect tool, 167, 177
intersection of 3D shapes, 176–177, 177
Intersection option for osnaps, 58–59, 58, 61
Invert Filter option, 218, 218
Island Detection feature, 96
Island Display Style option, 87
islands
for hatch patterns, 96–97
measuring areas with, 328, 328
ISO hatch patterns, 89
ISO Standard option, 317
isometric 2D drawing setup, 55, 55
Isometric Snap option, 55, 55
Isoplane mode, 55, 55
Italic tool, 266


Previous Page
Next Page

Index

J

Jog Angle option, 316
Jogged option, 301
Join option for Pedit, 148
joining objects, 128
with chamfers, 130–132, 130–132
end to end, 128–130, 128–129
trimming and extending for, 132–134, 132–134
justification
cell text, 282, 283
multiple text objects, 269–270
Justifytext command, 270


Previous Page
Next Page

Index

K

Keep Dim Line With Text option, 312
keyboard command equivalents, 12


Previous Page
Next Page

Index

L

L command, 72
Landing Settings tab, 306
landscape orientation, 343, 358
.las extension, 220
Last option, 126
Layer Filter Properties dialog box, 215–216, 215
Layer Freeze tool, 222
Layer Isolate tool, 222
Layer Lock tool, 222
Layer Match tool, 222
Layer Off tool, 222
Layer Properties Manager dialog box
3D solids, 157, 158
ByBlock settings, 232
components, 204–205, 204
creating layers, 202–204, 202–203
filtering layers, 217–218, 217
finding layers, 213
line weights, 228–229
linetypes, 223
listing layers, 214, 214
locking, 212, 212
plot styles, 368
saving settings, 219
viewports, 348–349, 349–350
visibility, 209–211, 209
Layer Properties Manager tool, 202, 202
Layer property, 123
Layer States Manager dialog box, 219–220, 219
Layer States Manager tool, 214
Layer Walk tool, 221–222, 221
Layerpmode command, 220
layers, 201
assigning, 205–206, 205–206, 222
assigning named plot styles to, 368, 368–369
for blocks, 206
creating, 202–204, 202–203
current, 206–207, 206, 332
filtering, 214–216, 214–216
finding, 213
groups of, 217–218, 217
for hatch boundaries, 100
Layers II toolbar for, 220–222, 221
line weights for, 228–230, 228–229
linetypes for, 223–226, 224–226
listing, 214, 214
locking, 212, 212–213
settings for, 219–220, 219, 222
for viewports, 348–350, 348–350
visibility of, 207–212, 207, 209–212
Layers control panel, 154, 202, 206–207, 206
Layers toolbar, 17
Layers II toolbar, 17, 220–222, 221
LayerWalk dialog box, 221–222, 221
Layout option for plotting, 354
Layout tabs, 25–27, 25, 339–341, 340
dimensions, 295
paper size and orientation, 342–343
scaling, 345
viewports in, 341–342
visibility, 210–212
Layout view, annotation scales in, 239–240, 240
Layout viewports for linetype scales, 227
layouts, 339
adding, 350
objects for, 101–102
Layouts toolbar, 17
Leader Break tab, 306
Leader Connection tab, 306
Leader Format tab, 306
Leader landing option, 304
Leader option for arrowheads, 315
Leader Structure tab, 306
Leader tool, 303–304
Leader type option, 304
leaders, 303–304
editing, 306
options, 304
styles, 304–306, 305–306
Left tool, 266
legacy drawings, scale factors in, 229
length and Length option
arcs, 75–76
dimensioning, 302, 302
options for, 316
revision clouds, 84
dimensions, 315
options, 46
less-than symbols (<)
for dimension text, 310
for polar coordinates, 39
libraries of drawings, 251
Light control panel, 154, 191
lightbulb icon, 209, 209
Lighting option, 47
lights
placing, 191–193, 192–194
sunlight, 195, 195–196
types, 191
Lights toolbar, 17
limits
drawing area, 48–49
plotting, 354
Limits command, 48
Limits option, 354
Line command, 36
Line End Style option, 366
Line Join Style option, 366
Line tool, 36, 72
line weights
dimensions, 315
layers, 228–230, 228–229
objects, 230–231, 230
scales, 355
table, 288–289, 288–289
visibility of, 228–229, 230
Linear command, 296
linear dimensions
from common base extension lines, 297–298, 297–298
continuing, 297, 297
horizontal and vertical, 296, 296
nonorthogonal objects, 299–302, 300–301
strings of, 298–299, 299
Linear tool, 300
lines
construction, 103–107, 106
for coordinates, 36–38, 37
drawing, 72–73, 73
hidden, 348
joining, 130–132, 130–132
parallel, 82–83, 82
plot styles for, 359–360, 360–361
selecting, 111, 112
stretching, 114–116, 115–116
Lines tab, 314–315, 314
Linetype Ext Line 1 option, 315
Linetype Ext Line 2 option, 315
Linetype Manager dialog box, 231
Linetype property, 123
Linetype Scale property, 123
linetypes and Linetype option
blocks, 206
dimensions, 315
layers, 223–226, 224–226
locating, 337–338, 338
objects, 230–231
plot style tables, 366
scales of, 226–228, 227, 230–231, 231
Lineweight dialog box, 229, 229
Lineweight option, 228
dimensions, 315
plot style tables, 366
Lineweight property, 123
Lineweight Settings dialog box, 228, 228
lineweights. See line weights
listing layers, 214, 214
lists, 265
Load Or Reload Linetypes dialog box, 226, 226
loading
files, 257
linetypes, 226, 226
Lock option, 212
locking
layers, 212, 212–213
viewport views from pans and zooms, 347–348
Loft Settings dialog box, 183
Loft tool, 155, 156, 181–183
lofting through shapes, 181–184, 181–184
Look For Options option, 256
Lower Value option, 323
Lowercase tool, 266
Ltscale system variable, 228, 231
Ltype Gen option, 148
Lweight command, 228


Previous Page
Next Page

Index

M

m command, 135
Magnet option, 62
major axes for ellipses, 76
Make Block tool, 234
mapping materials, 189–190, 190–191
Mapping toolbar, 17
margins, cell, 283, 283
Marker option for AutoSnap, 62
markers, points as, 102
marking
equal divisions, 103
points, 102, 102
masks for text, 268–269, 269
Match Block Orientation to Layout option, 236, 239
Match Properties tool, 99
Material Condition dialog box, 308, 309
Material Editor panel, 188
materials, 187–190, 188–191
Materials control panel, 154, 188
Materials palette, 188, 188
math operations, 284–285
Maxpoints option, 304
Me command, 103
Measure command, 101–103
Measurement Scale: Apply to Layout Dimensions Only option, 320
Measurement Scale: Scale Factor option, 320
measuring
angles, 330, 330
areas, 326–329, 326–329
distances, 329–330
Media tab, 352
memory, xrefs for, 248
menu bar, 6, 11–12
menus
cascading, 12
shortcut, 9–11
Merge Cells command, 281
messages, command line, 10
Method option
Chamfer, 132
dimensions, 323
Metric measurement system, 45
metric units, scale factors for, 229
Mid Between 2 Points option, 61
midpoint grips, 117
Midpoint option for osnaps, 58–61, 58–59
millimeters, 45
minor axes for ellipses, 76
minus signs (-) in formulas, 284
Mirror option, 116–117
missing support files, 335–338, 336–338
mld command, 303
model space, 25–26
Model Space Limits Are status item, 331
Model Space option, 211, 211
Model Space Uses status item, 331
Model tab
dimensions, 295
line weight, 228
Modeling toolbar, 17
Modify Dimension Style dialog box, 298, 303, 310, 323
Modify menu operations, 10–11, 125
breaking, 144–145
copying, 136–139
erasing, 127
moving, 135–136, 136
polylines, 147–149
rotating, 141–144, 142–143
scaling, 139–141
selections, 126–127
stretching, 141, 141
xrefs and blocks, 145–147, 145–146
Modify Multileader Style dialog box, 305–307, 306
Modify Standard Paper Size option, 353
Modify Table Style dialog box, 291
Modify toolbar, 17
Modify II toolbar, 17, 94
monochrome.ctb plot style, 361
Monochrome.stb plot style, 361
More Options tool, 342, 343
motion, constraining, 160, 160
mouse, scroll wheels, 24
Move command, 135–136, 136
Move option, 149
Move Or Copy dialog box, 350, 351
Move Text option, 312, 312
moving
grip base point, 117
materials, 190
with Move, 135–136, 136
polyline vertices, 149
mt command, 264
Mtext command, 259, 264
MText option, 307
Multileader tool, 303–304, 303
Multileader Align tool, 306
Multileader Edit tool, 306
Multileader Style Manager tool, 305, 306
Multileader Type tab, 306
multileaders, 303
editing, 306
options, 304
styles, 304–306, 305–306
Multileaders control panel, 304–305, 304
Multiline Collect tool, 306
Multiline Text Editor, 276
Multiline Text tool, 264
multilines, 81
Multiple option
Chamfer, 132
Fillet, 130
Modify menu, 126–127
multiple text
editing, 269–270
ordinate dimensions, 307
multiple viewports, 346–347, 347
multiplication, 284
Multiplier for Alt Units option, 322


Previous Page
Next Page

Index

N

Name & Location tab, 246
named components, locating and selecting, 334–335, 335
named plot styles, 360
assigning
to layers, 368, 368–369
to objects, 366–367, 367
vs. color, 362
converting color to, 369
names
files, 19
groups, 244–245
tabs, 350
text styles, 276
xrefs, 248
navigating
3D models, 168–169
DesignCenter, 253–254, 254
NEAR operator, 30
Nearest option, 61
nested blocks, 146
nesting xref files, 251
New Dimension Style dialog box, 298, 302–303, 310, 313–314, 314
Alternate Units tab, 321–322, 321
architectural drawings, 318
Fit tab, 317, 319, 319
Lines tab, 314–315, 314
Primary Units tab, 318, 320, 320
Symbols And Arrows tab, 314–316, 314
Text tab, 316–317, 316
Tolerances tab, 321–323, 322
New Excel Data Link dialog box, 287, 287
New Features Workshop window, 3, 31
New Group Filter tool, 214, 217, 217
New Layer State To Save dialog box, 219, 219
New Layer tool, 202, 204
New option
dimensions, 311
groups, 244
hatch pattern boundary sets, 97
text styles, 277
New Page Setup dialog box, 359, 359
New Palette option, 258
New plot style, 361
New Property Filter tool, 214
New Search option, 256
New Table Style dialog box, 290–292, 291
New Text Style dialog box, 275
New View dialog box, 170–171, 170, 197–198, 197
New Viewports tab, 345–346, 346
New VP Freeze option, 210–211, 210
Next option, 149
No Borders option, 289
No Trim option
Chamfer, 132, 132
Fillet, 129, 129
Node option, 61
nondrawing data, storing, 333, 333–334
None option for osnaps, 61
nonorthogonal objects, dimensions for, 299–302, 300–301
normal revision clouds, 83, 83
NOT operator, 30
notes for dimensions, 303–306, 303
Number of Copies setting, 353
Numbering tool, 266
NURBS curves, 78, 79


Previous Page
Next Page

Index

O

O command, 82
Object Grouping dialog box
for creating groups, 243, 243
options in, 243–245
Object option for Zoom, 24
Object Selection cursor, 51
Object Snap Modes status item, 332
Object Snap tab, 57–58, 58, 61–62
Object Snap toolbar, 17
Object Snap Tracking feature, 51–52
object snaps. See osnaps
objects
3D models. See shapes and objects
assigning named plot styles to, 366–367, 367
layout, 101–102
Objects in D:\Folder\Subfolder status item, 331
Oblique option, 311–312, 312
Oblique Angle option, 266, 277
Offset command, 82–83, 82
Offset from Dim Line setting, 317–318
Offset From Origin setting, 315
Offset tool, 82
offsets
arrays, 139
construction lines, 106
dimension lines, 315, 317–318
parallel lines, 82–83, 82
On/Off option for layers, 209
One Color option, 99
Online Training Resources option, 31
Open And Save tab, 250
Open dialog box, 285
Open Drawings tab, 257
Open In Application Window option, 255
opening
dialog boxes, 12
files, 255
tables, 285
Options dialog box, 12
AutoSnap feature, 62
Color Book location, 204
files, 337, 338
grips, 114
plot style tables, 362
printing, 354
xref files, 250
options for commands, 27–29, 28
OR operator, 30
Orbit toolbar, 17
Ordinate command, 307
Ordinate Dimension tool, 307
ordinate dimensions, 306–307, 306
Organize Favorites option, 254
orientation
blocks, 236
cell text, 281–282, 281–282
printing, 342–343, 343, 358
UCS, 10
origins
blocks, 241
coordinate systems, 34, 34
hatch patterns, 90
point coordinates, 329
printing, 354
UCS, 164
Ortho mode, 49
Ortho status item, 332
osnap (object snap) marker, 51
osnaps
in 3D space, 163
for aligning objects, 63–66, 63–66, 136, 136
with dimensioning, 299
location setup, 57–59, 58–59
on the fly selections for, 60
options for, 60–62
with Polar Tracking, 67
Other Predefined tab, 89
Out option, 24
Outer option, 97
Outline tool, 266
outlines, 327–328, 327
Outside Borders option, 288–289, 288
Over Dimension Line, with Leader option, 319
Over Dimension Line, without Leader option, 319
**Over: status item, 331
overlays, 251


Previous Page
Next Page

Index

P

Page Setup dialog box
plot styles, 367
shaded views, 355
Page Setup Manager dialog box
plot style tables, 362
printer settings, 358–359, 359
Paint Bucket tools, 86
palette view, DesignCenter, 252, 253
Pan Realtime tool, 23
panning and Pan command, 23–24
accuracy of, 26
locking viewport views from, 347–348
panoramic views, 169
PANTONE color option, 208
paper
printable area of, 27
size, 353
for printing, 342–343, 343
selecting, 353
user-defined, 353
Paper option, 341, 341
paper space
dimensions in, 295
layers in, 341, 341
viewports in, 341
Paper Space option, 211, 211
paragraphs, indenting, 268
parallel lines
construction, 106–107
drawing, 82–83, 82
Parallel option, 62
Parallel Projection tool, 173
parallel projections, 173, 173
Parallelism tolerance symbol, 309
parentheses () in formulas, 284
Paste Special dialog box, 273, 286, 286
Path option, 178
paths, extruding along, 178–179, 179
patterns
gradients, 98–99
hatch. See hatch patterns
Pe command, 80, 147
Pedit command, 80, 147–148
Pen # option, 365
Perpendicular option, 62
Perpendicularity tolerance symbol, 309
Perspective Projection tool, 173, 173
perspective projections, parallel projections from, 173, 173
perspective view, 4
PHANTOM linetypes, 224
Pick Both Offsets option, 139
Pick Column Offset option, 139
Pick Point option, 234
Pick Row Offset option, 139
pl command, 80
Place Text Manually option, 319
Planar mapping style, 190, 191
Planar Mapping tool, 189
plines. See polylines and Polyline option
Plot And Publish tab, 354, 362
Plot dialog box, 351
paper size and orientation, 342–344, 343
printer settings, 359, 359
shaded views, 355
Plot In Background option, 356
Plot Object Lineweights option, 356
Plot Offset (Origin Set To Printable Area) group, 354
Plot or Page Setup dialog box, 360–361, 361
Plot Paperspace Last option, 356
Plot Stamp dialog box, 357, 357
Plot Stamp On option, 357
Plot Style Control list, 367, 368
Plot Style option, 367
Plot Style property, 123
Plot Style Table Editor dialog box, 363–366, 364
Plot Style Table list, 343, 343
Plot Style Table Settings dialog box, 362
plot styles and plot style tables, 230, 359–360, 360
assigning
to layers, 368, 368–369
to objects, 366–367, 367
color vs. named, 362
creating, 362–363
editing and using, 363–366, 364, 366
named from color, 369
predefined, 360–361, 361
Plot Upside-Down option, 358
Plot With Plot Styles option, 356
Plotter Calibration option, 353
Plotter Configuration Editor dialog box, 351–353, 352
plus signs (+) in formulas, 284
Point Filters option, 62
point lights, 191
point of view, 168–173, 169–173
Point Selection cursor, 51
Point Selection mode, 38
Point Style dialog box, 102
points
construction lines through, 104
coordinates of, 34, 329
as markers, 102
marking, 102, 102
tracking, 67–68
pol command, 100
Polar Angle settings, 52
Polar Angle Measurement setting, 52
Polar Array option, 137, 137
polar coordinates, 28, 35, 35, 38–39, 39
polar tracking, 38, 51
adjustable triangles with, 49–50
behavior of, 50–52, 50
with osnaps, 67
for relative coordinates, 41
Polar Tracking tab, 50–52, 50
polar tracking Vector, 28
Polygon tool, 100
polygons, 72, 73
area, 326, 326
drawing, 100–101, 101
Polyline command, 80
polyline splines, 73, 73
Polyline tool, 73
polylines and Polyline option, 72, 73
for Chamfer, 131
for curves, 80–81, 80–81
editing, 147–149
exploding, 147
extruding, 174–176, 174–176
for Fillet, 129
for outlines, 327–328, 327
revolving, 185, 185
portrait orientation, 343, 358
Ports tab, 352
Position tolerance symbol, 309
PostScript fonts, 264
Precision option
angles, 302
dimensions, 320–321, 323
drawing units, 46
predefined hatch patterns, 87–88, 88
predefined plot styles, 360–361, 361
Prefix option, 320, 322
prefixes for dimensions, 310, 320, 322
preview icons, 253
Preview panel, 254
Previous option
Modify menu, 127
Pedit, 149
Zoom, 24
Primary Units tab
architectural drawings, 318
dimensions, 310, 320, 320
primitives, 152, 152
printable area, 27, 354
printing, 339
3D views, 355–356
hidden lines and shading, 348
locking layers from, 212
paper size and orientation, 342–343, 343
plot options, 356–357
plot styles. See plot styles and plot style tables
positioning, 354
printer settings, 351–353
saving settings, 358–359, 359
scaling, 345, 345, 354–355
setting up, 340, 340
viewports for, 341–342, 345–350, 346–350
views for, 353–354
Procedures tab, 29
Profile tolerance symbol, 309
Project option, 134
Prompts, 51
properties
cameras, 172, 172–173
filtering layers by, 214–216, 215–216
Properties palette, 7, 7, 122–124, 122–123
blocks, 238, 238
cameras, 173, 173–174
cell text, 281–282, 282
layers, 205–206, 205
line weights, 230, 230
Properties Settings dialog box, 99
Properties toolbar, 17
Purge command, 236


Previous Page
Next Page

Index

Q

Qdim command, 298–299
Qtext status item, 332
Quadrant option, 62
Quick Dimension command, 298
Quick Select tool, 334–335, 335
QuickCalc calculator
cumulative area values, 329
properties, 123
QuickSelect option, 236


Previous Page
Next Page

Index

R

Radians angle option, 46
radius and Radius option
arcs, 75
circles, 21, 21, 74, 74
dimensions, 301, 301, 316
Fillet, 128–129
polygons, 100
Radius tool, 301
RAM space, xrefs for, 248
Ray command, 102, 107
ray construction lines, 107
Re-Order option for groups, 245
Realistic option, 4, 356
Realistic visual style, 198–199
Realtime Pan tool, 23, 26
Realtime zoom option, 24
Recreate Boundary option, 95
Rectangle command, 20
Rectangle tool, 20
rectangles, 73, 73
drawing, 13–15, 14, 20–21
reference, 46–47
red, green, blue (RGB) color model, 208
Redo command, 22
Redo tool, 266
Refedit command, 132, 248
Refedit toolbar, 17
Reference option
Rotate, 143
Scale, 140–141, 140
reference rectangles, 46–47
Reference toolbar, 17
Regen option, 149
region objects, 107
regular polygons, 100–101, 101
relative coordinates, 34, 40–41, 40–41
Reload All Xrefs option, 249
Remove Boundaries option, 95
Remove option for groups, 245
Remove From Group option, 245
Remove From Group Filter option, 218
removing. See deleting and Delete option
Rename command, 248
Rename Layout dialog box, 350
renaming and Rename option
groups, 244–245
tabs, 350
text styles, 276
xrefs, 248
Render control panel, 154, 196, 196
Render tool, 193, 193
Render toolbar, 17
Rendered option, 356
rendered views, 196–198, 196–197, 356
Replace All option, 272
Reset option, 190
resolution for rendered images, 196
Restore Down icon, 9–10
Retain option for blocks, 236
Retain Boundaries option, 328
Retain Changes To Xref Layers option, 250
revcloud command, 84–85
Revision Cloud command, 84
Revision Cloud tool, 84
revision clouds, 83–85, 83
revolving polylines, 185, 185
RGB (red, green, blue) color model, 208
Rich Text Format (RTF) files, 272–273
Right tool, 266
ro command, 141
Rotate command, 141–142
Rotate Items As Copied option, 138
rotating and Rotation option
3D solids, 160–163, 161–162
blocks, 237–238, 238
cell text, 281–282, 282
circular copies, 138
dimension text, 311–312
ellipses, 76
elliptical arcs, 78
grids, 56, 56
grips, 116–117
materials, 190
objects, 141–144, 142–143
text, 278
xref files, 249
Round Distances To option, 322
Round Off option, 320
rounding corners, 128–129, 129, 178, 178
rows
copying, 138–139, 139
tables, 283
RTF (Rich Text Format) files, 272–273
rubber-banding lines, 28, 37, 39
Ruler tool, 266
running osnaps, 58–59, 297
Runout tolerance symbols, 309


Previous Page
Next Page

Index

S

s command, 141
Save As option, 366
Save Block Definition option, 146
Save Changes To Layout option, 358
Save Drawing As dialog box, 19
saving
blocks, 242, 242
layer settings, 219–220, 219
plot style tables, 366
printer settings, 358–359, 359
rendered images, 196
views, 170–171, 170
sc command, 140
Scale command, 140
Scale Dimensions To Layout option, 319
scale factors, 229
Scale Lineweights setting, 355
Scale tab, 306
Scale Uniformly option, 236
scales and Scale option
blocks, 237–238, 238
and DesignCenter, 256
dimensions, 295
grips, 116–117
linetypes, 226–228, 227, 230–231, 231
multileader styles, 306
printing, 345, 345, 354–355
Reference option for, 140–141, 140
to specific scale factors, 139–140
text, 269, 273–274
xref files, 249
Zoom, 24
Scaletext command, 269
Scaling For Height option, 323
Scientific length option, 46
Screening option, 365
Screening xxx%.ctb plot style, 361
screw threads, 179–181
scroll wheels, 24
sculpting 3D objects, 165–166, 165
SE Isometric option, 4
Search dialog box, 256–257
Search For The Word(s) option, 256
Search Now option, 256
Search Subfolders option, 256
Search tab, 29–30
searching
for contents, 255, 256–257
for help, 29–30
for layers, 213
for named components, 334–335, 335
for support files, 335–338, 336–338
for text, 271–272, 272, 333–334, 334
Second option, 315
Second angle option, 304
Select Color dialog box
3D solids, 157, 158
backgrounds, 197
gradient fills, 99
layers, 203, 204, 215
materials, 189, 189
objects, 230
true and PANTONE colors, 208
Select File dialog box, 246–247, 246, 369
Select Group option, 246
Select Linetype dialog box, 226, 226
Select New Path dialog box, 336
Select Objects option, 235
Select Plot Style dialog box, 367, 369
Select Reference File dialog box, 248
Select Template dialog box, 5, 5
3-D models, 153
materials, 187
new drawings, 19
Selectable option, 244–245
Selecting Subobject dialog box, 159
selection sets, 110
selection windows, 8–9
selections
Modify menu for, 126–127
with Move, 135
options for, 110–111, 110–111
osnaps for, 60
standard method, 110
in viewports, 341
with windows, 112–113, 112–113
Set Current tool, 205
Set Size Relative To Screen option, 102
Shade Plot options, 356
shaded views, 198–200, 199, 348, 355
shading gradient fill, 98–99
shadows, 191
shapes and objects
in 3D model
from 2D shapes, 173, 173
converting from earlier
versions, 176
extruding along paths, 178–179, 179
extruding polylines, 174–176, 174–176
filleting corners, 178, 178
helices, 179–181, 180
interference and intersection of, 176–177, 177
lofting through, 181–184, 181–184
revolving polylines, 185, 185
sculpting, 165–166, 165
assigning named plot styles to, 366–367, 367
for layout, 101–102
for revision clouds, 84–85
shortcut menus, 9–11
single-line text objects, 277–278
Single option, 345, 346
size
center marks, 316
drawing area, 9–10
paper, 353
for printing, 342–343, 343
selecting, 353
user-defined, 353
rendered images, 196
Size Is search option, 256
Sketch command, 107
skewing dimension lines, 312
slashes (/) in formulas, 284
smooth curves, 78–79, 79
Smooth Fit option, 183
Snap And Grid tab, 54–55, 55
Snap command, 54
Snap mode, 54
Snap Resolution Is status item, 331
Snap status item, 332
Snap X Spacing setting, 54
Snap Y Spacing setting, 54
Snapbase command, 57, 57, 90
snaps
to grids, 53–54
osnaps. See osnaps
rotating, 56
spacing, 54
snowflake icon, 210
solid backgrounds, 197
solid fills, 89
Solids Editing toolbar, 17
solids in 3D drawings, 155–156, 155–156
creating, 156–157, 157–158
editing, 166–167, 167–168
grips for, 158–160, 159–160
primitives, 152, 152
rotating, 160–163, 161–162
sorting layer names, 214
Source And Size option, 352
spacing
grids, 54–55, 55
hatch patterns, 86
snaps, 54
special symbols, 265, 267
Specified Origin option, 91
Specify first corner point option, 13
Specify On-Screen option, 237, 248–249
Specify Output Size option, 196
spelling checker, 270–271, 270
spherical format, 187
Spherical mapping style, 190, 191
splash screen, 3
Spline command, 78
spline curves, 78–79, 79
Spline option, 80, 80, 148
Spline tool, 78
Splinedit command, 79
spotlights, 192–193, 192–194
spreadsheets. See tables
Stack tool, 266
stacked fractions, 265
Standard 2 toolbar, 18
Standard Annotation toolbar, 18
standard cursor, 51
Standard Scale option, 345
standards, dimensions, 295
Start option for arcs, 75
starting commands, 13–15, 14
Startup dialog box, 3
Statistics tab, 333
status bar, 8, 8
command descriptions in, 12
displaying, 9
feedback in, 8, 8
Status command, 331
status information, 331–332, 331
.stb extension, 369
Stop option, 256
Store As Default Origin option, 92
straight lines, 72–73, 73
Straighten option, 149
Straightness tolerance symbol, 309
Stretch command, 141
stretching and Stretch option
grips, 116–117
lines, 114–116, 115–116
objects, 141, 141
strings of dimensions, 298–299, 299
styles, multileaders, 304–306, 305
styles and Style option
dimensions, 313–314, 313–314, 323–324, 323–324
font, 274–277, 275–276
mapping, 190, 191
plot. See plot styles and plot style tables
revision clouds, 85
tables, 290–292, 290–291
Styles list, 276, 276
Styles toolbar, 18
subobjects, 167
Subtract tool, 166
subtraction in formulas, 284
subtraction with 3D objects, 165–166, 165
suffixes for dimensions, 310, 321–322
Sum function, 284
Summary tab, 333, 333
sun icon, 210
Sun in background, 198, 198
Sun Properties palette, 195, 196
Sun Status option, 195
sunlight, 191, 195, 195–196
Sunlight tool, 195
Support File Search Path option, 338
support files, 335–338, 336–338
Suppress option, 315
Suppress Arrows If They Don't Fit Inside Extension Lines option, 319
surfaces for 3D drawings, 155–156, 155–156
converting from earlier versions, 176
drawing on, 163, 164
Surveyor's Units angle option, 46
Sweep tool, 178–179
Switch option for mapping, 190
Swivel tool, 169
Symbol dialog box, 308, 308
Symbol option, 266, 267
symbols
annotation scale for, 238
downloading, 257–258, 258
special, 265, 267
Symbols And Arrows tab, 314–316, 314
Symmetry tolerance symbol, 309


Previous Page
Next Page

Index

T

T squares, 49
Table Style command, 290
Table Style dialog box, 290–292, 290
Table View tab, 364–365, 364
tables, 278, 279
cells
background color, 289
borders, 288–289, 288–289
combining, 280–281, 280–281
text in, 280–283, 281–282
creating, 278–279, 279
exporting, 285
formulas in, 283–285, 283–284
graphics in, 289–290, 289
importing, 286–287, 286
lineweights, 288–289, 288–289
rows and columns, 283
styles, 290–292, 290–291
Tablet status item, 332
tabs
renaming, 350
for text, 267–268, 268
tangent objects, selecting, 74, 74–75
Tangent option
curves, 79
osnaps, 62
Pedit, 149
template selection, 19
Temporary Track Point option, 62
Temporary Tracking Point feature, 67–68
text and Text option, 263
background masks for, 268–269, 269
boundaries for, 267
dimensions, 319
annotations, 303–306, 303
appearance, 316–317, 316
appending data to, 310
detaching, 311–312
ordinate, 307
rotating, 311–312
finding, 271–272, 272, 333–334, 334
font styles, 274–277, 275–276
formatting, 264, 264
height and font, 265, 265, 275, 277
indents and tabs, 267–268, 268
in legacy drawings, 229
scale, 269, 273–274
spelling checker for, 270–271, 270
in tables, 280–281, 280–281
justification, 282, 283
orientation, 281–282, 281–282
Text Color option, 317
text files, importing, 272–273
Text Formatting toolbar, 264–266, 264–266, 279, 307, 310–311, 310
Text Height option, 317
Text Movement option, 312
Text Options tab, 306
Text Rotation option, 281
Text Style dialog box, 275–277, 275, 316
Text Styles dialog box, 292
Text tab
cells, 292
dimension text, 316–317, 316
Text toolbar, 18
Thaw option, 207, 209–210, 210
thawing layers, 207, 209–210, 210, 348–349
Thicken Surface tool, 175–176, 175
Thickness property, 123
Thickness status item, 332
Three: Above option, 346, 347
time, tracking, 332, 332
Time command, 332
title blocks, 342
toggling groups, 243
tol command, 307
tolerance
curves, 79
dimensions, 307–308, 308–309, 322–323, 322
hatch patterns, 97
Tolerance value, 97
Tolerances tab, 322–323, 322
tool palettes, 7, 7–8, 258–259, 259
Tool Properties dialog box, 260, 260
toolbars, 6
list of, 17–18
location, 5
tools, customizing, 260–261, 260
ToolTips, 15, 15
Top Left option, 92
Top Right option, 92
tr command, 133
Track Using All Polar Angle Settings option, 50, 52, 67
tracking components, DesignCenter for. See DesignCenter
tracking points, 67–68
Tracking tool, 266
TRACKS linetype, 225
tree view, DesignCenter, 252, 253
Tree View Toggle tool, 252
triangles with Polar Tracking, 49–50
triangular menu pointers, 12
Trim command, 132–134
trimming and Trim option
Chamfer, 132, 132
Fillet, 129–130
joining objects, 132–134, 132–134
True Color tab, 208
TrueType fonts, 264
truncating circles, 133, 133
ts command, 290
Ttr command, 74
Two Color option, 99
Txt font, 264


Previous Page
Next Page

Index

U

U command, 22
UCS (User Coordinate Systems), 10
grid rotation, 56, 57
ordinate dimensions, 307
point coordinates, 329
solids rotation, 160–163, 161–162
working with, 164–165, 164
UCS icon, 10
UCS toolbar, 18
UCS II toolbar, 18
Underline tool, 266
Undo command, 22
Undo tool, 22, 38
with Modify menu, 127
for text, 266
undoing actions and Undo option, 22
Extend, 134
Pedit, 148
text edits, 266
Ungroup option, 245
union operation, 165–166, 165
Union tool, 165, 165
Unit Format option, 320–321
units
for blocks, 256
for dimensions, 320–323, 320–321
selecting, 44–47, 45
setting, 19
Units Format option, 321
Unlock Object's Layer tool, 222
Unnamed option, 244
Unstack tool, 266
updating xref files, 249, 249
Upper Value option, 323
Uppercase tool, 266
Upside Down option, 277
Use Background Mask option, 269
Use Color Dependent Plot Styles option, 362
Use Drawing Background Color option, 269
Use Overall Scale Of option, 314, 318
User Coordinate Systems. See UCS (User Coordinate Systems)
User Defined option, 86
user-defined paper sizes, 353


Previous Page
Next Page

Index

V

Vertical Cell Margin option, 283, 283
vertical construction lines, 105
vertical dimensions, 296, 296
Vertical option for text, 277, 317
Vertical Position option, 323
vertices
in moving polylines, 149
in stretching objects, 141
View Manager dialog box, 197–198
View Selections option, 95
View toolbar, 18
Viewport Lighting Mode option, 195
viewports, 27, 341
creating, 345–347, 347
displaying and hiding, 348
layers for, 348–350, 348–350
locking from pans and zooms, 347–348
working with, 341–342
Viewports dialog box, 345–346, 347
Viewports toolbar, 18
views
in 3D models
from 2D views, 4
printing, 355–356
rendered, 196–198, 196–197
wireframes and shaded, 198–200, 199
saving, 170–171, 170
Views tool, 253
Virtual Pen # option, 365
visibility
layers, 207–212, 207, 209–212
line weight, 228–229, 230
visual style feature, 153, 157
Visual Styles control panel, 154, 199, 199
Visual Styles toolbar, 18
VP Freeze columns, 210–211, 210, 349, 350


Previous Page
Next Page

Index

W

w command, 242
Walk and Fly toolbar, 18
Walk/Fly tool, 169–170
Wblock command, 242
WCS (World Coordinate System), 160
Web toolbar, 18
width and Width option
cells, 282, 282
polylines, 148–149
text, 266, 277
Width Factor option, 277
Width Factor tool, 266
Window option
Modify menu, 127
plotting, 354
Window Polygon option, 127
windows for selections, 112–113, 112–113
wireframes, 198–200, 199, 355–356
word-wrap feature, 267
words, adding, 277–278
workpoints, 51
Workspaces toolbar, 18
World Coordinate System (WCS), 160
World UCS option, 4
Write Block dialog box, 242, 242


Previous Page
Next Page

Index

X

X coordinates, 34–35, 34
in distance measurements, 330
in Dynamic Input display, 8–9
for printing, 354
X direction in UCS, 10
X scale factor for blocks, 237
X spacing for grids, 54–55, 55
Xbind command, 250
Xdatum option, 307
Xline command, 102–104
xr command, 248
xref files, 233, 247–248
attaching drawings as, 248–249, 248–249
vs. blocks, 250–251
editing, 145–147, 145–146
locating, 335–337, 336–337
nesting, 251
trimming and extending, 132
updating, 249, 249
XY coordinates, 8, 34


Previous Page
Next Page

Index

Y

Y coordinates, 34–35, 34
in distance measurements, 330
in Dynamic Input display, 8–9
for printing, 354
Y direction in UCS, 10
Y scale factor for blocks, 237
Y spacing for grids, 54–55, 55
Ydatum option, 307


Previous Page
Next Page

Index

Z

Z axis for point coordinates, 329
Z coordinates, 34
in distance measurements, 187, 330
in Dynamic Input display, 8
Z scale factor for blocks, 237
Zero Suppression options, 318, 321–323
ZIGZAG linetype, 225
Zoom command, 23–24
Zoom Previous tool, 24
Zoom toolbar, 18
Zoom Window tool, 24
zooming
locking viewport views from, 347–348
working with, 23–24, 23


List of Figures

Chapter 1: Getting Familiar with AutoCAD

Figure 1.1: AutoCAD when opened into a 2D Drafting & Annotation workspace
Figure 1.2: The components on the top of the Auto-CAD window
Figure 1.3: The tool palettes and the Properties palette
Figure 1.4: The status bar and the command line work with the drawing area to give you feedback as you draw.
Figure 1.5: Selecting the first point of a rectangle
Figure 1.6: Once you've selected the first point of the rectangle, you'll see a rectangle follow the motion of your mouse.
Figure 1.7: The control panels of the Dashboard
Figure 1.8: Click and hold the downward-pointing arrow to open the fly-out toolbar.
Figure 1.9: Drawing a circle
Figure 1.10: Selecting a Zoom window
Figure 1.11: Your drawing as it appears in one of the layout tabs
Figure 1.12: Using the Arc command

Chapter 2: Understanding the Drafting Tools

Figure 2.1: AutoCAD's coordinate system
Figure 2.2: Drawing a line at a 45° angle
Figure 2.3: A rubber-banding line
Figure 2.4: Notice that the rubber-banding line now starts from the last point selected. This tells you that you can continue to add more line segments.
Figure 2.5: AutoCAD's default system for specifying angles
Figure 2.6: These three sides of the rectangle were drawn using the Line tool. You can specify points using either relative Cartesian or polar coordinates.
Figure 2.7: Positive and negative Cartesian coordinate directions
Figure 2.8: The finished rectangle
Figure 2.9: The Drawing Units dialog box
Figure 2.10: The Polar Tracking tab of the Drafting Settings dialog box
Figure 2.11: An AutoCAD grid
Figure 2.12: The grid as it appears when the limits of the drawing are smaller than the current display
Figure 2.13: The Snap and Grid tab
Figure 2.14: The Isometric Snap option
Figure 2.15: The isoplane cursors
Figure 2.16: A rotated grid and lines
Figure 2.17: Using osnaps in conjunction with the UCS to align the grid to an object
Figure 2.18: The grid at the left is not aligned, but the grid on the right was aligned with the center of the circle using Snapbase.
Figure 2.19: Checking Endpoint, Midpoint, and Inter-section check boxes
Figure 2.20: Draw this rectangle to practice using osnaps.
Figure 2.21: Using the Midpoint osnap
Figure 2.22: Osnap options
Figure 2.23: The Drafting Settings dialog box
Figure 2.24: Draw this rectangle to practice using osnap tracking.
Figure 2.25: The completed circle centered on the rectangle

Chapter 3: Drawing 2D Objects

Figure 3.1: Although different commands were used to create them, these objects are all polylines and can be edited as such.
Figure 3.2: Drawing a circle tangent to three other circles
Figure 3.3: Drawing a circle tangent to two objects
Figure 3.4: The methods for drawing an arc. The numbers indicate the order of point selection.
Figure 3.5: Drawing an ellipse
Figure 3.6: Drawing an ellipse from a center point
Figure 3.7: Drawing an elliptical arc
Figure 3.8: Drawing a spline curve
Figure 3.9: The effect of the Fit Tolerance option on a spline
Figure 3.10: The effect of the Pedit command's Spline option on a straight-line polyline
Figure 3.11: The Fit option applied to a straight-line polyline
Figure 3.12: Examples of parallel lines created using Offset
Figure 3.13: An example of a revision cloud in an architectural drawing
Figure 3.14: The normal (left) and calligraphy cloud
Figure 3.15: Examples of hatch patterns within random shapes formed by a spline, a circle, an arc, and a rectangle
Figure 3.16: The predefined hatch patterns available in AutoCAD
Figure 3.17: Placing a floor tile pattern where you want it using Hatch Origin
Figure 3.18: Boundary extents are shown in gray. The hatch pattern appears only within the irregular shape.
Figure 3.19: The Associative hatch option causes hatch patterns to automatically adjust to changes in the pattern's boundary.
Figure 3.20: A hatch pattern can fill a complex shape and detect islands within the shape.
Figure 3.21: The polygon on the left uses the Inscribed in circle option in step 4, and the polygon on the right uses the Circumscribed about circle option. The radius is the same for both images.
Figure 3.22: An example of point objects, appearing as X's, used to mark divisions on a polyline
Figure 3.23: Marking off 4-unit segments on a curve
Figure 3.24: Bisecting a pair of lines with a construction line

Chapter 4: Editing AutoCAD Objects

Figure 4.1: A rectangle, drawn using the Line tool, and an arc
Figure 4.2: Selecting the lines of the rectangle and seeing them highlighted
Figure 4.3: The dotted window (left image) indicates a crossing selection; the solid window (right image) indicates a standard selection window.
Figure 4.4: The rectangle enclosed by a crossing window
Figure 4.5: Stretching lines using hot grips. The left image shows the rectangle's corner being stretched upward. The right image shows the new location of the corner at the top of the arc using the Endpoint osnap.
Figure 4.6: Click the location shown to copy the grip.
Figure 4.7: A diagonal line to test grips and Dynamic Input
Figure 4.8: AutoCAD's Properties palette showing the properties of a line
Figure 4.9: The Geometry section (bottom) of the Properties palette
Figure 4.10: Some boxes in the Properties palette include a Browse button.

Chapter 5: Editing with the 2D Draw Control Panel Tools

Figure 5.1: Fillet will join the two lines at the left from end to end (center) or join them with an intermediate arc (right).
Figure 5.2: The polyline on the right is the result of using the Fillet command on the polyline on the left.
Figure 5.3: Fillet with the No Trim setting turned on
Figure 5.4: Chamfer joins the two lines at the left to form the chamfered corner shown at the right.
Figure 5.5: The Chamfer distance shown by arrows. The first Chamfer distance is determined by the line that is selected first (at the Select first line: prompt).
Figure 5.6: The polyline on the right is the result of using the Chamfer command on the polyline on the left.
Figure 5.7: Chamfer's Angle option lets you specify the chamfer based on a distance and an angle. The angle is relative to the first line selected at the Select first line: prompt.
Figure 5.8: A chamfer with the default Trim option appears on the left, and the No Trim option appears with the fillet on the right.
Figure 5.9: Use the Trim command and select the locations indicated by the dots at left to quickly draw a new shape at right.
Figure 5.10: Extending the vertical lines shown at left to form an extension to a wall at right
Figure 5.11: Trimming a circle and line at the left to form a truncated circle at the right
Figure 5.12: Shift+click to select the lines shown on the left to get the results on the right.
Figure 5.13: Extending a set of lines to a curve using the Fence option. Hold down the Shift key while placing the fence.
Figure 5.14: Even though the lines do not cross, as shown in the left image, you can turn on the Edge option to trim to the edge defined by the dotted line in the middle image.
Figure 5.15: Use the Endpoint osnap to select the corner of the object you want to move (left image), and then use it again to select the corner you want to move the object to (center image).
Figure 5.16: The Array dialog box
Figure 5.17: The Polar Array dialog box
Figure 5.18: Copying rows and columns
Figure 5.19: An array cell and the Array dialog box options that let you graphically indicate array cells
Figure 5.20: Scaling a door to fit an opening
Figure 5.21: Use a crossing window to select the vertices you want to stretch (left image), and then select a base point. The vertices will move with the cursor (right image).
Figure 5.22: Using the Reference option to align the selected objects to the cursor
Figure 5.23: The goal is to rotate the circles inside the hexagon (left view) to align with the corners of the hexagon (right view).
Figure 5.24: Rotating the circles to align with the corners of the hexagon
Figure 5.25: The Edit Block Definition dialog box
Figure 5.26: The Block Editor window with the Block Authoring palettes shown to the left

Chapter 6: Creating 3D Drawings

Figure 6.1: The solid primitives available in AutoCAD
Figure 6.2: Shapes generated from lines, arcs, and splines
Figure 6.3: The AutoCAD 3D Modeling workspace
Figure 6.4: The Dashboard and its components
Figure 6.5: Tools to switch from model space to layouts
Figure 6.6: Solid modeling lets you remove or add shapes.
Figure 6.7: Using the Loft tool, you can use 2D objects to define a complex surface.
Figure 6.8: Drawing a 3D solid box
Figure 6.9: Changing the color of the current layer
Figure 6.10: Examples of how to create 3D objects using the same basic three steps
Figure 6.11: Grips appear on a 3D solid
Figure 6.12: Using the Grip tool to constrain motion
Figure 6.13: Drawing on the side of a box
Figure 6.14: The UCS icon at the left and the cursor in 3D to the right are color matched.
Figure 6.15: Selecting a rotation point and the resulting box orientation
Figure 6.16: Drawing a cylinder on the surface of a 3D solid
Figure 6.17: Creating and subtracting a cylinder from the 3D solid
Figure 6.18: Individual objects are highlighted when you use the Ctrl key.
Figure 6.19: You can move the hole-forming cylinder to a new location using its grip.
Figure 6.20: The drop-down list in the 3D Navigate control panel and the New View dialog box
Figure 6.21: Placing a camera in your drawing
Figure 6.22: Using the Grip tool to constrain motion to the x-, y-, or z-axis
Figure 6.23: The Properties palette for a camera
Figure 6.24: The Parallel Projection and Perspective Projection tools
Figure 6.25: You can use the closed polylines on the left to construct the 3D shapes on the right.
Figure 6.26: Drawing a 3D polygon
Figure 6.27: Examples of extruded closed polylines
Figure 6.28: The Thicken Surface tool in the expanded 3D Make control panel, which is shown at the right
Figure 6.29: Sample of surfaces before and after using the Thicken Surface tool
Figure 6.30: Making a copy of a section of a 3D solid using Interfere
Figure 6.31: Selecting the edges to fillet and the result
Figure 6.32: The 2D drawings of a building wall section and footprint
Figure 6.33: A helix path and a circle applied to the helix using the Sweep tool
Figure 6.34: Drawing a box with arcs and a polyline on its side
Figure 6.35: Moving the arcs
Figure 6.36: The surface created using the Loft tool
Figure 6.37: Moving a grip with the aid of the Grip tool
Figure 6.38: An ellipse that has been revolved into a solid
Figure 6.39: The image on the top shows an object moved within the XY plane within the WCS. The image on the bottom shows the same move with an additional Z component.
Figure 6.40: The Display Material Window tool in the Materials control panel and the Materials palette
Figure 6.41: The Select Color dialog box with a new color setting for the default material
Figure 6.42: Selecting the mapping grip and adjusting it to change the pattern on the side of the box
Figure 6.43: Mapping styles
Figure 6.44: A rendered view of a box
Figure 6.45: Samples of different falloff settings in the left side and the resulting rendered view on the right
Figure 6.46: The properties of a spotlight
Figure 6.47: The Sun Properties palette
Figure 6.48: The expanded Render control panel shows the additional options.
Figure 6.49: The three modes of the Background dialog box
Figure 6.50: Visual Styles applied to a sphere

Chapter 7: Getting Organized with Layers

Figure 7.1: The Layer Properties Manager tool
Figure 7.2: Click the New Layer button toward the top of the Layer Properties Manager dialog box.
Figure 7.3: The Color icon in the layer listing of the Layer Properties Manager dialog box
Figure 7.4: The Select Color dialog box
Figure 7.5: The Layer Properties Manager dialog box
Figure 7.6: The four tool buttons of the Layer Properties Manager dialog box that let you create a new layer, create a new layer and freeze it in all viewports, delete a layer, or make a selected layer the current one
Figure 7.7: The Properties palette
Figure 7.8: Selecting a layer from the Layers control panel
Figure 7.9: Two layout viewports displaying the same drawing with different layers frozen
Figure 7.10: The lightbulb icon in the Layer Properties Manager dialog box
Figure 7.11: The Freeze Or Thaw In ALL Viewports icon and ToolTip in the Layer drop-down list
Figure 7.12: The VP Freeze and New VP Freeze icons in the Layer Properties Manager dialog box
Figure 7.13: The Layout tabs
Figure 7.14: The Model Space button or Paper Space button
Figure 7.15: The UCS icon appears in each viewport, and the current viewport has a darker border.
Figure 7.16: The Model button in the status bar
Figure 7.17: The Freeze Or Thaw In Current Viewport icon in the Layer drop-down list
Figure 7.18: The Lock icon in the Layer Properties Manager dialog box and Layer drop-down list
Figure 7.19: The printer icon in the Layer Properties Manager dialog box
Figure 7.20: The filter and Layer States Manager options in the Layer Properties Manager dialog box
Figure 7.21: The Layer Filter Properties dialog box
Figure 7.22: The Browse button below the Color label in the Filter Definition list box
Figure 7.23: The new filter name appears in the left side of the Layer Properties Manager dialog box.
Figure 7.24: Click the All option in the Layer Properties Manager dialog box.
Figure 7.25: The New Group Filter tool in the Layer Properties Manager dialog box
Figure 7.26: The Group Filter1 list after selecting objects
Figure 7.27: The Invert Filter and Indicate Layers In Use options in the Layer Properties Manger
Figure 7.28: The Layer States Manager dialog box
Figure 7.29: The New Layer State To Save dialog box
Figure 7.30: The Layers II toolbar
Figure 7.31: The LayerWalk dialog box
Figure 7.32: Standard, ISO, and complex AutoCAD linetypes
Figure 7.33: The Select Linetype dialog box
Figure 7.34: The Load Or Reload Linetypes dialog box
Figure 7.35: The same linetype using two different Linetype scales. The upper line uses a scale that is approximately 4½ times the scale of the lower line.
Figure 7.36: Sample image of different line weights used in AutoCAD
Figure 7.37: The Lineweight Settings dialog box
Figure 7.38: The Lineweight dialog box
Figure 7.39: The Lineweight Control drop-down list in the Properties palette
Figure 7.40: The Color, Linetype, and Lineweight Control options on the Properties toolbar
Figure 7.41: The Select Color option in the Color Control drop-down list
Figure 7.42: The Other option in the Linetype Control drop-down list
Figure 7.43: The Linetype Scale option in the Properties palette

Chapter 8: Using Blocks, Groups, Xrefs, and DesignCenter

Figure 8.1: The Block Definition dialog box
Figure 8.2: The Insert dialog box
Figure 8.3: The Name drop-down list shows the available blocks in a drawing.
Figure 8.4: The block properties
Figure 8.5: A single block is used to create different size elevation symbols in this Layout view. Both views show the same floor plan displayed at different scales.
Figure 8.6: The Select Drawing File dialog box
Figure 8.7: The Write Block dialog box
Figure 8.8: The Object Grouping dialog box
Figure 8.9: The AutoCAD LT Group Manager dialog box
Figure 8.10: The Select File dialog box
Figure 8.11: The Find dialog box
Figure 8.12: The Date Modified tab of the Find dialog box
Figure 8.13: The External References palette
Figure 8.14: The External Reference dialog box
Figure 8.15: The message in the Status column of the External References palette shows that the xref needs to be reloaded.
Figure 8.16: DesignCenter opens as a floating palette.
Figure 8.17: The components of the DesignCenter palette
Figure 8.18: View of the Home location in DesignCenter
Figure 8.19: Options in the Look For drop-down list of the Search dialog box
Figure 8.20: DesignCenter with the Online tab selected
Figure 8.21: Selecting and clicking a block
Figure 8.22: If a dimension is dragged into a palette, the dimension commands appear in the palette.
Figure 8.23: The Tool Properties dialog box
Figure 8.24: The Customize dialog box

Chapter 9: Creating Text

Figure 9.1: Indicating the text location with the text boundary
Figure 9.2: The Text Formatting toolbar and the Text panel
Figure 9.3: The Text formatting toolbar and Text panel with selected text
Figure 9.4: The Font drop-down list in the Text Formatting toolbar
Figure 9.5: Additional features of the Text Formatting toolbar
Figure 9.6: Symbols offered by the Symbol option. (See Symbol in Table 9.1 for information about how to use these symbols.)
Figure 9.7: The ruler at the top of the text editor lets you quickly set tabs and indents for text.
Figure 9.8: The Background Mask dialog box for text
Figure 9.9: The Check Spelling dialog box
Figure 9.10: The Find and Replace dialog box
Figure 9.11: The Find and Replace Options dialog box
Figure 9.12: The Text Style dialog box
Figure 9.13: The Style drop-down list in the Text Formatting toolbar
Figure 9.14: The Style drop-down list in the Text control panel
Figure 9.15: A sample schedule created with the Table tool
Figure 9.16: The Insert Table dialog box
Figure 9.17: A table cell ready for editing with the Text Formatting toolbar above the table
Figure 9.18: The Table toolbar appears when you click a table cell. This toolbar offers typical spreadsheet tools for formatting cells or adding formulas to cells.
Figure 9.19: Selecting a group of cells in a table
Figure 9.20: A group of cells selected and made taller
Figure 9.21: The Text Rotation option in the Properties palette
Figure 9.22: Adjusting the width of a group of cells
Figure 9.23: The Vertical Cell Margin option in the Properties palette
Figure 9.24: The Formula tool
Figure 9.25: Selecting a cell range for the Sum function
Figure 9.26: The cell with the new formula
Figure 9.27: The Paste Special dialog box
Figure 9.28: The Cell Border Properties dialog box
Figure 9.29: The Outside Borders option in the Cell Border Properties dialog box
Figure 9.30: A set of cells with their border adjusted to a heavier line weight
Figure 9.31: The Insert a Block in a Table Cell dialog box
Figure 9.32: The Table Style dialog box
Figure 9.33: The Create New Table Style dialog box
Figure 9.34: The New Table Style dialog box
Figure 9.35: The Table Style Settings group in the Insert Table dialog box

Chapter 10: Using Dimensions

Figure 10.1: The components of a dimension for two common styles
Figure 10.2: Using a linear dimension
Figure 10.3: A continued string of dimensions
Figure 10.4: A baseline dimension
Figure 10.5: The aligned dimension of a nonorthogonal line
Figure 10.6: A nonorthogonal linear dimension that is not aligned with the feature being dimensioned
Figure 10.7: Dimension showing the diameter of a circle
Figure 10.8: A radius dimension shown on the outside of the circle
Figure 10.9: Two examples of an angular dimension
Figure 10.10: The Multileaders control panel
Figure 10.11: The leader with a note added
Figure 10.12: The Multileader Style Manager dialog box Figure 10.13
Figure 10.13: The Modify Multileader Style dialog box
Figure 10.14: An example of ordinate dimensions
Figure 10.15: An example of tolerance notation
Figure 10.16: The Geometric Tolerance dialog box
Figure 10.17: The Symbol dialog box
Figure 10.18: The Tolerance symbols
Figure 10.19: The Material Condition dialog box
Figure 10.20: A dimension with the Text Formatting toolbar
Figure 10.21: The Fit options in the Properties palette
Figure 10.22: The Move Text, Add Leader option in the Fit options group
Figure 10.23: A dimension on a 2D isometric drawing using the Oblique option
Figure 10.24: The Dimension Style Manager dialog box with the Standard style selected
Figure 10.25: The Create New Dimension Style dialog box
Figure 10.26: The New Dimension Style dialog box
Figure 10.27: The Symbols And Arrows tab of the New Dimension Style dialog box
Figure 10.28: These dimensions are labeled with the name of the settings that affect their appearance.
Figure 10.29: The Text tab of the New Dimension Style dialog box
Figure 10.30: The Fit tab of the New Dimension Style dialog box
Figure 10.31: The Primary Units Tab of the New Dimension Style dialog box
Figure 10.32: The Alternate Units tab of the New Dimension Style dialog box
Figure 10.33: The Tolerances tab of the New Dimension Style dialog box
Figure 10.34: The Dim Style Control drop-down list in the Dimensions control panel
Figure 10.35: The Dimension Style tool in the Styles toolbar

Chapter 11: Gathering Information

Figure 11.1: Select points sequentially on a polygonal shape, as shown by the numbers, to find its area.
Figure 11.2: The Hatch And Gradient dialog box
Figure 11.3: The Area listing in the Geometry group of the Properties palette
Figure 11.4: An area containing other shapes, or "islands," that you do not want in your area measurement
Figure 11.5: Using angular dimension to find the angle between two lines
Figure 11.6: The AutoCAD Text Window showing the drawing status
Figure 11.7: The time information in the AutoCAD Text window
Figure 11.8: The General tab of the Drawing Properties dialog box
Figure 11.9: The Summary tab of the Drawing Properties dialog box
Figure 11.10: The Custom tab of the Drawing Properties dialog box
Figure 11.11: The Find And Replace dialog box
Figure 11.12: The Find And Replace Options dialog box
Figure 11.13: The Quick Select dialog box with = Equals selected in the Operator list
Figure 11.14: Text shown in place of a missing xref
Figure 11.15: The lower-right corner of the AutoCAD window shows an exclamation point with a paper clip icon.
Figure 11.16: The External References palette
Figure 11.17: The External References palette showing the Loaded text in the Status column
Figure 11.18: Hover over the Saved Path text box to display the search path for the xref.
Figure 11.19: The Files tab in the Options dialog box
Figure 11.20: The Browse For Folder dialog box

Chapter 12: Laying Out and Printing Your Drawing

Figure 12.1: A view of your drawing in the Layout1 tab
Figure 12.2: The Paper button in the status bar
Figure 12.3: The Plot dialog box
Figure 12.4: The More Options button
Figure 12.5: The Plot Style Table drop-down list showing the monochrome.ctb option
Figure 12.6: The Add button in the Page Setup group
Figure 12.7: The Add Page Setup dialog box
Figure 12.8: A list of scales in the Properties palette
Figure 12.9: The Single option selected in the New Viewports tab
Figure 12.10: The Three- Above option in the Viewports dialog box
Figure 12.11: The Setup option at the bottom of the Viewports dialog box
Figure 12.12: The Change View To drop-down list at the bottom of the Viewports dialog box
Figure 12.13: A layout with two viewports, each showing the same view with different layer settings
Figure 12.14: A single layer selected in the Layer Properties Manager dialog box
Figure 12.15: The Current VP Freeze option in a layer listing
Figure 12.16: The Layer Control drop-down list
Figure 12.17: The Move Or Copy dialog box with the Create A Copy option turned on
Figure 12.18: The Changes To A Printer Configuration File dialog box
Figure 12.19: The Device And Document Settings tab of the Plotter Configuration Editor dialog box
Figure 12.20: The Page Setup Manager dialog box
Figure 12.21: The New Page Setup dialog box
Figure 12.22: Select a page setup from the Page Setup group of the Plot dialog box.
Figure 12.23: Plot styles can translate colors and fills into shades of gray and halftone screens.
Figure 12.24: Selecting a plot style from the Plot Style Table drop-down list of the Page Setup dialog box
Figure 12.25: The first screen of the Add Name-Dependent Plot Style Table Wizard
Figure 12.26: The Plot Style Table Editor dialog box, open at the Form View tab
Figure 12.27: The Table View tab of the Plot Style Table Editor dialog box
Figure 12.28: The Line Joint Style options
Figure 12.29: The Fill Style options
Figure 12.30: The Model Or Paper Space button in the status bar
Figure 12.31: The Plot Style drop-down list in the Properties palette
Figure 12.32: The Select Plot Style dialog box
Figure 12.33: The Layer Properties Manager tool in the Layers control panel
Figure 12.34: Click Normal in the Plot Style column of the selected layer.
Figure 12.35: The Select Plot Style dialog box


List of Tables

Chapter 1: Getting Familiar with AutoCAD

Table 1.1: AutoCAD Toolbars

Chapter 2: Understanding the Drafting Tools

Table 2.1: The Length Options
Table 2.2: The Angle Options
Table 2.3: Options on the Polar Tracking Tab of the Drafting Settings Dialog Box
Table 2.4: The AutoSnap Settings on the Drafting Tab of the Options Dialog Box

Chapter 4: Editing AutoCAD Objects

Table 4.1: Some of the General Properties Displayed in the Properties Palette

Chapter 5: Editing with the 2D Draw Control Panel Tools

Table 5.1: The Pedit Options
Table 5.2: The Edit Options of the Pedit Command

Chapter 7: Getting Organized with Layers

Table 7.1: Scale Conversion Factors for Feet and Inches

Chapter 8: Using Blocks, Groups, Xrefs, and DesignCenter

Table 8.1: Other Block Definition Dialog Box Options
Table 8.2: The Group Identification Options
Table 8.3: The Create Group Options
Table 8.4: The Change Group Options
Table 8.5: The LT Group Manager Options
Table 8.6: The Options in the Search Dialog Box

Chapter 9: Creating Text

Table 9.1: Text Formatting Tools
Table 9.2: The Spelling Checker Options
Table 9.4: The Apply To Options in the Cell Border Properties Dialog Box

Chapter 10: Using Dimensions

Table 10.1: The Multileader Options
Table 10.2: The Multileader Style Dialog Box Options
Table 10.3: The Lines Tab Settings
Table 10.4: The Symbols And Arrows Tab Settings
Table 10.5: The Text Tab Settings
Table 10.6: The Fit Tab Settings
Table 10.7: The Primary Units Tab Settings
Table 10.8: The Alternate Units Tab Settings
Table 10.9: The Tolerances Tab Settings

Chapter 11: Gathering Information

Table 11.1: The Status Items and Their Meanings

Chapter 12: Laying Out and Printing Your Drawing

Table 12.1: The What To Plot Options
Table 12.2: The Standard Color Plot-Style Tables
Table 12.3: The Standard Named Plot-Style Tables


List of Sidebars

Chapter 1: Getting Familiar with AutoCAD

AUTOCAD 2008 VERSUS AUTOCAD 2008 LT
CHANGING 3D VIEWS TO 2D VIEWS AND BACK
CONTROLLING THE STATUS BAR DISPLAY
"CHATTING" WITH AUTOCAD
UNDERSTANDING THE COMMAND, TOOL, AND OPTION RELATIONSHIP
WHEN YOU NEED TO UNDO
TURNING ON THE TABS
ACCURATE PANNING

Chapter 2: Understanding the Drafting Tools

INTERPRETING THE CURSOR MODES AND UNDERSTANDING PROMPTS
USING OSNAP TRACKING AND POLAR TRACKING TOGETHER

Chapter 3: Drawing 2D Objects

WHAT ARE MULTILINES?
ANNOTATIVE HATCH PATTERNS
HOW TO QUICKLY MATCH A HATCH PATTERN AND OTHER PROPERTIES
TIPS FOR USING THE BOUNDARY HATCH
MARKING OFF INTERVALS USING DRAWING ASSEMBLIES INSTEAD OF POINT OBJECTS
OTHER DRAWING METHODS

Chapter 5: Editing with the 2D Draw Control Panel Tools

PROVIDING BASE POINTS
REDUCING BLOCKS AND POLYLINES TO SIMPLE LINES AND ARCS WITH EXPLODE

Chapter 6: Creating 3D Drawings

USING OBJECT SNAPS IN 3D SPACE
WORKING WITH USER COORDINATE SYSTEMS
CONVERTING 3D OBJECTS FROM EARLIER VERSIONS TO 3D SURFACES

Chapter 7: Getting Organized with Layers

CONTROLLING COLORS AND LINETYPES OF BLOCKED OBJECTS
USING TRUE OR PANTONE COLORS
SCALE FACTORS IN LEGACY DRAWINGS
UNDERSTANDING THE BYBLOCK SETTING

Chapter 8: Using Blocks, Groups, Xrefs, and DesignCenter

EDITING A BLOCK
NESTING XREFS AND USING OVERLAYS
AUTOMATICALLY SCALING DRAWINGS AND BLOCKS AT INSERTION

Chapter 10: Using Dimensions

DIMENSIONING STANDARDS
CONTROLLING THE SIZE OF DIMENSION FEATURES
USING OSNAPS WHILE DIMENSIONING
WHY DO MY ANGULAR DIMENSIONS SHOW ONLY WHOLE DEGREES?
SETTING UP DIMENSIONS FOR ARCHITECTURAL DRAWINGS

Chapter 12: Laying Out and Printing Your Drawing

HOW DO I GET MY COLORS TO PRINT IN BLACK AND WHITE?